/********************************************************************************
 *                               libemu
 *
 *                    - x86 shellcode emulation -
 *
 *
 * Copyright (C) 2007  Paul Baecher & Markus Koetter
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 * 
 * 
 *             contact nepenthesdev@users.sourceforge.net  
 *
 *******************************************************************************/

#include <stdlib.h>
#include <string.h>

#include "emu_env_w32_dll_export.h"

struct emu_env_w32_dll_export kernel32_exports[] = 
{
{"ActivateActCtx", 0x0000A6E4, NULL, NULL, 0x0001 },
{"AddAtomA", 0x0003551D, NULL, NULL, 0x0002 },
{"AddAtomW", 0x000326F1, NULL, NULL, 0x0003 },
{"AddConsoleAliasA", 0x00071DFF, NULL, NULL, 0x0004 },
{"AddConsoleAliasW", 0x00071DC1, NULL, NULL, 0x0005 },
{"AddLocalAlternateComputerNameA", 0x00059412, NULL, NULL, 0x0006 },
{"AddLocalAlternateComputerNameW", 0x000592F6, NULL, NULL, 0x0007 },
{"AddRefActCtx", 0x0002BF11, NULL, NULL, 0x0008 },
{"AddVectoredExceptionHandler", 0x00009011, NULL, NULL, 0x0009 },
{"AllocConsole", 0x00072451, NULL, NULL, 0x000A },
{"AllocateUserPhysicalPages", 0x0005F6D4, NULL, NULL, 0x000B },
{"AreFileApisANSI", 0x0003597F, NULL, NULL, 0x000C },
{"AssignProcessToJobObject", 0x0002E45A, NULL, NULL, 0x000D },
{"AttachConsole", 0x00072639, NULL, NULL, 0x000E },
{"BackupRead", 0x0005725A, NULL, NULL, 0x000F },
{"BackupSeek", 0x00056340, NULL, NULL, 0x0010 },
{"BackupWrite", 0x000578B5, NULL, NULL, 0x0011 },
{"BaseCheckAppcompatCache", 0x00016877, NULL, NULL, 0x0012 },
{"BaseCleanupAppcompatCache", 0x0006CF46, NULL, NULL, 0x0013 },
{"BaseCleanupAppcompatCacheSupport", 0x0006CFCA, NULL, NULL, 0x0014 },
{"BaseDumpAppcompatCache", 0x0006CE01, NULL, NULL, 0x0015 },
{"BaseFlushAppcompatCache", 0x0006CD7F, NULL, NULL, 0x0016 },
{"BaseInitAppcompatCache", 0x0001656D, NULL, NULL, 0x0017 },
{"BaseInitAppcompatCacheSupport", 0x0002B38D, NULL, NULL, 0x0018 },
{"BaseProcessInitPostImport", 0x000174E3, NULL, NULL, 0x0019 },
{"BaseQueryModuleData", 0x0003838A, NULL, NULL, 0x001A },
{"BaseUpdateAppcompatCache", 0x000151C0, NULL, NULL, 0x001B },
{"BasepCheckWinSaferRestrictions", 0x000195B7, NULL, NULL, 0x001C },
{"Beep", 0x00037AA7, NULL, NULL, 0x001D },
{"BeginUpdateResourceA", 0x00070DBB, NULL, NULL, 0x001E },
{"BeginUpdateResourceW", 0x00070C18, NULL, NULL, 0x001F },
{"BindIoCompletionCallback", 0x0002C03C, NULL, NULL, 0x0020 },
{"BuildCommDCBA", 0x0006C02D, NULL, NULL, 0x0021 },
{"BuildCommDCBAndTimeoutsA", 0x0006BFFF, NULL, NULL, 0x0022 },
{"BuildCommDCBAndTimeoutsW", 0x0006C05F, NULL, NULL, 0x0023 },
{"BuildCommDCBW", 0x0006C0B9, NULL, NULL, 0x0024 },
{"CallNamedPipeA", 0x00060E36, NULL, NULL, 0x0025 },
{"CallNamedPipeW", 0x00060BE7, NULL, NULL, 0x0026 },
{"CancelDeviceWakeupRequest", 0x00061BFF, NULL, NULL, 0x0027 },
{"CancelIo", 0x000300E2, NULL, NULL, 0x0028 },
{"CancelTimerQueueTimer", 0x00063F58, NULL, NULL, 0x0029 },
{"CancelWaitableTimer", 0x0002CC19, NULL, NULL, 0x002A },
{"ChangeTimerQueueTimer", 0x000127C3, NULL, NULL, 0x002B },
{"CheckNameLegalDOS8Dot3A", 0x00061AB9, NULL, NULL, 0x002C },
{"CheckNameLegalDOS8Dot3W", 0x00061879, NULL, NULL, 0x002D },
{"CheckRemoteDebuggerPresent", 0x0005AAF2, NULL, NULL, 0x002E },
{"ClearCommBreak", 0x00067E31, NULL, NULL, 0x002F },
{"ClearCommError", 0x000666BF, NULL, NULL, 0x0030 },
{"CloseConsoleHandle", 0x0001D3F6, NULL, NULL, 0x0031 },
{"CloseHandle", 0x00009BE7, NULL, NULL, 0x0032 },
{"CloseProfileUserMapping", 0x0002C87D, NULL, NULL, 0x0033 },
{"CmdBatNotification", 0x0002F611, NULL, NULL, 0x0034 },
{"CommConfigDialogA", 0x000679B1, NULL, NULL, 0x0035 },
{"CommConfigDialogW", 0x000678BD, NULL, NULL, 0x0036 },
{"CompareFileTime", 0x00010B79, NULL, NULL, 0x0037 },
{"CompareStringA", 0x0000D117, NULL, NULL, 0x0038 },
{"CompareStringW", 0x0000A3FE, NULL, NULL, 0x0039 },
{"ConnectNamedPipe", 0x00031463, NULL, NULL, 0x003A },
{"ConsoleMenuControl", 0x000730FF, NULL, NULL, 0x003B },
{"ContinueDebugEvent", 0x0005B53D, NULL, NULL, 0x003C },
{"ConvertDefaultLocale", 0x000383FF, NULL, NULL, 0x003D },
{"ConvertFiberToThread", 0x0002FEDF, NULL, NULL, 0x003E },
{"ConvertThreadToFiber", 0x0002FF1E, NULL, NULL, 0x003F },
{"CopyFileA", 0x000286EE, NULL, NULL, 0x0040 },
{"CopyFileExA", 0x0005F39C, NULL, NULL, 0x0041 },
{"CopyFileExW", 0x00027B32, NULL, NULL, 0x0042 },
{"CopyFileW", 0x0002F87B, NULL, NULL, 0x0043 },
{"CopyLZFile", 0x0005989A, NULL, NULL, 0x0044 },
{"CreateActCtxA", 0x0006C8E5, NULL, NULL, 0x0045 },
{"CreateActCtxW", 0x000154FC, NULL, NULL, 0x0046 },
{"CreateConsoleScreenBuffer", 0x000741A8, NULL, NULL, 0x0047 },
{"CreateDirectoryA", 0x000217AC, NULL, NULL, 0x0048 },
{"CreateDirectoryExA", 0x0005C213, NULL, NULL, 0x0049 },
{"CreateDirectoryExW", 0x0005B5CA, NULL, NULL, 0x004A },
{"CreateDirectoryW", 0x00032402, NULL, NULL, 0x004B },
{"CreateEventA", 0x000308B5, NULL, NULL, 0x004C },
{"CreateEventW", 0x0000A749, NULL, NULL, 0x004D },
{"CreateFiber", 0x0002FFB7, NULL, NULL, 0x004E },
{"CreateFiberEx", 0x0002FFD7, NULL, NULL, 0x004F },
{"CreateFileA", 0x00001A28, NULL, NULL, 0x0050 },
{"CreateFileMappingA", 0x0000950A, NULL, NULL, 0x0051 },
{"CreateFileMappingW", 0x0000943C, NULL, NULL, 0x0052 },
{"CreateFileW", 0x00010800, NULL, NULL, 0x0053 },
{"CreateHardLinkA", 0x0006C769, NULL, NULL, 0x0054 },
{"CreateHardLinkW", 0x0006C5AC, NULL, NULL, 0x0055 },
{"CreateIoCompletionPort", 0x0003138D, NULL, NULL, 0x0056 },
{"CreateJobObjectA", 0x0006C4CC, NULL, NULL, 0x0057 },
{"CreateJobObjectW", 0x0002CB13, NULL, NULL, 0x0058 },
{"CreateJobSet", 0x0006C49E, NULL, NULL, 0x0059 },
{"CreateMailslotA", 0x0002CC9B, NULL, NULL, 0x005A },
{"CreateMailslotW", 0x0002CCEC, NULL, NULL, 0x005B },
{"CreateMemoryResourceNotification", 0x0003968A, NULL, NULL, 0x005C },
{"CreateMutexA", 0x0000E9DF, NULL, NULL, 0x005D },
{"CreateMutexW", 0x0000E957, NULL, NULL, 0x005E },
{"CreateNamedPipeA", 0x00060CDC, NULL, NULL, 0x005F },
{"CreateNamedPipeW", 0x0002F0DD, NULL, NULL, 0x0060 },
{"CreateNlsSecurityDescriptor", 0x0002AC6C, NULL, NULL, 0x0061 },
{"CreatePipe", 0x0001D83F, NULL, NULL, 0x0062 },
{"CreateProcessA", 0x0000236B, NULL, NULL, 0x0063 },
{"CreateProcessInternalA", 0x0001D54E, NULL, NULL, 0x0064 },
{"CreateProcessInternalW", 0x000197B0, NULL, NULL, 0x0065 },
{"CreateProcessInternalWSecure", 0x00080311, NULL, NULL, 0x0066 },
{"CreateProcessW", 0x00002336, NULL, NULL, 0x0067 },
{"CreateRemoteThread", 0x000104CC, NULL, NULL, 0x0068 },
{"CreateSemaphoreA", 0x00012EBD, NULL, NULL, 0x0069 },
{"CreateSemaphoreW", 0x00010126, NULL, NULL, 0x006A },
{"CreateSocketHandle", 0x0006C7D4, NULL, NULL, 0x006B },
{"CreateTapePartition", 0x0006C28E, NULL, NULL, 0x006C },
{"CreateThread", 0x000106D7, NULL, NULL, 0x006D },
{"CreateTimerQueue", 0x0002BFE6, NULL, NULL, 0x006E },
{"CreateTimerQueueTimer", 0x0002117D, NULL, NULL, 0x006F },
{"CreateToolhelp32Snapshot", 0x00065C7F, NULL, NULL, 0x0070 },
{"CreateVirtualBuffer", 0x00034962, NULL, NULL, 0x0071 },
{"CreateWaitableTimerA", 0x00062C21, NULL, NULL, 0x0072 },
{"CreateWaitableTimerW", 0x0002FB5A, NULL, NULL, 0x0073 },
{"DeactivateActCtx", 0x0000A715, NULL, NULL, 0x0074 },
{"DebugActiveProcess", 0x0005B0FB, NULL, NULL, 0x0075 },
{"DebugActiveProcessStop", 0x0005B581, NULL, NULL, 0x0076 },
{"DebugBreak", 0x0005AB46, NULL, NULL, 0x0077 },
{"DebugBreakProcess", 0x0005B14E, NULL, NULL, 0x0078 },
{"DebugSetProcessKillOnExit", 0x0005B175, NULL, NULL, 0x0079 },
{"DecodePointer", 0x00009036, NULL, NULL, 0x007A },
{"DecodeSystemPointer", 0x0000904D, NULL, NULL, 0x007B },
{"DefineDosDeviceA", 0x0005D29D, NULL, NULL, 0x007C },
{"DefineDosDeviceW", 0x00021F1E, NULL, NULL, 0x007D },
{"DelayLoadFailureHook", 0x0007EFED, NULL, NULL, 0x007E },
{"DeleteAtom", 0x000326C5, NULL, NULL, 0x007F },
{"DeleteCriticalSection", 0x0000906A, NULL, NULL, 0x0080 },
{"DeleteFiber", 0x0002FE8C, NULL, NULL, 0x0081 },
{"DeleteFileA", 0x00031EDD, NULL, NULL, 0x0082 },
{"DeleteFileW", 0x00031F63, NULL, NULL, 0x0083 },
{"DeleteTimerQueue", 0x00063F2B, NULL, NULL, 0x0084 },
{"DeleteTimerQueueEx", 0x00063EE4, NULL, NULL, 0x0085 },
{"DeleteTimerQueueTimer", 0x00021130, NULL, NULL, 0x0086 },
{"DeleteVolumeMountPointA", 0x0006B21E, NULL, NULL, 0x0087 },
{"DeleteVolumeMountPointW", 0x0006AA70, NULL, NULL, 0x0088 },
{"DeviceIoControl", 0x00001629, NULL, NULL, 0x0089 },
{"DisableThreadLibraryCalls", 0x00011336, NULL, NULL, 0x008A },
{"DisconnectNamedPipe", 0x0001273F, NULL, NULL, 0x008B },
{"DnsHostnameToComputerNameA", 0x00058ABB, NULL, NULL, 0x008C },
{"DnsHostnameToComputerNameW", 0x0002CEC2, NULL, NULL, 0x008D },
{"DosDateTimeToFileTime", 0x00032180, NULL, NULL, 0x008E },
{"DosPathToSessionPathA", 0x00062939, NULL, NULL, 0x008F },
{"DosPathToSessionPathW", 0x0002C1F7, NULL, NULL, 0x0090 },
{"DuplicateConsoleHandle", 0x0001D4C5, NULL, NULL, 0x0091 },
{"DuplicateHandle", 0x0000DE9E, NULL, NULL, 0x0092 },
{"EncodePointer", 0x00009089, NULL, NULL, 0x0093 },
{"EncodeSystemPointer", 0x000090A0, NULL, NULL, 0x0094 },
{"EndUpdateResourceA", 0x00070A89, NULL, NULL, 0x0095 },
{"EndUpdateResourceW", 0x000708B4, NULL, NULL, 0x0096 },
{"EnterCriticalSection", 0x000090BD, NULL, NULL, 0x0097 },
{"EnumCalendarInfoA", 0x00038241, NULL, NULL, 0x0098 },
{"EnumCalendarInfoExA", 0x00076889, NULL, NULL, 0x0099 },
{"EnumCalendarInfoExW", 0x000798BD, NULL, NULL, 0x009A },
{"EnumCalendarInfoW", 0x0007989A, NULL, NULL, 0x009B },
{"EnumDateFormatsA", 0x000768CA, NULL, NULL, 0x009C },
{"EnumDateFormatsExA", 0x000768EA, NULL, NULL, 0x009D },
{"EnumDateFormatsExW", 0x000798E0, NULL, NULL, 0x009E },
{"EnumDateFormatsW", 0x00038811, NULL, NULL, 0x009F },
{"EnumLanguageGroupLocalesA", 0x00076928, NULL, NULL, 0x00A0 },
{"EnumLanguageGroupLocalesW", 0x00079843, NULL, NULL, 0x00A1 },
{"EnumResourceLanguagesA", 0x0002E010, NULL, NULL, 0x00A2 },
{"EnumResourceLanguagesW", 0x00060699, NULL, NULL, 0x00A3 },
{"EnumResourceNamesA", 0x00060291, NULL, NULL, 0x00A4 },
{"EnumResourceNamesW", 0x00055AE1, NULL, NULL, 0x00A5 },
{"EnumResourceTypesA", 0x000600A4, NULL, NULL, 0x00A6 },
{"EnumResourceTypesW", 0x000604B1, NULL, NULL, 0x00A7 },
{"EnumSystemCodePagesA", 0x00076967, NULL, NULL, 0x00A8 },
{"EnumSystemCodePagesW", 0x0007987F, NULL, NULL, 0x00A9 },
{"EnumSystemGeoID", 0x00079D19, NULL, NULL, 0x00AA },
{"EnumSystemLanguageGroupsA", 0x0007690A, NULL, NULL, 0x00AB },
{"EnumSystemLanguageGroupsW", 0x00079825, NULL, NULL, 0x00AC },
{"EnumSystemLocalesA", 0x00037D11, NULL, NULL, 0x00AD },
{"EnumSystemLocalesW", 0x00079864, NULL, NULL, 0x00AE },
{"EnumTimeFormatsA", 0x000768AC, NULL, NULL, 0x00AF },
{"EnumTimeFormatsW", 0x000388EE, NULL, NULL, 0x00B0 },
{"EnumUILanguagesA", 0x00076949, NULL, NULL, 0x00B1 },
{"EnumUILanguagesW", 0x0002A8DC, NULL, NULL, 0x00B2 },
{"EnumerateLocalComputerNamesA", 0x00058A0F, NULL, NULL, 0x00B3 },
{"EnumerateLocalComputerNamesW", 0x0005888F, NULL, NULL, 0x00B4 },
{"EraseTape", 0x0006C25B, NULL, NULL, 0x00B5 },
{"EscapeCommFunction", 0x000668D1, NULL, NULL, 0x00B6 },
{"ExitProcess", 0x0001CB12, NULL, NULL, 0x00B7 },
{"ExitThread", 0x0000C0F8, NULL, NULL, 0x00B8 },
{"ExitVDM", 0x000687D5, NULL, NULL, 0x00B9 },
{"ExpandEnvironmentStringsA", 0x00032A09, NULL, NULL, 0x00BA },
{"ExpandEnvironmentStringsW", 0x000305FE, NULL, NULL, 0x00BB },
{"ExpungeConsoleCommandHistoryA", 0x00071767, NULL, NULL, 0x00BC },
{"ExpungeConsoleCommandHistoryW", 0x0007174F, NULL, NULL, 0x00BD },
{"ExtendVirtualBuffer", 0x0005FBCC, NULL, NULL, 0x00BE },
{"FatalAppExitA", 0x00061D60, NULL, NULL, 0x00BF },
{"FatalAppExitW", 0x00061D12, NULL, NULL, 0x00C0 },
{"FatalExit", 0x00061DAE, NULL, NULL, 0x00C1 },
{"FileTimeToDosDateTime", 0x00030665, NULL, NULL, 0x00C2 },
{"FileTimeToLocalFileTime", 0x0000E906, NULL, NULL, 0x00C3 },
{"FileTimeToSystemTime", 0x0000E88C, NULL, NULL, 0x00C4 },
{"FillConsoleOutputAttribute", 0x00074184, NULL, NULL, 0x00C5 },
{"FillConsoleOutputCharacterA", 0x00074139, NULL, NULL, 0x00C6 },
{"FillConsoleOutputCharacterW", 0x00074160, NULL, NULL, 0x00C7 },
{"FindActCtxSectionGuid", 0x00030F29, NULL, NULL, 0x00C8 },
{"FindActCtxSectionStringA", 0x0006CC4F, NULL, NULL, 0x00C9 },
{"FindActCtxSectionStringW", 0x0002FD54, NULL, NULL, 0x00CA },
{"FindAtomA", 0x00030D06, NULL, NULL, 0x00CB },
{"FindAtomW", 0x0002F82F, NULL, NULL, 0x00CC },
{"FindClose", 0x0000EE77, NULL, NULL, 0x00CD },
{"FindCloseChangeNotification", 0x00035805, NULL, NULL, 0x00CE },
{"FindFirstChangeNotificationA", 0x0005D483, NULL, NULL, 0x00CF },
{"FindFirstChangeNotificationW", 0x00034C1F, NULL, NULL, 0x00D0 },
{"FindFirstFileA", 0x00013879, NULL, NULL, 0x00D1 },
{"FindFirstFileExA", 0x0005D4EA, NULL, NULL, 0x00D2 },
{"FindFirstFileExW", 0x0000EB1D, NULL, NULL, 0x00D3 },
{"FindFirstFileW", 0x0000EF81, NULL, NULL, 0x00D4 },
{"FindFirstVolumeA", 0x0006B399, NULL, NULL, 0x00D5 },
{"FindFirstVolumeMountPointA", 0x0006AE59, NULL, NULL, 0x00D6 },
{"FindFirstVolumeMountPointW", 0x00069EF1, NULL, NULL, 0x00D7 },
{"FindFirstVolumeW", 0x0002D2BF, NULL, NULL, 0x00D8 },
{"FindNextChangeNotification", 0x00032145, NULL, NULL, 0x00D9 },
{"FindNextFileA", 0x00034EE1, NULL, NULL, 0x00DA },
{"FindNextFileW", 0x0000EFDA, NULL, NULL, 0x00DB },
{"FindNextVolumeA", 0x0006AD3F, NULL, NULL, 0x00DC },
{"FindNextVolumeMountPointA", 0x0006AF89, NULL, NULL, 0x00DD },
{"FindNextVolumeMountPointW", 0x0006A19D, NULL, NULL, 0x00DE },
{"FindNextVolumeW", 0x0002CFAB, NULL, NULL, 0x00DF },
{"FindResourceA", 0x0000BF29, NULL, NULL, 0x00E0 },
{"FindResourceExA", 0x00035FA8, NULL, NULL, 0x00E1 },
{"FindResourceExW", 0x0000AD28, NULL, NULL, 0x00E2 },
{"FindResourceW", 0x0000BC6E, NULL, NULL, 0x00E3 },
{"FindVolumeClose", 0x0002CF70, NULL, NULL, 0x00E4 },
{"FindVolumeMountPointClose", 0x00035805, NULL, NULL, 0x00E5 },
{"FlushConsoleInputBuffer", 0x00074C5C, NULL, NULL, 0x00E6 },
{"FlushFileBuffers", 0x000126E1, NULL, NULL, 0x00E7 },
{"FlushInstructionCache", 0x000355EC, NULL, NULL, 0x00E8 },
{"FlushViewOfFile", 0x000359A1, NULL, NULL, 0x00E9 },
{"FoldStringA", 0x00076FF1, NULL, NULL, 0x00EA },
{"FoldStringW", 0x0007A776, NULL, NULL, 0x00EB },
{"FormatMessageA", 0x0002F7A8, NULL, NULL, 0x00EC },
{"FormatMessageW", 0x00034BBF, NULL, NULL, 0x00ED },
{"FreeConsole", 0x000721CD, NULL, NULL, 0x00EE },
{"FreeEnvironmentStringsA", 0x0001D6EF, NULL, NULL, 0x00EF },
{"FreeEnvironmentStringsW", 0x00014B87, NULL, NULL, 0x00F0 },
{"FreeLibrary", 0x0000AC7E, NULL, NULL, 0x00F1 },
{"FreeLibraryAndExitThread", 0x0000C210, NULL, NULL, 0x00F2 },
{"FreeResource", 0x000260C2, NULL, NULL, 0x00F3 },
{"FreeUserPhysicalPages", 0x0005F702, NULL, NULL, 0x00F4 },
{"FreeVirtualBuffer", 0x00034B99, NULL, NULL, 0x00F5 },
{"GenerateConsoleCtrlEvent", 0x00074B61, NULL, NULL, 0x00F6 },
{"GetACP", 0x000099B5, NULL, NULL, 0x00F7 },
{"GetAtomNameA", 0x0005C283, NULL, NULL, 0x00F8 },
{"GetAtomNameW", 0x00033117, NULL, NULL, 0x00F9 },
{"GetBinaryType", 0x0006916B, NULL, NULL, 0x00FA },
{"GetBinaryTypeA", 0x0006916B, NULL, NULL, 0x00FB },
{"GetBinaryTypeW", 0x00068D0C, NULL, NULL, 0x00FC },
{"GetCPFileNameFromRegistry", 0x0003850B, NULL, NULL, 0x00FD },
{"GetCPInfo", 0x00012F16, NULL, NULL, 0x00FE },
{"GetCPInfoExA", 0x00077187, NULL, NULL, 0x00FF },
{"GetCPInfoExW", 0x0007B30D, NULL, NULL, 0x0100 },
{"GetCalendarInfoA", 0x00076AAB, NULL, NULL, 0x0101 },
{"GetCalendarInfoW", 0x00039050, NULL, NULL, 0x0102 },
{"GetComPlusPackageInstallStatus", 0x0006CCE2, NULL, NULL, 0x0103 },
{"GetCommConfig", 0x00067E49, NULL, NULL, 0x0104 },
{"GetCommMask", 0x000669CD, NULL, NULL, 0x0105 },
{"GetCommModemStatus", 0x00066A56, NULL, NULL, 0x0106 },
{"GetCommProperties", 0x00066ADF, NULL, NULL, 0x0107 },
{"GetCommState", 0x00066B97, NULL, NULL, 0x0108 },
{"GetCommTimeouts", 0x00022128, NULL, NULL, 0x0109 },
{"GetCommandLineA", 0x00012FBD, NULL, NULL, 0x010A },
{"GetCommandLineW", 0x00017023, NULL, NULL, 0x010B },
{"GetCompressedFileSizeA", 0x0005E471, NULL, NULL, 0x010C },
{"GetCompressedFileSizeW", 0x0005E349, NULL, NULL, 0x010D },
{"GetComputerNameA", 0x000216A4, NULL, NULL, 0x010E },
{"GetComputerNameExA", 0x00058793, NULL, NULL, 0x010F },
{"GetComputerNameExW", 0x000201F1, NULL, NULL, 0x0110 },
{"GetComputerNameW", 0x000316CF, NULL, NULL, 0x0111 },
{"GetConsoleAliasA", 0x000711F2, NULL, NULL, 0x0112 },
{"GetConsoleAliasExesA", 0x0007168C, NULL, NULL, 0x0113 },
{"GetConsoleAliasExesLengthA", 0x00071392, NULL, NULL, 0x0114 },
{"GetConsoleAliasExesLengthW", 0x00071385, NULL, NULL, 0x0115 },
{"GetConsoleAliasExesW", 0x00071671, NULL, NULL, 0x0116 },
{"GetConsoleAliasW", 0x000711C6, NULL, NULL, 0x0117 },
{"GetConsoleAliasesA", 0x00071527, NULL, NULL, 0x0118 },
{"GetConsoleAliasesLengthA", 0x000712F9, NULL, NULL, 0x0119 },
{"GetConsoleAliasesLengthW", 0x000712E1, NULL, NULL, 0x011A },
{"GetConsoleAliasesW", 0x00071509, NULL, NULL, 0x011B },
{"GetConsoleCP", 0x00075213, NULL, NULL, 0x011C },
{"GetConsoleCharType", 0x000762E3, NULL, NULL, 0x011D },
{"GetConsoleCommandHistoryA", 0x00071AE7, NULL, NULL, 0x011E },
{"GetConsoleCommandHistoryLengthA", 0x00071945, NULL, NULL, 0x011F },
{"GetConsoleCommandHistoryLengthW", 0x0007192D, NULL, NULL, 0x0120 },
{"GetConsoleCommandHistoryW", 0x00071AC9, NULL, NULL, 0x0121 },
{"GetConsoleCursorInfo", 0x000746A1, NULL, NULL, 0x0122 },
{"GetConsoleCursorMode", 0x0007593F, NULL, NULL, 0x0123 },
{"GetConsoleDisplayMode", 0x00037C83, NULL, NULL, 0x0124 },
{"GetConsoleFontInfo", 0x000748D9, NULL, NULL, 0x0125 },
{"GetConsoleFontSize", 0x00074A01, NULL, NULL, 0x0126 },
{"GetConsoleHardwareState", 0x00072D59, NULL, NULL, 0x0127 },
{"GetConsoleInputExeNameA", 0x00071E3C, NULL, NULL, 0x0128 },
{"GetConsoleInputExeNameW", 0x00071C11, NULL, NULL, 0x0129 },
{"GetConsoleInputWaitHandle", 0x00072739, NULL, NULL, 0x012A },
{"GetConsoleKeyboardLayoutNameA", 0x00075469, NULL, NULL, 0x012B },
{"GetConsoleKeyboardLayoutNameW", 0x00075481, NULL, NULL, 0x012C },
{"GetConsoleMode", 0x0001AC50, NULL, NULL, 0x012D },
{"GetConsoleNlsMode", 0x000760C7, NULL, NULL, 0x012E },
{"GetConsoleOutputCP", 0x0001AEC7, NULL, NULL, 0x012F },
{"GetConsoleProcessList", 0x00075505, NULL, NULL, 0x0130 },
{"GetConsoleScreenBufferInfo", 0x0001B963, NULL, NULL, 0x0131 },
{"GetConsoleSelectionInfo", 0x00074769, NULL, NULL, 0x0132 },
{"GetConsoleTitleA", 0x00071B79, NULL, NULL, 0x0133 },
{"GetConsoleTitleW", 0x0001B774, NULL, NULL, 0x0134 },
{"GetConsoleWindow", 0x00075499, NULL, NULL, 0x0135 },
{"GetCurrencyFormatA", 0x00076CB9, NULL, NULL, 0x0136 },
{"GetCurrencyFormatW", 0x0007C80A, NULL, NULL, 0x0137 },
{"GetCurrentActCtx", 0x000300B1, NULL, NULL, 0x0138 },
{"GetCurrentConsoleFont", 0x00074A8F, NULL, NULL, 0x0139 },
{"GetCurrentDirectoryA", 0x0003502E, NULL, NULL, 0x013A },
{"GetCurrentDirectoryW", 0x0000B917, NULL, NULL, 0x013B },
{"GetCurrentProcess", 0x0000DE95, NULL, NULL, 0x013C },
{"GetCurrentProcessId", 0x000099C0, NULL, NULL, 0x013D },
{"GetCurrentThread", 0x0000998B, NULL, NULL, 0x013E },
{"GetCurrentThreadId", 0x000097D0, NULL, NULL, 0x013F },
{"GetDateFormatA", 0x0003621E, NULL, NULL, 0x0140 },
{"GetDateFormatW", 0x000337A5, NULL, NULL, 0x0141 },
{"GetDefaultCommConfigA", 0x00067B81, NULL, NULL, 0x0142 },
{"GetDefaultCommConfigW", 0x00067A89, NULL, NULL, 0x0143 },
{"GetDefaultSortkeySize", 0x0007BB81, NULL, NULL, 0x0144 },
{"GetDevicePowerState", 0x00061B84, NULL, NULL, 0x0145 },
{"GetDiskFreeSpaceA", 0x000302F5, NULL, NULL, 0x0146 },
{"GetDiskFreeSpaceExA", 0x000303A3, NULL, NULL, 0x0147 },
{"GetDiskFreeSpaceExW", 0x000128A3, NULL, NULL, 0x0148 },
{"GetDiskFreeSpaceW", 0x000301B7, NULL, NULL, 0x0149 },
{"GetDllDirectoryA", 0x0005FFAF, NULL, NULL, 0x014A },
{"GetDllDirectoryW", 0x0005FE40, NULL, NULL, 0x014B },
{"GetDriveTypeA", 0x000214E3, NULL, NULL, 0x014C },
{"GetDriveTypeW", 0x0000B370, NULL, NULL, 0x014D },
{"GetEnvironmentStrings", 0x0001CC93, NULL, NULL, 0x014E },
{"GetEnvironmentStringsA", 0x0001CC93, NULL, NULL, 0x014F },
{"GetEnvironmentStringsW", 0x00012FA8, NULL, NULL, 0x0150 },
{"GetEnvironmentVariableA", 0x00014B92, NULL, NULL, 0x0151 },
{"GetEnvironmentVariableW", 0x0000F194, NULL, NULL, 0x0152 },
{"GetExitCodeProcess", 0x0001AB53, NULL, NULL, 0x0153 },
{"GetExitCodeThread", 0x00021435, NULL, NULL, 0x0154 },
{"GetExpandedNameA", 0x00065D07, NULL, NULL, 0x0155 },
{"GetExpandedNameW", 0x00065DB4, NULL, NULL, 0x0156 },
{"GetFileAttributesA", 0x000115DC, NULL, NULL, 0x0157 },
{"GetFileAttributesExA", 0x00013851, NULL, NULL, 0x0158 },
{"GetFileAttributesExW", 0x00011195, NULL, NULL, 0x0159 },
{"GetFileAttributesW", 0x0000B7EC, NULL, NULL, 0x015A },
{"GetFileInformationByHandle", 0x00010D0D, NULL, NULL, 0x015B },
{"GetFileSize", 0x00010B17, NULL, NULL, 0x015C },
{"GetFileSizeEx", 0x00010AA9, NULL, NULL, 0x015D },
{"GetFileTime", 0x00031C4D, NULL, NULL, 0x015E },
{"GetFileType", 0x00010EF1, NULL, NULL, 0x015F },
{"GetFirmwareEnvironmentVariableA", 0x0005F50C, NULL, NULL, 0x0160 },
{"GetFirmwareEnvironmentVariableW", 0x0005F3F5, NULL, NULL, 0x0161 },
{"GetFullPathNameA", 0x0001399C, NULL, NULL, 0x0162 },
{"GetFullPathNameW", 0x0000B8F2, NULL, NULL, 0x0163 },
{"GetGeoInfoA", 0x00076982, NULL, NULL, 0x0164 },
{"GetGeoInfoW", 0x00079987, NULL, NULL, 0x0165 },
{"GetHandleContext", 0x0006C7C3, NULL, NULL, 0x0166 },
{"GetHandleInformation", 0x0002BDC5, NULL, NULL, 0x0167 },
{"GetLargestConsoleWindowSize", 0x00075771, NULL, NULL, 0x0168 },
{"GetLastError", 0x000090DB, NULL, NULL, 0x0169 },
{"GetLinguistLangSize", 0x0007BBAB, NULL, NULL, 0x016A },
{"GetLocalTime", 0x0000A874, NULL, NULL, 0x016B },
{"GetLocaleInfoA", 0x0000D302, NULL, NULL, 0x016C },
{"GetLocaleInfoW", 0x00011602, NULL, NULL, 0x016D },
{"GetLogicalDriveStringsA", 0x0002C2E3, NULL, NULL, 0x016E },
{"GetLogicalDriveStringsW", 0x00061437, NULL, NULL, 0x016F },
{"GetLogicalDrives", 0x00030B1C, NULL, NULL, 0x0170 },
{"GetLogicalProcessorInformation", 0x00061DF7, NULL, NULL, 0x0171 },
{"GetLongPathNameA", 0x000696C6, NULL, NULL, 0x0172 },
{"GetLongPathNameW", 0x000133F3, NULL, NULL, 0x0173 },
{"GetMailslotInfo", 0x0005FB30, NULL, NULL, 0x0174 },
{"GetModuleFileNameA", 0x0000B56F, NULL, NULL, 0x0175 },
{"GetModuleFileNameW", 0x0000B475, NULL, NULL, 0x0176 },
{"GetModuleHandleA", 0x0000B741, NULL, NULL, 0x0177 },
{"GetModuleHandleExA", 0x0006004E, NULL, NULL, 0x0178 },
{"GetModuleHandleExW", 0x0001FCC1, NULL, NULL, 0x0179 },
{"GetModuleHandleW", 0x0000E4DD, NULL, NULL, 0x017A },
{"GetNamedPipeHandleStateA", 0x00060D53, NULL, NULL, 0x017B },
{"GetNamedPipeHandleStateW", 0x00060AED, NULL, NULL, 0x017C },
{"GetNamedPipeInfo", 0x000608F2, NULL, NULL, 0x017D },
{"GetNativeSystemInfo", 0x00037975, NULL, NULL, 0x017E },
{"GetNextVDMCommand", 0x00068083, NULL, NULL, 0x017F },
{"GetNlsSectionName", 0x0001801D, NULL, NULL, 0x0180 },
{"GetNumaAvailableMemory", 0x0006102C, NULL, NULL, 0x0181 },
{"GetNumaAvailableMemoryNode", 0x00061072, NULL, NULL, 0x0182 },
{"GetNumaHighestNodeNumber", 0x00060EA9, NULL, NULL, 0x0183 },
{"GetNumaNodeProcessorMask", 0x00060F81, NULL, NULL, 0x0184 },
{"GetNumaProcessorMap", 0x00060FE6, NULL, NULL, 0x0185 },
{"GetNumaProcessorNode", 0x00060EF4, NULL, NULL, 0x0186 },
{"GetNumberFormatA", 0x0002EC54, NULL, NULL, 0x0187 },
{"GetNumberFormatW", 0x000344EC, NULL, NULL, 0x0188 },
{"GetNumberOfConsoleFonts", 0x00075641, NULL, NULL, 0x0189 },
{"GetNumberOfConsoleInputEvents", 0x000756AD, NULL, NULL, 0x018A },
{"GetNumberOfConsoleMouseButtons", 0x00074821, NULL, NULL, 0x018B },
{"GetOEMCP", 0x00012847, NULL, NULL, 0x018C },
{"GetOverlappedResult", 0x000315CC, NULL, NULL, 0x018D },
{"GetPriorityClass", 0x00061EF7, NULL, NULL, 0x018E },
{"GetPrivateProfileIntA", 0x00036464, NULL, NULL, 0x018F },
{"GetPrivateProfileIntW", 0x00032760, NULL, NULL, 0x0190 },
{"GetPrivateProfileSectionA", 0x00035F51, NULL, NULL, 0x0191 },
{"GetPrivateProfileSectionNamesA", 0x00032DD7, NULL, NULL, 0x0192 },
{"GetPrivateProfileSectionNamesW", 0x0005CAE2, NULL, NULL, 0x0193 },
{"GetPrivateProfileSectionW", 0x0001EDBD, NULL, NULL, 0x0194 },
{"GetPrivateProfileStringA", 0x00032B86, NULL, NULL, 0x0195 },
{"GetPrivateProfileStringW", 0x0000F9FD, NULL, NULL, 0x0196 },
{"GetPrivateProfileStructA", 0x0005CB03, NULL, NULL, 0x0197 },
{"GetPrivateProfileStructW", 0x0005CC6D, NULL, NULL, 0x0198 },
{"GetProcAddress", 0x0000AE40, NULL, NULL, 0x0199 },
{"GetProcessAffinityMask", 0x00021765, NULL, NULL, 0x019A },
{"GetProcessDEPPolicy", 0x0006230D, NULL, NULL, 0x019B },
{"GetProcessHandleCount", 0x0006226A, NULL, NULL, 0x019C },
{"GetProcessHeap", 0x0000AC61, NULL, NULL, 0x019D },
{"GetProcessHeaps", 0x0005F9B3, NULL, NULL, 0x019E },
{"GetProcessId", 0x00061CDD, NULL, NULL, 0x019F },
{"GetProcessIoCounters", 0x00062239, NULL, NULL, 0x01A0 },
{"GetProcessPriorityBoost", 0x000621FF, NULL, NULL, 0x01A1 },
{"GetProcessShutdownParameters", 0x00061F5D, NULL, NULL, 0x01A2 },
{"GetProcessTimes", 0x00035309, NULL, NULL, 0x01A3 },
{"GetProcessVersion", 0x00012CC3, NULL, NULL, 0x01A4 },
{"GetProcessWorkingSetSize", 0x0006214C, NULL, NULL, 0x01A5 },
{"GetProfileIntA", 0x000364D9, NULL, NULL, 0x01A6 },
{"GetProfileIntW", 0x0002F8A2, NULL, NULL, 0x01A7 },
{"GetProfileSectionA", 0x0005D0AF, NULL, NULL, 0x01A8 },
{"GetProfileSectionW", 0x0005D0E8, NULL, NULL, 0x01A9 },
{"GetProfileStringA", 0x00021495, NULL, NULL, 0x01AA },
{"GetProfileStringW", 0x000213F8, NULL, NULL, 0x01AB },
{"GetQueuedCompletionStatus", 0x0000A7BD, NULL, NULL, 0x01AC },
{"GetShortPathNameA", 0x00035BE0, NULL, NULL, 0x01AD },
{"GetShortPathNameW", 0x0001F26E, NULL, NULL, 0x01AE },
{"GetStartupInfoA", 0x00001EF2, NULL, NULL, 0x01AF },
{"GetStartupInfoW", 0x00001E54, NULL, NULL, 0x01B0 },
{"GetStdHandle", 0x00012FD9, NULL, NULL, 0x01B1 },
{"GetStringTypeA", 0x00038A3C, NULL, NULL, 0x01B2 },
{"GetStringTypeExA", 0x0007720F, NULL, NULL, 0x01B3 },
{"GetStringTypeExW", 0x0000C08F, NULL, NULL, 0x01B4 },
{"GetStringTypeW", 0x0000A530, NULL, NULL, 0x01B5 },
{"GetSystemDEPPolicy", 0x00061DC0, NULL, NULL, 0x01B6 },
{"GetSystemDefaultLCID", 0x0000BFDD, NULL, NULL, 0x01B7 },
{"GetSystemDefaultLangID", 0x00012852, NULL, NULL, 0x01B8 },
{"GetSystemDefaultUILanguage", 0x000130D8, NULL, NULL, 0x01B9 },
{"GetSystemDirectoryA", 0x00014F8A, NULL, NULL, 0x01BA },
{"GetSystemDirectoryW", 0x00031DEB, NULL, NULL, 0x01BB },
{"GetSystemInfo", 0x00012DF6, NULL, NULL, 0x01BC },
{"GetSystemPowerStatus", 0x00035370, NULL, NULL, 0x01BD },
{"GetSystemRegistryQuota", 0x00062360, NULL, NULL, 0x01BE },
{"GetSystemTime", 0x0000176F, NULL, NULL, 0x01BF },
{"GetSystemTimeAdjustment", 0x0002D37F, NULL, NULL, 0x01C0 },
{"GetSystemTimeAsFileTime", 0x000017E9, NULL, NULL, 0x01C1 },
{"GetSystemTimes", 0x00062006, NULL, NULL, 0x01C2 },
{"GetSystemWindowsDirectoryA", 0x000212F1, NULL, NULL, 0x01C3 },
{"GetSystemWindowsDirectoryW", 0x0000ADC9, NULL, NULL, 0x01C4 },
{"GetSystemWow64DirectoryA", 0x0002146C, NULL, NULL, 0x01C5 },
{"GetSystemWow64DirectoryW", 0x0002146C, NULL, NULL, 0x01C6 },
{"GetTapeParameters", 0x0006C302, NULL, NULL, 0x01C7 },
{"GetTapePosition", 0x0006C1CC, NULL, NULL, 0x01C8 },
{"GetTapeStatus", 0x0006C39F, NULL, NULL, 0x01C9 },
{"GetTempFileNameA", 0x00061967, NULL, NULL, 0x01CA },
{"GetTempFileNameW", 0x000359E7, NULL, NULL, 0x01CB },
{"GetTempPathA", 0x00035DFA, NULL, NULL, 0x01CC },
{"GetTempPathW", 0x00030791, NULL, NULL, 0x01CD },
{"GetThreadContext", 0x0003973D, NULL, NULL, 0x01CE },
{"GetThreadIOPendingFlag", 0x00063E71, NULL, NULL, 0x01CF },
{"GetThreadLocale", 0x0000A4B5, NULL, NULL, 0x01D0 },
{"GetThreadPriority", 0x0000A833, NULL, NULL, 0x01D1 },
{"GetThreadPriorityBoost", 0x00063BCF, NULL, NULL, 0x01D2 },
{"GetThreadSelectorEntry", 0x0005B1C0, NULL, NULL, 0x01D3 },
{"GetThreadTimes", 0x00063E04, NULL, NULL, 0x01D4 },
{"GetTickCount", 0x0000934A, NULL, NULL, 0x01D5 },
{"GetTimeFormatA", 0x0003635D, NULL, NULL, 0x01D6 },
{"GetTimeFormatW", 0x00034003, NULL, NULL, 0x01D7 },
{"GetTimeZoneInformation", 0x000350EF, NULL, NULL, 0x01D8 },
{"GetUserDefaultLCID", 0x00009FB0, NULL, NULL, 0x01D9 },
{"GetUserDefaultLangID", 0x0000C004, NULL, NULL, 0x01DA },
{"GetUserDefaultUILanguage", 0x00013110, NULL, NULL, 0x01DB },
{"GetUserGeoID", 0x000379BE, NULL, NULL, 0x01DC },
{"GetVDMCurrentDirectories", 0x00068989, NULL, NULL, 0x01DD },
{"GetVersion", 0x0001127A, NULL, NULL, 0x01DE },
{"GetVersionExA", 0x00012B7E, NULL, NULL, 0x01DF },
{"GetVersionExW", 0x0000AF05, NULL, NULL, 0x01E0 },
{"GetVolumeInformationA", 0x00021BA5, NULL, NULL, 0x01E1 },
{"GetVolumeInformationW", 0x0000FA85, NULL, NULL, 0x01E2 },
{"GetVolumeNameForVolumeMountPointA", 0x0006B0A1, NULL, NULL, 0x01E3 },
{"GetVolumeNameForVolumeMountPointW", 0x0001FB88, NULL, NULL, 0x01E4 },
{"GetVolumePathNameA", 0x0002E893, NULL, NULL, 0x01E5 },
{"GetVolumePathNameW", 0x0002E5FD, NULL, NULL, 0x01E6 },
{"GetVolumePathNamesForVolumeNameA", 0x0006B240, NULL, NULL, 0x01E7 },
{"GetVolumePathNamesForVolumeNameW", 0x00020D14, NULL, NULL, 0x01E8 },
{"GetWindowsDirectoryA", 0x00021363, NULL, NULL, 0x01E9 },
{"GetWindowsDirectoryW", 0x0000AE1B, NULL, NULL, 0x01EA },
{"GetWriteWatch", 0x0005F78C, NULL, NULL, 0x01EB },
{"GlobalAddAtomA", 0x000360D9, NULL, NULL, 0x01EC },
{"GlobalAddAtomW", 0x0001010C, NULL, NULL, 0x01ED },
{"GlobalAlloc", 0x0000FDCD, NULL, NULL, 0x01EE },
{"GlobalCompact", 0x0005F844, NULL, NULL, 0x01EF },
{"GlobalDeleteAtom", 0x00030BC3, NULL, NULL, 0x01F0 },
{"GlobalFindAtomA", 0x000360F3, NULL, NULL, 0x01F1 },
{"GlobalFindAtomW", 0x00034EC7, NULL, NULL, 0x01F2 },
{"GlobalFix", 0x0005F648, NULL, NULL, 0x01F3 },
{"GlobalFlags", 0x000367A2, NULL, NULL, 0x01F4 },
{"GlobalFree", 0x0000FCCF, NULL, NULL, 0x01F5 },
{"GlobalGetAtomNameA", 0x0005C263, NULL, NULL, 0x01F6 },
{"GlobalGetAtomNameW", 0x0002C3CE, NULL, NULL, 0x01F7 },
{"GlobalHandle", 0x00034CE9, NULL, NULL, 0x01F8 },
{"GlobalLock", 0x0000FFB9, NULL, NULL, 0x01F9 },
{"GlobalMemoryStatus", 0x000310FA, NULL, NULL, 0x01FA },
{"GlobalMemoryStatusEx", 0x0001F992, NULL, NULL, 0x01FB },
{"GlobalReAlloc", 0x00012459, NULL, NULL, 0x01FC },
{"GlobalSize", 0x00034DD1, NULL, NULL, 0x01FD },
{"GlobalUnWire", 0x0005F68C, NULL, NULL, 0x01FE },
{"GlobalUnfix", 0x0005F662, NULL, NULL, 0x01FF },
{"GlobalUnlock", 0x0000FF22, NULL, NULL, 0x0200 },
{"GlobalWire", 0x0005F67C, NULL, NULL, 0x0201 },
{"Heap32First", 0x00064C16, NULL, NULL, 0x0202 },
{"Heap32ListFirst", 0x00064AD1, NULL, NULL, 0x0203 },
{"Heap32ListNext", 0x00064B7F, NULL, NULL, 0x0204 },
{"Heap32Next", 0x00064D30, NULL, NULL, 0x0205 },
{"HeapAlloc", 0x000090F6, NULL, NULL, 0x0206 },
{"HeapCompact", 0x0003614E, NULL, NULL, 0x0207 },
{"HeapCreate", 0x00012C56, NULL, NULL, 0x0208 },
{"HeapCreateTagsW", 0x0005F8A1, NULL, NULL, 0x0209 },
{"HeapDestroy", 0x00010F98, NULL, NULL, 0x020A },
{"HeapExtend", 0x0005F870, NULL, NULL, 0x020B },
{"HeapFree", 0x0000910C, NULL, NULL, 0x020C },
{"HeapLock", 0x0005F9C4, NULL, NULL, 0x020D },
{"HeapQueryInformation", 0x0005FAFD, NULL, NULL, 0x020E },
{"HeapQueryTagW", 0x0005F8B2, NULL, NULL, 0x020F },
{"HeapReAlloc", 0x0000911E, NULL, NULL, 0x0210 },
{"HeapSetInformation", 0x00039499, NULL, NULL, 0x0211 },
{"HeapSize", 0x00009136, NULL, NULL, 0x0212 },
{"HeapSummary", 0x0005F8C3, NULL, NULL, 0x0213 },
{"HeapUnlock", 0x0005F9DE, NULL, NULL, 0x0214 },
{"HeapUsage", 0x0005F91F, NULL, NULL, 0x0215 },
{"HeapValidate", 0x0005F993, NULL, NULL, 0x0216 },
{"HeapWalk", 0x0005F9F8, NULL, NULL, 0x0217 },
{"InitAtomTable", 0x0002AF8F, NULL, NULL, 0x0218 },
{"InitializeCriticalSection", 0x00009F91, NULL, NULL, 0x0219 },
{"InitializeCriticalSectionAndSpinCount", 0x0000B8C9, NULL, NULL, 0x021A },
{"InitializeSListHead", 0x00009148, NULL, NULL, 0x021B },
{"InterlockedCompareExchange", 0x00009842, NULL, NULL, 0x021C },
{"InterlockedDecrement", 0x0000981A, NULL, NULL, 0x021D },
{"InterlockedExchange", 0x0000982E, NULL, NULL, 0x021E },
{"InterlockedExchangeAdd", 0x00009856, NULL, NULL, 0x021F },
{"InterlockedFlushSList", 0x00009165, NULL, NULL, 0x0220 },
{"InterlockedIncrement", 0x00009806, NULL, NULL, 0x0221 },
{"InterlockedPopEntrySList", 0x00009184, NULL, NULL, 0x0222 },
{"InterlockedPushEntrySList", 0x000091A6, NULL, NULL, 0x0223 },
{"InvalidateConsoleDIBits", 0x00074355, NULL, NULL, 0x0224 },
{"IsBadCodePtr", 0x0000BD6F, NULL, NULL, 0x0225 },
{"IsBadHugeReadPtr", 0x0003596F, NULL, NULL, 0x0226 },
{"IsBadHugeWritePtr", 0x0000C03D, NULL, NULL, 0x0227 },
{"IsBadReadPtr", 0x00009EA1, NULL, NULL, 0x0228 },
{"IsBadStringPtrA", 0x0003228B, NULL, NULL, 0x0229 },
{"IsBadStringPtrW", 0x0000A67C, NULL, NULL, 0x022A },
{"IsBadWritePtr", 0x00009F19, NULL, NULL, 0x022B },
{"IsDBCSLeadByte", 0x0000B87C, NULL, NULL, 0x022C },
{"IsDBCSLeadByteEx", 0x0007B60E, NULL, NULL, 0x022D },
{"IsDebuggerPresent", 0x00013133, NULL, NULL, 0x022E },
{"IsProcessInJob", 0x0006C464, NULL, NULL, 0x022F },
{"IsProcessorFeaturePresent", 0x0000AECA, NULL, NULL, 0x0230 },
{"IsSystemResumeAutomatic", 0x00061BC8, NULL, NULL, 0x0231 },
{"IsValidCodePage", 0x0001116B, NULL, NULL, 0x0232 },
{"IsValidLanguageGroup", 0x0007752F, NULL, NULL, 0x0233 },
{"IsValidLocale", 0x0001C1C3, NULL, NULL, 0x0234 },
{"IsValidUILanguage", 0x0007763B, NULL, NULL, 0x0235 },
{"IsWow64Process", 0x00015239, NULL, NULL, 0x0236 },
{"LCMapStringA", 0x00038E18, NULL, NULL, 0x0237 },
{"LCMapStringW", 0x0000CD48, NULL, NULL, 0x0238 },
{"LZClose", 0x000665FE, NULL, NULL, 0x0239 },
{"LZCloseFile", 0x00066587, NULL, NULL, 0x023A },
{"LZCopy", 0x000597E4, NULL, NULL, 0x023B },
{"LZCreateFileW", 0x000660BD, NULL, NULL, 0x023C },
{"LZDone", 0x00080311, NULL, NULL, 0x023D },
{"LZInit", 0x00065F62, NULL, NULL, 0x023E },
{"LZOpenFileA", 0x00066190, NULL, NULL, 0x023F },
{"LZOpenFileW", 0x00066257, NULL, NULL, 0x0240 },
{"LZRead", 0x00066379, NULL, NULL, 0x0241 },
{"LZSeek", 0x000662EE, NULL, NULL, 0x0242 },
{"LZStart", 0x000801F6, NULL, NULL, 0x0243 },
{"LeaveCriticalSection", 0x000091C9, NULL, NULL, 0x0244 },
{"LoadLibraryA", 0x00001D7B, NULL, NULL, 0x0245 },
{"LoadLibraryExA", 0x00001D53, NULL, NULL, 0x0246 },
{"LoadLibraryExW", 0x00001AF5, NULL, NULL, 0x0247 },
{"LoadLibraryW", 0x0000AEEB, NULL, NULL, 0x0248 },
{"LoadModule", 0x0006261E, NULL, NULL, 0x0249 },
{"LoadResource", 0x0000A055, NULL, NULL, 0x024A },
{"LocalAlloc", 0x00009A2D, NULL, NULL, 0x024B },
{"LocalCompact", 0x0005F844, NULL, NULL, 0x024C },
{"LocalFileTimeToFileTime", 0x00035554, NULL, NULL, 0x024D },
{"LocalFlags", 0x00055DE6, NULL, NULL, 0x024E },
{"LocalFree", 0x000099CF, NULL, NULL, 0x024F },
{"LocalHandle", 0x00055EE1, NULL, NULL, 0x0250 },
{"LocalLock", 0x00032E4D, NULL, NULL, 0x0251 },
{"LocalReAlloc", 0x0003092F, NULL, NULL, 0x0252 },
{"LocalShrink", 0x0005F85A, NULL, NULL, 0x0253 },
{"LocalSize", 0x000325EC, NULL, NULL, 0x0254 },
{"LocalUnlock", 0x00032EE1, NULL, NULL, 0x0255 },
{"LockFile", 0x00032391, NULL, NULL, 0x0256 },
{"LockFileEx", 0x0002F571, NULL, NULL, 0x0257 },
{"LockResource", 0x0000CD37, NULL, NULL, 0x0258 },
{"MapUserPhysicalPages", 0x0005F730, NULL, NULL, 0x0259 },
{"MapUserPhysicalPagesScatter", 0x0005F75E, NULL, NULL, 0x025A },
{"MapViewOfFile", 0x0000B9A5, NULL, NULL, 0x025B },
{"MapViewOfFileEx", 0x0000B936, NULL, NULL, 0x025C },
{"Module32First", 0x000653A0, NULL, NULL, 0x025D },
{"Module32FirstW", 0x000652E7, NULL, NULL, 0x025E },
{"Module32Next", 0x00065525, NULL, NULL, 0x025F },
{"Module32NextW", 0x00065484, NULL, NULL, 0x0260 },
{"MoveFileA", 0x00035EBF, NULL, NULL, 0x0261 },
{"MoveFileExA", 0x0005E49B, NULL, NULL, 0x0262 },
{"MoveFileExW", 0x0003568B, NULL, NULL, 0x0263 },
{"MoveFileW", 0x00021261, NULL, NULL, 0x0264 },
{"MoveFileWithProgressA", 0x00035EDE, NULL, NULL, 0x0265 },
{"MoveFileWithProgressW", 0x0001F72E, NULL, NULL, 0x0266 },
{"MulDiv", 0x00009866, NULL, NULL, 0x0267 },
{"MultiByteToWideChar", 0x00009C98, NULL, NULL, 0x0268 },
{"NlsConvertIntegerToString", 0x00014FFC, NULL, NULL, 0x0269 },
{"NlsGetCacheUpdateCount", 0x00035849, NULL, NULL, 0x026A },
{"NlsResetProcessLocale", 0x00077509, NULL, NULL, 0x026B },
{"NumaVirtualQueryNode", 0x0006113A, NULL, NULL, 0x026C },
{"OpenConsoleW", 0x00011081, NULL, NULL, 0x026D },
{"OpenDataFile", 0x0002AD98, NULL, NULL, 0x026E },
{"OpenEventA", 0x000132AC, NULL, NULL, 0x026F },
{"OpenEventW", 0x000131E0, NULL, NULL, 0x0270 },
{"OpenFile", 0x00021982, NULL, NULL, 0x0271 },
{"OpenFileMappingA", 0x0000BC16, NULL, NULL, 0x0272 },
{"OpenFileMappingW", 0x0000BB7A, NULL, NULL, 0x0273 },
{"OpenJobObjectA", 0x0006C538, NULL, NULL, 0x0274 },
{"OpenJobObjectW", 0x0006C3C0, NULL, NULL, 0x0275 },
{"OpenMutexA", 0x0000EABB, NULL, NULL, 0x0276 },
{"OpenMutexW", 0x0000EA35, NULL, NULL, 0x0277 },
{"OpenProcess", 0x000309E9, NULL, NULL, 0x0278 },
{"OpenProfileUserMapping", 0x0003334F, NULL, NULL, 0x0279 },
{"OpenSemaphoreA", 0x0002CA57, NULL, NULL, 0x027A },
{"OpenSemaphoreW", 0x0002E31F, NULL, NULL, 0x027B },
{"OpenThread", 0x0002FC08, NULL, NULL, 0x027C },
{"OpenWaitableTimerA", 0x00062C90, NULL, NULL, 0x027D },
{"OpenWaitableTimerW", 0x00062B25, NULL, NULL, 0x027E },
{"OutputDebugStringA", 0x0005AD4C, NULL, NULL, 0x027F },
{"OutputDebugStringW", 0x0005B405, NULL, NULL, 0x0280 },
{"PeekConsoleInputA", 0x000745CD, NULL, NULL, 0x0281 },
{"PeekConsoleInputW", 0x000745F0, NULL, NULL, 0x0282 },
{"PeekNamedPipe", 0x00060977, NULL, NULL, 0x0283 },
{"PostQueuedCompletionStatus", 0x00012792, NULL, NULL, 0x0284 },
{"PrepareTape", 0x0006C228, NULL, NULL, 0x0285 },
{"PrivCopyFileExW", 0x0002005F, NULL, NULL, 0x0286 },
{"PrivMoveFileIdentityW", 0x0005E0C1, NULL, NULL, 0x0287 },
{"Process32First", 0x00064F55, NULL, NULL, 0x0288 },
{"Process32FirstW", 0x00064E9C, NULL, NULL, 0x0289 },
{"Process32Next", 0x000650C8, NULL, NULL, 0x028A },
{"Process32NextW", 0x00065027, NULL, NULL, 0x028B },
{"ProcessIdToSessionId", 0x00013029, NULL, NULL, 0x028C },
{"PulseEvent", 0x0002C06E, NULL, NULL, 0x028D },
{"PurgeComm", 0x00066E45, NULL, NULL, 0x028E },
{"QueryActCtxW", 0x0001637B, NULL, NULL, 0x028F },
{"QueryDepthSList", 0x000091E7, NULL, NULL, 0x0290 },
{"QueryDosDeviceA", 0x0005D344, NULL, NULL, 0x0291 },
{"QueryDosDeviceW", 0x00021D8D, NULL, NULL, 0x0292 },
{"QueryInformationJobObject", 0x0002AFC9, NULL, NULL, 0x0293 },
{"QueryMemoryResourceNotification", 0x00039608, NULL, NULL, 0x0294 },
{"QueryPerformanceCounter", 0x0000A4C7, NULL, NULL, 0x0295 },
{"QueryPerformanceFrequency", 0x0002FA4E, NULL, NULL, 0x0296 },
{"QueryWin31IniFilesMappedToRegistry", 0x0005C6F4, NULL, NULL, 0x0297 },
{"QueueUserAPC", 0x0002C092, NULL, NULL, 0x0298 },
{"QueueUserWorkItem", 0x00030A6A, NULL, NULL, 0x0299 },
{"RaiseException", 0x00012AA9, NULL, NULL, 0x029A },
{"ReadConsoleA", 0x00072B5D, NULL, NULL, 0x029B },
{"ReadConsoleInputA", 0x00074613, NULL, NULL, 0x029C },
{"ReadConsoleInputExA", 0x00074659, NULL, NULL, 0x029D },
{"ReadConsoleInputExW", 0x0007467D, NULL, NULL, 0x029E },
{"ReadConsoleInputW", 0x00074636, NULL, NULL, 0x029F },
{"ReadConsoleOutputA", 0x00073945, NULL, NULL, 0x02A0 },
{"ReadConsoleOutputAttribute", 0x00073E65, NULL, NULL, 0x02A1 },
{"ReadConsoleOutputCharacterA", 0x00073E19, NULL, NULL, 0x02A2 },
{"ReadConsoleOutputCharacterW", 0x00073E3F, NULL, NULL, 0x02A3 },
{"ReadConsoleOutputW", 0x00073921, NULL, NULL, 0x02A4 },
{"ReadConsoleW", 0x00072BAC, NULL, NULL, 0x02A5 },
{"ReadDirectoryChangesW", 0x00031637, NULL, NULL, 0x02A6 },
{"ReadFile", 0x00001812, NULL, NULL, 0x02A7 },
{"ReadFileEx", 0x0002BD0B, NULL, NULL, 0x02A8 },
{"ReadFileScatter", 0x0002DE61, NULL, NULL, 0x02A9 },
{"ReadProcessMemory", 0x000021D0, NULL, NULL, 0x02AA },
{"RegisterConsoleIME", 0x00075BF9, NULL, NULL, 0x02AB },
{"RegisterConsoleOS2", 0x00075A09, NULL, NULL, 0x02AC },
{"RegisterConsoleVDM", 0x00072C02, NULL, NULL, 0x02AD },
{"RegisterWaitForInputIdle", 0x0001702E, NULL, NULL, 0x02AE },
{"RegisterWaitForSingleObject", 0x000211CD, NULL, NULL, 0x02AF },
{"RegisterWaitForSingleObjectEx", 0x0002B086, NULL, NULL, 0x02B0 },
{"RegisterWowBaseHandlers", 0x0005F632, NULL, NULL, 0x02B1 },
{"RegisterWowExec", 0x00068AE9, NULL, NULL, 0x02B2 },
{"ReleaseActCtx", 0x000130FF, NULL, NULL, 0x02B3 },
{"ReleaseMutex", 0x000024B7, NULL, NULL, 0x02B4 },
{"ReleaseSemaphore", 0x0000C04D, NULL, NULL, 0x02B5 },
{"RemoveDirectoryA", 0x0005C1F1, NULL, NULL, 0x02B6 },
{"RemoveDirectoryW", 0x00036F8B, NULL, NULL, 0x02B7 },
{"RemoveLocalAlternateComputerNameA", 0x0005953C, NULL, NULL, 0x02B8 },
{"RemoveLocalAlternateComputerNameW", 0x0005945B, NULL, NULL, 0x02B9 },
{"RemoveVectoredExceptionHandler", 0x00009200, NULL, NULL, 0x02BA },
{"ReplaceFile", 0x00036C6C, NULL, NULL, 0x02BB },
{"ReplaceFileA", 0x0005F2DF, NULL, NULL, 0x02BC },
{"ReplaceFileW", 0x00036C6C, NULL, NULL, 0x02BD },
{"RequestDeviceWakeup", 0x00061BD7, NULL, NULL, 0x02BE },
{"RequestWakeupLatency", 0x00061B5C, NULL, NULL, 0x02BF },
{"ResetEvent", 0x0000A0DB, NULL, NULL, 0x02C0 },
{"ResetWriteWatch", 0x0005F7C5, NULL, NULL, 0x02C1 },
{"RestoreLastError", 0x00009228, NULL, NULL, 0x02C2 },
{"ResumeThread", 0x00032927, NULL, NULL, 0x02C3 },
{"RtlCaptureContext", 0x00009247, NULL, NULL, 0x02C4 },
{"RtlCaptureStackBackTrace", 0x0000925F, NULL, NULL, 0x02C5 },
{"RtlFillMemory", 0x0000927E, NULL, NULL, 0x02C6 },
{"RtlMoveMemory", 0x00009292, NULL, NULL, 0x02C7 },
{"RtlUnwind", 0x000092A6, NULL, NULL, 0x02C8 },
{"RtlZeroMemory", 0x000092B6, NULL, NULL, 0x02C9 },
{"ScrollConsoleScreenBufferA", 0x00075061, NULL, NULL, 0x02CA },
{"ScrollConsoleScreenBufferW", 0x00075085, NULL, NULL, 0x02CB },
{"SearchPathA", 0x000217EA, NULL, NULL, 0x02CC },
{"SearchPathW", 0x0000E77C, NULL, NULL, 0x02CD },
{"SetCPGlobal", 0x0007A903, NULL, NULL, 0x02CE },
{"SetCalendarInfoA", 0x00076C16, NULL, NULL, 0x02CF },
{"SetCalendarInfoW", 0x00077E5B, NULL, NULL, 0x02D0 },
{"SetClientTimeZoneInformation", 0x00059DD1, NULL, NULL, 0x02D1 },
{"SetComPlusPackageInstallStatus", 0x0006CCA5, NULL, NULL, 0x02D2 },
{"SetCommBreak", 0x00066ECF, NULL, NULL, 0x02D3 },
{"SetCommConfig", 0x00067FEB, NULL, NULL, 0x02D4 },
{"SetCommMask", 0x00066EE7, NULL, NULL, 0x02D5 },
{"SetCommState", 0x00066F86, NULL, NULL, 0x02D6 },
{"SetCommTimeouts", 0x0006728E, NULL, NULL, 0x02D7 },
{"SetComputerNameA", 0x00058720, NULL, NULL, 0x02D8 },
{"SetComputerNameExA", 0x00058838, NULL, NULL, 0x02D9 },
{"SetComputerNameExW", 0x0005869F, NULL, NULL, 0x02DA },
{"SetComputerNameW", 0x00058579, NULL, NULL, 0x02DB },
{"SetConsoleActiveScreenBuffer", 0x00074BE8, NULL, NULL, 0x02DC },
{"SetConsoleCP", 0x00075283, NULL, NULL, 0x02DD },
{"SetConsoleCommandHistoryMode", 0x00071B05, NULL, NULL, 0x02DE },
{"SetConsoleCtrlHandler", 0x0001B2C3, NULL, NULL, 0x02DF },
{"SetConsoleCursor", 0x0007302A, NULL, NULL, 0x02E0 },
{"SetConsoleCursorInfo", 0x00074DC4, NULL, NULL, 0x02E1 },
{"SetConsoleCursorMode", 0x000758BF, NULL, NULL, 0x02E2 },
{"SetConsoleCursorPosition", 0x00074D4A, NULL, NULL, 0x02E3 },
{"SetConsoleDisplayMode", 0x000731E0, NULL, NULL, 0x02E4 },
{"SetConsoleFont", 0x00075125, NULL, NULL, 0x02E5 },
{"SetConsoleHardwareState", 0x00072E29, NULL, NULL, 0x02E6 },
{"SetConsoleIcon", 0x0007519F, NULL, NULL, 0x02E7 },
{"SetConsoleInputExeNameA", 0x00071EE8, NULL, NULL, 0x02E8 },
{"SetConsoleInputExeNameW", 0x0001B08D, NULL, NULL, 0x02E9 },
{"SetConsoleKeyShortcuts", 0x00072EA9, NULL, NULL, 0x02EA },
{"SetConsoleLocalEUDC", 0x000757F9, NULL, NULL, 0x02EB },
{"SetConsoleMaximumWindowSize", 0x0008033A, NULL, NULL, 0x02EC },
{"SetConsoleMenuClose", 0x00072F70, NULL, NULL, 0x02ED },
{"SetConsoleMode", 0x0001AF28, NULL, NULL, 0x02EE },
{"SetConsoleNlsMode", 0x00076219, NULL, NULL, 0x02EF },
{"SetConsoleNumberOfCommandsA", 0x00071865, NULL, NULL, 0x02F0 },
{"SetConsoleNumberOfCommandsW", 0x0007184A, NULL, NULL, 0x02F1 },
{"SetConsoleOS2OemFormat", 0x00075A7D, NULL, NULL, 0x02F2 },
{"SetConsoleOutputCP", 0x000753A1, NULL, NULL, 0x02F3 },
{"SetConsolePalette", 0x00073309, NULL, NULL, 0x02F4 },
{"SetConsoleScreenBufferSize", 0x00074CD0, NULL, NULL, 0x02F5 },
{"SetConsoleTextAttribute", 0x000750A9, NULL, NULL, 0x02F6 },
{"SetConsoleTitleA", 0x00071BA1, NULL, NULL, 0x02F7 },
{"SetConsoleTitleW", 0x0002D9CD, NULL, NULL, 0x02F8 },
{"SetConsoleWindowInfo", 0x00074E91, NULL, NULL, 0x02F9 },
{"SetCriticalSectionSpinCount", 0x000092CA, NULL, NULL, 0x02FA },
{"SetCurrentDirectoryA", 0x0003610D, NULL, NULL, 0x02FB },
{"SetCurrentDirectoryW", 0x0000F38E, NULL, NULL, 0x02FC },
{"SetDefaultCommConfigA", 0x00067D51, NULL, NULL, 0x02FD },
{"SetDefaultCommConfigW", 0x00067C59, NULL, NULL, 0x02FE },
{"SetDllDirectoryA", 0x0005FDAF, NULL, NULL, 0x02FF },
{"SetDllDirectoryW", 0x0005FD19, NULL, NULL, 0x0300 },
{"SetEndOfFile", 0x00032076, NULL, NULL, 0x0301 },
{"SetEnvironmentVariableA", 0x000334A8, NULL, NULL, 0x0302 },
{"SetEnvironmentVariableW", 0x0001025E, NULL, NULL, 0x0303 },
{"SetErrorMode", 0x0000ACAF, NULL, NULL, 0x0304 },
{"SetEvent", 0x0000A0B7, NULL, NULL, 0x0305 },
{"SetFileApisToANSI", 0x00036626, NULL, NULL, 0x0306 },
{"SetFileApisToOEM", 0x0001CDB6, NULL, NULL, 0x0307 },
{"SetFileAttributesA", 0x00012822, NULL, NULL, 0x0308 },
{"SetFileAttributesW", 0x000314DD, NULL, NULL, 0x0309 },
{"SetFilePointer", 0x00010C2E, NULL, NULL, 0x030A },
{"SetFilePointerEx", 0x00021057, NULL, NULL, 0x030B },
{"SetFileShortNameA", 0x0005D89C, NULL, NULL, 0x030C },
{"SetFileShortNameW", 0x0005D7CF, NULL, NULL, 0x030D },
{"SetFileTime", 0x00031CC0, NULL, NULL, 0x030E },
{"SetFileValidData", 0x0005D779, NULL, NULL, 0x030F },
{"SetFirmwareEnvironmentVariableA", 0x0005F59F, NULL, NULL, 0x0310 },
{"SetFirmwareEnvironmentVariableW", 0x0005F484, NULL, NULL, 0x0311 },
{"SetHandleContext", 0x0002146C, NULL, NULL, 0x0312 },
{"SetHandleCount", 0x0000CD37, NULL, NULL, 0x0313 },
{"SetHandleInformation", 0x0002E19C, NULL, NULL, 0x0314 },
{"SetInformationJobObject", 0x0002CAAF, NULL, NULL, 0x0315 },
{"SetLastConsoleEventActive", 0x00076613, NULL, NULL, 0x0316 },
{"SetLastError", 0x000092EF, NULL, NULL, 0x0317 },
{"SetLocalPrimaryComputerNameA", 0x0005979B, NULL, NULL, 0x0318 },
{"SetLocalPrimaryComputerNameW", 0x00059585, NULL, NULL, 0x0319 },
{"SetLocalTime", 0x00055CF9, NULL, NULL, 0x031A },
{"SetLocaleInfoA", 0x00076A0B, NULL, NULL, 0x031B },
{"SetLocaleInfoW", 0x00077FB3, NULL, NULL, 0x031C },
{"SetMailslotInfo", 0x0002CDE8, NULL, NULL, 0x031D },
{"SetMessageWaitingIndicator", 0x00061C27, NULL, NULL, 0x031E },
{"SetNamedPipeHandleState", 0x000313F4, NULL, NULL, 0x031F },
{"SetPriorityClass", 0x0002C348, NULL, NULL, 0x0320 },
{"SetProcessAffinityMask", 0x00062194, NULL, NULL, 0x0321 },
{"SetProcessDEPPolicy", 0x000622A4, NULL, NULL, 0x0322 },
{"SetProcessPriorityBoost", 0x000621C4, NULL, NULL, 0x0323 },
{"SetProcessShutdownParameters", 0x0002C8FD, NULL, NULL, 0x0324 },
{"SetProcessWorkingSetSize", 0x000303D8, NULL, NULL, 0x0325 },
{"SetSearchPathMode", 0x0005FC88, NULL, NULL, 0x0326 },
{"SetStdHandle", 0x0001D37B, NULL, NULL, 0x0327 },
{"SetSystemPowerState", 0x00061B13, NULL, NULL, 0x0328 },
{"SetSystemTime", 0x000598E8, NULL, NULL, 0x0329 },
{"SetSystemTimeAdjustment", 0x00059AAE, NULL, NULL, 0x032A },
{"SetTapeParameters", 0x0006C35E, NULL, NULL, 0x032B },
{"SetTapePosition", 0x0006C186, NULL, NULL, 0x032C },
{"SetTermsrvAppInstallMode", 0x00062D04, NULL, NULL, 0x032D },
{"SetThreadAffinityMask", 0x0002FA82, NULL, NULL, 0x032E },
{"SetThreadContext", 0x00063C09, NULL, NULL, 0x032F },
{"SetThreadExecutionState", 0x000392E5, NULL, NULL, 0x0330 },
{"SetThreadIdealProcessor", 0x00063EB0, NULL, NULL, 0x0331 },
{"SetThreadLocale", 0x0001B8F2, NULL, NULL, 0x0332 },
{"SetThreadPriority", 0x0000C1A8, NULL, NULL, 0x0333 },
{"SetThreadPriorityBoost", 0x00063B94, NULL, NULL, 0x0334 },
{"SetThreadUILanguage", 0x0001AF90, NULL, NULL, 0x0335 },
{"SetTimeZoneInformation", 0x00059988, NULL, NULL, 0x0336 },
{"SetTimerQueueTimer", 0x0002B26E, NULL, NULL, 0x0337 },
{"SetUnhandledExceptionFilter", 0x0004495D, NULL, NULL, 0x0338 },
{"SetUserGeoID", 0x00079D9C, NULL, NULL, 0x0339 },
{"SetVDMCurrentDirectories", 0x00068854, NULL, NULL, 0x033A },
{"SetVolumeLabelA", 0x00061A55, NULL, NULL, 0x033B },
{"SetVolumeLabelW", 0x00061501, NULL, NULL, 0x033C },
{"SetVolumeMountPointA", 0x0006B1D1, NULL, NULL, 0x033D },
{"SetVolumeMountPointW", 0x0006A4D5, NULL, NULL, 0x033E },
{"SetWaitableTimer", 0x000096A1, NULL, NULL, 0x033F },
{"SetupComm", 0x0006680A, NULL, NULL, 0x0340 },
{"ShowConsoleCursor", 0x000730A4, NULL, NULL, 0x0341 },
{"SignalObjectAndWait", 0x000366C6, NULL, NULL, 0x0342 },
{"SizeofResource", 0x0000BD09, NULL, NULL, 0x0343 },
{"Sleep", 0x00002446, NULL, NULL, 0x0344 },
{"SleepEx", 0x000023A0, NULL, NULL, 0x0345 },
{"SuspendThread", 0x00039762, NULL, NULL, 0x0346 },
{"SwitchToFiber", 0x00010712, NULL, NULL, 0x0347 },
{"SwitchToThread", 0x000329C2, NULL, NULL, 0x0348 },
{"SystemTimeToFileTime", 0x00010BBC, NULL, NULL, 0x0349 },
{"SystemTimeToTzSpecificLocalTime", 0x0002E9A9, NULL, NULL, 0x034A },
{"TerminateJobObject", 0x0006C437, NULL, NULL, 0x034B },
{"TerminateProcess", 0x00001E1A, NULL, NULL, 0x034C },
{"TerminateThread", 0x0001CB3B, NULL, NULL, 0x034D },
{"TermsrvAppInstallMode", 0x0001EFCE, NULL, NULL, 0x034E },
{"Thread32First", 0x0006519A, NULL, NULL, 0x034F },
{"Thread32Next", 0x0006524E, NULL, NULL, 0x0350 },
{"TlsAlloc", 0x00012E3F, NULL, NULL, 0x0351 },
{"TlsFree", 0x00013777, NULL, NULL, 0x0352 },
{"TlsGetValue", 0x000097E0, NULL, NULL, 0x0353 },
{"TlsSetValue", 0x00009C65, NULL, NULL, 0x0354 },
{"Toolhelp32ReadProcessMemory", 0x00064E5C, NULL, NULL, 0x0355 },
{"TransactNamedPipe", 0x000312ED, NULL, NULL, 0x0356 },
{"TransmitCommChar", 0x00067339, NULL, NULL, 0x0357 },
{"TrimVirtualBuffer", 0x0005FC26, NULL, NULL, 0x0358 },
{"TryEnterCriticalSection", 0x0000930A, NULL, NULL, 0x0359 },
{"TzSpecificLocalTimeToSystemTime", 0x0005A84B, NULL, NULL, 0x035A },
{"UTRegister", 0x0005FF59, NULL, NULL, 0x035B },
{"UTUnRegister", 0x000801FF, NULL, NULL, 0x035C },
{"UnhandledExceptionFilter", 0x00063FCA, NULL, NULL, 0x035D },
{"UnlockFile", 0x000322EC, NULL, NULL, 0x035E },
{"UnlockFileEx", 0x0003232B, NULL, NULL, 0x035F },
{"UnmapViewOfFile", 0x0000BA14, NULL, NULL, 0x0360 },
{"UnregisterConsoleIME", 0x00075CC6, NULL, NULL, 0x0361 },
{"UnregisterWait", 0x0002C008, NULL, NULL, 0x0362 },
{"UnregisterWaitEx", 0x0003006A, NULL, NULL, 0x0363 },
{"UpdateResourceA", 0x000707EA, NULL, NULL, 0x0364 },
{"UpdateResourceW", 0x000706E3, NULL, NULL, 0x0365 },
{"VDMConsoleOperation", 0x00076624, NULL, NULL, 0x0366 },
{"VDMOperationStarted", 0x00068F59, NULL, NULL, 0x0367 },
{"ValidateLCType", 0x0007BBD5, NULL, NULL, 0x0368 },
{"ValidateLocale", 0x00039828, NULL, NULL, 0x0369 },
{"VerLanguageNameA", 0x0002EFC2, NULL, NULL, 0x036A },
{"VerLanguageNameW", 0x0002F04A, NULL, NULL, 0x036B },
{"VerSetConditionMask", 0x0000932B, NULL, NULL, 0x036C },
{"VerifyConsoleIoHandle", 0x0001ABE6, NULL, NULL, 0x036D },
{"VerifyVersionInfoA", 0x0005FEAF, NULL, NULL, 0x036E },
{"VerifyVersionInfoW", 0x0001FB26, NULL, NULL, 0x036F },
{"VirtualAlloc", 0x00009AF1, NULL, NULL, 0x0370 },
{"VirtualAllocEx", 0x00009B12, NULL, NULL, 0x0371 },
{"VirtualBufferExceptionHandler", 0x0005FC49, NULL, NULL, 0x0372 },
{"VirtualFree", 0x00009B84, NULL, NULL, 0x0373 },
{"VirtualFreeEx", 0x00009BA2, NULL, NULL, 0x0374 },
{"VirtualLock", 0x0002B13F, NULL, NULL, 0x0375 },
{"VirtualProtect", 0x00001AD4, NULL, NULL, 0x0376 },
{"VirtualProtectEx", 0x00001A61, NULL, NULL, 0x0377 },
{"VirtualQuery", 0x0000BA71, NULL, NULL, 0x0378 },
{"VirtualQueryEx", 0x0000BA40, NULL, NULL, 0x0379 },
{"VirtualUnlock", 0x0005F69C, NULL, NULL, 0x037A },
{"WTSGetActiveConsoleSessionId", 0x0001338E, NULL, NULL, 0x037B },
{"WaitCommEvent", 0x000673C3, NULL, NULL, 0x037C },
{"WaitForDebugEvent", 0x0005B458, NULL, NULL, 0x037D },
{"WaitForMultipleObjects", 0x0000A0FD, NULL, NULL, 0x037E },
{"WaitForMultipleObjectsEx", 0x000095D8, NULL, NULL, 0x037F },
{"WaitForSingleObject", 0x00002530, NULL, NULL, 0x0380 },
{"WaitForSingleObjectEx", 0x00002550, NULL, NULL, 0x0381 },
{"WaitNamedPipeA", 0x00060CA1, NULL, NULL, 0x0382 },
{"WaitNamedPipeW", 0x0002C674, NULL, NULL, 0x0383 },
{"WideCharToMultiByte", 0x0000A174, NULL, NULL, 0x0384 },
{"WinExec", 0x0006250D, NULL, NULL, 0x0385 },
{"WriteConsoleA", 0x0001CC5D, NULL, NULL, 0x0386 },
{"WriteConsoleInputA", 0x00073505, NULL, NULL, 0x0387 },
{"WriteConsoleInputVDMA", 0x00072FE4, NULL, NULL, 0x0388 },
{"WriteConsoleInputVDMW", 0x00073007, NULL, NULL, 0x0389 },
{"WriteConsoleInputW", 0x00073528, NULL, NULL, 0x038A },
{"WriteConsoleOutputA", 0x00073C85, NULL, NULL, 0x038B },
{"WriteConsoleOutputAttribute", 0x00074031, NULL, NULL, 0x038C },
{"WriteConsoleOutputCharacterA", 0x00073FE5, NULL, NULL, 0x038D },
{"WriteConsoleOutputCharacterW", 0x0007400B, NULL, NULL, 0x038E },
{"WriteConsoleOutputW", 0x00073C61, NULL, NULL, 0x038F },
{"WriteConsoleW", 0x000354B4, NULL, NULL, 0x0390 },
{"WriteFile", 0x00010E27, NULL, NULL, 0x0391 },
{"WriteFileEx", 0x0005D6D9, NULL, NULL, 0x0392 },
{"WriteFileGather", 0x0002DDB5, NULL, NULL, 0x0393 },
{"WritePrivateProfileSectionA", 0x0005CA54, NULL, NULL, 0x0394 },
{"WritePrivateProfileSectionW", 0x0005CA9B, NULL, NULL, 0x0395 },
{"WritePrivateProfileStringA", 0x00035D84, NULL, NULL, 0x0396 },
{"WritePrivateProfileStringW", 0x0001EE4C, NULL, NULL, 0x0397 },
{"WritePrivateProfileStructA", 0x0005CDFB, NULL, NULL, 0x0398 },
{"WritePrivateProfileStructW", 0x0005CF3D, NULL, NULL, 0x0399 },
{"WriteProcessMemory", 0x00002213, NULL, NULL, 0x039A },
{"WriteProfileSectionA", 0x0005D0CD, NULL, NULL, 0x039B },
{"WriteProfileSectionW", 0x0005D106, NULL, NULL, 0x039C },
{"WriteProfileStringA", 0x0005D091, NULL, NULL, 0x039D },
{"WriteProfileStringW", 0x000332E1, NULL, NULL, 0x039E },
{"WriteTapemark", 0x0006C2C8, NULL, NULL, 0x039F },
{"ZombifyActCtx", 0x0006C83B, NULL, NULL, 0x03A0 },
{"_hread", 0x000353FE, NULL, NULL, 0x03A1 },
{"_hwrite", 0x00038B17, NULL, NULL, 0x03A2 },
{"_lclose", 0x00034E94, NULL, NULL, 0x03A3 },
{"_lcreat", 0x000365D5, NULL, NULL, 0x03A4 },
{"_llseek", 0x00035436, NULL, NULL, 0x03A5 },
{"_lopen", 0x0005F7F2, NULL, NULL, 0x03A6 },
{"_lread", 0x000353FE, NULL, NULL, 0x03A7 },
{"_lwrite", 0x00038B17, NULL, NULL, 0x03A8 },
{"lstrcat", 0x00034D71, NULL, NULL, 0x03A9 },
{"lstrcatA", 0x00034D71, NULL, NULL, 0x03AA },
{"lstrcatW", 0x00010FD2, NULL, NULL, 0x03AB },
{"lstrcmp", 0x00030D7C, NULL, NULL, 0x03AC },
{"lstrcmpA", 0x00030D7C, NULL, NULL, 0x03AD },
{"lstrcmpW", 0x0000AA6C, NULL, NULL, 0x03AE },
{"lstrcmpi", 0x0000BB41, NULL, NULL, 0x03AF },
{"lstrcmpiA", 0x0000BB41, NULL, NULL, 0x03B0 },
{"lstrcmpiW", 0x0000AA36, NULL, NULL, 0x03B1 },
{"lstrcpy", 0x0000BEA1, NULL, NULL, 0x03B2 },
{"lstrcpyA", 0x0000BEA1, NULL, NULL, 0x03B3 },
{"lstrcpyW", 0x0000BB04, NULL, NULL, 0x03B4 },
{"lstrcpyn", 0x000101B1, NULL, NULL, 0x03B5 },
{"lstrcpynA", 0x000101B1, NULL, NULL, 0x03B6 },
{"lstrcpynW", 0x0000BA8F, NULL, NULL, 0x03B7 },
{"lstrlen", 0x0000BE56, NULL, NULL, 0x03B8 },
{"lstrlenA", 0x0000BE56, NULL, NULL, 0x03B9 },
{"lstrlenW", 0x00009AA9, NULL, NULL, 0x03BA },
{0,0,NULL,NULL},
};

struct emu_env_w32_dll_export ws2_32_exports[] = 
{
{"accept", 0x00011040, NULL, NULL, 0x0001 },
{"bind", 0x00004480, NULL, NULL, 0x0002 },
{"closesocket", 0x00003E2B, NULL, NULL, 0x0003 },
{"connect", 0x00004A07, NULL, NULL, 0x0004 },
{"getpeername", 0x00010B68, NULL, NULL, 0x0005 },
{"getsockname", 0x00003D10, NULL, NULL, 0x0006 },
{"getsockopt", 0x000046EA, NULL, NULL, 0x0007 },
{"htonl", 0x00002EAD, NULL, NULL, 0x0008 },
{"htons", 0x00002E53, NULL, NULL, 0x0009 },
{"ioctlsocket", 0x00003F50, NULL, NULL, 0x000A },
{"inet_addr", 0x00002EE1, NULL, NULL, 0x000B },
{"inet_ntoa", 0x000045C1, NULL, NULL, 0x000C },
{"listen", 0x00008CD3, NULL, NULL, 0x000D },
{"ntohl", 0x00002EAD, NULL, NULL, 0x000E },
{"ntohs", 0x00002E53, NULL, NULL, 0x000F },
{"recv", 0x0000676F, NULL, NULL, 0x0010 },
{"recvfrom", 0x00002FF7, NULL, NULL, 0x0011 },
{"select", 0x000030A8, NULL, NULL, 0x0012 },
{"send", 0x00004C27, NULL, NULL, 0x0013 },
{"sendto", 0x00002F51, NULL, NULL, 0x0014 },
{"setsockopt", 0x00004521, NULL, NULL, 0x0015 },
{"shutdown", 0x00010BF6, NULL, NULL, 0x0016 },
{"socket", 0x00004211, NULL, NULL, 0x0017 },
{"GetAddrInfoW", 0x00002899, NULL, NULL, 0x0018 },
{"GetNameInfoW", 0x0000C504, NULL, NULL, 0x0019 },
{"WSApSetPostRoutine", 0x00011EE1, NULL, NULL, 0x001A },
{"FreeAddrInfoW", 0x00002B0B, NULL, NULL, 0x001B },
{"WPUCompleteOverlappedRequest", 0x00011CBF, NULL, NULL, 0x001C },
{"WSAAccept", 0x00010DC1, NULL, NULL, 0x001D },
{"WSAAddressToStringA", 0x00009462, NULL, NULL, 0x001E },
{"WSAAddressToStringW", 0x00006979, NULL, NULL, 0x001F },
{"WSACloseEvent", 0x000065E8, NULL, NULL, 0x0020 },
{"WSAConnect", 0x00010C81, NULL, NULL, 0x0021 },
{"WSACreateEvent", 0x0000655D, NULL, NULL, 0x0022 },
{"WSADuplicateSocketA", 0x0000DB9A, NULL, NULL, 0x0023 },
{"WSADuplicateSocketW", 0x0000DB0C, NULL, NULL, 0x0024 },
{"WSAEnumNameSpaceProvidersA", 0x0000F9E1, NULL, NULL, 0x0025 },
{"WSAEnumNameSpaceProvidersW", 0x0000FA41, NULL, NULL, 0x0026 },
{"WSAEnumNetworkEvents", 0x0000657D, NULL, NULL, 0x0027 },
{"WSAEnumProtocolsA", 0x0000DC5F, NULL, NULL, 0x0028 },
{"WSAEnumProtocolsW", 0x0000888C, NULL, NULL, 0x0029 },
{"WSAEventSelect", 0x000064D9, NULL, NULL, 0x002A },
{"WSAGetOverlappedResult", 0x00010D1B, NULL, NULL, 0x002B },
{"WSAGetQOSByName", 0x0000F470, NULL, NULL, 0x002C },
{"WSAGetServiceClassInfoA", 0x00010440, NULL, NULL, 0x002D },
{"WSAGetServiceClassInfoW", 0x00010159, NULL, NULL, 0x002E },
{"WSAGetServiceClassNameByClassIdA", 0x0000FD9F, NULL, NULL, 0x002F },
{"WSAGetServiceClassNameByClassIdW", 0x0000FF81, NULL, NULL, 0x0030 },
{"WSAHtonl", 0x0000BCE1, NULL, NULL, 0x0031 },
{"WSAHtons", 0x0000BDC9, NULL, NULL, 0x0032 },
{"gethostbyaddr", 0x0000E491, NULL, NULL, 0x0033 },
{"gethostbyname", 0x00005355, NULL, NULL, 0x0034 },
{"getprotobyname", 0x0000E18E, NULL, NULL, 0x0035 },
{"getprotobynumber", 0x0000E0CC, NULL, NULL, 0x0036 },
{"getservbyname", 0x0000E703, NULL, NULL, 0x0037 },
{"getservbyport", 0x0000E5B5, NULL, NULL, 0x0038 },
{"gethostname", 0x00005449, NULL, NULL, 0x0039 },
{"WSAInstallServiceClassA", 0x000103C1, NULL, NULL, 0x003A },
{"WSAInstallServiceClassW", 0x0000FBC9, NULL, NULL, 0x003B },
{"WSAIoctl", 0x00003EC0, NULL, NULL, 0x003C },
{"WSAJoinLeaf", 0x00010F70, NULL, NULL, 0x003D },
{"WSALookupServiceBeginA", 0x0000562A, NULL, NULL, 0x003E },
{"WSALookupServiceBeginW", 0x000035EF, NULL, NULL, 0x003F },
{"WSALookupServiceEnd", 0x0000350E, NULL, NULL, 0x0040 },
{"WSALookupServiceNextA", 0x00005A8D, NULL, NULL, 0x0041 },
{"WSALookupServiceNextW", 0x00003181, NULL, NULL, 0x0042 },
{"WSANSPIoctl", 0x00005086, NULL, NULL, 0x0043 },
{"WSANtohl", 0x0000BCE1, NULL, NULL, 0x0044 },
{"WSANtohs", 0x0000BDC9, NULL, NULL, 0x0045 },
{"WSAProviderConfigChange", 0x00008C20, NULL, NULL, 0x0046 },
{"WSARecv", 0x00004CB5, NULL, NULL, 0x0047 },
{"WSARecvDisconnect", 0x0000F5EE, NULL, NULL, 0x0048 },
{"WSARecvFrom", 0x0000F66A, NULL, NULL, 0x0049 },
{"WSARemoveServiceClass", 0x0000FCB4, NULL, NULL, 0x004A },
{"WSAResetEvent", 0x00002C80, NULL, NULL, 0x004B },
{"WSASend", 0x000068FA, NULL, NULL, 0x004C },
{"WSASendDisconnect", 0x00010A22, NULL, NULL, 0x004D },
{"WSASendTo", 0x00010AAD, NULL, NULL, 0x004E },
{"WSASetEvent", 0x00002C91, NULL, NULL, 0x004F },
{"WSASetServiceA", 0x000104D2, NULL, NULL, 0x0050 },
{"WSASetServiceW", 0x00010281, NULL, NULL, 0x0051 },
{"WSASocketA", 0x00008B6A, NULL, NULL, 0x0052 },
{"WSASocketW", 0x0000404E, NULL, NULL, 0x0053 },
{"WSAStringToAddressA", 0x00009765, NULL, NULL, 0x0054 },
{"WSAStringToAddressW", 0x0000281E, NULL, NULL, 0x0055 },
{"WSAWaitForMultipleEvents", 0x00002C6F, NULL, NULL, 0x0056 },
{"WSCDeinstallProvider", 0x000119C9, NULL, NULL, 0x0057 },
{"WSCEnableNSProvider", 0x0000EE59, NULL, NULL, 0x0058 },
{"WSCEnumProtocols", 0x00007B61, NULL, NULL, 0x0059 },
{"WSCGetProviderPath", 0x00008E27, NULL, NULL, 0x005A },
{"WSCInstallNameSpace", 0x0000F14D, NULL, NULL, 0x005B },
{"WSCInstallProvider", 0x00011665, NULL, NULL, 0x005C },
{"WSCUnInstallNameSpace", 0x0000F319, NULL, NULL, 0x005D },
{"WSCUpdateProvider", 0x00011291, NULL, NULL, 0x005E },
{"WSCWriteNameSpaceOrder", 0x0000F019, NULL, NULL, 0x005F },
{"WSCWriteProviderOrder", 0x00011531, NULL, NULL, 0x0060 },
{"freeaddrinfo", 0x00002B0B, NULL, NULL, 0x0061 },
{"getaddrinfo", 0x00002A6F, NULL, NULL, 0x0062 },
{"getnameinfo", 0x0000C689, NULL, NULL, 0x0063 },
{"WSAAsyncSelect", 0x00010991, NULL, NULL, 0x0065 },
{"WSAAsyncGetHostByAddr", 0x0000EA43, NULL, NULL, 0x0066 },
{"WSAAsyncGetHostByName", 0x0000E99D, NULL, NULL, 0x0067 },
{"WSAAsyncGetProtoByNumber", 0x0000E2C3, NULL, NULL, 0x0068 },
{"WSAAsyncGetProtoByName", 0x0000EAED, NULL, NULL, 0x0069 },
{"WSAAsyncGetServByPort", 0x0000E913, NULL, NULL, 0x006A },
{"WSAAsyncGetServByName", 0x0000E867, NULL, NULL, 0x006B },
{"WSACancelAsyncRequest", 0x0000E347, NULL, NULL, 0x006C },
{"WSASetBlockingHook", 0x0000D4AC, NULL, NULL, 0x006D },
{"WSAUnhookBlockingHook", 0x0000D508, NULL, NULL, 0x006E },
{"WSAGetLastError", 0x00003CCE, NULL, NULL, 0x006F },
{"WSASetLastError", 0x00002A5E, NULL, NULL, 0x0070 },
{"WSACancelBlockingCall", 0x0000D40A, NULL, NULL, 0x0071 },
{"WSAIsBlocking", 0x0000D459, NULL, NULL, 0x0072 },
{"WSAStartup", 0x00006A55, NULL, NULL, 0x0073 },
{"WSACleanup", 0x00003FED, NULL, NULL, 0x0074 },
{"__WSAFDIsSet", 0x00003F7B, NULL, NULL, 0x0097 },
{"WEP", 0x0001211D, NULL, NULL, 0x01F4 },
{0,0,NULL,NULL},
};

struct emu_env_w32_dll_export msvcrt_exports[] = 
{
{"??0__non_rtti_object@@QAE@ABV0@@Z", 0x0001164B, NULL, NULL, 0x0001 },
{"??0__non_rtti_object@@QAE@PBD@Z", 0x00011629, NULL, NULL, 0x0002 },
{"??0bad_cast@@AAE@PBQBD@Z", 0x000115C2, NULL, NULL, 0x0003 },
{"??0bad_cast@@QAE@ABQBD@Z", 0x000115C2, NULL, NULL, 0x0004 },
{"??0bad_cast@@QAE@ABV0@@Z", 0x00011590, NULL, NULL, 0x0005 },
{"??0bad_cast@@QAE@PBD@Z", 0x0001156D, NULL, NULL, 0x0006 },
{"??0bad_typeid@@QAE@ABV0@@Z", 0x00011607, NULL, NULL, 0x0007 },
{"??0bad_typeid@@QAE@PBD@Z", 0x000115E4, NULL, NULL, 0x0008 },
{"??0exception@@QAE@ABQBD@Z", 0x00011498, NULL, NULL, 0x0009 },
{"??0exception@@QAE@ABV0@@Z", 0x000114E7, NULL, NULL, 0x000A },
{"??0exception@@QAE@XZ", 0x00011482, NULL, NULL, 0x000B },
{"??1__non_rtti_object@@UAE@XZ", 0x0001166D, NULL, NULL, 0x000C },
{"??1bad_cast@@UAE@XZ", 0x000115B2, NULL, NULL, 0x000D },
{"??1bad_typeid@@UAE@XZ", 0x0001166D, NULL, NULL, 0x000E },
{"??1exception@@UAE@XZ", 0x00011540, NULL, NULL, 0x000F },
{"??1type_info@@UAE@XZ", 0x00011868, NULL, NULL, 0x0010 },
{"??2@YAPAXI@Z", 0x00019CC5, NULL, NULL, 0x0011 },
{"??3@YAXPAX@Z", 0x00019CDD, NULL, NULL, 0x0012 },
{"??4__non_rtti_object@@QAEAAV0@ABV0@@Z", 0x0001184C, NULL, NULL, 0x0013 },
{"??4bad_cast@@QAEAAV0@ABV0@@Z", 0x00011830, NULL, NULL, 0x0014 },
{"??4bad_typeid@@QAEAAV0@ABV0@@Z", 0x00011830, NULL, NULL, 0x0015 },
{"??4exception@@QAEAAV0@ABV0@@Z", 0x00011808, NULL, NULL, 0x0016 },
{"??8type_info@@QBEHABV0@@Z", 0x00011898, NULL, NULL, 0x0017 },
{"??9type_info@@QBEHABV0@@Z", 0x000118E1, NULL, NULL, 0x0018 },
{"??_7__non_rtti_object@@6B@", 0x000013F8, NULL, NULL, 0x0019 },
{"??_7bad_cast@@6B@", 0x000013E0, NULL, NULL, 0x001A },
{"??_7bad_typeid@@6B@", 0x000013EC, NULL, NULL, 0x001B },
{"??_7exception@@6B@", 0x000013C0, NULL, NULL, 0x001C },
{"??_E__non_rtti_object@@UAEPAXI@Z", 0x0001178F, NULL, NULL, 0x001D },
{"??_Ebad_cast@@UAEPAXI@Z", 0x0001172C, NULL, NULL, 0x001E },
{"??_Ebad_typeid@@UAEPAXI@Z", 0x0001178F, NULL, NULL, 0x001F },
{"??_Eexception@@UAEPAXI@Z", 0x000116A3, NULL, NULL, 0x0020 },
{"??_Fbad_cast@@QAEXXZ", 0x000116F6, NULL, NULL, 0x0021 },
{"??_Fbad_typeid@@QAEXXZ", 0x0001177F, NULL, NULL, 0x0022 },
{"??_G__non_rtti_object@@UAEPAXI@Z", 0x000117E2, NULL, NULL, 0x0023 },
{"??_Gbad_cast@@UAEPAXI@Z", 0x00011706, NULL, NULL, 0x0024 },
{"??_Gbad_typeid@@UAEPAXI@Z", 0x000117E2, NULL, NULL, 0x0025 },
{"??_Gexception@@UAEPAXI@Z", 0x0001167D, NULL, NULL, 0x0026 },
{"??_U@YAPAXI@Z", 0x00019CED, NULL, NULL, 0x0027 },
{"??_V@YAXPAX@Z", 0x00019CFD, NULL, NULL, 0x0028 },
{"__uncaught_exception", 0x00011BB1, NULL, NULL, 0x0029 },
{"?_query_new_handler@@YAP6AHI@ZXZ", 0x00019D3B, NULL, NULL, 0x002A },
{"?_query_new_mode@@YAHXZ", 0x00019D94, NULL, NULL, 0x002B },
{"?_set_new_handler@@YAP6AHI@ZP6AHI@Z@Z", 0x00019D0D, NULL, NULL, 0x002C },
{"?_set_new_mode@@YAHH@Z", 0x00019D6C, NULL, NULL, 0x002D },
{"?_set_se_translator@@YAP6AXIPAU_EXCEPTION_POINTERS@@@ZP6AXI0@Z@Z", 0x000125AD, NULL, NULL, 0x002E },
{"?before@type_info@@QBEHABV1@@Z", 0x0001192A, NULL, NULL, 0x002F },
{"?name@type_info@@QBEPBDXZ", 0x000125D0, NULL, NULL, 0x0030 },
{"?raw_name@type_info@@QBEPBDXZ", 0x00011973, NULL, NULL, 0x0031 },
{"?set_new_handler@@YAP6AXXZP6AXXZ@Z", 0x00019D9F, NULL, NULL, 0x0032 },
{"?set_terminate@@YAP6AXXZP6AXXZ@Z", 0x00012567, NULL, NULL, 0x0033 },
{"?set_unexpected@@YAP6AXXZP6AXXZ@Z", 0x0001258A, NULL, NULL, 0x0034 },
{"?terminate@@YAXXZ", 0x0001266D, NULL, NULL, 0x0035 },
{"?unexpected@@YAXXZ", 0x000126A7, NULL, NULL, 0x0036 },
{"?what@exception@@UBEPBDXZ", 0x0001155B, NULL, NULL, 0x0037 },
{"$I10_OUTPUT", 0x0003B319, NULL, NULL, 0x0038 },
{"_CIacos", 0x0003CA60, NULL, NULL, 0x0039 },
{"_CIasin", 0x0003CB30, NULL, NULL, 0x003A },
{"_CIatan", 0x0003CC40, NULL, NULL, 0x003B },
{"_CIatan2", 0x0003CD2A, NULL, NULL, 0x003C },
{"_CIcos", 0x0003CD40, NULL, NULL, 0x003D },
{"_CIcosh", 0x0003CE22, NULL, NULL, 0x003E },
{"_CIexp", 0x0003CE7C, NULL, NULL, 0x003F },
{"_CIfmod", 0x0003CEDA, NULL, NULL, 0x0040 },
{"_CIlog", 0x0003CF40, NULL, NULL, 0x0041 },
{"_CIlog10", 0x0003D0A0, NULL, NULL, 0x0042 },
{"_CIpow", 0x0003D200, NULL, NULL, 0x0043 },
{"_CIsin", 0x0003D450, NULL, NULL, 0x0044 },
{"_CIsinh", 0x0003CE18, NULL, NULL, 0x0045 },
{"_CIsqrt", 0x0003D510, NULL, NULL, 0x0046 },
{"_CItan", 0x0003D5D0, NULL, NULL, 0x0047 },
{"_CItanh", 0x0003CE29, NULL, NULL, 0x0048 },
{"_CxxThrowException", 0x000126F6, NULL, NULL, 0x0049 },
{"_EH_prolog", 0x00012738, NULL, NULL, 0x004A },
{"_Getdays", 0x00038450, NULL, NULL, 0x004B },
{"_Getmonths", 0x00038509, NULL, NULL, 0x004C },
{"_Gettnames", 0x000385C7, NULL, NULL, 0x004D },
{"_HUGE", 0x000504F0, NULL, NULL, 0x004E },
{"_Strftime", 0x00039094, NULL, NULL, 0x004F },
{"_XcptFilter", 0x00022DAE, NULL, NULL, 0x0050 },
{"__CxxCallUnwindDtor", 0x00011D1D, NULL, NULL, 0x0051 },
{"__CxxDetectRethrow", 0x00011C33, NULL, NULL, 0x0052 },
{"__CxxExceptionFilter", 0x0001207D, NULL, NULL, 0x0053 },
{"__CxxFrameHandler", 0x000127FA, NULL, NULL, 0x0054 },
{"__CxxLongjmpUnwind", 0x00012837, NULL, NULL, 0x0055 },
{"__CxxQueryExceptionSize", 0x00011D14, NULL, NULL, 0x0056 },
{"__CxxRegisterExceptionObject", 0x00011BC9, NULL, NULL, 0x0057 },
{"__CxxUnregisterExceptionObject", 0x00011C8B, NULL, NULL, 0x0058 },
{"__DestructExceptionObject", 0x00011B41, NULL, NULL, 0x0059 },
{"__RTCastToVoid", 0x00012D19, NULL, NULL, 0x005A },
{"__RTDynamicCast", 0x00013079, NULL, NULL, 0x005B },
{"__RTtypeid", 0x00012BBA, NULL, NULL, 0x005C },
{"__STRINGTOLD", 0x0003B9FA, NULL, NULL, 0x005D },
{"___lc_codepage_func", 0x000230F4, NULL, NULL, 0x005E },
{"___lc_handle_func", 0x00023112, NULL, NULL, 0x005F },
{"___mb_cur_max_func", 0x000230E9, NULL, NULL, 0x0060 },
{"___setlc_active_func", 0x00023130, NULL, NULL, 0x0061 },
{"___unguarded_readlc_active_add_func", 0x0002313B, NULL, NULL, 0x0062 },
{"__argc", 0x00051A28, NULL, NULL, 0x0063 },
{"__argv", 0x00051A2C, NULL, NULL, 0x0064 },
{"__badioinfo", 0x0004F310, NULL, NULL, 0x0065 },
{"__crtCompareStringA", 0x00023DA5, NULL, NULL, 0x0066 },
{"__crtCompareStringW", 0x00024157, NULL, NULL, 0x0067 },
{"__crtGetLocaleInfoW", 0x000243AE, NULL, NULL, 0x0068 },
{"__crtGetStringTypeW", 0x000244E3, NULL, NULL, 0x0069 },
{"__crtLCMapStringA", 0x00024715, NULL, NULL, 0x006A },
{"__crtLCMapStringW", 0x00024AE6, NULL, NULL, 0x006B },
{"__dllonexit", 0x00024E51, NULL, NULL, 0x006C },
{"__doserrno", 0x0000F2CA, NULL, NULL, 0x006D },
{"__fpecode", 0x00024FB8, NULL, NULL, 0x006E },
{"__getmainargs", 0x0000EEEB, NULL, NULL, 0x006F },
{"__initenv", 0x00051A38, NULL, NULL, 0x0070 },
{"__iob_func", 0x0000F207, NULL, NULL, 0x0071 },
{"__isascii", 0x0000BE0A, NULL, NULL, 0x0072 },
{"__iscsym", 0x0000BE57, NULL, NULL, 0x0073 },
{"__iscsymf", 0x0000BE33, NULL, NULL, 0x0074 },
{"__lc_codepage", 0x000518B4, NULL, NULL, 0x0075 },
{"__lc_collate_cp", 0x000518B8, NULL, NULL, 0x0076 },
{"__lc_handle", 0x0005189C, NULL, NULL, 0x0077 },
{"__lconv_init", 0x0002530B, NULL, NULL, 0x0078 },
{"__mb_cur_max", 0x0004F97C, NULL, NULL, 0x0079 },
{"__p___argc", 0x0000F183, NULL, NULL, 0x007A },
{"__p___argv", 0x0000F18E, NULL, NULL, 0x007B },
{"__p___initenv", 0x0000F1F1, NULL, NULL, 0x007C },
{"__p___mb_cur_max", 0x0000F228, NULL, NULL, 0x007D },
{"__p___wargv", 0x0000F199, NULL, NULL, 0x007E },
{"__p___winitenv", 0x0000F1FC, NULL, NULL, 0x007F },
{"__p__acmdln", 0x0000F162, NULL, NULL, 0x0080 },
{"__p__amblksiz", 0x0000F178, NULL, NULL, 0x0081 },
{"__p__commode", 0x0000F1A4, NULL, NULL, 0x0082 },
{"__p__daylight", 0x0000F1AF, NULL, NULL, 0x0083 },
{"__p__dstbias", 0x0000F1BA, NULL, NULL, 0x0084 },
{"__p__environ", 0x0000F1C5, NULL, NULL, 0x0085 },
{"__p__fileinfo", 0x0000F1E6, NULL, NULL, 0x0086 },
{"__p__fmode", 0x0000F1DB, NULL, NULL, 0x0087 },
{"__p__iob", 0x0000F207, NULL, NULL, 0x0088 },
{"__p__mbcasemap", 0x0000F21D, NULL, NULL, 0x0089 },
{"__p__mbctype", 0x0000F212, NULL, NULL, 0x008A },
{"__p__osver", 0x0000F233, NULL, NULL, 0x008B },
{"__p__pctype", 0x0000F23E, NULL, NULL, 0x008C },
{"__p__pgmptr", 0x0000F254, NULL, NULL, 0x008D },
{"__p__pwctype", 0x0000F249, NULL, NULL, 0x008E },
{"__p__timezone", 0x0000F26A, NULL, NULL, 0x008F },
{"__p__tzname", 0x0000F275, NULL, NULL, 0x0090 },
{"__p__wcmdln", 0x0000F16D, NULL, NULL, 0x0091 },
{"__p__wenviron", 0x0000F1D0, NULL, NULL, 0x0092 },
{"__p__winmajor", 0x0000F280, NULL, NULL, 0x0093 },
{"__p__winminor", 0x0000F28B, NULL, NULL, 0x0094 },
{"__p__winver", 0x0000F296, NULL, NULL, 0x0095 },
{"__p__wpgmptr", 0x0000F25F, NULL, NULL, 0x0096 },
{"__pctype_func", 0x0002533D, NULL, NULL, 0x0097 },
{"__pioinfo", 0x00052440, NULL, NULL, 0x0098 },
{"__pxcptinfoptrs", 0x00024FC6, NULL, NULL, 0x0099 },
{"__set_app_type", 0x0002537C, NULL, NULL, 0x009A },
{"__setlc_active", 0x0005278C, NULL, NULL, 0x009B },
{"__setusermatherr", 0x0003D695, NULL, NULL, 0x009C },
{"__threadhandle", 0x0002A11A, NULL, NULL, 0x009D },
{"__threadid", 0x0002A10F, NULL, NULL, 0x009E },
{"__toascii", 0x0000BE21, NULL, NULL, 0x009F },
{"__unDName", 0x00017897, NULL, NULL, 0x00A0 },
{"__unDNameEx", 0x0001793C, NULL, NULL, 0x00A1 },
{"__unguarded_readlc_active", 0x00052790, NULL, NULL, 0x00A2 },
{"__wargv", 0x00051A30, NULL, NULL, 0x00A3 },
{"__wcserror", 0x00025390, NULL, NULL, 0x00A4 },
{"__wgetmainargs", 0x0000EE8A, NULL, NULL, 0x00A5 },
{"__winitenv", 0x00051A40, NULL, NULL, 0x00A6 },
{"_abnormal_termination", 0x00025517, NULL, NULL, 0x00A7 },
{"_access", 0x0000F355, NULL, NULL, 0x00A8 },
{"_acmdln", 0x000517AC, NULL, NULL, 0x00A9 },
{"_adj_fdiv_m16i", 0x0003DD44, NULL, NULL, 0x00AA },
{"_adj_fdiv_m32", 0x0003DCAC, NULL, NULL, 0x00AB },
{"_adj_fdiv_m32i", 0x0003DD78, NULL, NULL, 0x00AC },
{"_adj_fdiv_m64", 0x0003DCF8, NULL, NULL, 0x00AD },
{"_adj_fdiv_r", 0x0003D7E7, NULL, NULL, 0x00AE },
{"_adj_fdivr_m16i", 0x0003DE44, NULL, NULL, 0x00AF },
{"_adj_fdivr_m32", 0x0003DDAC, NULL, NULL, 0x00B0 },
{"_adj_fdivr_m32i", 0x0003DE78, NULL, NULL, 0x00B1 },
{"_adj_fdivr_m64", 0x0003DDF8, NULL, NULL, 0x00B2 },
{"_adj_fpatan", 0x0003E455, NULL, NULL, 0x00B3 },
{"_adj_fprem", 0x0003E0DC, NULL, NULL, 0x00B4 },
{"_adj_fprem1", 0x0003E394, NULL, NULL, 0x00B5 },
{"_adj_fptan", 0x0003E458, NULL, NULL, 0x00B6 },
{"_adjust_fdiv", 0x000523D8, NULL, NULL, 0x00B7 },
{"_aexit_rtn", 0x0004D000, NULL, NULL, 0x00B8 },
{"_aligned_free", 0x00019E33, NULL, NULL, 0x00B9 },
{"_aligned_malloc", 0x00019E52, NULL, NULL, 0x00BA },
{"_aligned_offset_malloc", 0x00019DAF, NULL, NULL, 0x00BB },
{"_aligned_offset_realloc", 0x00019E6E, NULL, NULL, 0x00BC },
{"_aligned_realloc", 0x00019FC6, NULL, NULL, 0x00BD },
{"_amsg_exit", 0x0000F125, NULL, NULL, 0x00BE },
{"_assert", 0x00025566, NULL, NULL, 0x00BF },
{"_atodbl", 0x0003BE9C, NULL, NULL, 0x00C0 },
{"_atoi64", 0x0000BF28, NULL, NULL, 0x00C1 },
{"_atoldbl", 0x0003BEE4, NULL, NULL, 0x00C2 },
{"_beep", 0x0000E10A, NULL, NULL, 0x00C3 },
{"_beginthread", 0x0002A26E, NULL, NULL, 0x00C4 },
{"_beginthreadex", 0x0002A3DB, NULL, NULL, 0x00C5 },
{"_c_exit", 0x00029ECE, NULL, NULL, 0x00C6 },
{"_cabs", 0x0003E708, NULL, NULL, 0x00C7 },
{"_callnewh", 0x00019D46, NULL, NULL, 0x00C8 },
{"_cexit", 0x00029EB6, NULL, NULL, 0x00C9 },
{"_cgets", 0x0001CAB0, NULL, NULL, 0x00CA },
{"_cgetws", 0x0001CB91, NULL, NULL, 0x00CB },
{"_chdir", 0x0000F3A5, NULL, NULL, 0x00CC },
{"_chdrive", 0x0000F4AC, NULL, NULL, 0x00CD },
{"_chgsign", 0x0003E756, NULL, NULL, 0x00CE },
{"_chkesp", 0x00025BBC, NULL, NULL, 0x00CF },
{"_chmod", 0x0000F53F, NULL, NULL, 0x00D0 },
{"_chsize", 0x0001CFAE, NULL, NULL, 0x00D1 },
{"_clearfp", 0x0003EDFA, NULL, NULL, 0x00D2 },
{"_close", 0x0001D0D7, NULL, NULL, 0x00D3 },
{"_commit", 0x0001D177, NULL, NULL, 0x00D4 },
{"_commode", 0x000521FC, NULL, NULL, 0x00D5 },
{"_control87", 0x0003EE15, NULL, NULL, 0x00D6 },
{"_controlfp", 0x0003EE4F, NULL, NULL, 0x00D7 },
{"_copysign", 0x0003E72E, NULL, NULL, 0x00D8 },
{"_cprintf", 0x0002C388, NULL, NULL, 0x00D9 },
{"_cputs", 0x0001D238, NULL, NULL, 0x00DA },
{"_cputws", 0x0001D35D, NULL, NULL, 0x00DB },
{"_creat", 0x0001D40F, NULL, NULL, 0x00DC },
{"_cscanf", 0x0002D0BB, NULL, NULL, 0x00DD },
{"_ctime64", 0x000390EF, NULL, NULL, 0x00DE },
{"_ctype", 0x000028A0, NULL, NULL, 0x00DF },
{"_cwait", 0x000181BD, NULL, NULL, 0x00E0 },
{"_cwprintf", 0x0002DB3B, NULL, NULL, 0x00E1 },
{"_cwscanf", 0x0002E94F, NULL, NULL, 0x00E2 },
{"_daylight", 0x0004FFD4, NULL, NULL, 0x00E3 },
{"_dstbias", 0x0004FFD8, NULL, NULL, 0x00E4 },
{"_dup", 0x0001D4F4, NULL, NULL, 0x00E5 },
{"_dup2", 0x0001D70D, NULL, NULL, 0x00E6 },
{"_ecvt", 0x0000C0A2, NULL, NULL, 0x00E7 },
{"_endthread", 0x0002A194, NULL, NULL, 0x00E8 },
{"_endthreadex", 0x0002A307, NULL, NULL, 0x00E9 },
{"_environ", 0x00051A34, NULL, NULL, 0x00EA },
{"_eof", 0x0001D7DD, NULL, NULL, 0x00EB },
{"_errno", 0x0000F2BC, NULL, NULL, 0x00EC },
{"_except_handler2", 0x00025BDC, NULL, NULL, 0x00ED },
{"_except_handler3", 0x00025C94, NULL, NULL, 0x00EE },
{"_execl", 0x00018253, NULL, NULL, 0x00EF },
{"_execle", 0x00018270, NULL, NULL, 0x00F0 },
{"_execlp", 0x00018299, NULL, NULL, 0x00F1 },
{"_execlpe", 0x000182B3, NULL, NULL, 0x00F2 },
{"_execv", 0x000182DC, NULL, NULL, 0x00F3 },
{"_execve", 0x00018351, NULL, NULL, 0x00F4 },
{"_execvp", 0x000184DF, NULL, NULL, 0x00F5 },
{"_execvpe", 0x000184FB, NULL, NULL, 0x00F6 },
{"_exit", 0x00029E9A, NULL, NULL, 0x00F7 },
{"_expand", 0x00019FE5, NULL, NULL, 0x00F8 },
{"_fcloseall", 0x0002E968, NULL, NULL, 0x00F9 },
{"_fcvt", 0x0000C054, NULL, NULL, 0x00FA },
{"_fdopen", 0x0002EA08, NULL, NULL, 0x00FB },
{"_fgetchar", 0x0002EB2A, NULL, NULL, 0x00FC },
{"_fgetwchar", 0x0002EB45, NULL, NULL, 0x00FD },
{"_filbuf", 0x0002EB60, NULL, NULL, 0x00FE },
{"_fileinfo", 0x0004D2A0, NULL, NULL, 0x00FF },
{"_filelength", 0x0001D8E2, NULL, NULL, 0x0100 },
{"_filelengthi64", 0x0001D9BB, NULL, NULL, 0x0101 },
{"_fileno", 0x0002EC4B, NULL, NULL, 0x0102 },
{"_findclose", 0x0000E122, NULL, NULL, 0x0103 },
{"_findfirst", 0x0000E1B8, NULL, NULL, 0x0104 },
{"_findfirst64", 0x0000E3F8, NULL, NULL, 0x0105 },
{"_findfirsti64", 0x0000E61B, NULL, NULL, 0x0106 },
{"_findnext", 0x0000E2A4, NULL, NULL, 0x0107 },
{"_findnext64", 0x0000E50C, NULL, NULL, 0x0108 },
{"_findnexti64", 0x0000E726, NULL, NULL, 0x0109 },
{"_finite", 0x0003EB3E, NULL, NULL, 0x010A },
{"_flsbuf", 0x0002EC5D, NULL, NULL, 0x010B },
{"_flushall", 0x0002EF4B, NULL, NULL, 0x010C },
{"_fmode", 0x0005185C, NULL, NULL, 0x010D },
{"_fpclass", 0x0003EB94, NULL, NULL, 0x010E },
{"_fpieee_flt", 0x0003F3AE, NULL, NULL, 0x010F },
{"_fpreset", 0x0003EC37, NULL, NULL, 0x0110 },
{"_fputchar", 0x0002EF59, NULL, NULL, 0x0111 },
{"_fputwchar", 0x0002EF84, NULL, NULL, 0x0112 },
{"_fsopen", 0x0002EFAF, NULL, NULL, 0x0113 },
{"_fstat", 0x0001DAB4, NULL, NULL, 0x0114 },
{"_fstat64", 0x0001DD75, NULL, NULL, 0x0115 },
{"_fstati64", 0x0001E07A, NULL, NULL, 0x0116 },
{"_ftime", 0x00039113, NULL, NULL, 0x0117 },
{"_ftime64", 0x00039224, NULL, NULL, 0x0118 },
{"_ftol", 0x0003FA30, NULL, NULL, 0x0119 },
{"_fullpath", 0x0000F589, NULL, NULL, 0x011A },
{"_futime", 0x00039351, NULL, NULL, 0x011B },
{"_futime64", 0x000394DE, NULL, NULL, 0x011C },
{"_gcvt", 0x0000C0FA, NULL, NULL, 0x011D },
{"_get_heap_handle", 0x0001A401, NULL, NULL, 0x011E },
{"_get_osfhandle", 0x0001E468, NULL, NULL, 0x011F },
{"_get_sbh_threshold", 0x0001A40C, NULL, NULL, 0x0120 },
{"_getch", 0x0001EAA1, NULL, NULL, 0x0121 },
{"_getche", 0x0001EAC4, NULL, NULL, 0x0122 },
{"_getcwd", 0x0000F785, NULL, NULL, 0x0123 },
{"_getdcwd", 0x0000F7D0, NULL, NULL, 0x0124 },
{"_getdiskfree", 0x0000E82C, NULL, NULL, 0x0125 },
{"_getdllprocaddr", 0x000186B2, NULL, NULL, 0x0126 },
{"_getdrive", 0x0000F452, NULL, NULL, 0x0127 },
{"_getdrives", 0x0000E885, NULL, NULL, 0x0128 },
{"_getmaxstdio", 0x0002F12C, NULL, NULL, 0x0129 },
{"_getmbcp", 0x00020838, NULL, NULL, 0x012A },
{"_getpid", 0x0000F81C, NULL, NULL, 0x012B },
{"_getsystime", 0x00039671, NULL, NULL, 0x012C },
{"_getw", 0x0002F137, NULL, NULL, 0x012D },
{"_getwch", 0x0001ECF6, NULL, NULL, 0x012E },
{"_getwche", 0x0001ED1A, NULL, NULL, 0x012F },
{"_getws", 0x0002F1B9, NULL, NULL, 0x0130 },
{"_global_unwind2", 0x0002544C, NULL, NULL, 0x0131 },
{"_gmtime64", 0x00039743, NULL, NULL, 0x0132 },
{"_heapadd", 0x0001BC9F, NULL, NULL, 0x0133 },
{"_heapchk", 0x0001BCB3, NULL, NULL, 0x0134 },
{"_heapmin", 0x0001BD8C, NULL, NULL, 0x0135 },
{"_heapset", 0x0001BD82, NULL, NULL, 0x0136 },
{"_heapused", 0x0001BE3A, NULL, NULL, 0x0137 },
{"_heapwalk", 0x0001BE4D, NULL, NULL, 0x0138 },
{"_hypot", 0x0003E6E2, NULL, NULL, 0x0139 },
{"_i64toa", 0x0000C2E1, NULL, NULL, 0x013A },
{"_i64tow", 0x0000C489, NULL, NULL, 0x013B },
{"_initterm", 0x00029D67, NULL, NULL, 0x013C },
{"_inp", 0x0001ED70, NULL, NULL, 0x013D },
{"_inpd", 0x0001ED81, NULL, NULL, 0x013E },
{"_inpw", 0x0001ED79, NULL, NULL, 0x013F },
{"_iob", 0x0004FC80, NULL, NULL, 0x0140 },
{"_isatty", 0x0001ED8D, NULL, NULL, 0x0141 },
{"_isctype", 0x0000C561, NULL, NULL, 0x0142 },
{"_ismbbalnum", 0x00020A3C, NULL, NULL, 0x0143 },
{"_ismbbalpha", 0x00020A5A, NULL, NULL, 0x0144 },
{"_ismbbgraph", 0x00020A78, NULL, NULL, 0x0145 },
{"_ismbbkalnum", 0x000209EB, NULL, NULL, 0x0146 },
{"_ismbbkana", 0x00020B05, NULL, NULL, 0x0147 },
{"_ismbbkprint", 0x00020A06, NULL, NULL, 0x0148 },
{"_ismbbkpunct", 0x00020A21, NULL, NULL, 0x0149 },
{"_ismbblead", 0x00020ACF, NULL, NULL, 0x014A },
{"_ismbbprint", 0x00020A96, NULL, NULL, 0x014B },
{"_ismbbpunct", 0x00020AB4, NULL, NULL, 0x014C },
{"_ismbbtrail", 0x00020AEA, NULL, NULL, 0x014D },
{"_ismbcalnum", 0x00020B37, NULL, NULL, 0x014E },
{"_ismbcalpha", 0x00020BD1, NULL, NULL, 0x014F },
{"_ismbcdigit", 0x00020C6B, NULL, NULL, 0x0150 },
{"_ismbcgraph", 0x00020CF6, NULL, NULL, 0x0151 },
{"_ismbchira", 0x00020D90, NULL, NULL, 0x0152 },
{"_ismbckata", 0x00020DC1, NULL, NULL, 0x0153 },
{"_ismbcl0", 0x00020E35, NULL, NULL, 0x0154 },
{"_ismbcl1", 0x00020E8A, NULL, NULL, 0x0155 },
{"_ismbcl2", 0x00020EE7, NULL, NULL, 0x0156 },
{"_ismbclegal", 0x00020F44, NULL, NULL, 0x0157 },
{"_ismbclower", 0x00020F87, NULL, NULL, 0x0158 },
{"_ismbcprint", 0x00021018, NULL, NULL, 0x0159 },
{"_ismbcpunct", 0x000210B2, NULL, NULL, 0x015A },
{"_ismbcspace", 0x00021148, NULL, NULL, 0x015B },
{"_ismbcsymbol", 0x00020DFB, NULL, NULL, 0x015C },
{"_ismbcupper", 0x000211D3, NULL, NULL, 0x015D },
{"_ismbslead", 0x000212A8, NULL, NULL, 0x015E },
{"_ismbstrail", 0x000212D8, NULL, NULL, 0x015F },
{"_isnan", 0x0003EB5D, NULL, NULL, 0x0160 },
{"_itoa", 0x0000C1F3, NULL, NULL, 0x0161 },
{"_itow", 0x0000C392, NULL, NULL, 0x0162 },
{"_j0", 0x0003FAB0, NULL, NULL, 0x0163 },
{"_j1", 0x0003FBAA, NULL, NULL, 0x0164 },
{"_jn", 0x0003FCC4, NULL, NULL, 0x0165 },
{"_kbhit", 0x0001EAE7, NULL, NULL, 0x0166 },
{"_lfind", 0x00025D9A, NULL, NULL, 0x0167 },
{"_loaddll", 0x000186E8, NULL, NULL, 0x0168 },
{"_local_unwind2", 0x000254A7, NULL, NULL, 0x0169 },
{"_localtime64", 0x0003996F, NULL, NULL, 0x016A },
{"_lock", 0x0002A5BB, NULL, NULL, 0x016B },
{"_locking", 0x0001EE84, NULL, NULL, 0x016C },
{"_logb", 0x0003E7A2, NULL, NULL, 0x016D },
{"_longjmpex", 0x00025DD4, NULL, NULL, 0x016E },
{"_lrotl", 0x00025DDE, NULL, NULL, 0x016F },
{"_lrotr", 0x00025E02, NULL, NULL, 0x0170 },
{"_lsearch", 0x00025E26, NULL, NULL, 0x0171 },
{"_lseek", 0x0001EFB0, NULL, NULL, 0x0172 },
{"_lseeki64", 0x0001F0EA, NULL, NULL, 0x0173 },
{"_ltoa", 0x0000C222, NULL, NULL, 0x0174 },
{"_ltow", 0x0000C3C1, NULL, NULL, 0x0175 },
{"_makepath", 0x00025E76, NULL, NULL, 0x0176 },
{"_mbbtombc", 0x0002132C, NULL, NULL, 0x0177 },
{"_mbbtype", 0x0002146F, NULL, NULL, 0x0178 },
{"_mbcasemap", 0x00052680, NULL, NULL, 0x0179 },
{"_mbccpy", 0x0002149F, NULL, NULL, 0x017A },
{"_mbcjistojms", 0x000214C7, NULL, NULL, 0x017B },
{"_mbcjmstojis", 0x00021534, NULL, NULL, 0x017C },
{"_mbclen", 0x000215E8, NULL, NULL, 0x017D },
{"_mbctohira", 0x00021608, NULL, NULL, 0x017E },
{"_mbctokata", 0x00021644, NULL, NULL, 0x017F },
{"_mbctolower", 0x00021671, NULL, NULL, 0x0180 },
{"_mbctombb", 0x0002139E, NULL, NULL, 0x0181 },
{"_mbctoupper", 0x000216FD, NULL, NULL, 0x0182 },
{"_mbctype", 0x00052560, NULL, NULL, 0x0183 },
{"_mbsbtype", 0x000217CF, NULL, NULL, 0x0184 },
{"_mbscat", 0x00036040, NULL, NULL, 0x0185 },
{"_mbschr", 0x000217FF, NULL, NULL, 0x0186 },
{"_mbscmp", 0x00021881, NULL, NULL, 0x0187 },
{"_mbscoll", 0x00021944, NULL, NULL, 0x0188 },
{"_mbscpy", 0x00036030, NULL, NULL, 0x0189 },
{"_mbscspn", 0x00021A0B, NULL, NULL, 0x018A },
{"_mbsdec", 0x00021A3B, NULL, NULL, 0x018B },
{"_mbsdup", 0x00036125, NULL, NULL, 0x018C },
{"_mbsicmp", 0x00021AA3, NULL, NULL, 0x018D },
{"_mbsicoll", 0x00021BF5, NULL, NULL, 0x018E },
{"_mbsinc", 0x00021C3E, NULL, NULL, 0x018F },
{"_mbslen", 0x00021C5F, NULL, NULL, 0x0190 },
{"_mbslwr", 0x00021CBA, NULL, NULL, 0x0191 },
{"_mbsnbcat", 0x00021D46, NULL, NULL, 0x0192 },
{"_mbsnbcmp", 0x00021E1D, NULL, NULL, 0x0193 },
{"_mbsnbcnt", 0x00021F38, NULL, NULL, 0x0194 },
{"_mbsnbcoll", 0x00021F68, NULL, NULL, 0x0195 },
{"_mbsnbcpy", 0x00021FBD, NULL, NULL, 0x0196 },
{"_mbsnbicmp", 0x00022057, NULL, NULL, 0x0197 },
{"_mbsnbicoll", 0x000221CD, NULL, NULL, 0x0198 },
{"_mbsnbset", 0x00022222, NULL, NULL, 0x0199 },
{"_mbsncat", 0x0002229D, NULL, NULL, 0x019A },
{"_mbsnccnt", 0x00022360, NULL, NULL, 0x019B },
{"_mbsncmp", 0x000223B7, NULL, NULL, 0x019C },
{"_mbsncoll", 0x00022463, NULL, NULL, 0x019D },
{"_mbsncpy", 0x000224D4, NULL, NULL, 0x019E },
{"_mbsnextc", 0x00022563, NULL, NULL, 0x019F },
{"_mbsnicmp", 0x0002258B, NULL, NULL, 0x01A0 },
{"_mbsnicoll", 0x000226D8, NULL, NULL, 0x01A1 },
{"_mbsninc", 0x00022749, NULL, NULL, 0x01A2 },
{"_mbsnset", 0x0002276F, NULL, NULL, 0x01A3 },
{"_mbspbrk", 0x000228D3, NULL, NULL, 0x01A4 },
{"_mbsrchr", 0x00022903, NULL, NULL, 0x01A5 },
{"_mbsrev", 0x00022975, NULL, NULL, 0x01A6 },
{"_mbsset", 0x000229E8, NULL, NULL, 0x01A7 },
{"_mbsspn", 0x00022AC4, NULL, NULL, 0x01A8 },
{"_mbsspnp", 0x00022B80, NULL, NULL, 0x01A9 },
{"_mbsstr", 0x00022BB0, NULL, NULL, 0x01AA },
{"_mbstok", 0x00022C70, NULL, NULL, 0x01AB },
{"_mbstrlen", 0x0000C591, NULL, NULL, 0x01AC },
{"_mbsupr", 0x00022D22, NULL, NULL, 0x01AD },
{"_memccpy", 0x00036170, NULL, NULL, 0x01AE },
{"_memicmp", 0x000361C8, NULL, NULL, 0x01AF },
{"_mkdir", 0x0000F827, NULL, NULL, 0x01B0 },
{"_mktemp", 0x0001F1AD, NULL, NULL, 0x01B1 },
{"_mktime64", 0x00039DCE, NULL, NULL, 0x01B2 },
{"_msize", 0x0001BF6C, NULL, NULL, 0x01B3 },
{"_nextafter", 0x0003E894, NULL, NULL, 0x01B4 },
{"_onexit", 0x00024DF8, NULL, NULL, 0x01B5 },
{"_open", 0x0001F566, NULL, NULL, 0x01B6 },
{"_open_osfhandle", 0x0001E6B2, NULL, NULL, 0x01B7 },
{"_osplatform", 0x00051A14, NULL, NULL, 0x01B8 },
{"_osver", 0x00051A18, NULL, NULL, 0x01B9 },
{"_outp", 0x0001F620, NULL, NULL, 0x01BA },
{"_outpd", 0x0001F63A, NULL, NULL, 0x01BB },
{"_outpw", 0x0001F62D, NULL, NULL, 0x01BC },
{"_pclose", 0x0002F6DD, NULL, NULL, 0x01BD },
{"_pctype", 0x0004F988, NULL, NULL, 0x01BE },
{"_pgmptr", 0x00051A44, NULL, NULL, 0x01BF },
{"_pipe", 0x0001F64A, NULL, NULL, 0x01C0 },
{"_popen", 0x0002F290, NULL, NULL, 0x01C1 },
{"_purecall", 0x00025F0D, NULL, NULL, 0x01C2 },
{"_putch", 0x0001F894, NULL, NULL, 0x01C3 },
{"_putenv", 0x00025FCC, NULL, NULL, 0x01C4 },
{"_putw", 0x0002F771, NULL, NULL, 0x01C5 },
{"_putwch", 0x0001D3CA, NULL, NULL, 0x01C6 },
{"_putws", 0x0002F7F6, NULL, NULL, 0x01C7 },
{"_pwctype", 0x0004F98C, NULL, NULL, 0x01C8 },
{"_read", 0x0001FAA3, NULL, NULL, 0x01C9 },
{"_resetstkoflw", 0x0001C03F, NULL, NULL, 0x01CA },
{"_rmdir", 0x0000F85E, NULL, NULL, 0x01CB },
{"_rmtmp", 0x0002F88A, NULL, NULL, 0x01CC },
{"_rotl", 0x00025DDE, NULL, NULL, 0x01CD },
{"_rotr", 0x00025E02, NULL, NULL, 0x01CE },
{"_safe_fdiv", 0x0003DEAC, NULL, NULL, 0x01CF },
{"_safe_fdivr", 0x0003DEC1, NULL, NULL, 0x01D0 },
{"_safe_fprem", 0x0003E449, NULL, NULL, 0x01D1 },
{"_safe_fprem1", 0x0003E44F, NULL, NULL, 0x01D2 },
{"_scalb", 0x0003E783, NULL, NULL, 0x01D3 },
{"_scprintf", 0x0002F990, NULL, NULL, 0x01D4 },
{"_scwprintf", 0x0002FA3E, NULL, NULL, 0x01D5 },
{"_searchenv", 0x00026010, NULL, NULL, 0x01D6 },
{"_seh_longjmp_unwind", 0x00025D7A, NULL, NULL, 0x01D7 },
{"_set_SSE2_enable", 0x00040285, NULL, NULL, 0x01D8 },
{"_set_error_mode", 0x00025348, NULL, NULL, 0x01D9 },
{"_set_sbh_threshold", 0x0001B6E0, NULL, NULL, 0x01DA },
{"_seterrormode", 0x0000E890, NULL, NULL, 0x01DB },
{"_setjmp", 0x0002615C, NULL, NULL, 0x01DC },
{"_setjmp3", 0x0002619C, NULL, NULL, 0x01DD },
{"_setmaxstdio", 0x0002F02C, NULL, NULL, 0x01DE },
{"_setmbcp", 0x0002084D, NULL, NULL, 0x01DF },
{"_setmode", 0x0001FBC7, NULL, NULL, 0x01E0 },
{"_setsystime", 0x000396D3, NULL, NULL, 0x01E1 },
{"_sleep", 0x0000E0E8, NULL, NULL, 0x01E2 },
{"_snprintf", 0x0002FA76, NULL, NULL, 0x01E3 },
{"_snscanf", 0x0002FAD4, NULL, NULL, 0x01E4 },
{"_snwprintf", 0x0002FB0C, NULL, NULL, 0x01E5 },
{"_snwscanf", 0x0002FB83, NULL, NULL, 0x01E6 },
{"_sopen", 0x0001F5C0, NULL, NULL, 0x01E7 },
{"_spawnl", 0x0001871F, NULL, NULL, 0x01E8 },
{"_spawnle", 0x0001873F, NULL, NULL, 0x01E9 },
{"_spawnlp", 0x0001876B, NULL, NULL, 0x01EA },
{"_spawnlpe", 0x00018789, NULL, NULL, 0x01EB },
{"_spawnv", 0x000187B5, NULL, NULL, 0x01EC },
{"_spawnve", 0x0001882E, NULL, NULL, 0x01ED },
{"_spawnvp", 0x000189C5, NULL, NULL, 0x01EE },
{"_spawnvpe", 0x000189E4, NULL, NULL, 0x01EF },
{"_splitpath", 0x0002621C, NULL, NULL, 0x01F0 },
{"_stat", 0x0000F959, NULL, NULL, 0x01F1 },
{"_stat64", 0x0000FCA2, NULL, NULL, 0x01F2 },
{"_stati64", 0x000100A8, NULL, NULL, 0x01F3 },
{"_statusfp", 0x0003EDE0, NULL, NULL, 0x01F4 },
{"_strcmpi", 0x0003624E, NULL, NULL, 0x01F5 },
{"_strdate", 0x00039DE5, NULL, NULL, 0x01F6 },
{"_strdup", 0x00036125, NULL, NULL, 0x01F7 },
{"_strerror", 0x00026372, NULL, NULL, 0x01F8 },
{"_stricmp", 0x0003624E, NULL, NULL, 0x01F9 },
{"_stricoll", 0x000362BE, NULL, NULL, 0x01FA },
{"_strlwr", 0x00036320, NULL, NULL, 0x01FB },
{"_strncoll", 0x0003643F, NULL, NULL, 0x01FC },
{"_strnicmp", 0x000364BF, NULL, NULL, 0x01FD },
{"_strnicoll", 0x00036545, NULL, NULL, 0x01FE },
{"_strnset", 0x000365D0, NULL, NULL, 0x01FF },
{"_strrev", 0x00036600, NULL, NULL, 0x0200 },
{"_strset", 0x00036640, NULL, NULL, 0x0201 },
{"_strtime", 0x00039E5C, NULL, NULL, 0x0202 },
{"_strtoi64", 0x0000C877, NULL, NULL, 0x0203 },
{"_strtoui64", 0x0000C896, NULL, NULL, 0x0204 },
{"_strupr", 0x00036665, NULL, NULL, 0x0205 },
{"_swab", 0x0000C8B5, NULL, NULL, 0x0206 },
{"_sys_errlist", 0x0004F9D8, NULL, NULL, 0x0207 },
{"_sys_nerr", 0x0004FA88, NULL, NULL, 0x0208 },
{"_tell", 0x0001FC63, NULL, NULL, 0x0209 },
{"_telli64", 0x0001FC7E, NULL, NULL, 0x020A },
{"_tempnam", 0x0002FC13, NULL, NULL, 0x020B },
{"_time64", 0x00039ECA, NULL, NULL, 0x020C },
{"_timezone", 0x0004FFD0, NULL, NULL, 0x020D },
{"_tolower", 0x0000C8E8, NULL, NULL, 0x020E },
{"_toupper", 0x0000C9F5, NULL, NULL, 0x020F },
{"_tzname", 0x00050060, NULL, NULL, 0x0210 },
{"_tzset", 0x0003A56E, NULL, NULL, 0x0211 },
{"_ui64toa", 0x0000C319, NULL, NULL, 0x0212 },
{"_ui64tow", 0x0000C4C1, NULL, NULL, 0x0213 },
{"_ultoa", 0x0000C24E, NULL, NULL, 0x0214 },
{"_ultow", 0x0000C3ED, NULL, NULL, 0x0215 },
{"_umask", 0x0002645B, NULL, NULL, 0x0216 },
{"_ungetch", 0x0001EA76, NULL, NULL, 0x0217 },
{"_ungetwch", 0x0001ED3E, NULL, NULL, 0x0218 },
{"_unlink", 0x0001043E, NULL, NULL, 0x0219 },
{"_unloaddll", 0x000186FD, NULL, NULL, 0x021A },
{"_unlock", 0x0002A519, NULL, NULL, 0x021B },
{"_utime", 0x0003949E, NULL, NULL, 0x021C },
{"_utime64", 0x00039631, NULL, NULL, 0x021D },
{"_vscprintf", 0x0002FEA7, NULL, NULL, 0x021E },
{"_vscwprintf", 0x0002FF53, NULL, NULL, 0x021F },
{"_vsnprintf", 0x0002FF8A, NULL, NULL, 0x0220 },
{"_vsnwprintf", 0x0002FFE7, NULL, NULL, 0x0221 },
{"_waccess", 0x0001044E, NULL, NULL, 0x0222 },
{"_wasctime", 0x0003A5D5, NULL, NULL, 0x0223 },
{"_wchdir", 0x0001049E, NULL, NULL, 0x0224 },
{"_wchmod", 0x00010544, NULL, NULL, 0x0225 },
{"_wcmdln", 0x000517A8, NULL, NULL, 0x0226 },
{"_wcreat", 0x0001FC9B, NULL, NULL, 0x0227 },
{"_wcsdup", 0x00036784, NULL, NULL, 0x0228 },
{"_wcserror", 0x0002647B, NULL, NULL, 0x0229 },
{"_wcsicmp", 0x000367BD, NULL, NULL, 0x022A },
{"_wcsicoll", 0x00036871, NULL, NULL, 0x022B },
{"_wcslwr", 0x00036917, NULL, NULL, 0x022C },
{"_wcsncoll", 0x00036A3B, NULL, NULL, 0x022D },
{"_wcsnicmp", 0x00036ABB, NULL, NULL, 0x022E },
{"_wcsnicoll", 0x00036B82, NULL, NULL, 0x022F },
{"_wcsnset", 0x00036C46, NULL, NULL, 0x0230 },
{"_wcsrev", 0x00036C76, NULL, NULL, 0x0231 },
{"_wcsset", 0x00036CB2, NULL, NULL, 0x0232 },
{"_wcstoi64", 0x0000CD5D, NULL, NULL, 0x0233 },
{"_wcstoui64", 0x0000CD7C, NULL, NULL, 0x0234 },
{"_wcsupr", 0x00036CD4, NULL, NULL, 0x0235 },
{"_wctime", 0x0003A6BC, NULL, NULL, 0x0236 },
{"_wctime64", 0x0003A6E0, NULL, NULL, 0x0237 },
{"_wenviron", 0x00051A3C, NULL, NULL, 0x0238 },
{"_wexecl", 0x00018BA8, NULL, NULL, 0x0239 },
{"_wexecle", 0x00018BC5, NULL, NULL, 0x023A },
{"_wexeclp", 0x00018BEE, NULL, NULL, 0x023B },
{"_wexeclpe", 0x00018C08, NULL, NULL, 0x023C },
{"_wexecv", 0x00018C31, NULL, NULL, 0x023D },
{"_wexecve", 0x00018CA6, NULL, NULL, 0x023E },
{"_wexecvp", 0x00018DEA, NULL, NULL, 0x023F },
{"_wexecvpe", 0x00018E06, NULL, NULL, 0x0240 },
{"_wfdopen", 0x0003005D, NULL, NULL, 0x0241 },
{"_wfindfirst", 0x0000E8A5, NULL, NULL, 0x0242 },
{"_wfindfirst64", 0x0000EA6A, NULL, NULL, 0x0243 },
{"_wfindfirsti64", 0x0000EC83, NULL, NULL, 0x0244 },
{"_wfindnext", 0x0000E98A, NULL, NULL, 0x0245 },
{"_wfindnext64", 0x0000EB79, NULL, NULL, 0x0246 },
{"_wfindnexti64", 0x0000ED89, NULL, NULL, 0x0247 },
{"_wfopen", 0x000301E7, NULL, NULL, 0x0248 },
{"_wfreopen", 0x00030203, NULL, NULL, 0x0249 },
{"_wfsopen", 0x00030186, NULL, NULL, 0x024A },
{"_wfullpath", 0x0001058E, NULL, NULL, 0x024B },
{"_wgetcwd", 0x00010740, NULL, NULL, 0x024C },
{"_wgetdcwd", 0x0001078B, NULL, NULL, 0x024D },
{"_wgetenv", 0x0002655C, NULL, NULL, 0x024E },
{"_winmajor", 0x00051A20, NULL, NULL, 0x024F },
{"_winminor", 0x00051A24, NULL, NULL, 0x0250 },
{"_winver", 0x00051A1C, NULL, NULL, 0x0251 },
{"_wmakepath", 0x000265A0, NULL, NULL, 0x0252 },
{"_wmkdir", 0x000107D7, NULL, NULL, 0x0253 },
{"_wmktemp", 0x0001FCBA, NULL, NULL, 0x0254 },
{"_wopen", 0x00020055, NULL, NULL, 0x0255 },
{"_wperror", 0x00026658, NULL, NULL, 0x0256 },
{"_wpgmptr", 0x00051A48, NULL, NULL, 0x0257 },
{"_wpopen", 0x0003026E, NULL, NULL, 0x0258 },
{"_wputenv", 0x00026811, NULL, NULL, 0x0259 },
{"_wremove", 0x0001080E, NULL, NULL, 0x025A },
{"_wrename", 0x00010853, NULL, NULL, 0x025B },
{"_write", 0x00020303, NULL, NULL, 0x025C },
{"_wrmdir", 0x0001088B, NULL, NULL, 0x025D },
{"_wsearchenv", 0x00026855, NULL, NULL, 0x025E },
{"_wsetlocale", 0x00026990, NULL, NULL, 0x025F },
{"_wsopen", 0x000200AF, NULL, NULL, 0x0260 },
{"_wspawnl", 0x00018F5E, NULL, NULL, 0x0261 },
{"_wspawnle", 0x00018F7E, NULL, NULL, 0x0262 },
{"_wspawnlp", 0x00018FAA, NULL, NULL, 0x0263 },
{"_wspawnlpe", 0x00018FC8, NULL, NULL, 0x0264 },
{"_wspawnv", 0x00018FF4, NULL, NULL, 0x0265 },
{"_wspawnve", 0x0001906D, NULL, NULL, 0x0266 },
{"_wspawnvp", 0x000191B7, NULL, NULL, 0x0267 },
{"_wspawnvpe", 0x000191D6, NULL, NULL, 0x0268 },
{"_wsplitpath", 0x00026A51, NULL, NULL, 0x0269 },
{"_wstat", 0x0001098C, NULL, NULL, 0x026A },
{"_wstat64", 0x00010D65, NULL, NULL, 0x026B },
{"_wstati64", 0x000110EB, NULL, NULL, 0x026C },
{"_wstrdate", 0x0003A704, NULL, NULL, 0x026D },
{"_wstrtime", 0x0003A788, NULL, NULL, 0x026E },
{"_wsystem", 0x0001931E, NULL, NULL, 0x026F },
{"_wtempnam", 0x00030697, NULL, NULL, 0x0270 },
{"_wtmpnam", 0x00030931, NULL, NULL, 0x0271 },
{"_wtof", 0x0000CD9B, NULL, NULL, 0x0272 },
{"_wtoi", 0x0000CEE3, NULL, NULL, 0x0273 },
{"_wtoi64", 0x0000CEF3, NULL, NULL, 0x0274 },
{"_wtol", 0x0000CE77, NULL, NULL, 0x0275 },
{"_wunlink", 0x00010843, NULL, NULL, 0x0276 },
{"_wutime", 0x0003A806, NULL, NULL, 0x0277 },
{"_wutime64", 0x0003A846, NULL, NULL, 0x0278 },
{"_y0", 0x0003FE89, NULL, NULL, 0x0279 },
{"_y1", 0x0003FFBC, NULL, NULL, 0x027A },
{"_yn", 0x000400FF, NULL, NULL, 0x027B },
{"abort", 0x00026BB3, NULL, NULL, 0x027C },
{"abs", 0x00026BD0, NULL, NULL, 0x027D },
{"acos", 0x0003CA74, NULL, NULL, 0x027E },
{"asctime", 0x0003A886, NULL, NULL, 0x027F },
{"asin", 0x0003CB44, NULL, NULL, 0x0280 },
{"atan", 0x0003CC00, NULL, NULL, 0x0281 },
{"atan2", 0x0003CD20, NULL, NULL, 0x0282 },
{"atexit", 0x00024E35, NULL, NULL, 0x0283 },
{"atof", 0x0000CF90, NULL, NULL, 0x0284 },
{"atoi", 0x0000BF18, NULL, NULL, 0x0285 },
{"atol", 0x0000BE7B, NULL, NULL, 0x0286 },
{"bsearch", 0x00026BE5, NULL, NULL, 0x0287 },
{"calloc", 0x0001C0C3, NULL, NULL, 0x0288 },
{"ceil", 0x000402B0, NULL, NULL, 0x0289 },
{"clearerr", 0x000309F1, NULL, NULL, 0x028A },
{"clock", 0x0003A995, NULL, NULL, 0x028B },
{"cos", 0x0003CD54, NULL, NULL, 0x028C },
{"cosh", 0x0003CE0A, NULL, NULL, 0x028D },
{"ctime", 0x0003AA1D, NULL, NULL, 0x028E },
{"difftime", 0x0003AA41, NULL, NULL, 0x028F },
{"div", 0x00026D46, NULL, NULL, 0x0290 },
{"exit", 0x00029E7E, NULL, NULL, 0x0291 },
{"exp", 0x0003CE40, NULL, NULL, 0x0292 },
{"fabs", 0x000403D2, NULL, NULL, 0x0293 },
{"fclose", 0x00030AB1, NULL, NULL, 0x0294 },
{"feof", 0x00030B07, NULL, NULL, 0x0295 },
{"ferror", 0x00030B1C, NULL, NULL, 0x0296 },
{"fflush", 0x0002EEF6, NULL, NULL, 0x0297 },
{"fgetc", 0x00030B31, NULL, NULL, 0x0298 },
{"fgetpos", 0x00030B86, NULL, NULL, 0x0299 },
{"fgets", 0x00030BB1, NULL, NULL, 0x029A },
{"fgetwc", 0x00030D37, NULL, NULL, 0x029B },
{"fgetws", 0x00030D8E, NULL, NULL, 0x029C },
{"floor", 0x00040490, NULL, NULL, 0x029D },
{"fmod", 0x0003CED0, NULL, NULL, 0x029E },
{"fopen", 0x0002F010, NULL, NULL, 0x029F },
{"fprintf", 0x00030E13, NULL, NULL, 0x02A0 },
{"fputc", 0x00030E76, NULL, NULL, 0x02A1 },
{"fputs", 0x00030ED3, NULL, NULL, 0x02A2 },
{"fputwc", 0x0003102C, NULL, NULL, 0x02A3 },
{"fputws", 0x00031089, NULL, NULL, 0x02A4 },
{"fread", 0x000311FB, NULL, NULL, 0x02A5 },
{"free", 0x0001C21B, NULL, NULL, 0x02A6 },
{"freopen", 0x0003124C, NULL, NULL, 0x02A7 },
{"frexp", 0x000405B6, NULL, NULL, 0x02A8 },
{"fscanf", 0x000312B7, NULL, NULL, 0x02A9 },
{"fseek", 0x0003139C, NULL, NULL, 0x02AA },
{"fsetpos", 0x000313EA, NULL, NULL, 0x02AB },
{"ftell", 0x00031574, NULL, NULL, 0x02AC },
{"fwprintf", 0x000315BA, NULL, NULL, 0x02AD },
{"fwrite", 0x0003173B, NULL, NULL, 0x02AE },
{"fwscanf", 0x0003178C, NULL, NULL, 0x02AF },
{"getc", 0x00030B31, NULL, NULL, 0x02B0 },
{"getchar", 0x0002EB3B, NULL, NULL, 0x02B1 },
{"getenv", 0x00026D02, NULL, NULL, 0x02B2 },
{"gets", 0x000317DB, NULL, NULL, 0x02B3 },
{"getwc", 0x00030D7E, NULL, NULL, 0x02B4 },
{"getwchar", 0x0002EB56, NULL, NULL, 0x02B5 },
{"gmtime", 0x0003AA59, NULL, NULL, 0x02B6 },
{"is_wctype", 0x0000D090, NULL, NULL, 0x02B7 },
{"isalnum", 0x0000BCEB, NULL, NULL, 0x02B8 },
{"isalpha", 0x0000BB05, NULL, NULL, 0x02B9 },
{"iscntrl", 0x0000BDC6, NULL, NULL, 0x02BA },
{"isdigit", 0x0000BBD6, NULL, NULL, 0x02BB },
{"isgraph", 0x0000BD7D, NULL, NULL, 0x02BC },
{"isleadbyte", 0x0000D0A0, NULL, NULL, 0x02BD },
{"islower", 0x0000BB92, NULL, NULL, 0x02BE },
{"isprint", 0x0000BD34, NULL, NULL, 0x02BF },
{"ispunct", 0x0000BCA7, NULL, NULL, 0x02C0 },
{"isspace", 0x0000BC63, NULL, NULL, 0x02C1 },
{"isupper", 0x0000BB4E, NULL, NULL, 0x02C2 },
{"iswalnum", 0x0000D16D, NULL, NULL, 0x02C3 },
{"iswalpha", 0x0000D0BF, NULL, NULL, 0x02C4 },
{"iswascii", 0x0000D1D6, NULL, NULL, 0x02C5 },
{"iswcntrl", 0x0000D1BE, NULL, NULL, 0x02C6 },
{"iswctype", 0x0000D036, NULL, NULL, 0x02C7 },
{"iswdigit", 0x0000D10A, NULL, NULL, 0x02C8 },
{"iswgraph", 0x0000D1A3, NULL, NULL, 0x02C9 },
{"iswlower", 0x0000D0F2, NULL, NULL, 0x02CA },
{"iswprint", 0x0000D188, NULL, NULL, 0x02CB },
{"iswpunct", 0x0000D155, NULL, NULL, 0x02CC },
{"iswspace", 0x0000D13D, NULL, NULL, 0x02CD },
{"iswupper", 0x0000D0DA, NULL, NULL, 0x02CE },
{"iswxdigit", 0x0000D122, NULL, NULL, 0x02CF },
{"isxdigit", 0x0000BC1A, NULL, NULL, 0x02D0 },
{"labs", 0x00026BD0, NULL, NULL, 0x02D1 },
{"ldexp", 0x00040669, NULL, NULL, 0x02D2 },
{"ldiv", 0x00026D46, NULL, NULL, 0x02D3 },
{"localeconv", 0x00026D67, NULL, NULL, 0x02D4 },
{"localtime", 0x0003AB69, NULL, NULL, 0x02D5 },
{"log", 0x0003CF00, NULL, NULL, 0x02D6 },
{"log10", 0x0003D060, NULL, NULL, 0x02D7 },
{"longjmp", 0x00026D74, NULL, NULL, 0x02D8 },
{"malloc", 0x0001C407, NULL, NULL, 0x02D9 },
{"mblen", 0x0000D1EC, NULL, NULL, 0x02DA },
{"mbstowcs", 0x0000D380, NULL, NULL, 0x02DB },
{"mbtowc", 0x0000D47A, NULL, NULL, 0x02DC },
{"memchr", 0x00036E00, NULL, NULL, 0x02DD },
{"memcmp", 0x00036EB0, NULL, NULL, 0x02DE },
{"memcpy", 0x00036F70, NULL, NULL, 0x02DF },
{"memmove", 0x000372B0, NULL, NULL, 0x02E0 },
{"memset", 0x000375F0, NULL, NULL, 0x02E1 },
{"mktime", 0x0003AEB8, NULL, NULL, 0x02E2 },
{"modf", 0x00040860, NULL, NULL, 0x02E3 },
{"perror", 0x00026DF2, NULL, NULL, 0x02E4 },
{"pow", 0x0003D1C0, NULL, NULL, 0x02E5 },
{"printf", 0x0003186A, NULL, NULL, 0x02E6 },
{"putc", 0x00030E76, NULL, NULL, 0x02E7 },
{"putchar", 0x0002EF74, NULL, NULL, 0x02E8 },
{"puts", 0x000318D5, NULL, NULL, 0x02E9 },
{"putwc", 0x00031079, NULL, NULL, 0x02EA },
{"putwchar", 0x0002EF9F, NULL, NULL, 0x02EB },
{"qsort", 0x00026F50, NULL, NULL, 0x02EC },
{"raise", 0x0002518D, NULL, NULL, 0x02ED },
{"rand", 0x000271D3, NULL, NULL, 0x02EE },
{"realloc", 0x0001C437, NULL, NULL, 0x02EF },
{"remove", 0x00010409, NULL, NULL, 0x02F0 },
{"rename", 0x0001144A, NULL, NULL, 0x02F1 },
{"rewind", 0x00031983, NULL, NULL, 0x02F2 },
{"scanf", 0x00031A11, NULL, NULL, 0x02F3 },
{"setbuf", 0x00031A6A, NULL, NULL, 0x02F4 },
{"setlocale", 0x00023C31, NULL, NULL, 0x02F5 },
{"setvbuf", 0x00031A97, NULL, NULL, 0x02F6 },
{"signal", 0x00024FD4, NULL, NULL, 0x02F7 },
{"sin", 0x0003D464, NULL, NULL, 0x02F8 },
{"sinh", 0x0003CE00, NULL, NULL, 0x02F9 },
{"sprintf", 0x0002F931, NULL, NULL, 0x02FA },
{"sqrt", 0x0003D524, NULL, NULL, 0x02FB },
{"srand", 0x000271BC, NULL, NULL, 0x02FC },
{"sscanf", 0x00031B72, NULL, NULL, 0x02FD },
{"strcat", 0x00036040, NULL, NULL, 0x02FE },
{"strchr", 0x00037660, NULL, NULL, 0x02FF },
{"strcmp", 0x00037730, NULL, NULL, 0x0300 },
{"strcoll", 0x000377B9, NULL, NULL, 0x0301 },
{"strcpy", 0x00036030, NULL, NULL, 0x0302 },
{"strcspn", 0x00037850, NULL, NULL, 0x0303 },
{"strerror", 0x000271FA, NULL, NULL, 0x0304 },
{"strftime", 0x000390CD, NULL, NULL, 0x0305 },
{"strlen", 0x000378A0, NULL, NULL, 0x0306 },
{"strncat", 0x00037920, NULL, NULL, 0x0307 },
{"strncmp", 0x00037A50, NULL, NULL, 0x0308 },
{"strncpy", 0x00037A90, NULL, NULL, 0x0309 },
{"strpbrk", 0x00037BA0, NULL, NULL, 0x030A },
{"strrchr", 0x00037BE0, NULL, NULL, 0x030B },
{"strspn", 0x00037C10, NULL, NULL, 0x030C },
{"strstr", 0x00037C60, NULL, NULL, 0x030D },
{"strtod", 0x0000D4AD, NULL, NULL, 0x030E },
{"strtok", 0x00037CE5, NULL, NULL, 0x030F },
{"strtol", 0x0000D711, NULL, NULL, 0x0310 },
{"strtoul", 0x0000D730, NULL, NULL, 0x0311 },
{"strxfrm", 0x00037DA7, NULL, NULL, 0x0312 },
{"swprintf", 0x0002F9C8, NULL, NULL, 0x0313 },
{"swscanf", 0x00031BB3, NULL, NULL, 0x0314 },
{"system", 0x000193C7, NULL, NULL, 0x0315 },
{"tan", 0x0003D5E4, NULL, NULL, 0x0316 },
{"tanh", 0x0003CE11, NULL, NULL, 0x0317 },
{"time", 0x0003AECF, NULL, NULL, 0x0318 },
{"tmpfile", 0x00031D8F, NULL, NULL, 0x0319 },
{"tmpnam", 0x00031CBF, NULL, NULL, 0x031A },
{"tolower", 0x0000C9C9, NULL, NULL, 0x031B },
{"toupper", 0x0000CAD7, NULL, NULL, 0x031C },
{"towlower", 0x0000D7B7, NULL, NULL, 0x031D },
{"towupper", 0x0000D877, NULL, NULL, 0x031E },
{"ungetc", 0x00031F23, NULL, NULL, 0x031F },
{"ungetwc", 0x00032084, NULL, NULL, 0x0320 },
{"vfprintf", 0x000320CF, NULL, NULL, 0x0321 },
{"vfwprintf", 0x00032131, NULL, NULL, 0x0322 },
{"vprintf", 0x00032193, NULL, NULL, 0x0323 },
{"vsprintf", 0x0002FE49, NULL, NULL, 0x0324 },
{"vswprintf", 0x0002FEDE, NULL, NULL, 0x0325 },
{"vwprintf", 0x000321F7, NULL, NULL, 0x0326 },
{"wcscat", 0x00037E61, NULL, NULL, 0x0327 },
{"wcschr", 0x00037EB8, NULL, NULL, 0x0328 },
{"wcscmp", 0x00037EE3, NULL, NULL, 0x0329 },
{"wcscoll", 0x00037F1F, NULL, NULL, 0x032A },
{"wcscpy", 0x00037E94, NULL, NULL, 0x032B },
{"wcscspn", 0x00037F81, NULL, NULL, 0x032C },
{"wcsftime", 0x0003AF0F, NULL, NULL, 0x032D },
{"wcslen", 0x00037FCC, NULL, NULL, 0x032E },
{"wcsncat", 0x00037FEB, NULL, NULL, 0x032F },
{"wcsncmp", 0x0003802F, NULL, NULL, 0x0330 },
{"wcsncpy", 0x0003806B, NULL, NULL, 0x0331 },
{"wcspbrk", 0x000380B0, NULL, NULL, 0x0332 },
{"wcsrchr", 0x000380F9, NULL, NULL, 0x0333 },
{"wcsspn", 0x00038132, NULL, NULL, 0x0334 },
{"wcsstr", 0x00038180, NULL, NULL, 0x0335 },
{"wcstod", 0x0000D8C5, NULL, NULL, 0x0336 },
{"wcstok", 0x000381E6, NULL, NULL, 0x0337 },
{"wcstol", 0x0000DC2B, NULL, NULL, 0x0338 },
{"wcstombs", 0x0000DE16, NULL, NULL, 0x0339 },
{"wcstoul", 0x0000DC4A, NULL, NULL, 0x033A },
{"wcsxfrm", 0x00038292, NULL, NULL, 0x033B },
{"wctomb", 0x0000DEB0, NULL, NULL, 0x033C },
{"wprintf", 0x0003225B, NULL, NULL, 0x033D },
{"wscanf", 0x000322C6, NULL, NULL, 0x033E },
{0, 0, NULL,NULL}
};


struct emu_env_w32_dll_export urlmon_exports[] = 
{
{"", 0x0008B808, NULL, NULL, 0x0064 },
{"", 0x0002DC63, NULL, NULL, 0x0065 },
{"", 0x000692C3, NULL, NULL, 0x0066 },
{"", 0x00035C7D, NULL, NULL, 0x0067 },
{"", 0x000364ED, NULL, NULL, 0x0068 },
{"", 0x00035CE9, NULL, NULL, 0x0069 },
{"", 0x0003A951, NULL, NULL, 0x006A },
{"", 0x000692DF, NULL, NULL, 0x006B },
{"", 0x0001A57E, NULL, NULL, 0x006C },
{"", 0x00002E4C, NULL, NULL, 0x006D },
{"AsyncGetClassBits", 0x0006E73E, NULL, NULL, 0x006E },
{"", 0x0003661A, NULL, NULL, 0x006F },
{"", 0x00036867, NULL, NULL, 0x0070 },
{"", 0x00013C1E, NULL, NULL, 0x0071 },
{"", 0x0003DEB7, NULL, NULL, 0x0072 },
{"", 0x00069482, NULL, NULL, 0x0073 },
{"AsyncInstallDistributionUnit", 0x0006E600, NULL, NULL, 0x0074 },
{"BindAsyncMoniker", 0x0005D4E4, NULL, NULL, 0x0075 },
{"CDLGetLongPathNameA", 0x0006E796, NULL, NULL, 0x0076 },
{"CDLGetLongPathNameW", 0x0006E7B3, NULL, NULL, 0x0077 },
{"CoGetClassObjectFromURL", 0x0003B5CB, NULL, NULL, 0x0078 },
{"CoInstall", 0x0006D975, NULL, NULL, 0x0079 },
{"CoInternetCanonicalizeIUri", 0x0000A01F, NULL, NULL, 0x007A },
{"CoInternetCombineIUri", 0x0000CCAB, NULL, NULL, 0x007B },
{"CoInternetCombineUrl", 0x000224DC, NULL, NULL, 0x007C },
{"CoInternetCombineUrlEx", 0x00022442, NULL, NULL, 0x007D },
{"CoInternetCompareUrl", 0x0005EE4B, NULL, NULL, 0x007E },
{"CoInternetCreateSecurityManager", 0x000166F6, NULL, NULL, 0x007F },
{"CoInternetCreateZoneManager", 0x00016401, NULL, NULL, 0x0080 },
{"CoInternetFeatureSettingsChanged", 0x00089A64, NULL, NULL, 0x0081 },
{"CoInternetGetProtocolFlags", 0x00065A7B, NULL, NULL, 0x0082 },
{"CoInternetGetSecurityUrl", 0x0005F23A, NULL, NULL, 0x0083 },
{"CoInternetGetSecurityUrlEx", 0x0001304C, NULL, NULL, 0x0084 },
{"CoInternetGetSession", 0x00013000, NULL, NULL, 0x0085 },
{"CoInternetIsFeatureEnabled", 0x00002E5E, NULL, NULL, 0x0086 },
{"CoInternetIsFeatureEnabledForIUri", 0x000216E1, NULL, NULL, 0x0087 },
{"CoInternetIsFeatureEnabledForUrl", 0x00024508, NULL, NULL, 0x0088 },
{"CoInternetIsFeatureZoneElevationEnabled", 0x00039343, NULL, NULL, 0x0089 },
{"CoInternetParseIUri", 0x0000E7CA, NULL, NULL, 0x008A },
{"CoInternetParseUrl", 0x00022DE7, NULL, NULL, 0x008B },
{"CoInternetQueryInfo", 0x00006CF6, NULL, NULL, 0x008C },
{"CoInternetSetFeatureEnabled", 0x0003DFF5, NULL, NULL, 0x008D },
{"CompareSecurityIds", 0x00030624, NULL, NULL, 0x008E },
{"CompatFlagsFromClsid", 0x00023618, NULL, NULL, 0x008F },
{"CopyBindInfo", 0x00019099, NULL, NULL, 0x0090 },
{"CopyStgMedium", 0x00019152, NULL, NULL, 0x0091 },
{"CreateAsyncBindCtx", 0x000398D5, NULL, NULL, 0x0092 },
{"CreateAsyncBindCtxEx", 0x0002F4C0, NULL, NULL, 0x0093 },
{"CreateFormatEnumerator", 0x0002F880, NULL, NULL, 0x0094 },
{"CreateIUriBuilder", 0x0002B6C8, NULL, NULL, 0x0095 },
{"CreateURLMoniker", 0x000196F0, NULL, NULL, 0x0096 },
{"CreateURLMonikerEx2", 0x0000A2AC, NULL, NULL, 0x0097 },
{"CreateURLMonikerEx", 0x00018EB5, NULL, NULL, 0x0098 },
{"CreateUri", 0x00003765, NULL, NULL, 0x0099 },
{"CreateUriFromMultiByteString", 0x0006A301, NULL, NULL, 0x009A },
{"CreateUriPriv", 0x000037AD, NULL, NULL, 0x009B },
{"CreateUriWithFragment", 0x00003786, NULL, NULL, 0x009C },
{"DllCanUnloadNow", 0x000019D8, NULL, NULL, 0x009D },
{"DllGetClassObject", 0x000172D9, NULL, NULL, 0x009E },
{"DllInstall", 0x0005DA28, NULL, NULL, 0x009F },
{"DllRegisterServer", 0x0005D72D, NULL, NULL, 0x00A0 },
{"DllRegisterServerEx", 0x0005DA1D, NULL, NULL, 0x00A1 },
{"DllUnregisterServer", 0x0005D8B5, NULL, NULL, 0x00A2 },
{"Extract", 0x0006EDAE, NULL, NULL, 0x00A3 },
{"FaultInIEFeature", 0x00031C03, NULL, NULL, 0x00A4 },
{"FindMediaType", 0x0000C822, NULL, NULL, 0x00A5 },
{"FindMediaTypeClass", 0x000354A3, NULL, NULL, 0x00A6 },
{"FindMimeFromData", 0x0002455A, NULL, NULL, 0x00A7 },
{"GetAddSitesFileUrl", 0x0008A14E, NULL, NULL, 0x00A8 },
{"GetClassFileOrMime", 0x0005FBBD, NULL, NULL, 0x00A9 },
{"GetClassURL", 0x0005D415, NULL, NULL, 0x00AA },
{"GetComponentIDFromCLSSPEC", 0x0006F7F4, NULL, NULL, 0x00AB },
{"GetIDNFlagsForUri", 0x0001DB11, NULL, NULL, 0x00AC },
{"GetIUriPriv", 0x0000443F, NULL, NULL, 0x00AD },
{"GetLabelsFromNamedHost", 0x0006A611, NULL, NULL, 0x00AE },
{"GetMarkOfTheWeb", 0x0008C7F2, NULL, NULL, 0x00AF },
{"GetPortFromUrlScheme", 0x0000541C, NULL, NULL, 0x00B0 },
{"GetPropertyFromName", 0x0006A7B8, NULL, NULL, 0x00B1 },
{"GetPropertyName", 0x0006A6C1, NULL, NULL, 0x00B2 },
{"GetSoftwareUpdateInfo", 0x00032EB1, NULL, NULL, 0x00B3 },
{"HlinkGoBack", 0x00085F5E, NULL, NULL, 0x00B4 },
{"HlinkGoForward", 0x00085FE0, NULL, NULL, 0x00B5 },
{"HlinkNavigateMoniker", 0x00086F11, NULL, NULL, 0x00B6 },
{"HlinkNavigateString", 0x00086F95, NULL, NULL, 0x00B7 },
{"HlinkSimpleNavigateToMoniker", 0x00086939, NULL, NULL, 0x00B8 },
{"HlinkSimpleNavigateToString", 0x00086F32, NULL, NULL, 0x00B9 },
{"InstallFlash", 0x0005DAF2, NULL, NULL, 0x00BA },
{"IntlPercentEncodeNormalize", 0x00037693, NULL, NULL, 0x00BB },
{"IsAsyncMoniker", 0x00036818, NULL, NULL, 0x00BC },
{"IsDWORDProperty", 0x00004382, NULL, NULL, 0x00BD },
{"IsIntranetAvailable", 0x000253CF, NULL, NULL, 0x00BE },
{"IsJITInProgress", 0x000A7D9D, NULL, NULL, 0x00BF },
{"IsLoggingEnabledA", 0x00087B0E, NULL, NULL, 0x00C0 },
{"IsLoggingEnabledW", 0x00087C37, NULL, NULL, 0x00C1 },
{"IsStringProperty", 0x00006CAD, NULL, NULL, 0x00C2 },
{"IsValidURL", 0x0003ED63, NULL, NULL, 0x00C3 },
{"MkParseDisplayNameEx", 0x000052F9, NULL, NULL, 0x00C4 },
{"ObtainUserAgentString", 0x00030ADD, NULL, NULL, 0x00C5 },
{"PrivateCoInstall", 0x0006E658, NULL, NULL, 0x00C6 },
{"QueryAssociations", 0x000258C9, NULL, NULL, 0x00C7 },
{"QueryClsidAssociation", 0x00067E2E, NULL, NULL, 0x00C8 },
{"RegisterBindStatusCallback", 0x0000B56E, NULL, NULL, 0x00C9 },
{"RegisterFormatEnumerator", 0x0002F658, NULL, NULL, 0x00CA },
{"RegisterMediaTypeClass", 0x0005D422, NULL, NULL, 0x00CB },
{"RegisterMediaTypes", 0x0003DA90, NULL, NULL, 0x00CC },
{"ReleaseBindInfo", 0x000031D7, NULL, NULL, 0x00CD },
{"ResetUrlmonLanguageData", 0x0005D71E, NULL, NULL, 0x00CE },
{"RevokeBindStatusCallback", 0x0000CEE2, NULL, NULL, 0x00CF },
{"RevokeFormatEnumerator", 0x0005D4BF, NULL, NULL, 0x00D0 },
{"SetSoftwareUpdateAdvertisementState", 0x00072402, NULL, NULL, 0x00D1 },
{"ShouldDisplayPunycodeForUri", 0x00063991, NULL, NULL, 0x00D2 },
{"ShouldShowIntranetWarningSecband", 0x000230CD, NULL, NULL, 0x00D3 },
{"ShowTrustAlertDialog", 0x00089E07, NULL, NULL, 0x00D4 },
{"URLDownloadA", 0x0005F208, NULL, NULL, 0x00D5 },
{"URLDownloadToCacheFileA", 0x00087885, NULL, NULL, 0x00D6 },
{"URLDownloadToCacheFileW", 0x000337DD, NULL, NULL, 0x00D7 },
{"URLDownloadToFileA", 0x00087773, NULL, NULL, 0x00D8 },
{"URLDownloadToFileW", 0x00087628, NULL, NULL, 0x00D9 },
{"URLDownloadW", 0x0005EC6A, NULL, NULL, 0x00DA },
{"URLOpenBlockingStreamA", 0x000879C9, NULL, NULL, 0x00DB },
{"URLOpenBlockingStreamW", 0x0002D5D5, NULL, NULL, 0x00DC },
{"URLOpenPullStreamA", 0x000876D8, NULL, NULL, 0x00DD },
{"URLOpenPullStreamW", 0x000875DE, NULL, NULL, 0x00DE },
{"URLOpenStreamA", 0x00087A73, NULL, NULL, 0x00DF },
{"URLOpenStreamW", 0x0008768E, NULL, NULL, 0x00E0 },
{"UrlMkBuildVersion", 0x0005DA38, NULL, NULL, 0x00E1 },
{"UrlMkGetSessionOption", 0x0002385C, NULL, NULL, 0x00E2 },
{"UrlMkSetSessionOption", 0x0005F0F8, NULL, NULL, 0x00E3 },
{"WriteHitLogging", 0x00087B7A, NULL, NULL, 0x00E4 },
{"ZonesReInit", 0x0008C57E, NULL, NULL, 0x00E5 },
{"", 0x0006AB7C, NULL, NULL, 0x0130 },
{"", 0x00068D87, NULL, NULL, 0x0131 },
{"", 0x00067EE4, NULL, NULL, 0x0132 },
{"", 0x0006808B, NULL, NULL, 0x0133 },
{"", 0x000687B1, NULL, NULL, 0x0134 },
{"", 0x00068297, NULL, NULL, 0x0135 },
{"", 0x00068BFB, NULL, NULL, 0x0136 },
{"", 0x000682CF, NULL, NULL, 0x0137 },
{"", 0x00068E65, NULL, NULL, 0x0138 },
{"", 0x00068F77, NULL, NULL, 0x0139 },
{"", 0x00068383, NULL, NULL, 0x013A },
{"", 0x00068538, NULL, NULL, 0x013B },
{"", 0x00069045, NULL, NULL, 0x013C },
{"", 0x000690DD, NULL, NULL, 0x013D },
{"", 0x00068197, NULL, NULL, 0x013E },
{"", 0x00068202, NULL, NULL, 0x013F },
{"", 0x000683C5, NULL, NULL, 0x0140 },
{"", 0x00068230, NULL, NULL, 0x0141 },
{"", 0x000691F1, NULL, NULL, 0x0142 },
{"", 0x00015BC3, NULL, NULL, 0x0143 },
{"", 0x00060726, NULL, NULL, 0x0144 },
{"", 0x0002DB3D, NULL, NULL, 0x0145 },
{"", 0x00037992, NULL, NULL, 0x0146 },
{"", 0x0002ED66, NULL, NULL, 0x0147 },
{"", 0x0008F925, NULL, NULL, 0x0148 },
{"", 0x0008F37D, NULL, NULL, 0x0149 },
{"", 0x000365E9, NULL, NULL, 0x014A },
{"", 0x00091526, NULL, NULL, 0x014B },
{"", 0x00091572, NULL, NULL, 0x014C },
{"", 0x00090AED, NULL, NULL, 0x014D },
{"", 0x0005D3E3, NULL, NULL, 0x014E },
{"", 0x0002DD8E, NULL, NULL, 0x014F },
{"", 0x0008EB34, NULL, NULL, 0x0150 },
{"", 0x000383E9, NULL, NULL, 0x0151 },
{"", 0x0009235A, NULL, NULL, 0x0152 },
{"", 0x00092559, NULL, NULL, 0x0153 },
{"", 0x00092632, NULL, NULL, 0x0154 },
{"", 0x00092701, NULL, NULL, 0x0155 },
{"", 0x0009280D, NULL, NULL, 0x0156 },
{"", 0x000923FA, NULL, NULL, 0x0157 },
{"", 0x00092602, NULL, NULL, 0x0158 },
{"", 0x000926D1, NULL, NULL, 0x0159 },
{"", 0x000927D8, NULL, NULL, 0x015A },
{"", 0x000928D3, NULL, NULL, 0x015B },
{"", 0x000915D8, NULL, NULL, 0x015C },
{"", 0x00091737, NULL, NULL, 0x015D },
{"", 0x0009166D, NULL, NULL, 0x015E },
{"", 0x0002F189, NULL, NULL, 0x015F },
{"", 0x0008ECD2, NULL, NULL, 0x0160 },
{"", 0x0008ED79, NULL, NULL, 0x0161 },
{"", 0x0003E755, NULL, NULL, 0x0162 },
{"", 0x0003E2C7, NULL, NULL, 0x0163 },
{"", 0x0008E747, NULL, NULL, 0x0168 },
{"", 0x0008E6B7, NULL, NULL, 0x0169 },
{"", 0x0008EADC, NULL, NULL, 0x016A },
{"", 0x0008E682, NULL, NULL, 0x016B },
{"", 0x000917D2, NULL, NULL, 0x016C },
{"", 0x00092EA6, NULL, NULL, 0x016D },
{"", 0x0008F2DB, NULL, NULL, 0x016E },
{"", 0x0008F237, NULL, NULL, 0x016F },
{"", 0x0009036E, NULL, NULL, 0x0170 },
{"", 0x00090ACF, NULL, NULL, 0x0171 },
{"", 0x0008F784, NULL, NULL, 0x0172 },
{"", 0x0008EDA9, NULL, NULL, 0x0173 },
{"", 0x0008EE4F, NULL, NULL, 0x0174 },
{"", 0x0008EEF4, NULL, NULL, 0x0175 },
{"", 0x0008EFAB, NULL, NULL, 0x0176 },
{"", 0x0008F088, NULL, NULL, 0x0177 },
{"", 0x0008F168, NULL, NULL, 0x0178 },
{"", 0x000902A8, NULL, NULL, 0x0179 },
{"", 0x000902C9, NULL, NULL, 0x017A },
{"", 0x000902EA, NULL, NULL, 0x017B },
{"", 0x0009030B, NULL, NULL, 0x017C },
{"", 0x0009032C, NULL, NULL, 0x017D },
{"", 0x0009034D, NULL, NULL, 0x017E },
{"", 0x00090A39, NULL, NULL, 0x017F },
{"", 0x00090953, NULL, NULL, 0x0180 },
{"", 0x00090A57, NULL, NULL, 0x0181 },
{"", 0x00090A75, NULL, NULL, 0x0182 },
{"", 0x0008F058, NULL, NULL, 0x0183 },
{"", 0x00090A93, NULL, NULL, 0x0184 },
{"", 0x00090AB1, NULL, NULL, 0x0185 },
{"", 0x00090581, NULL, NULL, 0x0186 },
{"", 0x0008F800, NULL, NULL, 0x0187 },
{"", 0x00090655, NULL, NULL, 0x0188 },
{"", 0x0008F621, NULL, NULL, 0x0189 },
{"", 0x0008F757, NULL, NULL, 0x018A },
{"", 0x0002EBEB, NULL, NULL, 0x018B },
{"", 0x000380E4, NULL, NULL, 0x018C },
{ 0, 0, NULL, NULL},
};


//dzzie 1-26-11
struct emu_env_w32_dll_export user32_exports[] =
{
{"ActivateKeyboardLayout", 0x00018673, NULL, NULL, 0x0001 },
{"AdjustWindowRect", 0x00021140, NULL, NULL, 0x0002 },
{"AdjustWindowRectEx", 0x0001E7EA, NULL, NULL, 0x0003 },
{"AlignRects", 0x0005D4E0, NULL, NULL, 0x0004 },
{"AllowForegroundActivation", 0x00046414, NULL, NULL, 0x0005 },
{"AllowSetForegroundWindow", 0x00011E40, NULL, NULL, 0x0006 },
{"AnimateWindow", 0x00012156, NULL, NULL, 0x0007 },
{"AnyPopup", 0x00059C27, NULL, NULL, 0x0008 },
{"AppendMenuA", 0x00021B0E, NULL, NULL, 0x0009 },
{"AppendMenuW", 0x000132BA, NULL, NULL, 0x000A },
{"ArrangeIconicWindows", 0x00045F46, NULL, NULL, 0x000B },
{"AttachThreadInput", 0x00021E52, NULL, NULL, 0x000C },
{"BeginDeferWindowPos", 0x0001AFB9, NULL, NULL, 0x000D },
{"BeginPaint", 0x00018FE9, NULL, NULL, 0x000E },
{"BlockInput", 0x0005CA7E, NULL, NULL, 0x000F },
{"BringWindowToTop", 0x000203A8, NULL, NULL, 0x0010 },
{"BroadcastSystemMessage", 0x0005AEBE, NULL, NULL, 0x0011 },
{"BroadcastSystemMessageA", 0x0005AEBE, NULL, NULL, 0x0012 },
{"BroadcastSystemMessageExA", 0x0005AE97, NULL, NULL, 0x0013 },
{"BroadcastSystemMessageExW", 0x00013654, NULL, NULL, 0x0014 },
{"BroadcastSystemMessageW", 0x0000E666, NULL, NULL, 0x0015 },
{"BuildReasonArray", 0x00057DF6, NULL, NULL, 0x0016 },
{"CalcMenuBar", 0x0001C5E4, NULL, NULL, 0x0017 },
{"CallMsgFilter", 0x0005B216, NULL, NULL, 0x0018 },
{"CallMsgFilterA", 0x0005B216, NULL, NULL, 0x0019 },
{"CallMsgFilterW", 0x0001750E, NULL, NULL, 0x001A },
{"CallNextHookEx", 0x0001B3C6, NULL, NULL, 0x001B },
{"CallWindowProcA", 0x0001A97D, NULL, NULL, 0x001C },
{"CallWindowProcW", 0x0001A01E, NULL, NULL, 0x001D },
{"CascadeChildWindows", 0x00045F5E, NULL, NULL, 0x001E },
{"CascadeWindows", 0x00055039, NULL, NULL, 0x001F },
{"ChangeClipboardChain", 0x00020487, NULL, NULL, 0x0020 },
{"ChangeDisplaySettingsA", 0x0005B400, NULL, NULL, 0x0021 },
{"ChangeDisplaySettingsExA", 0x0001384E, NULL, NULL, 0x0022 },
{"ChangeDisplaySettingsExW", 0x000495BD, NULL, NULL, 0x0023 },
{"ChangeDisplaySettingsW", 0x00049623, NULL, NULL, 0x0024 },
{"ChangeMenuA", 0x0003F298, NULL, NULL, 0x0025 },
{"ChangeMenuW", 0x0005525E, NULL, NULL, 0x0026 },
{"CharLowerA", 0x00018717, NULL, NULL, 0x0027 },
{"CharLowerBuffA", 0x00018845, NULL, NULL, 0x0028 },
{"CharLowerBuffW", 0x00009E57, NULL, NULL, 0x0029 },
{"CharLowerW", 0x0001B24C, NULL, NULL, 0x002A },
{"CharNextA", 0x0001C8B0, NULL, NULL, 0x002B },
{"CharNextExA", 0x0005984E, NULL, NULL, 0x002C },
{"CharNextW", 0x0001B1B0, NULL, NULL, 0x002D },
{"CharPrevA", 0x0001C8DA, NULL, NULL, 0x002E },
{"CharPrevExA", 0x00059882, NULL, NULL, 0x002F },
{"CharPrevW", 0x0001D607, NULL, NULL, 0x0030 },
{"CharToOemA", 0x0000AEF1, NULL, NULL, 0x0031 },
{"CharToOemBuffA", 0x00021626, NULL, NULL, 0x0032 },
{"CharToOemBuffW", 0x00056E31, NULL, NULL, 0x0033 },
{"CharToOemW", 0x00013467, NULL, NULL, 0x0034 },
{"CharUpperA", 0x00008D2B, NULL, NULL, 0x0035 },
{"CharUpperBuffA", 0x0000AE3F, NULL, NULL, 0x0036 },
{"CharUpperBuffW", 0x00009216, NULL, NULL, 0x0037 },
{"CharUpperW", 0x000090D2, NULL, NULL, 0x0038 },
{"CheckDlgButton", 0x00014DCA, NULL, NULL, 0x0039 },
{"CheckMenuItem", 0x00021ABD, NULL, NULL, 0x003A },
{"CheckMenuRadioItem", 0x000553A2, NULL, NULL, 0x003B },
{"CheckRadioButton", 0x0004BDE1, NULL, NULL, 0x003C },
{"ChildWindowFromPoint", 0x0001201F, NULL, NULL, 0x003D },
{"ChildWindowFromPointEx", 0x0001200B, NULL, NULL, 0x003E },
{"CliImmSetHotKey", 0x00043C33, NULL, NULL, 0x003F },
{"ClientThreadSetup", 0x0000A00A, NULL, NULL, 0x0040 },
{"ClientToScreen", 0x00019B60, NULL, NULL, 0x0041 },
{"ClipCursor", 0x0002FDC5, NULL, NULL, 0x0042 },
{"CloseClipboard", 0x00020265, NULL, NULL, 0x0043 },
{"CloseDesktop", 0x0001812F, NULL, NULL, 0x0044 },
{"CloseWindow", 0x00045F7F, NULL, NULL, 0x0045 },
{"CloseWindowStation", 0x00017D18, NULL, NULL, 0x0046 },
{"CopyAcceleratorTableA", 0x00046C91, NULL, NULL, 0x0047 },
{"CopyAcceleratorTableW", 0x0003FC5E, NULL, NULL, 0x0048 },
{"CopyIcon", 0x0000DE72, NULL, NULL, 0x0049 },
{"CopyImage", 0x0001DC14, NULL, NULL, 0x004A },
{"CopyRect", 0x0001A042, NULL, NULL, 0x004B },
{"CountClipboardFormats", 0x0002167F, NULL, NULL, 0x004C },
{"CreateAcceleratorTableA", 0x00043497, NULL, NULL, 0x004D },
{"CreateAcceleratorTableW", 0x0000D9BB, NULL, NULL, 0x004E },
{"CreateCaret", 0x0001A94E, NULL, NULL, 0x004F },
{"CreateCursor", 0x00047059, NULL, NULL, 0x0050 },
{"CreateDesktopA", 0x00045E37, NULL, NULL, 0x0051 },
{"CreateDesktopW", 0x0001162A, NULL, NULL, 0x0052 },
{"CreateDialogIndirectParamA", 0x00029B28, NULL, NULL, 0x0053 },
{"CreateDialogIndirectParamAorW", 0x0001680B, NULL, NULL, 0x0054 },
{"CreateDialogIndirectParamW", 0x0002F01F, NULL, NULL, 0x0055 },
{"CreateDialogParamA", 0x0002C7DB, NULL, NULL, 0x0056 },
{"CreateDialogParamW", 0x0000EA3B, NULL, NULL, 0x0057 },
{"CreateIcon", 0x000470BC, NULL, NULL, 0x0058 },
{"CreateIconFromResource", 0x00047134, NULL, NULL, 0x0059 },
{"CreateIconFromResourceEx", 0x0000D354, NULL, NULL, 0x005A },
{"CreateIconIndirect", 0x0000C86C, NULL, NULL, 0x005B },
{"CreateMDIWindowA", 0x0003FDC0, NULL, NULL, 0x005C },
{"CreateMDIWindowW", 0x0002F810, NULL, NULL, 0x005D },
{"CreateMenu", 0x0001F306, NULL, NULL, 0x005E },
{"CreatePopupMenu", 0x0000F601, NULL, NULL, 0x005F },
{"CreateSystemThreads", 0x000216E8, NULL, NULL, 0x0060 },
{"CreateWindowExA", 0x0001E4A9, NULL, NULL, 0x0061 },
{"CreateWindowExW", 0x0001D0A3, NULL, NULL, 0x0062 },
{"CreateWindowStationA", 0x0004642E, NULL, NULL, 0x0063 },
{"CreateWindowStationW", 0x000113DD, NULL, NULL, 0x0064 },
{"CsrBroadcastSystemMessageExW", 0x0001367B, NULL, NULL, 0x0065 },
{"CtxInitUser32", 0x0000E9E2, NULL, NULL, 0x0066 },
{"DdeAbandonTransaction", 0x0005AD84, NULL, NULL, 0x0067 },
{"DdeAccessData", 0x00051309, NULL, NULL, 0x0068 },
{"DdeAddData", 0x000510D1, NULL, NULL, 0x0069 },
{"DdeClientTransaction", 0x0005A6A2, NULL, NULL, 0x006A },
{"DdeCmpStringHandles", 0x00051D8D, NULL, NULL, 0x006B },
{"DdeConnect", 0x000481C3, NULL, NULL, 0x006C },
{"DdeConnectList", 0x000484DE, NULL, NULL, 0x006D },
{"DdeCreateDataHandle", 0x00051769, NULL, NULL, 0x006E },
{"DdeCreateStringHandleA", 0x00051E43, NULL, NULL, 0x006F },
{"DdeCreateStringHandleW", 0x00010447, NULL, NULL, 0x0070 },
{"DdeDisconnect", 0x000483C4, NULL, NULL, 0x0071 },
{"DdeDisconnectList", 0x0004843B, NULL, NULL, 0x0072 },
{"DdeEnableCallback", 0x00045212, NULL, NULL, 0x0073 },
{"DdeFreeDataHandle", 0x000518E2, NULL, NULL, 0x0074 },
{"DdeFreeStringHandle", 0x00051F70, NULL, NULL, 0x0075 },
{"DdeGetData", 0x000511F1, NULL, NULL, 0x0076 },
{"DdeGetLastError", 0x0004A853, NULL, NULL, 0x0077 },
{"DdeGetQualityOfService", 0x0005CAA6, NULL, NULL, 0x0078 },
{"DdeImpersonateClient", 0x0004A894, NULL, NULL, 0x0079 },
{"DdeInitializeA", 0x0004A8F6, NULL, NULL, 0x007A },
{"DdeInitializeW", 0x000106D7, NULL, NULL, 0x007B },
{"DdeKeepStringHandle", 0x0005200A, NULL, NULL, 0x007C },
{"DdeNameService", 0x0001085E, NULL, NULL, 0x007D },
{"DdePostAdvise", 0x0005A3A5, NULL, NULL, 0x007E },
{"DdeQueryConvInfo", 0x0005ABA6, NULL, NULL, 0x007F },
{"DdeQueryNextServer", 0x000479AC, NULL, NULL, 0x0080 },
{"DdeQueryStringA", 0x00052096, NULL, NULL, 0x0081 },
{"DdeQueryStringW", 0x000520B3, NULL, NULL, 0x0082 },
{"DdeReconnect", 0x0004826B, NULL, NULL, 0x0083 },
{"DdeSetQualityOfService", 0x0005CABA, NULL, NULL, 0x0084 },
{"DdeSetUserHandle", 0x0005AD29, NULL, NULL, 0x0085 },
{"DdeUnaccessData", 0x0005137B, NULL, NULL, 0x0086 },
{"DdeUninitialize", 0x0004A732, NULL, NULL, 0x0087 },
{"DefDlgProcA", 0x0002E577, NULL, NULL, 0x0088 },
{"DefDlgProcW", 0x00013D3A, NULL, NULL, 0x0089 },
{"DefFrameProcA", 0x0003F965, NULL, NULL, 0x008A },
{"DefFrameProcW", 0x00020833, NULL, NULL, 0x008B },
{"DefMDIChildProcA", 0x0003F9B4, NULL, NULL, 0x008C },
{"DefMDIChildProcW", 0x00020A47, NULL, NULL, 0x008D },
{"DefRawInputProc", 0x000468DD, NULL, NULL, 0x008E },
{"DefWindowProcA", 0x0001C17E, NULL, NULL, 0x008F },
{"DefWindowProcW", 0x00018D20, NULL, NULL, 0x0090 },
{"DeferWindowPos", 0x0001AFDB, NULL, NULL, 0x0091 },
{"DeleteMenu", 0x0001CED3, NULL, NULL, 0x0092 },
{"DeregisterShellHookWindow", 0x000302C0, NULL, NULL, 0x0093 },
{"DestroyAcceleratorTable", 0x0002FE8D, NULL, NULL, 0x0094 },
{"DestroyCaret", 0x00019C0E, NULL, NULL, 0x0095 },
{"DestroyCursor", 0x0001D312, NULL, NULL, 0x0096 },
{"DestroyIcon", 0x0001D312, NULL, NULL, 0x0097 },
{"DestroyMenu", 0x0001D39D, NULL, NULL, 0x0098 },
{"DestroyReasons", 0x00057ED8, NULL, NULL, 0x0099 },
{"DestroyWindow", 0x0001B19C, NULL, NULL, 0x009A },
{"DeviceEventWorker", 0x0004A0F8, NULL, NULL, 0x009B },
{"DialogBoxIndirectParamA", 0x00046D7D, NULL, NULL, 0x009C },
{"DialogBoxIndirectParamAorW", 0x000149D0, NULL, NULL, 0x009D },
{"DialogBoxIndirectParamW", 0x00022072, NULL, NULL, 0x009E },
{"DialogBoxParamA", 0x0002B144, NULL, NULL, 0x009F },
{"DialogBoxParamW", 0x000147AB, NULL, NULL, 0x00A0 },
{"DisableProcessWindowsGhosting", 0x00046421, NULL, NULL, 0x00A1 },
{"DispatchMessageA", 0x000096B8, NULL, NULL, 0x00A2 },
{"DispatchMessageW", 0x00008A01, NULL, NULL, 0x00A3 },
{"DisplayExitWindowsWarnings", 0x00049F91, NULL, NULL, 0x00A4 },
{"DlgDirListA", 0x000538DF, NULL, NULL, 0x00A5 },
{"DlgDirListComboBoxA", 0x00047599, NULL, NULL, 0x00A6 },
{"DlgDirListComboBoxW", 0x00047626, NULL, NULL, 0x00A7 },
{"DlgDirListW", 0x0005396D, NULL, NULL, 0x00A8 },
{"DlgDirSelectComboBoxExA", 0x00047657, NULL, NULL, 0x00A9 },
{"DlgDirSelectComboBoxExW", 0x00047543, NULL, NULL, 0x00AA },
{"DlgDirSelectExA", 0x00053AFE, NULL, NULL, 0x00AB },
{"DlgDirSelectExW", 0x00053B64, NULL, NULL, 0x00AC },
{"DragDetect", 0x0005CACE, NULL, NULL, 0x00AD },
{"DragObject", 0x0005CAE2, NULL, NULL, 0x00AE },
{"DrawAnimatedRects", 0x0005CAF6, NULL, NULL, 0x00AF },
{"DrawCaption", 0x00056D9F, NULL, NULL, 0x00B0 },
{"DrawCaptionTempA", 0x0005B2D0, NULL, NULL, 0x00B1 },
{"DrawCaptionTempW", 0x0003F339, NULL, NULL, 0x00B2 },
{"DrawEdge", 0x0001FBF6, NULL, NULL, 0x00B3 },
{"DrawFocusRect", 0x0001F94F, NULL, NULL, 0x00B4 },
{"DrawFrame", 0x000229C4, NULL, NULL, 0x00B5 },
{"DrawFrameControl", 0x0002E940, NULL, NULL, 0x00B6 },
{"DrawIcon", 0x0002D06C, NULL, NULL, 0x00B7 },
{"DrawIconEx", 0x0001CB84, NULL, NULL, 0x00B8 },
{"DrawMenuBar", 0x0003F69C, NULL, NULL, 0x00B9 },
{"DrawMenuBarTemp", 0x0005536D, NULL, NULL, 0x00BA },
{"DrawStateA", 0x0003F100, NULL, NULL, 0x00BB },
{"DrawStateW", 0x000145BB, NULL, NULL, 0x00BC },
{"DrawTextA", 0x0002C702, NULL, NULL, 0x00BD },
{"DrawTextExA", 0x0002C739, NULL, NULL, 0x00BE },
{"DrawTextExW", 0x0001B415, NULL, NULL, 0x00BF },
{"DrawTextW", 0x0001D7E2, NULL, NULL, 0x00C0 },
{"EditWndProc", 0x00023000, NULL, NULL, 0x00C1 },
{"EmptyClipboard", 0x00020D96, NULL, NULL, 0x00C2 },
{"EnableMenuItem", 0x0001D2C4, NULL, NULL, 0x00C3 },
{"EnableScrollBar", 0x00058005, NULL, NULL, 0x00C4 },
{"EnableWindow", 0x00019849, NULL, NULL, 0x00C5 },
{"EndDeferWindowPos", 0x0001AF8D, NULL, NULL, 0x00C6 },
{"EndDialog", 0x00014A4E, NULL, NULL, 0x00C7 },
{"EndMenu", 0x0005CB5A, NULL, NULL, 0x00C8 },
{"EndPaint", 0x00018FFD, NULL, NULL, 0x00C9 },
{"EndTask", 0x0004A0A5, NULL, NULL, 0x00CA },
{"EnterReaderModeHelper", 0x0005769F, NULL, NULL, 0x00CB },
{"EnumChildWindows", 0x0001B0F0, NULL, NULL, 0x00CC },
{"EnumClipboardFormats", 0x0002E53D, NULL, NULL, 0x00CD },
{"EnumDesktopWindows", 0x0001851A, NULL, NULL, 0x00CE },
{"EnumDesktopsA", 0x0002234B, NULL, NULL, 0x00CF },
{"EnumDesktopsW", 0x0001853B, NULL, NULL, 0x00D0 },
{"EnumDisplayDevicesA", 0x00018A74, NULL, NULL, 0x00D1 },
{"EnumDisplayDevicesW", 0x0000E03C, NULL, NULL, 0x00D2 },
{"EnumDisplayMonitors", 0x0001A77B, NULL, NULL, 0x00D3 },
{"EnumDisplaySettingsA", 0x00013A67, NULL, NULL, 0x00D4 },
{"EnumDisplaySettingsExA", 0x000138F3, NULL, NULL, 0x00D5 },
{"EnumDisplaySettingsExW", 0x00013563, NULL, NULL, 0x00D6 },
{"EnumDisplaySettingsW", 0x0001362A, NULL, NULL, 0x00D7 },
{"EnumPropsA", 0x000455D9, NULL, NULL, 0x00D8 },
{"EnumPropsExA", 0x00045613, NULL, NULL, 0x00D9 },
{"EnumPropsExW", 0x00045631, NULL, NULL, 0x00DA },
{"EnumPropsW", 0x000455F6, NULL, NULL, 0x00DB },
{"EnumThreadWindows", 0x0001F539, NULL, NULL, 0x00DC },
{"EnumWindowStationsA", 0x0002232E, NULL, NULL, 0x00DD },
{"EnumWindowStationsW", 0x0004564F, NULL, NULL, 0x00DE },
{"EnumWindows", 0x0001A5AE, NULL, NULL, 0x00DF },
{"EqualRect", 0x00019E81, NULL, NULL, 0x00E0 },
{"ExcludeUpdateRgn", 0x00020251, NULL, NULL, 0x00E1 },
{"ExitWindowsEx", 0x0004A275, NULL, NULL, 0x00E2 },
{"FillRect", 0x00019C2F, NULL, NULL, 0x00E3 },
{"FindWindowA", 0x000182E1, NULL, NULL, 0x00E4 },
{"FindWindowExA", 0x0002214A, NULL, NULL, 0x00E5 },
{"FindWindowExW", 0x0000E0E3, NULL, NULL, 0x00E6 },
{"FindWindowW", 0x0001C9C3, NULL, NULL, 0x00E7 },
{"FlashWindow", 0x00045FC4, NULL, NULL, 0x00E8 },
{"FlashWindowEx", 0x0005CB80, NULL, NULL, 0x00E9 },
{"FrameRect", 0x0001F92A, NULL, NULL, 0x00EA },
{"FreeDDElParam", 0x0004BA77, NULL, NULL, 0x00EB },
{"GetActiveWindow", 0x0001C2E8, NULL, NULL, 0x00EC },
{"GetAltTabInfo", 0x0005B3DC, NULL, NULL, 0x00ED },
{"GetAltTabInfoA", 0x0005B3DC, NULL, NULL, 0x00EE },
{"GetAltTabInfoW", 0x00020D09, NULL, NULL, 0x00EF },
{"GetAncestor", 0x0001AF79, NULL, NULL, 0x00F0 },
{"GetAppCompatFlags2", 0x00008ED6, NULL, NULL, 0x00F1 },
{"GetAppCompatFlags", 0x0001CDD4, NULL, NULL, 0x00F2 },
{"GetAsyncKeyState", 0x0001A78F, NULL, NULL, 0x00F3 },
{"GetCapture", 0x000094DA, NULL, NULL, 0x00F4 },
{"GetCaretBlinkTime", 0x0001A928, NULL, NULL, 0x00F5 },
{"GetCaretPos", 0x0001F6A1, NULL, NULL, 0x00F6 },
{"GetClassInfoA", 0x0002EBFF, NULL, NULL, 0x00F7 },
{"GetClassInfoExA", 0x0000DD58, NULL, NULL, 0x00F8 },
{"GetClassInfoExW", 0x0000DEBC, NULL, NULL, 0x00F9 },
{"GetClassInfoW", 0x0001E81E, NULL, NULL, 0x00FA },
{"GetClassLongA", 0x0001F4F1, NULL, NULL, 0x00FB },
{"GetClassLongW", 0x00019AE9, NULL, NULL, 0x00FC },
{"GetClassNameA", 0x0001F45F, NULL, NULL, 0x00FD },
{"GetClassNameW", 0x00019D12, NULL, NULL, 0x00FE },
{"GetClassWord", 0x0004535C, NULL, NULL, 0x00FF },
{"GetClientRect", 0x0001908E, NULL, NULL, 0x0100 },
{"GetClipCursor", 0x0005CBA6, NULL, NULL, 0x0101 },
{"GetClipboardData", 0x00020DBA, NULL, NULL, 0x0102 },
{"GetClipboardFormatNameA", 0x00021290, NULL, NULL, 0x0103 },
{"GetClipboardFormatNameW", 0x0004957F, NULL, NULL, 0x0104 },
{"GetClipboardOwner", 0x00020DA8, NULL, NULL, 0x0105 },
{"GetClipboardSequenceNumber", 0x0001F17A, NULL, NULL, 0x0106 },
{"GetClipboardViewer", 0x0005CB94, NULL, NULL, 0x0107 },
{"GetComboBoxInfo", 0x0005CBBA, NULL, NULL, 0x0108 },
{"GetCursor", 0x0001A91B, NULL, NULL, 0x0109 },
{"GetCursorFrameInfo", 0x000147F8, NULL, NULL, 0x010A },
{"GetCursorInfo", 0x0005CBCE, NULL, NULL, 0x010B },
{"GetCursorPos", 0x0001974E, NULL, NULL, 0x010C },
{"GetDC", 0x000086C7, NULL, NULL, 0x010D },
{"GetDCEx", 0x0001C595, NULL, NULL, 0x010E },
{"GetDesktopWindow", 0x0001D1D2, NULL, NULL, 0x010F },
{"GetDialogBaseUnits", 0x00046003, NULL, NULL, 0x0110 },
{"GetDlgCtrlID", 0x0001AF1B, NULL, NULL, 0x0111 },
{"GetDlgItem", 0x0001436E, NULL, NULL, 0x0112 },
{"GetDlgItemInt", 0x0004BC8B, NULL, NULL, 0x0113 },
{"GetDlgItemTextA", 0x0005B05E, NULL, NULL, 0x0114 },
{"GetDlgItemTextW", 0x00014305, NULL, NULL, 0x0115 },
{"GetDoubleClickTime", 0x0001D86B, NULL, NULL, 0x0116 },
{"GetFocus", 0x000198C8, NULL, NULL, 0x0117 },
{"GetForegroundWindow", 0x00019823, NULL, NULL, 0x0118 },
{"GetGUIThreadInfo", 0x00017F28, NULL, NULL, 0x0119 },
{"GetGuiResources", 0x0005CBE2, NULL, NULL, 0x011A },
{"GetIconInfo", 0x0001D427, NULL, NULL, 0x011B },
{"GetInputDesktop", 0x00046022, NULL, NULL, 0x011C },
{"GetInputState", 0x0001F64E, NULL, NULL, 0x011D },
{"GetInternalWindowPos", 0x0005CC0A, NULL, NULL, 0x011E },
{"GetKBCodePage", 0x000521A8, NULL, NULL, 0x011F },
{"GetKeyNameTextA", 0x0003F6B4, NULL, NULL, 0x0120 },
{"GetKeyNameTextW", 0x0004958F, NULL, NULL, 0x0121 },
{"GetKeyState", 0x00019ED9, NULL, NULL, 0x0122 },
{"GetKeyboardLayout", 0x00019BF6, NULL, NULL, 0x0123 },
{"GetKeyboardLayoutList", 0x00019C1B, NULL, NULL, 0x0124 },
{"GetKeyboardLayoutNameA", 0x00043631, NULL, NULL, 0x0125 },
{"GetKeyboardLayoutNameW", 0x00021481, NULL, NULL, 0x0126 },
{"GetKeyboardState", 0x0001D226, NULL, NULL, 0x0127 },
{"GetKeyboardType", 0x000211DB, NULL, NULL, 0x0128 },
{"GetLastActivePopup", 0x0002157A, NULL, NULL, 0x0129 },
{"GetLastInputInfo", 0x000094F4, NULL, NULL, 0x012A },
{"GetLayeredWindowAttributes", 0x0005CFC6, NULL, NULL, 0x012B },
{"GetListBoxInfo", 0x0005CC32, NULL, NULL, 0x012C },
{"GetMenu", 0x000214BA, NULL, NULL, 0x012D },
{"GetMenuBarInfo", 0x0005CC46, NULL, NULL, 0x012E },
{"GetMenuCheckMarkDimensions", 0x000402F9, NULL, NULL, 0x012F },
{"GetMenuContextHelpId", 0x000552FF, NULL, NULL, 0x0130 },
{"GetMenuDefaultItem", 0x0000F667, NULL, NULL, 0x0131 },
{"GetMenuInfo", 0x00046725, NULL, NULL, 0x0132 },
{"GetMenuItemCount", 0x0001EF1C, NULL, NULL, 0x0133 },
{"GetMenuItemID", 0x0003F1C8, NULL, NULL, 0x0134 },
{"GetMenuItemInfoA", 0x0001F0AD, NULL, NULL, 0x0135 },
{"GetMenuItemInfoW", 0x0000F72A, NULL, NULL, 0x0136 },
{"GetMenuItemRect", 0x0005CC6E, NULL, NULL, 0x0137 },
{"GetMenuState", 0x0000F967, NULL, NULL, 0x0138 },
{"GetMenuStringA", 0x0003F24E, NULL, NULL, 0x0139 },
{"GetMenuStringW", 0x000464E4, NULL, NULL, 0x013A },
{"GetMessageA", 0x0001772B, NULL, NULL, 0x013B },
{"GetMessageExtraInfo", 0x000468B8, NULL, NULL, 0x013C },
{"GetMessagePos", 0x0001996C, NULL, NULL, 0x013D },
{"GetMessageTime", 0x00019DE0, NULL, NULL, 0x013E },
{"GetMessageW", 0x000091C6, NULL, NULL, 0x013F },
{"GetMonitorInfoA", 0x0001A84A, NULL, NULL, 0x0140 },
{"GetMonitorInfoW", 0x0001A6D9, NULL, NULL, 0x0141 },
{"GetMouseMovePointsEx", 0x0005CC82, NULL, NULL, 0x0142 },
{"GetNextDlgGroupItem", 0x0004BF27, NULL, NULL, 0x0143 },
{"GetNextDlgTabItem", 0x000137C3, NULL, NULL, 0x0144 },
{"GetOpenClipboardWindow", 0x00021691, NULL, NULL, 0x0145 },
{"GetParent", 0x0001910F, NULL, NULL, 0x0146 },
{"GetPriorityClipboardFormat", 0x0005CC96, NULL, NULL, 0x0147 },
{"GetProcessDefaultLayout", 0x000463E4, NULL, NULL, 0x0148 },
{"GetProcessWindowStation", 0x00009195, NULL, NULL, 0x0149 },
{"GetProgmanWindow", 0x0004612D, NULL, NULL, 0x014A },
{"GetPropA", 0x00020042, NULL, NULL, 0x014B },
{"GetPropW", 0x000194B3, NULL, NULL, 0x014C },
{"GetQueueStatus", 0x0001AE46, NULL, NULL, 0x014D },
{"GetRawInputBuffer", 0x00050DCD, NULL, NULL, 0x014E },
{"GetRawInputData", 0x0005CCBE, NULL, NULL, 0x014F },
{"GetRawInputDeviceInfoA", 0x0005AF0D, NULL, NULL, 0x0150 },
{"GetRawInputDeviceInfoW", 0x00046558, NULL, NULL, 0x0151 },
{"GetRawInputDeviceList", 0x0005CCE6, NULL, NULL, 0x0152 },
{"GetReasonTitleFromReasonCode", 0x00057F24, NULL, NULL, 0x0153 },
{"GetRegisteredRawInputDevices", 0x0005CCFA, NULL, NULL, 0x0154 },
{"GetScrollBarInfo", 0x0001DFB4, NULL, NULL, 0x0155 },
{"GetScrollInfo", 0x0001DFE2, NULL, NULL, 0x0156 },
{"GetScrollPos", 0x0001F704, NULL, NULL, 0x0157 },
{"GetScrollRange", 0x0001F787, NULL, NULL, 0x0158 },
{"GetShellWindow", 0x00009252, NULL, NULL, 0x0159 },
{"GetSubMenu", 0x0001D896, NULL, NULL, 0x015A },
{"GetSysColor", 0x00008E78, NULL, NULL, 0x015B },
{"GetSysColorBrush", 0x00008EAB, NULL, NULL, 0x015C },
{"GetSystemMenu", 0x0001B222, NULL, NULL, 0x015D },
{"GetSystemMetrics", 0x00008F9C, NULL, NULL, 0x015E },
{"GetTabbedTextExtentA", 0x0004A6A1, NULL, NULL, 0x015F },
{"GetTabbedTextExtentW", 0x0004A677, NULL, NULL, 0x0160 },
{"GetTaskmanWindow", 0x0004370D, NULL, NULL, 0x0161 },
{"GetThreadDesktop", 0x00009A51, NULL, NULL, 0x0162 },
{"GetTitleBarInfo", 0x0001C581, NULL, NULL, 0x0163 },
{"GetTopWindow", 0x0001F25B, NULL, NULL, 0x0164 },
{"GetUpdateRect", 0x0001A8C9, NULL, NULL, 0x0165 },
{"GetUpdateRgn", 0x0001F5EC, NULL, NULL, 0x0166 },
{"GetUserObjectInformationA", 0x00021300, NULL, NULL, 0x0167 },
{"GetUserObjectInformationW", 0x00008D17, NULL, NULL, 0x0168 },
{"GetUserObjectSecurity", 0x00045B65, NULL, NULL, 0x0169 },
{"GetWinStationInfo", 0x00045B9B, NULL, NULL, 0x016A },
{"GetWindow", 0x00019655, NULL, NULL, 0x016B },
{"GetWindowContextHelpId", 0x00046180, NULL, NULL, 0x016C },
{"GetWindowDC", 0x00009021, NULL, NULL, 0x016D },
{"GetWindowInfo", 0x0001C49C, NULL, NULL, 0x016E },
{"GetWindowLongA", 0x0000945D, NULL, NULL, 0x016F },
{"GetWindowLongW", 0x000088A6, NULL, NULL, 0x0170 },
{"GetWindowModuleFileName", 0x0005AEE4, NULL, NULL, 0x0171 },
{"GetWindowModuleFileNameA", 0x0005AEE4, NULL, NULL, 0x0172 },
{"GetWindowModuleFileNameW", 0x0004652F, NULL, NULL, 0x0173 },
{"GetWindowPlacement", 0x000203C7, NULL, NULL, 0x0174 },
{"GetWindowRect", 0x000190B4, NULL, NULL, 0x0175 },
{"GetWindowRgn", 0x0000E443, NULL, NULL, 0x0176 },
{"GetWindowRgnBox", 0x0001D007, NULL, NULL, 0x0177 },
{"GetWindowTextA", 0x0002216B, NULL, NULL, 0x0178 },
{"GetWindowTextLengthA", 0x0003F18B, NULL, NULL, 0x0179 },
{"GetWindowTextLengthW", 0x00017836, NULL, NULL, 0x017A },
{"GetWindowTextW", 0x0001A5CD, NULL, NULL, 0x017B },
{"GetWindowThreadProcessId", 0x00008A80, NULL, NULL, 0x017C },
{"GetWindowWord", 0x0002030C, NULL, NULL, 0x017D },
{"GrayStringA", 0x00045B05, NULL, NULL, 0x017E },
{"GrayStringW", 0x00045B35, NULL, NULL, 0x017F },
{"HideCaret", 0x0001B086, NULL, NULL, 0x0180 },
{"HiliteMenuItem", 0x0005CD22, NULL, NULL, 0x0181 },
{"IMPGetIMEA", 0x0005B4C0, NULL, NULL, 0x0182 },
{"IMPGetIMEW", 0x0005B4AF, NULL, NULL, 0x0183 },
{"IMPQueryIMEA", 0x0005B4E2, NULL, NULL, 0x0184 },
{"IMPQueryIMEW", 0x0005B4D1, NULL, NULL, 0x0185 },
{"IMPSetIMEA", 0x0005B504, NULL, NULL, 0x0186 },
{"IMPSetIMEW", 0x0005B4F3, NULL, NULL, 0x0187 },
{"ImpersonateDdeClientWindow", 0x0005CD36, NULL, NULL, 0x0188 },
{"InSendMessage", 0x00017296, NULL, NULL, 0x0189 },
{"InSendMessageEx", 0x0001AE83, NULL, NULL, 0x018A },
{"InflateRect", 0x000198D5, NULL, NULL, 0x018B },
{"InitializeLpkHooks", 0x00046646, NULL, NULL, 0x018C },
{"InitializeWin32EntryTable", 0x00056FC7, NULL, NULL, 0x018D },
{"InsertMenuA", 0x0002ED26, NULL, NULL, 0x018E },
{"InsertMenuItemA", 0x0003F710, NULL, NULL, 0x018F },
{"InsertMenuItemW", 0x0000F5C8, NULL, NULL, 0x0190 },
{"InsertMenuW", 0x0000F60E, NULL, NULL, 0x0191 },
{"InternalGetWindowText", 0x0001C5A9, NULL, NULL, 0x0192 },
{"IntersectRect", 0x00018F1F, NULL, NULL, 0x0193 },
{"InvalidateRect", 0x00018FD5, NULL, NULL, 0x0194 },
{"InvalidateRgn", 0x0001CDFE, NULL, NULL, 0x0195 },
{"InvertRect", 0x0003FC72, NULL, NULL, 0x0196 },
{"IsCharAlphaA", 0x0002E5E6, NULL, NULL, 0x0197 },
{"IsCharAlphaNumericA", 0x0003F469, NULL, NULL, 0x0198 },
{"IsCharAlphaNumericW", 0x00011AC2, NULL, NULL, 0x0199 },
{"IsCharAlphaW", 0x0001D683, NULL, NULL, 0x019A },
{"IsCharLowerA", 0x0002B889, NULL, NULL, 0x019B },
{"IsCharLowerW", 0x0003F3B2, NULL, NULL, 0x019C },
{"IsCharUpperA", 0x0002707E, NULL, NULL, 0x019D },
{"IsCharUpperW", 0x0005A1DF, NULL, NULL, 0x019E },
{"IsChild", 0x0000970E, NULL, NULL, 0x019F },
{"IsClipboardFormatAvailable", 0x0001F166, NULL, NULL, 0x01A0 },
{"IsDialogMessage", 0x0002C689, NULL, NULL, 0x01A1 },
{"IsDialogMessageA", 0x0002C689, NULL, NULL, 0x01A2 },
{"IsDialogMessageW", 0x00017424, NULL, NULL, 0x01A3 },
{"IsDlgButtonChecked", 0x00014DFA, NULL, NULL, 0x01A4 },
{"IsGUIThread", 0x0005A19F, NULL, NULL, 0x01A5 },
{"IsHungAppWindow", 0x00059C61, NULL, NULL, 0x01A6 },
{"IsIconic", 0x000197FF, NULL, NULL, 0x01A7 },
{"IsMenu", 0x00021368, NULL, NULL, 0x01A8 },
{"IsRectEmpty", 0x000198FE, NULL, NULL, 0x01A9 },
{"IsServerSideWindow", 0x0001B0CF, NULL, NULL, 0x01AA },
{"IsWinEventHookInstalled", 0x0000B1A5, NULL, NULL, 0x01AB },
{"IsWindow", 0x00019313, NULL, NULL, 0x01AC },
{"IsWindowEnabled", 0x0001977A, NULL, NULL, 0x01AD },
{"IsWindowInDestroy", 0x0001B126, NULL, NULL, 0x01AE },
{"IsWindowUnicode", 0x00019F72, NULL, NULL, 0x01AF },
{"IsWindowVisible", 0x00019E3D, NULL, NULL, 0x01B0 },
{"IsZoomed", 0x00019C8A, NULL, NULL, 0x01B1 },
{"KillSystemTimer", 0x000460CC, NULL, NULL, 0x01B2 },
{"KillTimer", 0x00008C42, NULL, NULL, 0x01B3 },
{"LoadAcceleratorsA", 0x00021553, NULL, NULL, 0x01B4 },
{"LoadAcceleratorsW", 0x0001EE76, NULL, NULL, 0x01B5 },
{"LoadBitmapA", 0x0001473C, NULL, NULL, 0x01B6 },
{"LoadBitmapW", 0x00010242, NULL, NULL, 0x01B7 },
{"LoadCursorA", 0x0001D33E, NULL, NULL, 0x01B8 },
{"LoadCursorFromFileA", 0x00043CCB, NULL, NULL, 0x01B9 },
{"LoadCursorFromFileW", 0x00043CAC, NULL, NULL, 0x01BA },
{"LoadCursorW", 0x00009D69, NULL, NULL, 0x01BB },
{"LoadIconA", 0x0001E8F6, NULL, NULL, 0x01BC },
{"LoadIconW", 0x0001E8BC, NULL, NULL, 0x01BD },
{"LoadImageA", 0x00017C08, NULL, NULL, 0x01BE },
{"LoadImageW", 0x00017B97, NULL, NULL, 0x01BF },
{"LoadKeyboardLayoutA", 0x00046262, NULL, NULL, 0x01C0 },
{"LoadKeyboardLayoutEx", 0x0004623A, NULL, NULL, 0x01C1 },
{"LoadKeyboardLayoutW", 0x00021464, NULL, NULL, 0x01C2 },
{"LoadLocalFonts", 0x0000EDD8, NULL, NULL, 0x01C3 },
{"LoadMenuA", 0x0003FA83, NULL, NULL, 0x01C4 },
{"LoadMenuIndirectA", 0x0001EBBF, NULL, NULL, 0x01C5 },
{"LoadMenuIndirectW", 0x0001EBBF, NULL, NULL, 0x01C6 },
{"LoadMenuW", 0x0001EB48, NULL, NULL, 0x01C7 },
{"LoadRemoteFonts", 0x0000ECB7, NULL, NULL, 0x01C8 },
{"LoadStringA", 0x0001C908, NULL, NULL, 0x01C9 },
{"LoadStringW", 0x00009E36, NULL, NULL, 0x01CA },
{"LockSetForegroundWindow", 0x0000DE5A, NULL, NULL, 0x01CB },
{"LockWindowStation", 0x0000F3C4, NULL, NULL, 0x01CC },
{"LockWindowUpdate", 0x00029636, NULL, NULL, 0x01CD },
{"LockWorkStation", 0x0005CD5E, NULL, NULL, 0x01CE },
{"LookupIconIdFromDirectory", 0x00047116, NULL, NULL, 0x01CF },
{"LookupIconIdFromDirectoryEx", 0x0000C4DA, NULL, NULL, 0x01D0 },
{"MBToWCSEx", 0x0000ADAD, NULL, NULL, 0x01D1 },
{"MB_GetString", 0x00055D55, NULL, NULL, 0x01D2 },
{"MapDialogRect", 0x0004BE4C, NULL, NULL, 0x01D3 },
{"MapVirtualKeyA", 0x0001FEEA, NULL, NULL, 0x01D4 },
{"MapVirtualKeyExA", 0x0005B097, NULL, NULL, 0x01D5 },
{"MapVirtualKeyExW", 0x0004959F, NULL, NULL, 0x01D6 },
{"MapVirtualKeyW", 0x0004029E, NULL, NULL, 0x01D7 },
{"MapWindowPoints", 0x00019507, NULL, NULL, 0x01D8 },
{"MenuItemFromPoint", 0x0005CD70, NULL, NULL, 0x01D9 },
{"MenuWindowProcA", 0x00046873, NULL, NULL, 0x01DA },
{"MenuWindowProcW", 0x0004682E, NULL, NULL, 0x01DB },
{"MessageBeep", 0x00021F7B, NULL, NULL, 0x01DC },
{"MessageBoxA", 0x000407EA, NULL, NULL, 0x01DD },
{"MessageBoxExA", 0x0004085C, NULL, NULL, 0x01DE },
{"MessageBoxExW", 0x00040838, NULL, NULL, 0x01DF },
{"MessageBoxIndirectA", 0x0002A082, NULL, NULL, 0x01E0 },
{"MessageBoxIndirectW", 0x000564D5, NULL, NULL, 0x01E1 },
{"MessageBoxTimeoutA", 0x00056406, NULL, NULL, 0x01E2 },
{"MessageBoxTimeoutW", 0x00056383, NULL, NULL, 0x01E3 },
{"MessageBoxW", 0x00056534, NULL, NULL, 0x01E4 },
{"ModifyMenuA", 0x0003F20B, NULL, NULL, 0x01E5 },
{"ModifyMenuW", 0x0000F51F, NULL, NULL, 0x01E6 },
{"MonitorFromPoint", 0x0001ABF5, NULL, NULL, 0x01E7 },
{"MonitorFromRect", 0x0001C713, NULL, NULL, 0x01E8 },
{"MonitorFromWindow", 0x0001A679, NULL, NULL, 0x01E9 },
{"MoveWindow", 0x0001B29E, NULL, NULL, 0x01EA },
{"MsgWaitForMultipleObjects", 0x00009689, NULL, NULL, 0x01EB },
{"MsgWaitForMultipleObjectsEx", 0x00009645, NULL, NULL, 0x01EC },
{"NotifyWinEvent", 0x000199CB, NULL, NULL, 0x01ED },
{"OemKeyScan", 0x0004023C, NULL, NULL, 0x01EE },
{"OemToCharA", 0x000200D7, NULL, NULL, 0x01EF },
{"OemToCharBuffA", 0x00020116, NULL, NULL, 0x01F0 },
{"OemToCharBuffW", 0x000402BB, NULL, NULL, 0x01F1 },
{"OemToCharW", 0x00056E76, NULL, NULL, 0x01F2 },
{"OffsetRect", 0x00019011, NULL, NULL, 0x01F3 },
{"OpenClipboard", 0x00020277, NULL, NULL, 0x01F4 },
{"OpenDesktopA", 0x00022369, NULL, NULL, 0x01F5 },
{"OpenDesktopW", 0x00018559, NULL, NULL, 0x01F6 },
{"OpenIcon", 0x000460E7, NULL, NULL, 0x01F7 },
{"OpenInputDesktop", 0x0000ECA3, NULL, NULL, 0x01F8 },
{"OpenWindowStationA", 0x000221E1, NULL, NULL, 0x01F9 },
{"OpenWindowStationW", 0x00045E0B, NULL, NULL, 0x01FA },
{"PackDDElParam", 0x0004B961, NULL, NULL, 0x01FB },
{"PaintDesktop", 0x0001864B, NULL, NULL, 0x01FC },
{"PaintMenuBar", 0x0002151E, NULL, NULL, 0x01FD },
{"PeekMessageA", 0x0001A340, NULL, NULL, 0x01FE },
{"PeekMessageW", 0x0000929B, NULL, NULL, 0x01FF },
{"PostMessageA", 0x0001AAFD, NULL, NULL, 0x0200 },
{"PostMessageW", 0x00008CCB, NULL, NULL, 0x0201 },
{"PostQuitMessage", 0x0001CA5A, NULL, NULL, 0x0202 },
{"PostThreadMessageA", 0x000177C5, NULL, NULL, 0x0203 },
{"PostThreadMessageW", 0x000177B8, NULL, NULL, 0x0204 },
{"PrintWindow", 0x00013810, NULL, NULL, 0x0205 },
{"PrivateExtractIconExA", 0x00050A09, NULL, NULL, 0x0206 },
{"PrivateExtractIconExW", 0x0000D3C3, NULL, NULL, 0x0207 },
{"PrivateExtractIconsA", 0x000509AF, NULL, NULL, 0x0208 },
{"PrivateExtractIconsW", 0x0000CCFC, NULL, NULL, 0x0209 },
{"PrivateSetDbgTag", 0x0005CE72, NULL, NULL, 0x020A },
{"PrivateSetRipFlags", 0x0005CEFE, NULL, NULL, 0x020B },
{"PtInRect", 0x00019719, NULL, NULL, 0x020C },
{"QuerySendMessage", 0x0005CDBE, NULL, NULL, 0x020D },
{"QueryUserCounters", 0x0005CDD2, NULL, NULL, 0x020E },
{"RealChildWindowFromPoint", 0x0005CDE6, NULL, NULL, 0x020F },
{"RealGetWindowClass", 0x0005B36B, NULL, NULL, 0x0210 },
{"RealGetWindowClassA", 0x0005B36B, NULL, NULL, 0x0211 },
{"RealGetWindowClassW", 0x000495F6, NULL, NULL, 0x0212 },
{"ReasonCodeNeedsBugID", 0x00057716, NULL, NULL, 0x0213 },
{"ReasonCodeNeedsComment", 0x000576FF, NULL, NULL, 0x0214 },
{"RecordShutdownReason", 0x000496FD, NULL, NULL, 0x0215 },
{"RedrawWindow", 0x00019944, NULL, NULL, 0x0216 },
{"RegisterClassA", 0x0001EA5E, NULL, NULL, 0x0217 },
{"RegisterClassExA", 0x00017C39, NULL, NULL, 0x0218 },
{"RegisterClassExW", 0x0000AF7F, NULL, NULL, 0x0219 },
{"RegisterClassW", 0x0000A39A, NULL, NULL, 0x021A },
{"RegisterClipboardFormatA", 0x00008E28, NULL, NULL, 0x021B },
{"RegisterClipboardFormatW", 0x0000AF34, NULL, NULL, 0x021C },
{"RegisterDeviceNotificationA", 0x00011B3B, NULL, NULL, 0x021D },
{"RegisterDeviceNotificationW", 0x0000E8B9, NULL, NULL, 0x021E },
{"RegisterHotKey", 0x0000EBB3, NULL, NULL, 0x021F },
{"RegisterLogonProcess", 0x00012B73, NULL, NULL, 0x0220 },
{"RegisterMessagePumpHook", 0x00011EFC, NULL, NULL, 0x0221 },
{"RegisterRawInputDevices", 0x0005CE0E, NULL, NULL, 0x0222 },
{"RegisterServicesProcess", 0x00011FAE, NULL, NULL, 0x0223 },
{"RegisterShellHookWindow", 0x0000E104, NULL, NULL, 0x0224 },
{"RegisterSystemThread", 0x00046198, NULL, NULL, 0x0225 },
{"RegisterTasklist", 0x0005CE22, NULL, NULL, 0x0226 },
{"RegisterUserApiHook", 0x00011CFF, NULL, NULL, 0x0227 },
{"RegisterWindowMessageA", 0x00008E28, NULL, NULL, 0x0228 },
{"RegisterWindowMessageW", 0x0000AF34, NULL, NULL, 0x0229 },
{"ReleaseCapture", 0x0001C37A, NULL, NULL, 0x022A },
{"ReleaseDC", 0x0000869D, NULL, NULL, 0x022B },
{"RemoveMenu", 0x0000F716, NULL, NULL, 0x022C },
{"RemovePropA", 0x00020094, NULL, NULL, 0x022D },
{"RemovePropW", 0x0001C076, NULL, NULL, 0x022E },
{"ReplyMessage", 0x000186F8, NULL, NULL, 0x022F },
{"ResolveDesktopForWOW", 0x0005CE36, NULL, NULL, 0x0230 },
{"ReuseDDElParam", 0x0004BADB, NULL, NULL, 0x0231 },
{"ScreenToClient", 0x000197A0, NULL, NULL, 0x0232 },
{"ScrollChildren", 0x00054DFC, NULL, NULL, 0x0233 },
{"ScrollDC", 0x0000B1DD, NULL, NULL, 0x0234 },
{"ScrollWindow", 0x0001FF39, NULL, NULL, 0x0235 },
{"ScrollWindowEx", 0x00020187, NULL, NULL, 0x0236 },
{"SendDlgItemMessageA", 0x0002C2E7, NULL, NULL, 0x0237 },
{"SendDlgItemMessageW", 0x000173CC, NULL, NULL, 0x0238 },
{"SendIMEMessageExA", 0x0005B49E, NULL, NULL, 0x0239 },
{"SendIMEMessageExW", 0x0005B48D, NULL, NULL, 0x023A },
{"SendInput", 0x0001F140, NULL, NULL, 0x023B },
{"SendMessageA", 0x0001F3C2, NULL, NULL, 0x023C },
{"SendMessageCallbackA", 0x0005B129, NULL, NULL, 0x023D },
{"SendMessageCallbackW", 0x0001D6DB, NULL, NULL, 0x023E },
{"SendMessageTimeoutA", 0x0001FB6B, NULL, NULL, 0x023F },
{"SendMessageTimeoutW", 0x0001CDAA, NULL, NULL, 0x0240 },
{"SendMessageW", 0x0001929A, NULL, NULL, 0x0241 },
{"SendNotifyMessageA", 0x00043948, NULL, NULL, 0x0242 },
{"SendNotifyMessageW", 0x0001D64F, NULL, NULL, 0x0243 },
{"SetActiveWindow", 0x00017822, NULL, NULL, 0x0244 },
{"SetCapture", 0x0001C35E, NULL, NULL, 0x0245 },
{"SetCaretBlinkTime", 0x00021174, NULL, NULL, 0x0246 },
{"SetCaretPos", 0x0001A962, NULL, NULL, 0x0247 },
{"SetClassLongA", 0x0001FE71, NULL, NULL, 0x0248 },
{"SetClassLongW", 0x0000E14B, NULL, NULL, 0x0249 },
{"SetClassWord", 0x0005CE4A, NULL, NULL, 0x024A },
{"SetClipboardData", 0x00020F9E, NULL, NULL, 0x024B },
{"SetClipboardViewer", 0x00020473, NULL, NULL, 0x024C },
{"SetConsoleReserveKeys", 0x0001865F, NULL, NULL, 0x024D },
{"SetCursor", 0x00019930, NULL, NULL, 0x024E },
{"SetCursorContents", 0x0005CE5E, NULL, NULL, 0x024F },
{"SetCursorPos", 0x000461B3, NULL, NULL, 0x0250 },
{"SetDebugErrorLevel", 0x000462EB, NULL, NULL, 0x0251 },
{"SetDeskWallpaper", 0x00045705, NULL, NULL, 0x0252 },
{"SetDlgItemInt", 0x0004BC09, NULL, NULL, 0x0253 },
{"SetDlgItemTextA", 0x0002C972, NULL, NULL, 0x0254 },
{"SetDlgItemTextW", 0x0001736C, NULL, NULL, 0x0255 },
{"SetDoubleClickTime", 0x000461CE, NULL, NULL, 0x0256 },
{"SetFocus", 0x0001B112, NULL, NULL, 0x0257 },
{"SetForegroundWindow", 0x000142ED, NULL, NULL, 0x0258 },
{"SetInternalWindowPos", 0x0005CE9A, NULL, NULL, 0x0259 },
{"SetKeyboardState", 0x000202B5, NULL, NULL, 0x025A },
{"SetLastErrorEx", 0x00056FB0, NULL, NULL, 0x025B },
{"SetLayeredWindowAttributes", 0x0001CE12, NULL, NULL, 0x025C },
{"SetLogonNotifyWindow", 0x00011FEF, NULL, NULL, 0x025D },
{"SetMenu", 0x0003F3F6, NULL, NULL, 0x025E },
{"SetMenuContextHelpId", 0x0005CEC2, NULL, NULL, 0x025F },
{"SetMenuDefaultItem", 0x0000F5B4, NULL, NULL, 0x0260 },
{"SetMenuInfo", 0x0005523C, NULL, NULL, 0x0261 },
{"SetMenuItemBitmaps", 0x0003FAB2, NULL, NULL, 0x0262 },
{"SetMenuItemInfoA", 0x0005AE5E, NULL, NULL, 0x0263 },
{"SetMenuItemInfoW", 0x00013281, NULL, NULL, 0x0264 },
{"SetMessageExtraInfo", 0x000468C5, NULL, NULL, 0x0265 },
{"SetMessageQueue", 0x0002E1EB, NULL, NULL, 0x0266 },
{"SetParent", 0x0001C7F9, NULL, NULL, 0x0267 },
{"SetProcessDefaultLayout", 0x000463FC, NULL, NULL, 0x0268 },
{"SetProcessWindowStation", 0x00017D40, NULL, NULL, 0x0269 },
{"SetProgmanWindow", 0x00046168, NULL, NULL, 0x026A },
{"SetPropA", 0x00020000, NULL, NULL, 0x026B },
{"SetPropW", 0x0001C0B9, NULL, NULL, 0x026C },
{"SetRect", 0x00018FA6, NULL, NULL, 0x026D },
{"SetRectEmpty", 0x00019CBA, NULL, NULL, 0x026E },
{"SetScrollInfo", 0x00009056, NULL, NULL, 0x026F },
{"SetScrollPos", 0x0001F750, NULL, NULL, 0x0270 },
{"SetScrollRange", 0x0001F99B, NULL, NULL, 0x0271 },
{"SetShellWindow", 0x00046114, NULL, NULL, 0x0272 },
{"SetShellWindowEx", 0x0000FF92, NULL, NULL, 0x0273 },
{"SetSysColors", 0x00056582, NULL, NULL, 0x0274 },
{"SetSysColorsTemp", 0x00056EBE, NULL, NULL, 0x0275 },
{"SetSystemCursor", 0x0005670B, NULL, NULL, 0x0276 },
{"SetSystemMenu", 0x0002F9E3, NULL, NULL, 0x0277 },
{"SetSystemTimer", 0x0005CF3A, NULL, NULL, 0x0278 },
{"SetTaskmanWindow", 0x00010260, NULL, NULL, 0x0279 },
{"SetThreadDesktop", 0x00017D2C, NULL, NULL, 0x027A },
{"SetTimer", 0x00008C2E, NULL, NULL, 0x027B },
{"SetUserObjectInformationA", 0x0005CEEA, NULL, NULL, 0x027C },
{"SetUserObjectInformationW", 0x0005CEEA, NULL, NULL, 0x027D },
{"SetUserObjectSecurity", 0x000113B3, NULL, NULL, 0x027E },
{"SetWinEventHook", 0x000217F7, NULL, NULL, 0x027F },
{"SetWindowContextHelpId", 0x0002FDD9, NULL, NULL, 0x0280 },
{"SetWindowLongA", 0x0001C29D, NULL, NULL, 0x0281 },
{"SetWindowLongW", 0x0001C2BB, NULL, NULL, 0x0282 },
{"SetWindowPlacement", 0x0000DE46, NULL, NULL, 0x0283 },
{"SetWindowPos", 0x000199F3, NULL, NULL, 0x0284 },
{"SetWindowRgn", 0x0001E528, NULL, NULL, 0x0285 },
{"SetWindowStationUser", 0x0000F338, NULL, NULL, 0x0286 },
{"SetWindowTextA", 0x0001F56B, NULL, NULL, 0x0287 },
{"SetWindowTextW", 0x0001960E, NULL, NULL, 0x0288 },
{"SetWindowWord", 0x000203DB, NULL, NULL, 0x0289 },
{"SetWindowsHookA", 0x0002ED69, NULL, NULL, 0x028A },
{"SetWindowsHookExA", 0x00021211, NULL, NULL, 0x028B },
{"SetWindowsHookExW", 0x0001820F, NULL, NULL, 0x028C },
{"SetWindowsHookW", 0x00011B8A, NULL, NULL, 0x028D },
{"ShowCaret", 0x0001B09A, NULL, NULL, 0x028E },
{"ShowCursor", 0x0001FA6E, NULL, NULL, 0x028F },
{"ShowOwnedPopups", 0x000461E6, NULL, NULL, 0x0290 },
{"ShowScrollBar", 0x0001F2F2, NULL, NULL, 0x0291 },
{"ShowStartGlass", 0x00040101, NULL, NULL, 0x0292 },
{"ShowWindow", 0x0001AF56, NULL, NULL, 0x0293 },
{"ShowWindowAsync", 0x0001337D, NULL, NULL, 0x0294 },
{"SoftModalMessageBox", 0x0002A2DF, NULL, NULL, 0x0295 },
{"SubtractRect", 0x00010138, NULL, NULL, 0x0296 },
{"SwapMouseButton", 0x00046201, NULL, NULL, 0x0297 },
{"SwitchDesktop", 0x0000FE6E, NULL, NULL, 0x0298 },
{"SwitchToThisWindow", 0x0004581C, NULL, NULL, 0x0299 },
{"SystemParametersInfoA", 0x0001DEB2, NULL, NULL, 0x029A },
{"SystemParametersInfoW", 0x00009F06, NULL, NULL, 0x029B },
{"TabbedTextOutA", 0x0004A5E5, NULL, NULL, 0x029C },
{"TabbedTextOutW", 0x0004A5B6, NULL, NULL, 0x029D },
{"TileChildWindows", 0x00046219, NULL, NULL, 0x029E },
{"TileWindows", 0x00055215, NULL, NULL, 0x029F },
{"ToAscii", 0x00045721, NULL, NULL, 0x02A0 },
{"ToAsciiEx", 0x0004577E, NULL, NULL, 0x02A1 },
{"ToUnicode", 0x000566A8, NULL, NULL, 0x02A2 },
{"ToUnicodeEx", 0x000566D9, NULL, NULL, 0x02A3 },
{"TrackMouseEvent", 0x0001C80D, NULL, NULL, 0x02A4 },
{"TrackPopupMenu", 0x0005531E, NULL, NULL, 0x02A5 },
{"TrackPopupMenuEx", 0x0005CF62, NULL, NULL, 0x02A6 },
{"TranslateAccelerator", 0x0001FAC4, NULL, NULL, 0x02A7 },
{"TranslateAcceleratorA", 0x0001FAC4, NULL, NULL, 0x02A8 },
{"TranslateAcceleratorW", 0x0000941E, NULL, NULL, 0x02A9 },
{"TranslateMDISysAccel", 0x0001FB2F, NULL, NULL, 0x02AA },
{"TranslateMessage", 0x00008BF6, NULL, NULL, 0x02AB },
{"TranslateMessageEx", 0x00008A19, NULL, NULL, 0x02AC },
{"UnhookWinEvent", 0x000218AC, NULL, NULL, 0x02AD },
{"UnhookWindowsHook", 0x00011BA5, NULL, NULL, 0x02AE },
{"UnhookWindowsHookEx", 0x0001D5F3, NULL, NULL, 0x02AF },
{"UnionRect", 0x0001A0F1, NULL, NULL, 0x02B0 },
{"UnloadKeyboardLayout", 0x000462C0, NULL, NULL, 0x02B1 },
{"UnlockWindowStation", 0x0000DCD9, NULL, NULL, 0x02B2 },
{"UnpackDDElParam", 0x0004B9C5, NULL, NULL, 0x02B3 },
{"UnregisterClassA", 0x000189A3, NULL, NULL, 0x02B4 },
{"UnregisterClassW", 0x00009AA4, NULL, NULL, 0x02B5 },
{"UnregisterDeviceNotification", 0x0000E8D7, NULL, NULL, 0x02B6 },
{"UnregisterHotKey", 0x0005CF8A, NULL, NULL, 0x02B7 },
{"UnregisterMessagePumpHook", 0x0000FE08, NULL, NULL, 0x02B8 },
{"UnregisterUserApiHook", 0x0000EDFB, NULL, NULL, 0x02B9 },
{"UpdateLayeredWindow", 0x0001ACF3, NULL, NULL, 0x02BA },
{"UpdatePerUserSystemParameters", 0x000119C8, NULL, NULL, 0x02BB },
{"UpdateWindow", 0x0001AEAB, NULL, NULL, 0x02BC },
{"User32InitializeImmEntryTable", 0x0002D395, NULL, NULL, 0x02BD },
{"UserClientDllInitialize", 0x0000B217, NULL, NULL, 0x02BE },
{"UserHandleGrantAccess", 0x0005CFDA, NULL, NULL, 0x02BF },
{"UserLpkPSMTextOut", 0x0001BC25, NULL, NULL, 0x02C0 },
{"UserLpkTabbedTextOut", 0x0004A3FB, NULL, NULL, 0x02C1 },
{"UserRealizePalette", 0x0001FA56, NULL, NULL, 0x02C2 },
{"UserRegisterWowHandlers", 0x00043748, NULL, NULL, 0x02C3 },
{"VRipOutput", 0x0005B427, NULL, NULL, 0x02C4 },
{"VTagOutput", 0x0005B427, NULL, NULL, 0x02C5 },
{"ValidateRect", 0x0001FBBD, NULL, NULL, 0x02C6 },
{"ValidateRgn", 0x0001F67E, NULL, NULL, 0x02C7 },
{"VkKeyScanA", 0x0002E4C0, NULL, NULL, 0x02C8 },
{"VkKeyScanExA", 0x0005B18B, NULL, NULL, 0x02C9 },
{"VkKeyScanExW", 0x0001F1BC, NULL, NULL, 0x02CA },
{"VkKeyScanW", 0x0002E1F6, NULL, NULL, 0x02CB },
{"WCSToMBEx", 0x0001D446, NULL, NULL, 0x02CC },
{"WINNLSEnableIME", 0x0005B46B, NULL, NULL, 0x02CD },
{"WINNLSGetEnableStatus", 0x0005B47C, NULL, NULL, 0x02CE },
{"WINNLSGetIMEHotkey", 0x00023785, NULL, NULL, 0x02CF },
{"WaitForInputIdle", 0x0003FAF5, NULL, NULL, 0x02D0 },
{"WaitMessage", 0x0000940C, NULL, NULL, 0x02D1 },
{"Win32PoolAllocationStats", 0x0005D002, NULL, NULL, 0x02D2 },
{"WinHelpA", 0x0002EE5D, NULL, NULL, 0x02D3 },
{"WinHelpW", 0x00051BD4, NULL, NULL, 0x02D4 },
{"WindowFromDC", 0x0001FA3E, NULL, NULL, 0x02D5 },
{"WindowFromPoint", 0x00019766, NULL, NULL, 0x02D6 },
{"keybd_event", 0x00056783, NULL, NULL, 0x02D7 },
{"mouse_event", 0x0005673F, NULL, NULL, 0x02D8 },
{"wsprintfA", 0x0000A8AD, NULL, NULL, 0x02D9 },
{"wsprintfW", 0x0000A9B6, NULL, NULL, 0x02DA },
{"wvsprintfA", 0x0000A610, NULL, NULL, 0x02DB },
{"wvsprintfW", 0x0000A9D1, NULL, NULL, 0x02DC },
{0,0,NULL,NULL},
};

struct emu_env_w32_dll_export shell32_exports[] =
{
{"SHChangeNotifyRegister", 0x0003EB0B, NULL, NULL, 0x0002 },
{"SHDefExtractIconA", 0x000F4E4E, NULL, NULL, 0x0003 },
{"SHChangeNotifyDeregister", 0x000349CA, NULL, NULL, 0x0004 },
{"", 0x0013890D, NULL, NULL, 0x0005 },
{"SHDefExtractIconW", 0x000456B1, NULL, NULL, 0x0006 },
{"", 0x001194CF, NULL, NULL, 0x0007 },
{"", 0x001194BF, NULL, NULL, 0x0008 },
{"PifMgr_OpenProperties", 0x000C4045, NULL, NULL, 0x0009 },
{"PifMgr_GetProperties", 0x000C32C8, NULL, NULL, 0x000A },
{"PifMgr_SetProperties", 0x000C3B47, NULL, NULL, 0x000B },
{"", 0x00111C8B, NULL, NULL, 0x000C },
{"PifMgr_CloseProperties", 0x000C2BAC, NULL, NULL, 0x000D },
{"SHStartNetConnectionDialogW", 0x00111C25, NULL, NULL, 0x000E },
{"", 0x000F7A6C, NULL, NULL, 0x000F },
{"ILFindLastID", 0x0002CE2C, NULL, NULL, 0x0010 },
{"ILRemoveLastID", 0x0002C667, NULL, NULL, 0x0011 },
{"ILClone", 0x0002B2A5, NULL, NULL, 0x0012 },
{"ILCloneFirst", 0x0002B514, NULL, NULL, 0x0013 },
{"", 0x000F799E, NULL, NULL, 0x0014 },
{"ILIsEqual", 0x000311EB, NULL, NULL, 0x0015 },
{"DAD_DragEnterEx2", 0x000EEBAF, NULL, NULL, 0x0016 },
{"ILIsParent", 0x00031408, NULL, NULL, 0x0017 },
{"ILFindChild", 0x000314C8, NULL, NULL, 0x0018 },
{"ILCombine", 0x0002B5C5, NULL, NULL, 0x0019 },
{"ILLoadFromStream", 0x0004D37F, NULL, NULL, 0x001A },
{"ILSaveToStream", 0x0006F484, NULL, NULL, 0x001B },
{"SHILCreateFromPath", 0x0002E5F0, NULL, NULL, 0x001C },
{"", 0x000B4F20, NULL, NULL, 0x001D },
{"", 0x0002A5F5, NULL, NULL, 0x001E },
{"", 0x000B4E7F, NULL, NULL, 0x001F },
{"", 0x000B4EED, NULL, NULL, 0x0020 },
{"", 0x000B4EA1, NULL, NULL, 0x0021 },
{"", 0x000B4EFE, NULL, NULL, 0x0022 },
{"", 0x000B4EC3, NULL, NULL, 0x0023 },
{"", 0x000B4FF4, NULL, NULL, 0x0024 },
{"", 0x0002A60C, NULL, NULL, 0x0025 },
{"", 0x000B4F0F, NULL, NULL, 0x0026 },
{"", 0x0002A621, NULL, NULL, 0x0027 },
{"", 0x0002A634, NULL, NULL, 0x0028 },
{"IsLFNDriveA", 0x000B519A, NULL, NULL, 0x0029 },
{"IsLFNDriveW", 0x00037851, NULL, NULL, 0x002A },
{"PathIsExe", 0x0003755E, NULL, NULL, 0x002B },
{"OpenAs_RunDLL", 0x000CE101, NULL, NULL, 0x002C },
{"", 0x000B4FC1, NULL, NULL, 0x002D },
{"", 0x000B4F7D, NULL, NULL, 0x002E },
{"PathMakeUniqueName", 0x000B55CC, NULL, NULL, 0x002F },
{"", 0x000B4F4A, NULL, NULL, 0x0030 },
{"PathQualify", 0x000B51E4, NULL, NULL, 0x0031 },
{"", 0x000B4EB2, NULL, NULL, 0x0032 },
{"PathResolve", 0x000494B2, NULL, NULL, 0x0033 },
{"", 0x000B4E4C, NULL, NULL, 0x0034 },
{"", 0x000B84E4, NULL, NULL, 0x0035 },
{"", 0x000B8D25, NULL, NULL, 0x0036 },
{"", 0x000B4F6C, NULL, NULL, 0x0037 },
{"", 0x000B4F5B, NULL, NULL, 0x0038 },
{"", 0x0002A64C, NULL, NULL, 0x0039 },
{"", 0x000D0BE8, NULL, NULL, 0x003A },
{"RestartDialog", 0x000B8D55, NULL, NULL, 0x003B },
{"", 0x000B8D73, NULL, NULL, 0x003C },
{"", 0x0008025E, NULL, NULL, 0x003D },
{"PickIconDlg", 0x000B6467, NULL, NULL, 0x003E },
{"GetFileNameFromBrowse", 0x000F751B, NULL, NULL, 0x003F },
{"DriveType", 0x00030EAA, NULL, NULL, 0x0040 },
{"", 0x00074F29, NULL, NULL, 0x0041 },
{"IsNetDrive", 0x00030618, NULL, NULL, 0x0042 },
{"Shell_MergeMenus", 0x0003F204, NULL, NULL, 0x0043 },
{"SHGetSetSettings", 0x0002C860, NULL, NULL, 0x0044 },
{"", 0x001119EA, NULL, NULL, 0x0045 },
{"", 0x000B260F, NULL, NULL, 0x0046 },
{"Shell_GetImageLists", 0x00033B8E, NULL, NULL, 0x0047 },
{"Shell_GetCachedImageIndex", 0x00033E68, NULL, NULL, 0x0048 },
{"SHShellFolderView_Message", 0x0010AD28, NULL, NULL, 0x0049 },
{"SHCreateStdEnumFmtEtc", 0x000A6ECA, NULL, NULL, 0x004A },
{"PathYetAnotherMakeUniqueName", 0x000708E1, NULL, NULL, 0x004B },
{"", 0x000B7B7E, NULL, NULL, 0x004C },
{"SHMapPIDLToSystemImageListIndex", 0x00043A54, NULL, NULL, 0x004D },
{"", 0x0002E7B3, NULL, NULL, 0x004E },
{"", 0x000B46EC, NULL, NULL, 0x004F },
{"SHOpenPropSheetW", 0x000B9711, NULL, NULL, 0x0050 },
{"OpenAs_RunDLLA", 0x000CE101, NULL, NULL, 0x0051 },
{"", 0x0019ADA6, NULL, NULL, 0x0052 },
{"", 0x0004E65D, NULL, NULL, 0x0053 },
{"", 0x000B40F3, NULL, NULL, 0x0054 },
{"OpenRegStream", 0x0004C4F6, NULL, NULL, 0x0055 },
{"", 0x000B3F77, NULL, NULL, 0x0056 },
{"", 0x000B3F88, NULL, NULL, 0x0057 },
{"SHDoDragDrop", 0x000EED9D, NULL, NULL, 0x0058 },
{"SHCloneSpecialIDList", 0x00037053, NULL, NULL, 0x0059 },
{"SHFindFiles", 0x0010E52A, NULL, NULL, 0x005A },
{"", 0x0010E44B, NULL, NULL, 0x005B },
{"PathGetShortPath", 0x000B501E, NULL, NULL, 0x005C },
{"", 0x00051D12, NULL, NULL, 0x005D },
{"", 0x000B4874, NULL, NULL, 0x005E },
{"", 0x000744EB, NULL, NULL, 0x005F },
{"", 0x000B46C3, NULL, NULL, 0x0060 },
{"", 0x000F5AAB, NULL, NULL, 0x0061 },
{"SHGetRealIDL", 0x00078E09, NULL, NULL, 0x0062 },
{"", 0x00049B02, NULL, NULL, 0x0063 },
{"SHRestricted", 0x0002C509, NULL, NULL, 0x0064 },
{"OpenAs_RunDLLW", 0x000CE1BB, NULL, NULL, 0x0065 },
{"SHCoCreateInstance", 0x0002B042, NULL, NULL, 0x0066 },
{"SignalFileOpen", 0x000F5BC8, NULL, NULL, 0x0067 },
{"Activate_RunDLL", 0x000CF1B4, NULL, NULL, 0x0068 },
{"AppCompat_RunDLLW", 0x000D8C1F, NULL, NULL, 0x0069 },
{"CheckEscapesA", 0x000BB421, NULL, NULL, 0x006A },
{"CheckEscapesW", 0x000BB378, NULL, NULL, 0x006B },
{"CommandLineToArgvW", 0x000813A0, NULL, NULL, 0x006C },
{"Control_FillCache_RunDLL", 0x000B1710, NULL, NULL, 0x006D },
{"Control_FillCache_RunDLLA", 0x000B1710, NULL, NULL, 0x006E },
{"Control_FillCache_RunDLLW", 0x000B1805, NULL, NULL, 0x006F },
{"Control_RunDLL", 0x000B23E8, NULL, NULL, 0x0070 },
{"Control_RunDLLA", 0x000B23E8, NULL, NULL, 0x0071 },
{"Control_RunDLLAsUserW", 0x000B249A, NULL, NULL, 0x0072 },
{"Control_RunDLLW", 0x000B2441, NULL, NULL, 0x0073 },
{"DllCanUnloadNow", 0x0006A2CD, NULL, NULL, 0x0074 },
{"DllGetClassObject", 0x00032899, NULL, NULL, 0x0075 },
{"DllGetVersion", 0x0004641B, NULL, NULL, 0x0076 },
{"IsLFNDrive", 0x00037851, NULL, NULL, 0x0077 },
{"DllInstall", 0x000F1DCC, NULL, NULL, 0x0078 },
{"SHFlushClipboard", 0x000B3F6C, NULL, NULL, 0x0079 },
{"", 0x000BD7EC, NULL, NULL, 0x007A },
{"", 0x000B3F99, NULL, NULL, 0x007B },
{"DllRegisterServer", 0x00039B79, NULL, NULL, 0x007C },
{"DllUnregisterServer", 0x00039B79, NULL, NULL, 0x007D },
{"", 0x001A6451, NULL, NULL, 0x007E },
{"", 0x000D0F0D, NULL, NULL, 0x007F },
{"", 0x00032899, NULL, NULL, 0x0080 },
{"DAD_AutoScroll", 0x000E5770, NULL, NULL, 0x0081 },
{"", 0x000EEC26, NULL, NULL, 0x0082 },
{"DAD_DragEnterEx", 0x000EEC08, NULL, NULL, 0x0083 },
{"DAD_DragLeave", 0x000EED3C, NULL, NULL, 0x0084 },
{"DoEnvironmentSubstA", 0x000B375A, NULL, NULL, 0x0085 },
{"DAD_DragMove", 0x000EEC61, NULL, NULL, 0x0086 },
{"DoEnvironmentSubstW", 0x00080DB7, NULL, NULL, 0x0087 },
{"DAD_SetDragImage", 0x000EECA1, NULL, NULL, 0x0088 },
{"DAD_ShowDragImage", 0x0004F6E4, NULL, NULL, 0x0089 },
{"DragAcceptFiles", 0x0006B201, NULL, NULL, 0x008A },
{"DragFinish", 0x000B7CE5, NULL, NULL, 0x008B },
{"DragQueryFile", 0x000B7CF6, NULL, NULL, 0x008C },
{"DragQueryFileA", 0x000B7CF6, NULL, NULL, 0x008D },
{"DragQueryFileAorW", 0x00058339, NULL, NULL, 0x008E },
{"DragQueryFileW", 0x00058316, NULL, NULL, 0x008F },
{"DragQueryPoint", 0x000B7C88, NULL, NULL, 0x0090 },
{"", 0x000B4E6E, NULL, NULL, 0x0091 },
{"", 0x000B816A, NULL, NULL, 0x0092 },
{"SHCLSIDFromString", 0x0002CC63, NULL, NULL, 0x0093 },
{"SHMapIDListToImageListIndexAsync", 0x00042D74, NULL, NULL, 0x0094 },
{"SHFind_InitMenuPopup", 0x0010CEFE, NULL, NULL, 0x0095 },
{"DuplicateIcon", 0x000B2AFF, NULL, NULL, 0x0096 },
{"SHLoadOLE", 0x0002ACD1, NULL, NULL, 0x0097 },
{"ILGetSize", 0x0002B240, NULL, NULL, 0x0098 },
{"ILGetNext", 0x000744C7, NULL, NULL, 0x0099 },
{"ILAppendID", 0x000F78F9, NULL, NULL, 0x009A },
{"ILFree", 0x0002AB7C, NULL, NULL, 0x009B },
{"", 0x000F79AE, NULL, NULL, 0x009C },
{"ILCreateFromPath", 0x0002E78F, NULL, NULL, 0x009D },
{"", 0x000B4B75, NULL, NULL, 0x009E },
{"", 0x00049D37, NULL, NULL, 0x009F },
{"", 0x00111AC4, NULL, NULL, 0x00A0 },
{"SHRunControlPanel", 0x000B23CD, NULL, NULL, 0x00A1 },
{"SHSimpleIDListFromPath", 0x0002B1B9, NULL, NULL, 0x00A2 },
{"", 0x000B472F, NULL, NULL, 0x00A3 },
{"Win32DeleteFile", 0x0007051D, NULL, NULL, 0x00A4 },
{"SHCreateDirectory", 0x000AA975, NULL, NULL, 0x00A5 },
{"CallCPLEntry16", 0x000BD7E2, NULL, NULL, 0x00A6 },
{"SHAddFromPropSheetExtArray", 0x000B78E3, NULL, NULL, 0x00A7 },
{"SHCreatePropSheetExtArray", 0x000B7B13, NULL, NULL, 0x00A8 },
{"SHDestroyPropSheetExtArray", 0x000B78AC, NULL, NULL, 0x00A9 },
{"SHReplaceFromPropSheetExtArray", 0x000B793B, NULL, NULL, 0x00AA },
{"PathCleanupSpec", 0x00070AC4, NULL, NULL, 0x00AB },
{"", 0x00102AA3, NULL, NULL, 0x00AC },
{"SHValidateUNC", 0x000F5418, NULL, NULL, 0x00AD },
{"SHCreateShellFolderViewEx", 0x0010B1B4, NULL, NULL, 0x00AE },
{"", 0x0002B1D8, NULL, NULL, 0x00AF },
{"SHSetInstanceExplorer", 0x001042A0, NULL, NULL, 0x00B0 },
{"", 0x000EED90, NULL, NULL, 0x00B1 },
{"SHObjectProperties", 0x000B3A8A, NULL, NULL, 0x00B2 },
{"SHGetNewLinkInfoA", 0x0010290F, NULL, NULL, 0x00B3 },
{"SHGetNewLinkInfoW", 0x00070B62, NULL, NULL, 0x00B4 },
{"", 0x0005121A, NULL, NULL, 0x00B5 },
{"ShellMessageBoxW", 0x001DCD3A, NULL, NULL, 0x00B6 },
{"ShellMessageBoxA", 0x000B3E9E, NULL, NULL, 0x00B7 },
{"", 0x000D13F8, NULL, NULL, 0x00B8 },
{"", 0x001E4B1E, NULL, NULL, 0x00B9 },
{"", 0x000F79BE, NULL, NULL, 0x00BA },
{"", 0x000F7A89, NULL, NULL, 0x00BB },
{"", 0x00053D38, NULL, NULL, 0x00BC },
{"ILCreateFromPathA", 0x000F7B58, NULL, NULL, 0x00BD },
{"ILCreateFromPathW", 0x0002E78F, NULL, NULL, 0x00BE },
{"SHUpdateImageA", 0x000FB7A5, NULL, NULL, 0x00BF },
{"SHUpdateImageW", 0x000FB666, NULL, NULL, 0x00C0 },
{"SHHandleUpdateImage", 0x000FAFBE, NULL, NULL, 0x00C1 },
{"", 0x000B79A3, NULL, NULL, 0x00C2 },
{"SHFree", 0x0002A97A, NULL, NULL, 0x00C3 },
{"SHAlloc", 0x0002B210, NULL, NULL, 0x00C4 },
{"", 0x00074F29, NULL, NULL, 0x00C5 },
{"", 0x001034F2, NULL, NULL, 0x00C6 },
{"ExtractAssociatedIconA", 0x000B3615, NULL, NULL, 0x00C7 },
{"", 0x00050E4C, NULL, NULL, 0x00C8 },
{"", 0x00053A54, NULL, NULL, 0x00C9 },
{"", 0x0019AD0E, NULL, NULL, 0x00CA },
{"", 0x000D3ECC, NULL, NULL, 0x00CB },
{"", 0x000D0BC7, NULL, NULL, 0x00CC },
{"", 0x000FCF04, NULL, NULL, 0x00CD },
{"ExtractAssociatedIconExA", 0x000B3356, NULL, NULL, 0x00CE },
{"ExtractAssociatedIconExW", 0x000B318B, NULL, NULL, 0x00CF },
{"ExtractAssociatedIconW", 0x000B3449, NULL, NULL, 0x00D0 },
{"", 0x000D3EEA, NULL, NULL, 0x00D1 },
{"", 0x000D40A1, NULL, NULL, 0x00D2 },
{"", 0x0016ACDF, NULL, NULL, 0x00D3 },
{"", 0x000B7761, NULL, NULL, 0x00D4 },
{"", 0x000FBAC5, NULL, NULL, 0x00D5 },
{"", 0x000FBB69, NULL, NULL, 0x00D6 },
{"", 0x00111C25, NULL, NULL, 0x00D7 },
{"ExtractIconA", 0x000B34A7, NULL, NULL, 0x00D8 },
{"ExtractIconEx", 0x000B2AEE, NULL, NULL, 0x00D9 },
{"ExtractIconExA", 0x000B2AEE, NULL, NULL, 0x00DA },
{"ExtractIconExW", 0x00036CBF, NULL, NULL, 0x00DB },
{"ExtractIconResInfoA", 0x000B311F, NULL, NULL, 0x00DC },
{"ExtractIconResInfoW", 0x000B2C16, NULL, NULL, 0x00DD },
{"ExtractIconW", 0x00071896, NULL, NULL, 0x00DE },
{"ExtractVersionResource16W", 0x00069681, NULL, NULL, 0x00DF },
{"FindExeDlgProc", 0x0013890D, NULL, NULL, 0x00E0 },
{"FindExecutableA", 0x0007FA54, NULL, NULL, 0x00E1 },
{"FindExecutableW", 0x0007FAE6, NULL, NULL, 0x00E2 },
{"FreeIconList", 0x000B2BB5, NULL, NULL, 0x00E3 },
{"InternalExtractIconListA", 0x00062369, NULL, NULL, 0x00E4 },
{"InternalExtractIconListW", 0x000B350B, NULL, NULL, 0x00E5 },
{"", 0x000F16FA, NULL, NULL, 0x00E6 },
{"", 0x000FA168, NULL, NULL, 0x00E7 },
{"", 0x000F9D1F, NULL, NULL, 0x00E8 },
{"", 0x00051AFC, NULL, NULL, 0x00E9 },
{"", 0x00114230, NULL, NULL, 0x00EA },
{"", 0x00059652, NULL, NULL, 0x00EB },
{"", 0x00059581, NULL, NULL, 0x00EC },
{"", 0x00044EF6, NULL, NULL, 0x00ED },
{"Options_RunDLL", 0x0019C862, NULL, NULL, 0x00EE },
{"PathIsSlowW", 0x00031291, NULL, NULL, 0x00EF },
{"PathIsSlowA", 0x000B4C21, NULL, NULL, 0x00F0 },
{"", 0x00051D3A, NULL, NULL, 0x00F1 },
{"", 0x000321F5, NULL, NULL, 0x00F2 },
{"", 0x00053AF7, NULL, NULL, 0x00F3 },
{"", 0x000D396F, NULL, NULL, 0x00F4 },
{"SHTestTokenMembership", 0x0004BF97, NULL, NULL, 0x00F5 },
{"", 0x000F7E1C, NULL, NULL, 0x00F6 },
{"", 0x000F7E5F, NULL, NULL, 0x00F7 },
{"", 0x000F7E6A, NULL, NULL, 0x00F8 },
{"", 0x000B4F9F, NULL, NULL, 0x00F9 },
{"", 0x000B4E90, NULL, NULL, 0x00FA },
{"", 0x000B4E5D, NULL, NULL, 0x00FB },
{"", 0x000B4FB0, NULL, NULL, 0x00FC },
{"", 0x000F7EBE, NULL, NULL, 0x00FD },
{"", 0x000B8D3D, NULL, NULL, 0x00FE },
{"Options_RunDLLA", 0x0019C862, NULL, NULL, 0x00FF },
{"SHCreateShellFolderView", 0x0004086A, NULL, NULL, 0x0100 },
{"", 0x0002ACD1, NULL, NULL, 0x0101 },
{"", 0x0006843E, NULL, NULL, 0x0102 },
{"", 0x0003282D, NULL, NULL, 0x0103 },
{"Options_RunDLLW", 0x0019C88E, NULL, NULL, 0x0104 },
{"PrintersGetCommand_RunDLL", 0x000B7440, NULL, NULL, 0x0105 },
{"PrintersGetCommand_RunDLLA", 0x000B7440, NULL, NULL, 0x0106 },
{"PrintersGetCommand_RunDLLW", 0x000B74C5, NULL, NULL, 0x0107 },
{"RealShellExecuteA", 0x000F5E02, NULL, NULL, 0x0108 },
{"RealShellExecuteExA", 0x000F5CB0, NULL, NULL, 0x0109 },
{"RealShellExecuteExW", 0x000F5D59, NULL, NULL, 0x010A },
{"RealShellExecuteW", 0x000F5E35, NULL, NULL, 0x010B },
{"RegenerateUserEnvironment", 0x000BD3B6, NULL, NULL, 0x010C },
{"SHAddToRecentDocs", 0x0006FD7A, NULL, NULL, 0x010D },
{"SHAppBarMessage", 0x0010410F, NULL, NULL, 0x010E },
{"SHBindToParent", 0x00033D18, NULL, NULL, 0x010F },
{"SHBrowseForFolder", 0x0010734B, NULL, NULL, 0x0110 },
{"SHBrowseForFolderA", 0x0010734B, NULL, NULL, 0x0111 },
{"SHBrowseForFolderW", 0x00107251, NULL, NULL, 0x0112 },
{"SHChangeNotify", 0x000383C9, NULL, NULL, 0x0113 },
{"SHChangeNotifySuspendResume", 0x000FB585, NULL, NULL, 0x0114 },
{"SHCreateDirectoryExA", 0x000AA990, NULL, NULL, 0x0115 },
{"SHCreateDirectoryExW", 0x00051C92, NULL, NULL, 0x0116 },
{"SHCreateLocalServerRunDll", 0x0019E7FA, NULL, NULL, 0x0117 },
{"SHCreateProcessAsUserW", 0x00109644, NULL, NULL, 0x0118 },
{"SHCreateQueryCancelAutoPlayMoniker", 0x00081FCE, NULL, NULL, 0x0119 },
{"SHCreateShellItem", 0x00102D66, NULL, NULL, 0x011A },
{"SHEmptyRecycleBinA", 0x000A6D6B, NULL, NULL, 0x011B },
{"SHEmptyRecycleBinW", 0x000A6D01, NULL, NULL, 0x011C },
{"SHEnableServiceObject", 0x0010427F, NULL, NULL, 0x011D },
{"SHEnumerateUnreadMailAccountsW", 0x000D26EA, NULL, NULL, 0x011E },
{"SHExtractIconsW", 0x00045762, NULL, NULL, 0x011F },
{"SHFileOperation", 0x000B0BCC, NULL, NULL, 0x0120 },
{"SHFileOperationA", 0x000B0BCC, NULL, NULL, 0x0121 },
{"SHFileOperationW", 0x000B08E4, NULL, NULL, 0x0122 },
{"SHFormatDrive", 0x000D84D5, NULL, NULL, 0x0123 },
{"SHFreeNameMappings", 0x000A9171, NULL, NULL, 0x0124 },
{"SHGetDataFromIDListA", 0x00102690, NULL, NULL, 0x0125 },
{"SHGetDataFromIDListW", 0x0006AB11, NULL, NULL, 0x0126 },
{"SHGetDesktopFolder", 0x0002BC18, NULL, NULL, 0x0127 },
{"SHGetDiskFreeSpaceA", 0x000B3850, NULL, NULL, 0x0128 },
{"SHGetDiskFreeSpaceExA", 0x000B3850, NULL, NULL, 0x0129 },
{"SHGetDiskFreeSpaceExW", 0x00039B81, NULL, NULL, 0x012A },
{"SHGetFileInfo", 0x000715A9, NULL, NULL, 0x012B },
{"SHGetFileInfoA", 0x000715A9, NULL, NULL, 0x012C },
{"SHGetFileInfoW", 0x0006B04B, NULL, NULL, 0x012D },
{"SHGetFolderLocation", 0x0002F711, NULL, NULL, 0x012E },
{"SHGetFolderPathA", 0x0006AC69, NULL, NULL, 0x012F },
{"SHGetFolderPathAndSubDirA", 0x000F9C9C, NULL, NULL, 0x0130 },
{"SHGetFolderPathAndSubDirW", 0x00051C10, NULL, NULL, 0x0131 },
{"SHGetFolderPathW", 0x0002F226, NULL, NULL, 0x0132 },
{"SHGetIconOverlayIndexA", 0x00113CA6, NULL, NULL, 0x0133 },
{"SHGetIconOverlayIndexW", 0x00113BCE, NULL, NULL, 0x0134 },
{"SHGetInstanceExplorer", 0x001042B6, NULL, NULL, 0x0135 },
{"SHGetMalloc", 0x0006B3ED, NULL, NULL, 0x0136 },
{"SHGetNewLinkInfo", 0x0010290F, NULL, NULL, 0x0137 },
{"SHGetPathFromIDList", 0x00074C89, NULL, NULL, 0x0138 },
{"SHGetPathFromIDListA", 0x00074C89, NULL, NULL, 0x0139 },
{"SHGetPathFromIDListW", 0x00031000, NULL, NULL, 0x013A },
{"SHGetSettings", 0x0007FC05, NULL, NULL, 0x013B },
{"SHGetSpecialFolderLocation", 0x0002F793, NULL, NULL, 0x013C },
{"SHGetSpecialFolderPathA", 0x000F9C6E, NULL, NULL, 0x013D },
{"SHGetSpecialFolderPathW", 0x0002B1D8, NULL, NULL, 0x013E },
{"SHGetUnreadMailCountW", 0x000D4ED8, NULL, NULL, 0x013F },
{"SHHelpShortcuts_RunDLL", 0x000B3A1F, NULL, NULL, 0x0140 },
{"SHHelpShortcuts_RunDLLA", 0x000B3A1F, NULL, NULL, 0x0141 },
{"SHHelpShortcuts_RunDLLW", 0x000B3A7A, NULL, NULL, 0x0142 },
{"SHInvokePrinterCommandA", 0x000B72B3, NULL, NULL, 0x0143 },
{"SHInvokePrinterCommandW", 0x000B727E, NULL, NULL, 0x0144 },
{"SHIsFileAvailableOffline", 0x000D2300, NULL, NULL, 0x0145 },
{"SHLoadInProc", 0x00104267, NULL, NULL, 0x0146 },
{"SHLoadNonloadedIconOverlayIdentifiers", 0x00116D97, NULL, NULL, 0x0147 },
{"SHOpenFolderAndSelectItems", 0x00102CCE, NULL, NULL, 0x0148 },
{"SHParseDisplayName", 0x0002E020, NULL, NULL, 0x0149 },
{"SHPathPrepareForWriteA", 0x000D4BBC, NULL, NULL, 0x014A },
{"SHPathPrepareForWriteW", 0x000809F2, NULL, NULL, 0x014B },
{"SHQueryRecycleBinA", 0x000A6A02, NULL, NULL, 0x014C },
{"SHQueryRecycleBinW", 0x000A6970, NULL, NULL, 0x014D },
{"SHSetLocalizedName", 0x0006808C, NULL, NULL, 0x014E },
{"SHSetUnreadMailCountW", 0x000D50EC, NULL, NULL, 0x014F },
{"SHUpdateRecycleBinIcon", 0x00052728, NULL, NULL, 0x0150 },
{"SheChangeDirA", 0x000BBCAA, NULL, NULL, 0x0151 },
{"SheChangeDirExA", 0x000BC265, NULL, NULL, 0x0152 },
{"SheChangeDirExW", 0x000BBFE1, NULL, NULL, 0x0153 },
{"SheChangeDirW", 0x000BBAC6, NULL, NULL, 0x0154 },
{"SheConvertPathW", 0x000CC6AE, NULL, NULL, 0x0155 },
{"SheFullPathA", 0x000BBD7A, NULL, NULL, 0x0156 },
{"SheFullPathW", 0x000BBE2C, NULL, NULL, 0x0157 },
{"SheGetCurDrive", 0x000BBD03, NULL, NULL, 0x0158 },
{"SheGetDirA", 0x000BBA5C, NULL, NULL, 0x0159 },
{"SheGetDirExW", 0x000BBEE4, NULL, NULL, 0x015A },
{"SheGetDirW", 0x000BB9BA, NULL, NULL, 0x015B },
{"SheGetPathOffsetW", 0x000BB940, NULL, NULL, 0x015C },
{"SheRemoveQuotesA", 0x000CC08F, NULL, NULL, 0x015D },
{"SheRemoveQuotesW", 0x000CC053, NULL, NULL, 0x015E },
{"SheSetCurDrive", 0x000BBD29, NULL, NULL, 0x015F },
{"SheShortenPathA", 0x000CC2F9, NULL, NULL, 0x0160 },
{"SheShortenPathW", 0x000CC146, NULL, NULL, 0x0161 },
{"ShellAboutA", 0x000A2F5E, NULL, NULL, 0x0162 },
{"ShellAboutW", 0x000A2F0F, NULL, NULL, 0x0163 },
{"ShellExec_RunDLL", 0x00108A1E, NULL, NULL, 0x0164 },
{"ShellExec_RunDLLA", 0x00108A1E, NULL, NULL, 0x0165 },
{"ShellExec_RunDLLW", 0x00108A84, NULL, NULL, 0x0166 },
{"ShellExecuteA", 0x000811A8, NULL, NULL, 0x0167 },
{"ShellExecuteEx", 0x00080E7D, NULL, NULL, 0x0168 },
{"ShellExecuteExA", 0x00080E7D, NULL, NULL, 0x0169 },
{"ShellExecuteExW", 0x0004991B, NULL, NULL, 0x016A },
{"ShellExecuteW", 0x000F5E68, NULL, NULL, 0x016B },
{"ShellHookProc", 0x00062369, NULL, NULL, 0x016C },
{"Shell_NotifyIcon", 0x00068C16, NULL, NULL, 0x016D },
{"Shell_NotifyIconA", 0x00068C16, NULL, NULL, 0x016E },
{"Shell_NotifyIconW", 0x0006A587, NULL, NULL, 0x016F },
{"StrChrA", 0x001DCD45, NULL, NULL, 0x0170 },
{"StrChrIA", 0x001DCD50, NULL, NULL, 0x0171 },
{"StrChrIW", 0x001DCD5B, NULL, NULL, 0x0172 },
{"StrChrW", 0x001DCD66, NULL, NULL, 0x0173 },
{"StrCmpNA", 0x001DCD71, NULL, NULL, 0x0174 },
{"StrCmpNIA", 0x001DCD7C, NULL, NULL, 0x0175 },
{"StrCmpNIW", 0x001DCD87, NULL, NULL, 0x0176 },
{"StrCmpNW", 0x001DCD92, NULL, NULL, 0x0177 },
{"StrCpyNA", 0x000BB557, NULL, NULL, 0x0178 },
{"StrCpyNW", 0x000BB516, NULL, NULL, 0x0179 },
{"StrNCmpA", 0x000BB619, NULL, NULL, 0x017A },
{"StrNCmpIA", 0x000BB6FE, NULL, NULL, 0x017B },
{"StrNCmpIW", 0x000BB691, NULL, NULL, 0x017C },
{"StrNCmpW", 0x000BB593, NULL, NULL, 0x017D },
{"StrNCpyA", 0x000BB7C1, NULL, NULL, 0x017E },
{"StrNCpyW", 0x000BB776, NULL, NULL, 0x017F },
{"StrRChrA", 0x001DCD9D, NULL, NULL, 0x0180 },
{"StrRChrIA", 0x001DCDA8, NULL, NULL, 0x0181 },
{"StrRChrIW", 0x001DCDB3, NULL, NULL, 0x0182 },
{"StrRChrW", 0x001DCDBE, NULL, NULL, 0x0183 },
{"StrRStrA", 0x000BB87E, NULL, NULL, 0x0184 },
{"StrRStrIA", 0x001DCDC9, NULL, NULL, 0x0185 },
{"StrRStrIW", 0x001DCDD4, NULL, NULL, 0x0186 },
{"StrRStrW", 0x000BB811, NULL, NULL, 0x0187 },
{"StrStrA", 0x001DCDDF, NULL, NULL, 0x0188 },
{"StrStrIA", 0x001DCDEA, NULL, NULL, 0x0189 },
{"StrStrIW", 0x000711BF, NULL, NULL, 0x018A },
{"StrStrW", 0x001DCDF5, NULL, NULL, 0x018B },
{"WOWShellExecute", 0x00108888, NULL, NULL, 0x018C },
{"SHAllocShared", 0x0002A59E, NULL, NULL, 0x0208 },
{"SHLockShared", 0x0002A5C9, NULL, NULL, 0x0209 },
{"SHUnlockShared", 0x0002A5DE, NULL, NULL, 0x020A },
{"SHFreeShared", 0x0002A5B4, NULL, NULL, 0x020B },
{"RealDriveType", 0x00030E72, NULL, NULL, 0x020C },
{"", 0x000F2323, NULL, NULL, 0x020D },
{"SHFlushSFCache", 0x000681BE, NULL, NULL, 0x020E },
{"", 0x000FB62B, NULL, NULL, 0x0280 },
{"", 0x000FB656, NULL, NULL, 0x0281 },
{"", 0x000FB02E, NULL, NULL, 0x0283 },
{"SHChangeNotification_Lock", 0x00069325, NULL, NULL, 0x0284 },
{"SHChangeNotification_Unlock", 0x00037ED0, NULL, NULL, 0x0285 },
{"", 0x000321F5, NULL, NULL, 0x0286 },
{"", 0x000F59DF, NULL, NULL, 0x0288 },
{"", 0x000B4F8E, NULL, NULL, 0x028A },
{"", 0x000A7197, NULL, NULL, 0x028B },
{"WriteCabinetState", 0x000A71AF, NULL, NULL, 0x028C },
{"PathProcessCommand", 0x00054ED3, NULL, NULL, 0x028D },
{"ReadCabinetState", 0x0007482C, NULL, NULL, 0x028E },
{"", 0x0004893F, NULL, NULL, 0x0294 },
{"IsUserAnAdmin", 0x000545A3, NULL, NULL, 0x02A8 },
{"", 0x001DCD2F, NULL, NULL, 0x02A9 },
{"", 0x001147C8, NULL, NULL, 0x02AB },
{"", 0x001147C8, NULL, NULL, 0x02AC },
{"SHPropStgCreate", 0x00114816, NULL, NULL, 0x02AD },
{"SHPropStgReadMultiple", 0x00077AB9, NULL, NULL, 0x02B0 },
{"SHPropStgWriteMultiple", 0x00115476, NULL, NULL, 0x02B1 },
{"", 0x001149CA, NULL, NULL, 0x02B2 },
{"", 0x000772A4, NULL, NULL, 0x02B3 },
{"CDefFolderMenu_Create", 0x000DA34E, NULL, NULL, 0x02BC },
{"CDefFolderMenu_Create2", 0x000DA3ED, NULL, NULL, 0x02BD },
{"", 0x0005809A, NULL, NULL, 0x02BE },
{"", 0x001DCD24, NULL, NULL, 0x02BF },
{"", 0x00044346, NULL, NULL, 0x02C0 },
{"", 0x000B98D9, NULL, NULL, 0x02C3 },
{"", 0x000B57A3, NULL, NULL, 0x02C4 },
{"SHGetSetFolderCustomSettingsW", 0x0006460D, NULL, NULL, 0x02C5 },
{"", 0x000D5948, NULL, NULL, 0x02C7 },
{"", 0x001AD10C, NULL, NULL, 0x02C8 },
{"", 0x000B4B2F, NULL, NULL, 0x02C9 },
{"", 0x0006FCAF, NULL, NULL, 0x02CA },
{"", 0x0019EEB9, NULL, NULL, 0x02CB },
{"SHMultiFileProperties", 0x001165F0, NULL, NULL, 0x02CC },
{"", 0x0004F174, NULL, NULL, 0x02CF },
{"", 0x000FA721, NULL, NULL, 0x02D0 },
{"", 0x000FA64A, NULL, NULL, 0x02D1 },
{"", 0x000B4134, NULL, NULL, 0x02D2 },
{"", 0x00044403, NULL, NULL, 0x02D3 },
{"", 0x0004F1FE, NULL, NULL, 0x02D4 },
{"", 0x000F5EE3, NULL, NULL, 0x02D5 },
{"", 0x000D1A04, NULL, NULL, 0x02D6 },
{"SHGetImageList", 0x00046941, NULL, NULL, 0x02D7 },
{"RestartDialogEx", 0x000B8465, NULL, NULL, 0x02DA },
{"", 0x00059712, NULL, NULL, 0x02DB },
{"", 0x0004F001, NULL, NULL, 0x02DC },
{"", 0x00039C69, NULL, NULL, 0x02DD },
{"", 0x00058BA1, NULL, NULL, 0x02E4 },
{"SHCreateFileExtractIconW", 0x00102ED2, NULL, NULL, 0x02E7 },
{"", 0x000E24EA, NULL, NULL, 0x02E8 },
{"", 0x000E228C, NULL, NULL, 0x02E9 },
{"SHLimitInputEdit", 0x0011614A, NULL, NULL, 0x02EB },
{"", 0x001161E5, NULL, NULL, 0x02EC },
{"SHGetShellStyleHInstance", 0x000D5574, NULL, NULL, 0x02ED },
{"SHGetAttributesFromDataObject", 0x000D2B61, NULL, NULL, 0x02EE },
{"", 0x000D2D3B, NULL, NULL, 0x02EF },
{"", 0x0004C31D, NULL, NULL, 0x02F0 },
{"", 0x00051E51, NULL, NULL, 0x02F1 },
{"", 0x00115FEE, NULL, NULL, 0x02F2 },
{"", 0x0002CA01, NULL, NULL, 0x02F3 },
{"", 0x000EF89E, NULL, NULL, 0x02F4 },
{0,0,NULL,NULL},
};

struct emu_env_w32_dll_export wininet_exports[] = 
{
{"", 0x00029018, NULL, NULL, 0x0065 },
{"", 0x00041996, NULL, NULL, 0x0066 },
{"", 0x000846B0, NULL, NULL, 0x0067 },
{"", 0x0007A578, NULL, NULL, 0x0068 },
{"", 0x0007A8CD, NULL, NULL, 0x0069 },
{"DispatchAPICall", 0x0006B778, NULL, NULL, 0x006A },
{"CommitUrlCacheEntryA", 0x0002E9AA, NULL, NULL, 0x006B },
{"", 0x00064281, NULL, NULL, 0x006C },
{"", 0x00064B9F, NULL, NULL, 0x006D },
{"", 0x00063E35, NULL, NULL, 0x006E },
{"", 0x00064782, NULL, NULL, 0x006F },
{"", 0x0008E3E5, NULL, NULL, 0x0070 },
{"CommitUrlCacheEntryW", 0x00046F94, NULL, NULL, 0x0071 },
{"CreateMD5SSOHash", 0x000681E6, NULL, NULL, 0x0072 },
{"CreateUrlCacheContainerA", 0x0003FD3E, NULL, NULL, 0x0073 },
{"", 0x00035D62, NULL, NULL, 0x0074 },
{"", 0x0007B677, NULL, NULL, 0x0075 },
{"", 0x0007A110, NULL, NULL, 0x0076 },
{"CreateUrlCacheContainerW", 0x0008350D, NULL, NULL, 0x0077 },
{"", 0x0007D25D, NULL, NULL, 0x0078 },
{"", 0x0007D730, NULL, NULL, 0x0079 },
{"", 0x0007D1BB, NULL, NULL, 0x007A },
{"", 0x0007D1A5, NULL, NULL, 0x007B },
{"CreateUrlCacheEntryA", 0x00034023, NULL, NULL, 0x007C },
{"CreateUrlCacheEntryW", 0x000835FD, NULL, NULL, 0x007D },
{"CreateUrlCacheGroup", 0x0008374A, NULL, NULL, 0x007E },
{"DeleteIE3Cache", 0x000837B2, NULL, NULL, 0x007F },
{"DeleteUrlCacheContainerA", 0x000837BD, NULL, NULL, 0x0080 },
{"DeleteUrlCacheContainerW", 0x0008380D, NULL, NULL, 0x0081 },
{"DeleteUrlCacheEntry", 0x00034322, NULL, NULL, 0x0082 },
{"DeleteUrlCacheEntryA", 0x00034322, NULL, NULL, 0x0083 },
{"DeleteUrlCacheEntryW", 0x0002FB69, NULL, NULL, 0x0084 },
{"DeleteUrlCacheGroup", 0x0008388E, NULL, NULL, 0x0085 },
{"DetectAutoProxyUrl", 0x0000FABD, NULL, NULL, 0x0086 },
{"DllInstall", 0x00064D68, NULL, NULL, 0x0087 },
{"FindCloseUrlCache", 0x00006839, NULL, NULL, 0x0088 },
{"FindFirstUrlCacheContainerA", 0x0002EEFD, NULL, NULL, 0x0089 },
{"FindFirstUrlCacheContainerW", 0x0003F839, NULL, NULL, 0x008A },
{"FindFirstUrlCacheEntryA", 0x000241A1, NULL, NULL, 0x008B },
{"FindFirstUrlCacheEntryExA", 0x000241CB, NULL, NULL, 0x008C },
{"FindFirstUrlCacheEntryExW", 0x000838EA, NULL, NULL, 0x008D },
{"FindFirstUrlCacheEntryW", 0x000844BF, NULL, NULL, 0x008E },
{"FindFirstUrlCacheGroup", 0x00083A07, NULL, NULL, 0x008F },
{"FindNextUrlCacheContainerA", 0x0002EF81, NULL, NULL, 0x0090 },
{"FindNextUrlCacheContainerW", 0x00083A86, NULL, NULL, 0x0091 },
{"FindNextUrlCacheEntryA", 0x000246F9, NULL, NULL, 0x0092 },
{"FindNextUrlCacheEntryExA", 0x0002471A, NULL, NULL, 0x0093 },
{"FindNextUrlCacheEntryExW", 0x00083B76, NULL, NULL, 0x0094 },
{"FindNextUrlCacheEntryW", 0x000844E9, NULL, NULL, 0x0095 },
{"FindNextUrlCacheGroup", 0x00083B14, NULL, NULL, 0x0096 },
{"ForceNexusLookup", 0x000681A7, NULL, NULL, 0x0097 },
{"ForceNexusLookupExW", 0x00068157, NULL, NULL, 0x0098 },
{"FreeUrlCacheSpaceA", 0x00083C34, NULL, NULL, 0x0099 },
{"FreeUrlCacheSpaceW", 0x00083C88, NULL, NULL, 0x009A },
{"FtpCommandA", 0x0007223A, NULL, NULL, 0x009B },
{"FtpCommandW", 0x00072C4C, NULL, NULL, 0x009C },
{"FtpCreateDirectoryA", 0x000721CB, NULL, NULL, 0x009D },
{"FtpCreateDirectoryW", 0x00072968, NULL, NULL, 0x009E },
{"FtpDeleteFileA", 0x00071E2A, NULL, NULL, 0x009F },
{"FtpDeleteFileW", 0x000726BD, NULL, NULL, 0x00A0 },
{"FtpFindFirstFileA", 0x000722F9, NULL, NULL, 0x00A1 },
{"FtpFindFirstFileW", 0x0007258E, NULL, NULL, 0x00A2 },
{"FtpGetCurrentDirectoryA", 0x0007221C, NULL, NULL, 0x00A3 },
{"FtpGetCurrentDirectoryW", 0x00072B7D, NULL, NULL, 0x00A4 },
{"FtpGetFileA", 0x0006FCCC, NULL, NULL, 0x00A5 },
{"FtpGetFileEx", 0x000733ED, NULL, NULL, 0x00A6 },
{"FtpGetFileSize", 0x000713C1, NULL, NULL, 0x00A7 },
{"FtpGetFileW", 0x0007339F, NULL, NULL, 0x00A8 },
{"FtpOpenFileA", 0x00072320, NULL, NULL, 0x00A9 },
{"FtpOpenFileW", 0x000728AE, NULL, NULL, 0x00AA },
{"FtpPutFileA", 0x0006FDCB, NULL, NULL, 0x00AB },
{"FtpPutFileEx", 0x000734AB, NULL, NULL, 0x00AC },
{"FtpPutFileW", 0x000733C9, NULL, NULL, 0x00AD },
{"FtpRemoveDirectoryA", 0x000721E6, NULL, NULL, 0x00AE },
{"FtpRemoveDirectoryW", 0x00072A1B, NULL, NULL, 0x00AF },
{"FtpRenameFileA", 0x00071E45, NULL, NULL, 0x00B0 },
{"FtpRenameFileW", 0x00072770, NULL, NULL, 0x00B1 },
{"FtpSetCurrentDirectoryA", 0x00072201, NULL, NULL, 0x00B2 },
{"FtpSetCurrentDirectoryW", 0x00072ACC, NULL, NULL, 0x00B3 },
{"GetUrlCacheConfigInfoA", 0x00083D13, NULL, NULL, 0x00B4 },
{"GetUrlCacheConfigInfoW", 0x00083D70, NULL, NULL, 0x00B5 },
{"GetUrlCacheEntryInfoA", 0x00006875, NULL, NULL, 0x00B6 },
{"GetUrlCacheEntryInfoExA", 0x0002C34A, NULL, NULL, 0x00B7 },
{"GetUrlCacheEntryInfoExW", 0x0000611A, NULL, NULL, 0x00B8 },
{"GetUrlCacheEntryInfoW", 0x0002DBA9, NULL, NULL, 0x00B9 },
{"GetUrlCacheGroupAttributeA", 0x00083E02, NULL, NULL, 0x00BA },
{"GetUrlCacheGroupAttributeW", 0x00083E7C, NULL, NULL, 0x00BB },
{"GetUrlCacheHeaderData", 0x000099F8, NULL, NULL, 0x00BC },
{"GopherCreateLocatorA", 0x00077361, NULL, NULL, 0x00BD },
{"GopherCreateLocatorW", 0x00077361, NULL, NULL, 0x00BE },
{"GopherFindFirstFileA", 0x00077385, NULL, NULL, 0x00BF },
{"GopherFindFirstFileW", 0x00077385, NULL, NULL, 0x00C0 },
{"GopherGetAttributeA", 0x000773A9, NULL, NULL, 0x00C1 },
{"GopherGetAttributeW", 0x000773A9, NULL, NULL, 0x00C2 },
{"GopherGetLocatorTypeA", 0x00077373, NULL, NULL, 0x00C3 },
{"GopherGetLocatorTypeW", 0x00077373, NULL, NULL, 0x00C4 },
{"GopherOpenFileA", 0x00077397, NULL, NULL, 0x00C5 },
{"GopherOpenFileW", 0x00077397, NULL, NULL, 0x00C6 },
{"HttpAddRequestHeadersA", 0x0001632F, NULL, NULL, 0x00C7 },
{"HttpAddRequestHeadersW", 0x0007A4FD, NULL, NULL, 0x00C8 },
{"HttpCheckDavCompliance", 0x0007A578, NULL, NULL, 0x00C9 },
{"HttpEndRequestA", 0x00028D32, NULL, NULL, 0x00CA },
{"HttpEndRequestW", 0x0007A9C8, NULL, NULL, 0x00CB },
{"HttpOpenRequestA", 0x0001AA5B, NULL, NULL, 0x00CC },
{"HttpOpenRequestW", 0x0001C47A, NULL, NULL, 0x00CD },
{"HttpQueryInfoA", 0x00017407, NULL, NULL, 0x00CE },
{"HttpQueryInfoW", 0x0001E5BB, NULL, NULL, 0x00CF },
{"HttpSendRequestA", 0x00023558, NULL, NULL, 0x00D0 },
{"HttpSendRequestExA", 0x0007A966, NULL, NULL, 0x00D1 },
{"HttpSendRequestExW", 0x00028C49, NULL, NULL, 0x00D2 },
{"HttpSendRequestW", 0x0002FDF9, NULL, NULL, 0x00D3 },
{"IncrementUrlCacheHeaderData", 0x000371F3, NULL, NULL, 0x00D4 },
{"InternetAlgIdToStringA", 0x00089899, NULL, NULL, 0x00D5 },
{"InternetAlgIdToStringW", 0x00089A04, NULL, NULL, 0x00D6 },
{"InternetAttemptConnect", 0x0006746C, NULL, NULL, 0x00D7 },
{"InternetAutodial", 0x000476F1, NULL, NULL, 0x00D8 },
{"InternetAutodialCallback", 0x00062E32, NULL, NULL, 0x00D9 },
{"InternetAutodialHangup", 0x00062D6B, NULL, NULL, 0x00DA },
{"InternetCanonicalizeUrlA", 0x00067106, NULL, NULL, 0x00DB },
{"InternetCanonicalizeUrlW", 0x00009C44, NULL, NULL, 0x00DC },
{"InternetCheckConnectionA", 0x00067CBA, NULL, NULL, 0x00DD },
{"InternetCheckConnectionW", 0x000685FB, NULL, NULL, 0x00DE },
{"InternetClearAllPerSiteCookieDecisions", 0x0007B26C, NULL, NULL, 0x00DF },
{"InternetCloseHandle", 0x00014261, NULL, NULL, 0x00E0 },
{"InternetCombineUrlA", 0x0006716A, NULL, NULL, 0x00E1 },
{"InternetCombineUrlW", 0x00034921, NULL, NULL, 0x00E2 },
{"InternetConfirmZoneCrossing", 0x0008A91C, NULL, NULL, 0x00E3 },
{"InternetConfirmZoneCrossingA", 0x0008A91C, NULL, NULL, 0x00E4 },
{"InternetConfirmZoneCrossingW", 0x00041730, NULL, NULL, 0x00E5 },
{"InternetConnectA", 0x0001B0B2, NULL, NULL, 0x00E6 },
{"InternetConnectW", 0x0001C2A0, NULL, NULL, 0x00E7 },
{"InternetCrackUrlA", 0x00030114, NULL, NULL, 0x00E8 },
{"InternetCrackUrlW", 0x00003F0F, NULL, NULL, 0x00E9 },
{"InternetCreateUrlA", 0x0001A286, NULL, NULL, 0x00EA },
{"InternetCreateUrlW", 0x00008188, NULL, NULL, 0x00EB },
{"InternetDial", 0x00062BF3, NULL, NULL, 0x00EC },
{"InternetDialA", 0x00062BF3, NULL, NULL, 0x00ED },
{"InternetDialW", 0x0006277F, NULL, NULL, 0x00EE },
{"InternetEnumPerSiteCookieDecisionA", 0x0007B178, NULL, NULL, 0x00EF },
{"InternetEnumPerSiteCookieDecisionW", 0x0007B1D8, NULL, NULL, 0x00F0 },
{"InternetErrorDlg", 0x0008A3FD, NULL, NULL, 0x00F1 },
{"InternetFindNextFileA", 0x00067A6C, NULL, NULL, 0x00F2 },
{"InternetFindNextFileW", 0x0006853B, NULL, NULL, 0x00F3 },
{"InternetFortezzaCommand", 0x0006207D, NULL, NULL, 0x00F4 },
{"InternetGetCertByURL", 0x000671CA, NULL, NULL, 0x00F5 },
{"InternetGetCertByURLA", 0x000671CA, NULL, NULL, 0x00F6 },
{"InternetGetConnectedState", 0x0002BEDE, NULL, NULL, 0x00F7 },
{"InternetGetConnectedStateEx", 0x00047C67, NULL, NULL, 0x00F8 },
{"InternetGetConnectedStateExA", 0x00047C67, NULL, NULL, 0x00F9 },
{"InternetGetConnectedStateExW", 0x0002BD2A, NULL, NULL, 0x00FA },
{"InternetGetCookieA", 0x0007C158, NULL, NULL, 0x00FB },
{"InternetGetCookieExA", 0x00033A49, NULL, NULL, 0x00FC },
{"InternetGetCookieExW", 0x0003394A, NULL, NULL, 0x00FD },
{"InternetGetCookieW", 0x0007C1B4, NULL, NULL, 0x00FE },
{"InternetGetLastResponseInfoA", 0x00067310, NULL, NULL, 0x00FF },
{"InternetGetLastResponseInfoW", 0x0006875F, NULL, NULL, 0x0100 },
{"InternetGetPerSiteCookieDecisionA", 0x0007B0C6, NULL, NULL, 0x0101 },
{"InternetGetPerSiteCookieDecisionW", 0x0007B109, NULL, NULL, 0x0102 },
{"InternetGetSecurityInfoByURL", 0x000678A5, NULL, NULL, 0x0103 },
{"InternetGetSecurityInfoByURLA", 0x000678A5, NULL, NULL, 0x0104 },
{"InternetGetSecurityInfoByURLW", 0x000686DA, NULL, NULL, 0x0105 },
{"InternetGoOnline", 0x000631C1, NULL, NULL, 0x0106 },
{"InternetGoOnlineA", 0x000631C1, NULL, NULL, 0x0107 },
{"InternetGoOnlineW", 0x000630D7, NULL, NULL, 0x0108 },
{"InternetHangUp", 0x00062C63, NULL, NULL, 0x0109 },
{"InternetInitializeAutoProxyDll", 0x0003F600, NULL, NULL, 0x010A },
{"InternetLockRequestFile", 0x000188F5, NULL, NULL, 0x010B },
{"InternetOpenA", 0x00023081, NULL, NULL, 0x010C },
{"InternetOpenUrlA", 0x00026F5A, NULL, NULL, 0x010D },
{"InternetOpenUrlW", 0x00068471, NULL, NULL, 0x010E },
{"InternetOpenW", 0x000236B1, NULL, NULL, 0x010F },
{"InternetQueryDataAvailable", 0x00021615, NULL, NULL, 0x0110 },
{"InternetQueryFortezzaStatus", 0x00077373, NULL, NULL, 0x0111 },
{"InternetQueryOptionA", 0x000093C3, NULL, NULL, 0x0112 },
{"InternetQueryOptionW", 0x0002FEE0, NULL, NULL, 0x0113 },
{"InternetReadFile", 0x000213D4, NULL, NULL, 0x0114 },
{"InternetReadFileExA", 0x00033384, NULL, NULL, 0x0115 },
{"InternetReadFileExW", 0x0003334C, NULL, NULL, 0x0116 },
{"InternetSecurityProtocolToStringA", 0x00089B7F, NULL, NULL, 0x0117 },
{"InternetSecurityProtocolToStringW", 0x00089C66, NULL, NULL, 0x0118 },
{"InternetSetCookieA", 0x0007C179, NULL, NULL, 0x0119 },
{"InternetSetCookieExA", 0x0007C1A4, NULL, NULL, 0x011A },
{"InternetSetCookieExW", 0x00034604, NULL, NULL, 0x011B },
{"InternetSetCookieW", 0x0007C1D7, NULL, NULL, 0x011C },
{"InternetSetDialState", 0x0006207D, NULL, NULL, 0x011D },
{"InternetSetDialStateA", 0x0006207D, NULL, NULL, 0x011E },
{"InternetSetDialStateW", 0x0006207D, NULL, NULL, 0x011F },
{"InternetSetFilePointer", 0x0006728D, NULL, NULL, 0x0120 },
{"InternetSetOptionA", 0x00013805, NULL, NULL, 0x0121 },
{"InternetSetOptionExA", 0x00068B8B, NULL, NULL, 0x0122 },
{"InternetSetOptionExW", 0x00068BC5, NULL, NULL, 0x0123 },
{"InternetSetOptionW", 0x00013901, NULL, NULL, 0x0124 },
{"InternetSetPerSiteCookieDecisionA", 0x0007AFE9, NULL, NULL, 0x0125 },
{"InternetSetPerSiteCookieDecisionW", 0x0007B05F, NULL, NULL, 0x0126 },
{"InternetSetStatusCallback", 0x00027D7B, NULL, NULL, 0x0127 },
{"InternetSetStatusCallbackA", 0x00027D7B, NULL, NULL, 0x0128 },
{"InternetSetStatusCallbackW", 0x00068662, NULL, NULL, 0x0129 },
{"InternetShowSecurityInfoByURL", 0x0006795D, NULL, NULL, 0x012A },
{"InternetShowSecurityInfoByURLA", 0x0006795D, NULL, NULL, 0x012B },
{"InternetShowSecurityInfoByURLW", 0x0006867D, NULL, NULL, 0x012C },
{"InternetTimeFromSystemTime", 0x000202D1, NULL, NULL, 0x012D },
{"InternetTimeFromSystemTimeA", 0x000202D1, NULL, NULL, 0x012E },
{"InternetTimeFromSystemTimeW", 0x0007C2A3, NULL, NULL, 0x012F },
{"InternetTimeToSystemTime", 0x0003FB08, NULL, NULL, 0x0130 },
{"InternetTimeToSystemTimeA", 0x0003FB08, NULL, NULL, 0x0131 },
{"InternetTimeToSystemTimeW", 0x0003FA5F, NULL, NULL, 0x0132 },
{"InternetUnlockRequestFile", 0x00022BBA, NULL, NULL, 0x0133 },
{"InternetWriteFile", 0x00028D5C, NULL, NULL, 0x0134 },
{"InternetWriteFileExA", 0x00068529, NULL, NULL, 0x0135 },
{"InternetWriteFileExW", 0x00068529, NULL, NULL, 0x0136 },
{"IsHostInProxyBypassList", 0x00078AE4, NULL, NULL, 0x0137 },
{"IsUrlCacheEntryExpiredA", 0x00083F24, NULL, NULL, 0x0138 },
{"IsUrlCacheEntryExpiredW", 0x00041391, NULL, NULL, 0x0139 },
{"LoadUrlCacheContent", 0x00083FF2, NULL, NULL, 0x013A },
{"ParseX509EncodedCertificateForListBoxEntry", 0x000894BD, NULL, NULL, 0x013B },
{"PrivacyGetZonePreferenceW", 0x0003ED02, NULL, NULL, 0x013C },
{"PrivacySetZonePreferenceW", 0x0007A215, NULL, NULL, 0x013D },
{"ReadUrlCacheEntryStream", 0x0001FA2B, NULL, NULL, 0x013E },
{"RegisterUrlCacheNotification", 0x0008435A, NULL, NULL, 0x013F },
{"ResumeSuspendedDownload", 0x0006AE67, NULL, NULL, 0x0140 },
{"RetrieveUrlCacheEntryFileA", 0x00084002, NULL, NULL, 0x0141 },
{"RetrieveUrlCacheEntryFileW", 0x0004791C, NULL, NULL, 0x0142 },
{"RetrieveUrlCacheEntryStreamA", 0x00032FB7, NULL, NULL, 0x0143 },
{"RetrieveUrlCacheEntryStreamW", 0x0003FC40, NULL, NULL, 0x0144 },
{"RunOnceUrlCache", 0x00084082, NULL, NULL, 0x0145 },
{"SetUrlCacheConfigInfoA", 0x0008450A, NULL, NULL, 0x0146 },
{"SetUrlCacheConfigInfoW", 0x000840B0, NULL, NULL, 0x0147 },
{"SetUrlCacheEntryGroup", 0x00084126, NULL, NULL, 0x0148 },
{"SetUrlCacheEntryGroupA", 0x00084126, NULL, NULL, 0x0149 },
{"SetUrlCacheEntryGroupW", 0x00041035, NULL, NULL, 0x014A },
{"SetUrlCacheEntryInfoA", 0x00040A57, NULL, NULL, 0x014B },
{"SetUrlCacheEntryInfoW", 0x0008419F, NULL, NULL, 0x014C },
{"SetUrlCacheGroupAttributeA", 0x00084228, NULL, NULL, 0x014D },
{"SetUrlCacheGroupAttributeW", 0x0008428D, NULL, NULL, 0x014E },
{"SetUrlCacheHeaderData", 0x0008431E, NULL, NULL, 0x014F },
{"ShowCertificate", 0x00089497, NULL, NULL, 0x0150 },
{"ShowClientAuthCerts", 0x000894AA, NULL, NULL, 0x0151 },
{"ShowSecurityInfo", 0x000892DC, NULL, NULL, 0x0152 },
{"ShowX509EncodedCertificate", 0x000894D0, NULL, NULL, 0x0153 },
{"UnlockUrlCacheEntryFile", 0x0001F8C6, NULL, NULL, 0x0154 },
{"UnlockUrlCacheEntryFileA", 0x0001F8C6, NULL, NULL, 0x0155 },
{"UnlockUrlCacheEntryFileW", 0x0004789C, NULL, NULL, 0x0156 },
{"UnlockUrlCacheEntryStream", 0x0001F913, NULL, NULL, 0x0157 },
{"UpdateUrlCacheContentPath", 0x000843B4, NULL, NULL, 0x0158 },
{"UrlZonesDetach", 0x0007F3B2, NULL, NULL, 0x0159 },
{"", 0x0001226B, NULL, NULL, 0x015A },
{"_GetFileExtensionFromUrl", 0x0006CFFC, NULL, NULL, 0x015B },
{0,0,NULL,NULL},
};



struct emu_env_w32_dll_export ntdll_exports[] = 
{
{"PropertyLengthAsVariant", 0x00059D2B, NULL, NULL, 0x0001 },
{"RtlConvertPropertyToVariant", 0x00059C93, NULL, NULL, 0x0002 },
{"RtlConvertVariantToProperty", 0x00059BF5, NULL, NULL, 0x0003 },
{"RtlInterlockedPushListSList", 0x00002AD0, NULL, NULL, 0x0004 },
{"RtlUlongByteSwap", 0x00002B30, NULL, NULL, 0x0005 },
{"RtlUlonglongByteSwap", 0x00002B40, NULL, NULL, 0x0006 },
{"RtlUshortByteSwap", 0x00002B20, NULL, NULL, 0x0007 },
{"CsrAllocateCaptureBuffer", 0x0001EB78, NULL, NULL, 0x0008 },
{"CsrAllocateMessagePointer", 0x0001EBD9, NULL, NULL, 0x0009 },
{"CsrCaptureMessageBuffer", 0x0001E3CF, NULL, NULL, 0x000A },
{"CsrCaptureMessageMultiUnicodeStringsInPlace", 0x0002064D, NULL, NULL, 0x000B },
{"CsrCaptureMessageString", 0x0002070E, NULL, NULL, 0x000C },
{"CsrCaptureTimeout", 0x00051C6A, NULL, NULL, 0x000D },
{"CsrClientCallServer", 0x00012D91, NULL, NULL, 0x000E },
{"CsrClientConnectToServer", 0x00021207, NULL, NULL, 0x000F },
{"CsrFreeCaptureBuffer", 0x0001EB1F, NULL, NULL, 0x0010 },
{"CsrGetProcessId", 0x00051C5F, NULL, NULL, 0x0011 },
{"CsrIdentifyAlertableThread", 0x00051BDA, NULL, NULL, 0x0012 },
{"CsrNewThread", 0x0001B0AA, NULL, NULL, 0x0013 },
{"CsrProbeForRead", 0x00051CEB, NULL, NULL, 0x0014 },
{"CsrProbeForWrite", 0x00051C9D, NULL, NULL, 0x0015 },
{"CsrSetPriorityClass", 0x00051C16, NULL, NULL, 0x0016 },
{"DbgBreakPoint", 0x0000120E, NULL, NULL, 0x0017 },
{"DbgPrint", 0x0002FB6F, NULL, NULL, 0x0018 },
{"DbgPrintEx", 0x0001EAF5, NULL, NULL, 0x0019 },
{"DbgPrintReturnControlC", 0x00059EB2, NULL, NULL, 0x001A },
{"DbgPrompt", 0x00059FA1, NULL, NULL, 0x001B },
{"DbgQueryDebugFilterState", 0x00059FE7, NULL, NULL, 0x001C },
{"DbgSetDebugFilterState", 0x00059FF7, NULL, NULL, 0x001D },
{"DbgUiConnectToDbg", 0x00051D21, NULL, NULL, 0x001E },
{"DbgUiContinue", 0x00051DCC, NULL, NULL, 0x001F },
{"DbgUiConvertStateChangeStructure", 0x00051EF4, NULL, NULL, 0x0020 },
{"DbgUiDebugActiveProcess", 0x00051EB2, NULL, NULL, 0x0021 },
{"DbgUiGetThreadDebugObject", 0x00051D76, NULL, NULL, 0x0022 },
{"DbgUiIssueRemoteBreakin", 0x00051E71, NULL, NULL, 0x0023 },
{"DbgUiRemoteBreakin", 0x00051E13, NULL, NULL, 0x0024 },
{"DbgUiSetThreadDebugObject", 0x00051D88, NULL, NULL, 0x0025 },
{"DbgUiStopDebugging", 0x00051DF1, NULL, NULL, 0x0026 },
{"DbgUiWaitStateChange", 0x00051DA5, NULL, NULL, 0x0027 },
{"DbgUserBreakPoint", 0x00001212, NULL, NULL, 0x0028 },
{"KiFastSystemCall", 0x0000E510, NULL, NULL, 0x0029 },
{"KiFastSystemCallRet", 0x0000E514, NULL, NULL, 0x002A },
{"KiIntSystemCall", 0x0000E520, NULL, NULL, 0x002B },
{"KiRaiseUserExceptionDispatcher", 0x0000E4C8, NULL, NULL, 0x002C },
{"KiUserApcDispatcher", 0x0000E450, NULL, NULL, 0x002D },
{"KiUserCallbackDispatcher", 0x0000E460, NULL, NULL, 0x002E },
{"KiUserExceptionDispatcher", 0x0000E47C, NULL, NULL, 0x002F },
{"LdrAccessOutOfProcessResource", 0x000209B8, NULL, NULL, 0x0030 },
{"LdrAccessResource", 0x000127A8, NULL, NULL, 0x0031 },
{"LdrAddRefDll", 0x0002CB05, NULL, NULL, 0x0032 },
{"LdrAlternateResourcesEnabled", 0x0004888F, NULL, NULL, 0x0033 },
{"LdrCreateOutOfProcessImage", 0x000201C3, NULL, NULL, 0x0034 },
{"LdrDestroyOutOfProcessImage", 0x000202DD, NULL, NULL, 0x0035 },
{"LdrDisableThreadCalloutsForDll", 0x0001D6FB, NULL, NULL, 0x0036 },
{"LdrEnumResources", 0x0005A110, NULL, NULL, 0x0037 },
{"LdrEnumerateLoadedModules", 0x00021405, NULL, NULL, 0x0038 },
{"LdrFindCreateProcessManifest", 0x0001FE25, NULL, NULL, 0x0039 },
{"LdrFindEntryForAddress", 0x0005A07B, NULL, NULL, 0x003A },
{"LdrFindResourceDirectory_U", 0x0001C26D, NULL, NULL, 0x003B },
{"LdrFindResourceEx_U", 0x0005AE3E, NULL, NULL, 0x003C },
{"LdrFindResource_U", 0x00012787, NULL, NULL, 0x003D },
{"LdrFlushAlternateResourceModules", 0x0002ED52, NULL, NULL, 0x003E },
{"LdrGetDllHandle", 0x000166A0, NULL, NULL, 0x003F },
{"LdrGetDllHandleEx", 0x000166C1, NULL, NULL, 0x0040 },
{"LdrGetProcedureAddress", 0x00017EA8, NULL, NULL, 0x0041 },
{"LdrHotPatchRoutine", 0x000521DE, NULL, NULL, 0x0042 },
{"LdrInitShimEngineDynamic", 0x00052CC2, NULL, NULL, 0x0043 },
{"LdrInitializeThunk", 0x00001166, NULL, NULL, 0x0044 },
{"LdrLoadAlternateResourceModule", 0x00012808, NULL, NULL, 0x0045 },
{"LdrLoadDll", 0x000163C3, NULL, NULL, 0x0046 },
{"LdrLockLoaderLock", 0x00012C63, NULL, NULL, 0x0047 },
{"LdrProcessRelocationBlock", 0x0005B52C, NULL, NULL, 0x0048 },
{"LdrQueryImageFileExecutionOptions", 0x0001CCA3, NULL, NULL, 0x0049 },
{"LdrQueryProcessModuleInformation", 0x00052A31, NULL, NULL, 0x004A },
{"LdrSetAppCompatDllRedirectionCallback", 0x00052A51, NULL, NULL, 0x004B },
{"LdrSetDllManifestProber", 0x0002221F, NULL, NULL, 0x004C },
{"LdrShutdownProcess", 0x00023BD8, NULL, NULL, 0x004D },
{"LdrShutdownThread", 0x00013956, NULL, NULL, 0x004E },
{"LdrUnloadAlternateResourceModule", 0x00019951, NULL, NULL, 0x004F },
{"LdrUnloadDll", 0x0001738B, NULL, NULL, 0x0050 },
{"LdrUnlockLoaderLock", 0x00012D19, NULL, NULL, 0x0051 },
{"LdrVerifyImageMatchesChecksum", 0x00030A3C, NULL, NULL, 0x0052 },
{"NlsAnsiCodePage", 0x0007E098, NULL, NULL, 0x0053 },
{"NlsMbCodePageTag", 0x0007E0A0, NULL, NULL, 0x0054 },
{"NlsMbOemCodePageTag", 0x0007E0A8, NULL, NULL, 0x0055 },
{"NtAcceptConnectPort", 0x0000CE5E, NULL, NULL, 0x0056 },
{"NtAccessCheck", 0x0000CE6E, NULL, NULL, 0x0057 },
{"NtAccessCheckAndAuditAlarm", 0x0000CE7E, NULL, NULL, 0x0058 },
{"NtAccessCheckByType", 0x0000CE8E, NULL, NULL, 0x0059 },
{"NtAccessCheckByTypeAndAuditAlarm", 0x0000CE9E, NULL, NULL, 0x005A },
{"NtAccessCheckByTypeResultList", 0x0000CEAE, NULL, NULL, 0x005B },
{"NtAccessCheckByTypeResultListAndAuditAlarm", 0x0000CEBE, NULL, NULL, 0x005C },
{"NtAccessCheckByTypeResultListAndAuditAlarmByHandle", 0x0000CECE, NULL, NULL, 0x005D },
{"NtAddAtom", 0x0000CEDE, NULL, NULL, 0x005E },
{"NtAddBootEntry", 0x0000CEEE, NULL, NULL, 0x005F },
{"NtAdjustGroupsToken", 0x0000CEFE, NULL, NULL, 0x0060 },
{"NtAdjustPrivilegesToken", 0x0000CF0E, NULL, NULL, 0x0061 },
{"NtAlertResumeThread", 0x0000CF1E, NULL, NULL, 0x0062 },
{"NtAlertThread", 0x0000CF2E, NULL, NULL, 0x0063 },
{"NtAllocateLocallyUniqueId", 0x0000CF3E, NULL, NULL, 0x0064 },
{"NtAllocateUserPhysicalPages", 0x0000CF4E, NULL, NULL, 0x0065 },
{"NtAllocateUuids", 0x0000CF5E, NULL, NULL, 0x0066 },
{"NtAllocateVirtualMemory", 0x0000CF6E, NULL, NULL, 0x0067 },
{"NtAreMappedFilesTheSame", 0x0000CF7E, NULL, NULL, 0x0068 },
{"NtAssignProcessToJobObject", 0x0000CF8E, NULL, NULL, 0x0069 },
{"NtCallbackReturn", 0x0000CF9E, NULL, NULL, 0x006A },
{"NtCancelDeviceWakeupRequest", 0x0000CFAE, NULL, NULL, 0x006B },
{"NtCancelIoFile", 0x0000CFBE, NULL, NULL, 0x006C },
{"NtCancelTimer", 0x0000CFCE, NULL, NULL, 0x006D },
{"NtClearEvent", 0x0000CFDE, NULL, NULL, 0x006E },
{"NtClose", 0x0000CFEE, NULL, NULL, 0x006F },
{"NtCloseObjectAuditAlarm", 0x0000CFFE, NULL, NULL, 0x0070 },
{"NtCompactKeys", 0x0000D00E, NULL, NULL, 0x0071 },
{"NtCompareTokens", 0x0000D01E, NULL, NULL, 0x0072 },
{"NtCompleteConnectPort", 0x0000D02E, NULL, NULL, 0x0073 },
{"NtCompressKey", 0x0000D03E, NULL, NULL, 0x0074 },
{"NtConnectPort", 0x0000D04E, NULL, NULL, 0x0075 },
{"NtContinue", 0x0000D05E, NULL, NULL, 0x0076 },
{"NtCreateDebugObject", 0x0000D06E, NULL, NULL, 0x0077 },
{"NtCreateDirectoryObject", 0x0000D07E, NULL, NULL, 0x0078 },
{"NtCreateEvent", 0x0000D08E, NULL, NULL, 0x0079 },
{"NtCreateEventPair", 0x0000D09E, NULL, NULL, 0x007A },
{"NtCreateFile", 0x0000D0AE, NULL, NULL, 0x007B },
{"NtCreateIoCompletion", 0x0000D0BE, NULL, NULL, 0x007C },
{"NtCreateJobObject", 0x0000D0CE, NULL, NULL, 0x007D },
{"NtCreateJobSet", 0x0000D0DE, NULL, NULL, 0x007E },
{"NtCreateKey", 0x0000D0EE, NULL, NULL, 0x007F },
{"NtCreateKeyedEvent", 0x0000DFCE, NULL, NULL, 0x0080 },
{"NtCreateMailslotFile", 0x0000D0FE, NULL, NULL, 0x0081 },
{"NtCreateMutant", 0x0000D10E, NULL, NULL, 0x0082 },
{"NtCreateNamedPipeFile", 0x0000D11E, NULL, NULL, 0x0083 },
{"NtCreatePagingFile", 0x0000D12E, NULL, NULL, 0x0084 },
{"NtCreatePort", 0x0000D13E, NULL, NULL, 0x0085 },
{"NtCreateProcess", 0x0000D14E, NULL, NULL, 0x0086 },
{"NtCreateProcessEx", 0x0000D15E, NULL, NULL, 0x0087 },
{"NtCreateProfile", 0x0000D16E, NULL, NULL, 0x0088 },
{"NtCreateSection", 0x0000D17E, NULL, NULL, 0x0089 },
{"NtCreateSemaphore", 0x0000D18E, NULL, NULL, 0x008A },
{"NtCreateSymbolicLinkObject", 0x0000D19E, NULL, NULL, 0x008B },
{"NtCreateThread", 0x0000D1AE, NULL, NULL, 0x008C },
{"NtCreateTimer", 0x0000D1BE, NULL, NULL, 0x008D },
{"NtCreateToken", 0x0000D1CE, NULL, NULL, 0x008E },
{"NtCreateWaitablePort", 0x0000D1DE, NULL, NULL, 0x008F },
{"NtCurrentTeb", 0x0000121E, NULL, NULL, 0x0090 },
{"NtDebugActiveProcess", 0x0000D1EE, NULL, NULL, 0x0091 },
{"NtDebugContinue", 0x0000D1FE, NULL, NULL, 0x0092 },
{"NtDelayExecution", 0x0000D20E, NULL, NULL, 0x0093 },
{"NtDeleteAtom", 0x0000D21E, NULL, NULL, 0x0094 },
{"NtDeleteBootEntry", 0x0000D22E, NULL, NULL, 0x0095 },
{"NtDeleteFile", 0x0000D23E, NULL, NULL, 0x0096 },
{"NtDeleteKey", 0x0000D24E, NULL, NULL, 0x0097 },
{"NtDeleteObjectAuditAlarm", 0x0000D25E, NULL, NULL, 0x0098 },
{"NtDeleteValueKey", 0x0000D26E, NULL, NULL, 0x0099 },
{"NtDeviceIoControlFile", 0x0000D27E, NULL, NULL, 0x009A },
{"NtDisplayString", 0x0000D28E, NULL, NULL, 0x009B },
{"NtDuplicateObject", 0x0000D29E, NULL, NULL, 0x009C },
{"NtDuplicateToken", 0x0000D2AE, NULL, NULL, 0x009D },
{"NtEnumerateBootEntries", 0x0000D2BE, NULL, NULL, 0x009E },
{"NtEnumerateKey", 0x0000D2CE, NULL, NULL, 0x009F },
{"NtEnumerateSystemEnvironmentValuesEx", 0x0000D2DE, NULL, NULL, 0x00A0 },
{"NtEnumerateValueKey", 0x0000D2EE, NULL, NULL, 0x00A1 },
{"NtExtendSection", 0x0000D2FE, NULL, NULL, 0x00A2 },
{"NtFilterToken", 0x0000D30E, NULL, NULL, 0x00A3 },
{"NtFindAtom", 0x0000D31E, NULL, NULL, 0x00A4 },
{"NtFlushBuffersFile", 0x0000D32E, NULL, NULL, 0x00A5 },
{"NtFlushInstructionCache", 0x0000D33E, NULL, NULL, 0x00A6 },
{"NtFlushKey", 0x0000D34E, NULL, NULL, 0x00A7 },
{"NtFlushVirtualMemory", 0x0000D35E, NULL, NULL, 0x00A8 },
{"NtFlushWriteBuffer", 0x0000D36E, NULL, NULL, 0x00A9 },
{"NtFreeUserPhysicalPages", 0x0000D37E, NULL, NULL, 0x00AA },
{"NtFreeVirtualMemory", 0x0000D38E, NULL, NULL, 0x00AB },
{"NtFsControlFile", 0x0000D39E, NULL, NULL, 0x00AC },
{"NtGetContextThread", 0x0000D3AE, NULL, NULL, 0x00AD },
{"NtGetDevicePowerState", 0x0000D3BE, NULL, NULL, 0x00AE },
{"NtGetPlugPlayEvent", 0x0000D3CE, NULL, NULL, 0x00AF },
{"NtGetWriteWatch", 0x0000D3DE, NULL, NULL, 0x00B0 },
{"NtImpersonateAnonymousToken", 0x0000D3EE, NULL, NULL, 0x00B1 },
{"NtImpersonateClientOfPort", 0x0000D3FE, NULL, NULL, 0x00B2 },
{"NtImpersonateThread", 0x0000D40E, NULL, NULL, 0x00B3 },
{"NtInitializeRegistry", 0x0000D41E, NULL, NULL, 0x00B4 },
{"NtInitiatePowerAction", 0x0000D42E, NULL, NULL, 0x00B5 },
{"NtIsProcessInJob", 0x0000D43E, NULL, NULL, 0x00B6 },
{"NtIsSystemResumeAutomatic", 0x0000D44E, NULL, NULL, 0x00B7 },
{"NtListenPort", 0x0000D45E, NULL, NULL, 0x00B8 },
{"NtLoadDriver", 0x0000D46E, NULL, NULL, 0x00B9 },
{"NtLoadKey2", 0x0000D48E, NULL, NULL, 0x00BA },
{"NtLoadKey", 0x0000D47E, NULL, NULL, 0x00BB },
{"NtLockFile", 0x0000D49E, NULL, NULL, 0x00BC },
{"NtLockProductActivationKeys", 0x0000D4AE, NULL, NULL, 0x00BD },
{"NtLockRegistryKey", 0x0000D4BE, NULL, NULL, 0x00BE },
{"NtLockVirtualMemory", 0x0000D4CE, NULL, NULL, 0x00BF },
{"NtMakePermanentObject", 0x0000D4DE, NULL, NULL, 0x00C0 },
{"NtMakeTemporaryObject", 0x0000D4EE, NULL, NULL, 0x00C1 },
{"NtMapUserPhysicalPages", 0x0000D4FE, NULL, NULL, 0x00C2 },
{"NtMapUserPhysicalPagesScatter", 0x0000D50E, NULL, NULL, 0x00C3 },
{"NtMapViewOfSection", 0x0000D51E, NULL, NULL, 0x00C4 },
{"NtModifyBootEntry", 0x0000D52E, NULL, NULL, 0x00C5 },
{"NtNotifyChangeDirectoryFile", 0x0000D53E, NULL, NULL, 0x00C6 },
{"NtNotifyChangeKey", 0x0000D54E, NULL, NULL, 0x00C7 },
{"NtNotifyChangeMultipleKeys", 0x0000D55E, NULL, NULL, 0x00C8 },
{"NtOpenDirectoryObject", 0x0000D56E, NULL, NULL, 0x00C9 },
{"NtOpenEvent", 0x0000D57E, NULL, NULL, 0x00CA },
{"NtOpenEventPair", 0x0000D58E, NULL, NULL, 0x00CB },
{"NtOpenFile", 0x0000D59E, NULL, NULL, 0x00CC },
{"NtOpenIoCompletion", 0x0000D5AE, NULL, NULL, 0x00CD },
{"NtOpenJobObject", 0x0000D5BE, NULL, NULL, 0x00CE },
{"NtOpenKey", 0x0000D5CE, NULL, NULL, 0x00CF },
{"NtOpenKeyedEvent", 0x0000DFDE, NULL, NULL, 0x00D0 },
{"NtOpenMutant", 0x0000D5DE, NULL, NULL, 0x00D1 },
{"NtOpenObjectAuditAlarm", 0x0000D5EE, NULL, NULL, 0x00D2 },
{"NtOpenProcess", 0x0000D5FE, NULL, NULL, 0x00D3 },
{"NtOpenProcessToken", 0x0000D60E, NULL, NULL, 0x00D4 },
{"NtOpenProcessTokenEx", 0x0000D61E, NULL, NULL, 0x00D5 },
{"NtOpenSection", 0x0000D62E, NULL, NULL, 0x00D6 },
{"NtOpenSemaphore", 0x0000D63E, NULL, NULL, 0x00D7 },
{"NtOpenSymbolicLinkObject", 0x0000D64E, NULL, NULL, 0x00D8 },
{"NtOpenThread", 0x0000D65E, NULL, NULL, 0x00D9 },
{"NtOpenThreadToken", 0x0000D66E, NULL, NULL, 0x00DA },
{"NtOpenThreadTokenEx", 0x0000D67E, NULL, NULL, 0x00DB },
{"NtOpenTimer", 0x0000D68E, NULL, NULL, 0x00DC },
{"NtPlugPlayControl", 0x0000D69E, NULL, NULL, 0x00DD },
{"NtPowerInformation", 0x0000D6AE, NULL, NULL, 0x00DE },
{"NtPrivilegeCheck", 0x0000D6BE, NULL, NULL, 0x00DF },
{"NtPrivilegeObjectAuditAlarm", 0x0000D6CE, NULL, NULL, 0x00E0 },
{"NtPrivilegedServiceAuditAlarm", 0x0000D6DE, NULL, NULL, 0x00E1 },
{"NtProtectVirtualMemory", 0x0000D6EE, NULL, NULL, 0x00E2 },
{"NtPulseEvent", 0x0000D6FE, NULL, NULL, 0x00E3 },
{"NtQueryAttributesFile", 0x0000D70E, NULL, NULL, 0x00E4 },
{"NtQueryBootEntryOrder", 0x0000D71E, NULL, NULL, 0x00E5 },
{"NtQueryBootOptions", 0x0000D72E, NULL, NULL, 0x00E6 },
{"NtQueryDebugFilterState", 0x0000D73E, NULL, NULL, 0x00E7 },
{"NtQueryDefaultLocale", 0x0000D74E, NULL, NULL, 0x00E8 },
{"NtQueryDefaultUILanguage", 0x0000D75E, NULL, NULL, 0x00E9 },
{"NtQueryDirectoryFile", 0x0000D76E, NULL, NULL, 0x00EA },
{"NtQueryDirectoryObject", 0x0000D77E, NULL, NULL, 0x00EB },
{"NtQueryEaFile", 0x0000D78E, NULL, NULL, 0x00EC },
{"NtQueryEvent", 0x0000D79E, NULL, NULL, 0x00ED },
{"NtQueryFullAttributesFile", 0x0000D7AE, NULL, NULL, 0x00EE },
{"NtQueryInformationAtom", 0x0000D7BE, NULL, NULL, 0x00EF },
{"NtQueryInformationFile", 0x0000D7CE, NULL, NULL, 0x00F0 },
{"NtQueryInformationJobObject", 0x0000D7DE, NULL, NULL, 0x00F1 },
{"NtQueryInformationPort", 0x0000D7EE, NULL, NULL, 0x00F2 },
{"NtQueryInformationProcess", 0x0000D7FE, NULL, NULL, 0x00F3 },
{"NtQueryInformationThread", 0x0000D80E, NULL, NULL, 0x00F4 },
{"NtQueryInformationToken", 0x0000D81E, NULL, NULL, 0x00F5 },
{"NtQueryInstallUILanguage", 0x0000D82E, NULL, NULL, 0x00F6 },
{"NtQueryIntervalProfile", 0x0000D83E, NULL, NULL, 0x00F7 },
{"NtQueryIoCompletion", 0x0000D84E, NULL, NULL, 0x00F8 },
{"NtQueryKey", 0x0000D85E, NULL, NULL, 0x00F9 },
{"NtQueryMultipleValueKey", 0x0000D86E, NULL, NULL, 0x00FA },
{"NtQueryMutant", 0x0000D87E, NULL, NULL, 0x00FB },
{"NtQueryObject", 0x0000D88E, NULL, NULL, 0x00FC },
{"NtQueryOpenSubKeys", 0x0000D89E, NULL, NULL, 0x00FD },
{"NtQueryPerformanceCounter", 0x0000D8AE, NULL, NULL, 0x00FE },
{"NtQueryPortInformationProcess", 0x0000E00E, NULL, NULL, 0x00FF },
{"NtQueryQuotaInformationFile", 0x0000D8BE, NULL, NULL, 0x0100 },
{"NtQuerySection", 0x0000D8CE, NULL, NULL, 0x0101 },
{"NtQuerySecurityObject", 0x0000D8DE, NULL, NULL, 0x0102 },
{"NtQuerySemaphore", 0x0000D8EE, NULL, NULL, 0x0103 },
{"NtQuerySymbolicLinkObject", 0x0000D8FE, NULL, NULL, 0x0104 },
{"NtQuerySystemEnvironmentValue", 0x0000D90E, NULL, NULL, 0x0105 },
{"NtQuerySystemEnvironmentValueEx", 0x0000D91E, NULL, NULL, 0x0106 },
{"NtQuerySystemInformation", 0x0000D92E, NULL, NULL, 0x0107 },
{"NtQuerySystemTime", 0x0000D93E, NULL, NULL, 0x0108 },
{"NtQueryTimer", 0x0000D94E, NULL, NULL, 0x0109 },
{"NtQueryTimerResolution", 0x0000D95E, NULL, NULL, 0x010A },
{"NtQueryValueKey", 0x0000D96E, NULL, NULL, 0x010B },
{"NtQueryVirtualMemory", 0x0000D97E, NULL, NULL, 0x010C },
{"NtQueryVolumeInformationFile", 0x0000D98E, NULL, NULL, 0x010D },
{"NtQueueApcThread", 0x0000D99E, NULL, NULL, 0x010E },
{"NtRaiseException", 0x0000D9AE, NULL, NULL, 0x010F },
{"NtRaiseHardError", 0x0000D9BE, NULL, NULL, 0x0110 },
{"NtReadFile", 0x0000D9CE, NULL, NULL, 0x0111 },
{"NtReadFileScatter", 0x0000D9DE, NULL, NULL, 0x0112 },
{"NtReadRequestData", 0x0000D9EE, NULL, NULL, 0x0113 },
{"NtReadVirtualMemory", 0x0000D9FE, NULL, NULL, 0x0114 },
{"NtRegisterThreadTerminatePort", 0x0000DA0E, NULL, NULL, 0x0115 },
{"NtReleaseKeyedEvent", 0x0000DFEE, NULL, NULL, 0x0116 },
{"NtReleaseMutant", 0x0000DA1E, NULL, NULL, 0x0117 },
{"NtReleaseSemaphore", 0x0000DA2E, NULL, NULL, 0x0118 },
{"NtRemoveIoCompletion", 0x0000DA3E, NULL, NULL, 0x0119 },
{"NtRemoveProcessDebug", 0x0000DA4E, NULL, NULL, 0x011A },
{"NtRenameKey", 0x0000DA5E, NULL, NULL, 0x011B },
{"NtReplaceKey", 0x0000DA6E, NULL, NULL, 0x011C },
{"NtReplyPort", 0x0000DA7E, NULL, NULL, 0x011D },
{"NtReplyWaitReceivePort", 0x0000DA8E, NULL, NULL, 0x011E },
{"NtReplyWaitReceivePortEx", 0x0000DA9E, NULL, NULL, 0x011F },
{"NtReplyWaitReplyPort", 0x0000DAAE, NULL, NULL, 0x0120 },
{"NtRequestDeviceWakeup", 0x0000DABE, NULL, NULL, 0x0121 },
{"NtRequestPort", 0x0000DACE, NULL, NULL, 0x0122 },
{"NtRequestWaitReplyPort", 0x0000DADE, NULL, NULL, 0x0123 },
{"NtRequestWakeupLatency", 0x0000DAEE, NULL, NULL, 0x0124 },
{"NtResetEvent", 0x0000DAFE, NULL, NULL, 0x0125 },
{"NtResetWriteWatch", 0x0000DB0E, NULL, NULL, 0x0126 },
{"NtRestoreKey", 0x0000DB1E, NULL, NULL, 0x0127 },
{"NtResumeProcess", 0x0000DB2E, NULL, NULL, 0x0128 },
{"NtResumeThread", 0x0000DB3E, NULL, NULL, 0x0129 },
{"NtSaveKey", 0x0000DB4E, NULL, NULL, 0x012A },
{"NtSaveKeyEx", 0x0000DB5E, NULL, NULL, 0x012B },
{"NtSaveMergedKeys", 0x0000DB6E, NULL, NULL, 0x012C },
{"NtSecureConnectPort", 0x0000DB7E, NULL, NULL, 0x012D },
{"NtSetBootEntryOrder", 0x0000DB8E, NULL, NULL, 0x012E },
{"NtSetBootOptions", 0x0000DB9E, NULL, NULL, 0x012F },
{"NtSetContextThread", 0x0000DBAE, NULL, NULL, 0x0130 },
{"NtSetDebugFilterState", 0x0000DBBE, NULL, NULL, 0x0131 },
{"NtSetDefaultHardErrorPort", 0x0000DBCE, NULL, NULL, 0x0132 },
{"NtSetDefaultLocale", 0x0000DBDE, NULL, NULL, 0x0133 },
{"NtSetDefaultUILanguage", 0x0000DBEE, NULL, NULL, 0x0134 },
{"NtSetEaFile", 0x0000DBFE, NULL, NULL, 0x0135 },
{"NtSetEvent", 0x0000DC0E, NULL, NULL, 0x0136 },
{"NtSetEventBoostPriority", 0x0000DC1E, NULL, NULL, 0x0137 },
{"NtSetHighEventPair", 0x0000DC2E, NULL, NULL, 0x0138 },
{"NtSetHighWaitLowEventPair", 0x0000DC3E, NULL, NULL, 0x0139 },
{"NtSetInformationDebugObject", 0x0000DC4E, NULL, NULL, 0x013A },
{"NtSetInformationFile", 0x0000DC5E, NULL, NULL, 0x013B },
{"NtSetInformationJobObject", 0x0000DC6E, NULL, NULL, 0x013C },
{"NtSetInformationKey", 0x0000DC7E, NULL, NULL, 0x013D },
{"NtSetInformationObject", 0x0000DC8E, NULL, NULL, 0x013E },
{"NtSetInformationProcess", 0x0000DC9E, NULL, NULL, 0x013F },
{"NtSetInformationThread", 0x0000DCAE, NULL, NULL, 0x0140 },
{"NtSetInformationToken", 0x0000DCBE, NULL, NULL, 0x0141 },
{"NtSetIntervalProfile", 0x0000DCCE, NULL, NULL, 0x0142 },
{"NtSetIoCompletion", 0x0000DCDE, NULL, NULL, 0x0143 },
{"NtSetLdtEntries", 0x0000DCEE, NULL, NULL, 0x0144 },
{"NtSetLowEventPair", 0x0000DCFE, NULL, NULL, 0x0145 },
{"NtSetLowWaitHighEventPair", 0x0000DD0E, NULL, NULL, 0x0146 },
{"NtSetQuotaInformationFile", 0x0000DD1E, NULL, NULL, 0x0147 },
{"NtSetSecurityObject", 0x0000DD2E, NULL, NULL, 0x0148 },
{"NtSetSystemEnvironmentValue", 0x0000DD3E, NULL, NULL, 0x0149 },
{"NtSetSystemEnvironmentValueEx", 0x0000DD4E, NULL, NULL, 0x014A },
{"NtSetSystemInformation", 0x0000DD5E, NULL, NULL, 0x014B },
{"NtSetSystemPowerState", 0x0000DD6E, NULL, NULL, 0x014C },
{"NtSetSystemTime", 0x0000DD7E, NULL, NULL, 0x014D },
{"NtSetThreadExecutionState", 0x0000DD8E, NULL, NULL, 0x014E },
{"NtSetTimer", 0x0000DD9E, NULL, NULL, 0x014F },
{"NtSetTimerResolution", 0x0000DDAE, NULL, NULL, 0x0150 },
{"NtSetUuidSeed", 0x0000DDBE, NULL, NULL, 0x0151 },
{"NtSetValueKey", 0x0000DDCE, NULL, NULL, 0x0152 },
{"NtSetVolumeInformationFile", 0x0000DDDE, NULL, NULL, 0x0153 },
{"NtShutdownSystem", 0x0000DDEE, NULL, NULL, 0x0154 },
{"NtSignalAndWaitForSingleObject", 0x0000DDFE, NULL, NULL, 0x0155 },
{"NtStartProfile", 0x0000DE0E, NULL, NULL, 0x0156 },
{"NtStopProfile", 0x0000DE1E, NULL, NULL, 0x0157 },
{"NtSuspendProcess", 0x0000DE2E, NULL, NULL, 0x0158 },
{"NtSuspendThread", 0x0000DE3E, NULL, NULL, 0x0159 },
{"NtSystemDebugControl", 0x0000DE4E, NULL, NULL, 0x015A },
{"NtTerminateJobObject", 0x0000DE5E, NULL, NULL, 0x015B },
{"NtTerminateProcess", 0x0000DE6E, NULL, NULL, 0x015C },
{"NtTerminateThread", 0x0000DE7E, NULL, NULL, 0x015D },
{"NtTestAlert", 0x0000DE8E, NULL, NULL, 0x015E },
{"NtTraceEvent", 0x0000DE9E, NULL, NULL, 0x015F },
{"NtTranslateFilePath", 0x0000DEAE, NULL, NULL, 0x0160 },
{"NtUnloadDriver", 0x0000DEBE, NULL, NULL, 0x0161 },
{"NtUnloadKey", 0x0000DECE, NULL, NULL, 0x0162 },
{"NtUnloadKeyEx", 0x0000DEDE, NULL, NULL, 0x0163 },
{"NtUnlockFile", 0x0000DEEE, NULL, NULL, 0x0164 },
{"NtUnlockVirtualMemory", 0x0000DEFE, NULL, NULL, 0x0165 },
{"NtUnmapViewOfSection", 0x0000DF0E, NULL, NULL, 0x0166 },
{"NtVdmControl", 0x0000DF1E, NULL, NULL, 0x0167 },
{"NtWaitForDebugEvent", 0x0000DF2E, NULL, NULL, 0x0168 },
{"NtWaitForKeyedEvent", 0x0000DFFE, NULL, NULL, 0x0169 },
{"NtWaitForMultipleObjects", 0x0000DF3E, NULL, NULL, 0x016A },
{"NtWaitForSingleObject", 0x0000DF4E, NULL, NULL, 0x016B },
{"NtWaitHighEventPair", 0x0000DF5E, NULL, NULL, 0x016C },
{"NtWaitLowEventPair", 0x0000DF6E, NULL, NULL, 0x016D },
{"NtWriteFile", 0x0000DF7E, NULL, NULL, 0x016E },
{"NtWriteFileGather", 0x0000DF8E, NULL, NULL, 0x016F },
{"NtWriteRequestData", 0x0000DF9E, NULL, NULL, 0x0170 },
{"NtWriteVirtualMemory", 0x0000DFAE, NULL, NULL, 0x0171 },
{"NtYieldExecution", 0x0000DFBE, NULL, NULL, 0x0172 },
{"PfxFindPrefix", 0x0005C499, NULL, NULL, 0x0173 },
{"PfxInitialize", 0x0005C151, NULL, NULL, 0x0174 },
{"PfxInsertPrefix", 0x0005C3B6, NULL, NULL, 0x0175 },
{"PfxRemovePrefix", 0x0005C16F, NULL, NULL, 0x0176 },
{"RtlAbortRXact", 0x0002B1B1, NULL, NULL, 0x0177 },
{"RtlAbsoluteToSelfRelativeSD", 0x00029A19, NULL, NULL, 0x0178 },
{"RtlAcquirePebLock", 0x0001040D, NULL, NULL, 0x0179 },
{"RtlAcquireResourceExclusive", 0x0002A096, NULL, NULL, 0x017A },
{"RtlAcquireResourceShared", 0x00029FBF, NULL, NULL, 0x017B },
{"RtlActivateActivationContext", 0x00017803, NULL, NULL, 0x017C },
{"RtlActivateActivationContextEx", 0x0001767D, NULL, NULL, 0x017D },
{"RtlActivateActivationContextUnsafeFast", 0x00001198, NULL, NULL, 0x017E },
{"RtlAddAccessAllowedAce", 0x0001883B, NULL, NULL, 0x017F },
{"RtlAddAccessAllowedAceEx", 0x00029A49, NULL, NULL, 0x0180 },
{"RtlAddAccessAllowedObjectAce", 0x0005C8A3, NULL, NULL, 0x0181 },
{"RtlAddAccessDeniedAce", 0x0002DBEB, NULL, NULL, 0x0182 },
{"RtlAddAccessDeniedAceEx", 0x0005C847, NULL, NULL, 0x0183 },
{"RtlAddAccessDeniedObjectAce", 0x0005C8F0, NULL, NULL, 0x0184 },
{"RtlAddAce", 0x0002B580, NULL, NULL, 0x0185 },
{"RtlAddActionToRXact", 0x0002E8BD, NULL, NULL, 0x0186 },
{"RtlAddAtomToAtomTable", 0x0003472A, NULL, NULL, 0x0187 },
{"RtlAddAttributeActionToRXact", 0x0002E65E, NULL, NULL, 0x0188 },
{"RtlAddAuditAccessAce", 0x0003002D, NULL, NULL, 0x0189 },
{"RtlAddAuditAccessAceEx", 0x0005C86B, NULL, NULL, 0x018A },
{"RtlAddAuditAccessObjectAce", 0x0005C93E, NULL, NULL, 0x018B },
{"RtlAddCompoundAce", 0x0005C603, NULL, NULL, 0x018C },
{"RtlAddRange", 0x0005D896, NULL, NULL, 0x018D },
{"RtlAddRefActivationContext", 0x0000FBD2, NULL, NULL, 0x018E },
{"RtlAddRefMemoryStream", 0x000205A1, NULL, NULL, 0x018F },
{"RtlAddVectoredExceptionHandler", 0x00036C2A, NULL, NULL, 0x0190 },
{"RtlAddressInSectionTable", 0x000128A5, NULL, NULL, 0x0191 },
{"RtlAdjustPrivilege", 0x00029A6D, NULL, NULL, 0x0192 },
{"RtlAllocateAndInitializeSid", 0x0001888B, NULL, NULL, 0x0193 },
{"RtlAllocateHandle", 0x00019394, NULL, NULL, 0x0194 },
{"RtlAllocateHeap", 0x000100C4, NULL, NULL, 0x0195 },
{"RtlAnsiCharToUnicodeChar", 0x00018199, NULL, NULL, 0x0196 },
{"RtlAnsiStringToUnicodeSize", 0x0005F4C8, NULL, NULL, 0x0197 },
{"RtlAnsiStringToUnicodeString", 0x0000EB3B, NULL, NULL, 0x0198 },
{"RtlAppendAsciizToString", 0x0005F832, NULL, NULL, 0x0199 },
{"RtlAppendPathElement", 0x0001D4DD, NULL, NULL, 0x019A },
{"RtlAppendStringToString", 0x0005F88D, NULL, NULL, 0x019B },
{"RtlAppendUnicodeStringToString", 0x00014FAF, NULL, NULL, 0x019C },
{"RtlAppendUnicodeToString", 0x00014F3A, NULL, NULL, 0x019D },
{"RtlApplicationVerifierStop", 0x000566E5, NULL, NULL, 0x019E },
{"RtlApplyRXact", 0x0002E839, NULL, NULL, 0x019F },
{"RtlApplyRXactNoFlush", 0x0002EDF0, NULL, NULL, 0x01A0 },
{"RtlAreAllAccessesGranted", 0x0002A04B, NULL, NULL, 0x01A1 },
{"RtlAreAnyAccessesGranted", 0x00038124, NULL, NULL, 0x01A2 },
{"RtlAreBitsClear", 0x0005FEB7, NULL, NULL, 0x01A3 },
{"RtlAreBitsSet", 0x00026707, NULL, NULL, 0x01A4 },
{"RtlAssert2", 0x0006028B, NULL, NULL, 0x01A5 },
{"RtlAssert", 0x00060499, NULL, NULL, 0x01A6 },
{"RtlCancelTimer", 0x000606E1, NULL, NULL, 0x01A7 },
{"RtlCaptureContext", 0x0000331A, NULL, NULL, 0x01A8 },
{"RtlCaptureStackBackTrace", 0x000609A1, NULL, NULL, 0x01A9 },
{"RtlCaptureStackContext", 0x000608A1, NULL, NULL, 0x01AA },
{"RtlCharToInteger", 0x00033BC0, NULL, NULL, 0x01AB },
{"RtlCheckForOrphanedCriticalSections", 0x00013AB3, NULL, NULL, 0x01AC },
{"RtlCheckProcessParameters", 0x000301C7, NULL, NULL, 0x01AD },
{"RtlCheckRegistryKey", 0x0002FAB3, NULL, NULL, 0x01AE },
{"RtlClearAllBits", 0x0002C1CB, NULL, NULL, 0x01AF },
{"RtlClearBits", 0x000266C1, NULL, NULL, 0x01B0 },
{"RtlCloneMemoryStream", 0x0005370D, NULL, NULL, 0x01B1 },
{"RtlCommitMemoryStream", 0x0005370D, NULL, NULL, 0x01B2 },
{"RtlCompactHeap", 0x000361D7, NULL, NULL, 0x01B3 },
{"RtlCompareMemory", 0x00002B53, NULL, NULL, 0x01B4 },
{"RtlCompareMemoryUlong", 0x00002BA3, NULL, NULL, 0x01B5 },
{"RtlCompareString", 0x0005F756, NULL, NULL, 0x01B6 },
{"RtlCompareUnicodeString", 0x000179A8, NULL, NULL, 0x01B7 },
{"RtlCompressBuffer", 0x00062A9D, NULL, NULL, 0x01B8 },
{"RtlComputeCrc32", 0x00062CE1, NULL, NULL, 0x01B9 },
{"RtlComputeImportTableHash", 0x000596CF, NULL, NULL, 0x01BA },
{"RtlComputePrivatizedDllName_U", 0x000532FB, NULL, NULL, 0x01BB },
{"RtlConsoleMultiByteToUnicodeN", 0x00024EA5, NULL, NULL, 0x01BC },
{"RtlConvertExclusiveToShared", 0x0002CC10, NULL, NULL, 0x01BD },
{"RtlConvertLongToLargeInteger", 0x00003236, NULL, NULL, 0x01BE },
{"RtlConvertSharedToExclusive", 0x0002CBCE, NULL, NULL, 0x01BF },
{"RtlConvertSidToUnicodeString", 0x00014C55, NULL, NULL, 0x01C0 },
{"RtlConvertToAutoInheritSecurityObject", 0x00053CC0, NULL, NULL, 0x01C1 },
{"RtlConvertUiListToApiList", 0x00053FD2, NULL, NULL, 0x01C2 },
{"RtlConvertUlongToLargeInteger", 0x0000323E, NULL, NULL, 0x01C3 },
{"RtlCopyLuid", 0x0001314C, NULL, NULL, 0x01C4 },
{"RtlCopyLuidAndAttributesArray", 0x0005DDC3, NULL, NULL, 0x01C5 },
{"RtlCopyMemoryStreamTo", 0x0005367F, NULL, NULL, 0x01C6 },
{"RtlCopyOutOfProcessMemoryStreamTo", 0x00053700, NULL, NULL, 0x01C7 },
{"RtlCopyRangeList", 0x0005D0AD, NULL, NULL, 0x01C8 },
{"RtlCopySecurityDescriptor", 0x0002C3E4, NULL, NULL, 0x01C9 },
{"RtlCopySid", 0x0001316A, NULL, NULL, 0x01CA },
{"RtlCopySidAndAttributesArray", 0x0005DC01, NULL, NULL, 0x01CB },
{"RtlCopyString", 0x0002D1DE, NULL, NULL, 0x01CC },
{"RtlCopyUnicodeString", 0x00014ED9, NULL, NULL, 0x01CD },
{"RtlCreateAcl", 0x000187E9, NULL, NULL, 0x01CE },
{"RtlCreateActivationContext", 0x00020AD5, NULL, NULL, 0x01CF },
{"RtlCreateAndSetSD", 0x0002EEE9, NULL, NULL, 0x01D0 },
{"RtlCreateAtomTable", 0x0003491A, NULL, NULL, 0x01D1 },
{"RtlCreateBootStatusDataFile", 0x0006311D, NULL, NULL, 0x01D2 },
{"RtlCreateEnvironment", 0x0002CA99, NULL, NULL, 0x01D3 },
{"RtlCreateHeap", 0x00025C82, NULL, NULL, 0x01D4 },
{"RtlCreateProcessParameters", 0x00022E99, NULL, NULL, 0x01D5 },
{"RtlCreateQueryDebugBuffer", 0x00054570, NULL, NULL, 0x01D6 },
{"RtlCreateRegistryKey", 0x00060EF0, NULL, NULL, 0x01D7 },
{"RtlCreateSecurityDescriptor", 0x00018651, NULL, NULL, 0x01D8 },
{"RtlCreateServiceSid", 0x0005DC95, NULL, NULL, 0x01D9 },
{"RtlCreateSystemVolumeInformationFolder", 0x000638E9, NULL, NULL, 0x01DA },
{"RtlCreateTagHeap", 0x00022254, NULL, NULL, 0x01DB },
{"RtlCreateTimer", 0x0002CD60, NULL, NULL, 0x01DC },
{"RtlCreateTimerQueue", 0x0002DB03, NULL, NULL, 0x01DD },
{"RtlCreateUnicodeString", 0x00013432, NULL, NULL, 0x01DE },
{"RtlCreateUnicodeStringFromAsciiz", 0x00013079, NULL, NULL, 0x01DF },
{"RtlCreateUserProcess", 0x000305AB, NULL, NULL, 0x01E0 },
{"RtlCreateUserSecurityObject", 0x0002EE71, NULL, NULL, 0x01E1 },
{"RtlCreateUserThread", 0x0002DF9A, NULL, NULL, 0x01E2 },
{"RtlCustomCPToUnicodeN", 0x0005B54E, NULL, NULL, 0x01E3 },
{"RtlCutoverTimeToSystemTime", 0x00031A7D, NULL, NULL, 0x01E4 },
{"RtlDeNormalizeProcessParams", 0x00022DEB, NULL, NULL, 0x01E5 },
{"RtlDeactivateActivationContext", 0x000178DF, NULL, NULL, 0x01E6 },
{"RtlDeactivateActivationContextUnsafeFast", 0x000011DD, NULL, NULL, 0x01E7 },
{"RtlDebugPrintTimes", 0x000604FC, NULL, NULL, 0x01E8 },
{"RtlDecodePointer", 0x00013425, NULL, NULL, 0x01E9 },
{"RtlDecodeSystemPointer", 0x00018A98, NULL, NULL, 0x01EA },
{"RtlDecompressBuffer", 0x00062B19, NULL, NULL, 0x01EB },
{"RtlDecompressFragment", 0x00062B85, NULL, NULL, 0x01EC },
{"RtlDefaultNpAcl", 0x00053CD0, NULL, NULL, 0x01ED },
{"RtlDelete", 0x00024CE1, NULL, NULL, 0x01EE },
{"RtlDeleteAce", 0x00038151, NULL, NULL, 0x01EF },
{"RtlDeleteAtomFromAtomTable", 0x0003407E, NULL, NULL, 0x01F0 },
{"RtlDeleteCriticalSection", 0x0001137A, NULL, NULL, 0x01F1 },
{"RtlDeleteElementGenericTable", 0x00024C80, NULL, NULL, 0x01F2 },
{"RtlDeleteElementGenericTableAvl", 0x0006423C, NULL, NULL, 0x01F3 },
{"RtlDeleteNoSplay", 0x00063C54, NULL, NULL, 0x01F4 },
{"RtlDeleteOwnersRanges", 0x0005DA5E, NULL, NULL, 0x01F5 },
{"RtlDeleteRange", 0x0005D921, NULL, NULL, 0x01F6 },
{"RtlDeleteRegistryValue", 0x00030FFC, NULL, NULL, 0x01F7 },
{"RtlDeleteResource", 0x00023CFB, NULL, NULL, 0x01F8 },
{"RtlDeleteSecurityObject", 0x0002A1E3, NULL, NULL, 0x01F9 },
{"RtlDeleteTimer", 0x00033462, NULL, NULL, 0x01FA },
{"RtlDeleteTimerQueue", 0x000606B9, NULL, NULL, 0x01FB },
{"RtlDeleteTimerQueueEx", 0x000605B1, NULL, NULL, 0x01FC },
{"RtlDeregisterWait", 0x000315DA, NULL, NULL, 0x01FD },
{"RtlDeregisterWaitEx", 0x000312B2, NULL, NULL, 0x01FE },
{"RtlDestroyAtomTable", 0x0005C9D2, NULL, NULL, 0x01FF },
{"RtlDestroyEnvironment", 0x00023962, NULL, NULL, 0x0200 },
{"RtlDestroyHandleTable", 0x00023B45, NULL, NULL, 0x0201 },
{"RtlDestroyHeap", 0x000264EE, NULL, NULL, 0x0202 },
{"RtlDestroyProcessParameters", 0x00022DC4, NULL, NULL, 0x0203 },
{"RtlDestroyQueryDebugBuffer", 0x00054658, NULL, NULL, 0x0204 },
{"RtlDetermineDosPathNameType_U", 0x00013B8A, NULL, NULL, 0x0205 },
{"RtlDllShutdownInProgress", 0x000136D0, NULL, NULL, 0x0206 },
{"RtlDnsHostNameToComputerName", 0x00030ED3, NULL, NULL, 0x0207 },
{"RtlDoesFileExists_U", 0x000199D8, NULL, NULL, 0x0208 },
{"RtlDosApplyFileIsolationRedirection_Ustr", 0x0001599B, NULL, NULL, 0x0209 },
{"RtlDosPathNameToNtPathName_U", 0x000142F5, NULL, NULL, 0x020A },
{"RtlDosSearchPath_U", 0x00016FF9, NULL, NULL, 0x020B },
{"RtlDosSearchPath_Ustr", 0x00018C11, NULL, NULL, 0x020C },
{"RtlDowncaseUnicodeChar", 0x0005F446, NULL, NULL, 0x020D },
{"RtlDowncaseUnicodeString", 0x00029B1A, NULL, NULL, 0x020E },
{"RtlDumpResource", 0x00053724, NULL, NULL, 0x020F },
{"RtlDuplicateUnicodeString", 0x00020F3B, NULL, NULL, 0x0210 },
{"RtlEmptyAtomTable", 0x0005CAA9, NULL, NULL, 0x0211 },
{"RtlEnableEarlyCriticalSectionEventCreation", 0x000537DD, NULL, NULL, 0x0212 },
{"RtlEncodePointer", 0x000133FF, NULL, NULL, 0x0213 },
{"RtlEncodeSystemPointer", 0x00018A98, NULL, NULL, 0x0214 },
{"RtlEnlargedIntegerMultiply", 0x00003016, NULL, NULL, 0x0215 },
{"RtlEnlargedUnsignedDivide", 0x0000302E, NULL, NULL, 0x0216 },
{"RtlEnlargedUnsignedMultiply", 0x00003022, NULL, NULL, 0x0217 },
{"RtlEnterCriticalSection", 0x00001000, NULL, NULL, 0x0218 },
{"RtlEnumProcessHeaps", 0x00061889, NULL, NULL, 0x0219 },
{"RtlEnumerateGenericTable", 0x00063D5D, NULL, NULL, 0x021A },
{"RtlEnumerateGenericTableAvl", 0x00030064, NULL, NULL, 0x021B },
{"RtlEnumerateGenericTableLikeADirectory", 0x000642C6, NULL, NULL, 0x021C },
{"RtlEnumerateGenericTableWithoutSplaying", 0x0001E314, NULL, NULL, 0x021D },
{"RtlEnumerateGenericTableWithoutSplayingAvl", 0x00030089, NULL, NULL, 0x021E },
{"RtlEqualComputerName", 0x0005F746, NULL, NULL, 0x021F },
{"RtlEqualDomainName", 0x0002B466, NULL, NULL, 0x0220 },
{"RtlEqualLuid", 0x0005DD9A, NULL, NULL, 0x0221 },
{"RtlEqualPrefixSid", 0x00032F94, NULL, NULL, 0x0222 },
{"RtlEqualSid", 0x0001824C, NULL, NULL, 0x0223 },
{"RtlEqualString", 0x000135D6, NULL, NULL, 0x0224 },
{"RtlEqualUnicodeString", 0x00012EBB, NULL, NULL, 0x0225 },
{"RtlEraseUnicodeString", 0x0002EE2E, NULL, NULL, 0x0226 },
{"RtlExitUserThread", 0x000633D3, NULL, NULL, 0x0227 },
{"RtlExpandEnvironmentStrings_U", 0x000146CA, NULL, NULL, 0x0228 },
{"RtlExtendHeap", 0x000615C9, NULL, NULL, 0x0229 },
{"RtlExtendedIntegerMultiply", 0x0000313A, NULL, NULL, 0x022A },
{"RtlExtendedLargeIntegerDivide", 0x0000304E, NULL, NULL, 0x022B },
{"RtlExtendedMagicDivide", 0x000030AA, NULL, NULL, 0x022C },
{"RtlFillMemory", 0x00002BD3, NULL, NULL, 0x022D },
{"RtlFillMemoryUlong", 0x00002C43, NULL, NULL, 0x022E },
{"RtlFinalReleaseOutOfProcessMemoryStream", 0x00020E3E, NULL, NULL, 0x022F },
{"RtlFindActivationContextSectionGuid", 0x00028D0E, NULL, NULL, 0x0230 },
{"RtlFindActivationContextSectionString", 0x00015511, NULL, NULL, 0x0231 },
{"RtlFindCharInUnicodeString", 0x00015D61, NULL, NULL, 0x0232 },
{"RtlFindClearBits", 0x0002635D, NULL, NULL, 0x0233 },
{"RtlFindClearBitsAndSet", 0x00026425, NULL, NULL, 0x0234 },
{"RtlFindClearRuns", 0x0005FB92, NULL, NULL, 0x0235 },
{"RtlFindLastBackwardRunClear", 0x00060034, NULL, NULL, 0x0236 },
{"RtlFindLeastSignificantBit", 0x000601AF, NULL, NULL, 0x0237 },
{"RtlFindLongestRunClear", 0x0005FDD9, NULL, NULL, 0x0238 },
{"RtlFindMessage", 0x00035029, NULL, NULL, 0x0239 },
{"RtlFindMostSignificantBit", 0x00060104, NULL, NULL, 0x023A },
{"RtlFindNextForwardRunClear", 0x0005FF3A, NULL, NULL, 0x023B },
{"RtlFindRange", 0x0005D200, NULL, NULL, 0x023C },
{"RtlFindSetBits", 0x0005F8E1, NULL, NULL, 0x023D },
{"RtlFindSetBitsAndClear", 0x00060258, NULL, NULL, 0x023E },
{"RtlFirstEntrySList", 0x00002AF8, NULL, NULL, 0x023F },
{"RtlFirstFreeAce", 0x000186DA, NULL, NULL, 0x0240 },
{"RtlFlushSecureMemoryCache", 0x000643F2, NULL, NULL, 0x0241 },
{"RtlFormatCurrentUserKeyPath", 0x00015019, NULL, NULL, 0x0242 },
{"RtlFormatMessage", 0x000293E4, NULL, NULL, 0x0243 },
{"RtlFreeAnsiString", 0x00010466, NULL, NULL, 0x0244 },
{"RtlFreeHandle", 0x0001333F, NULL, NULL, 0x0245 },
{"RtlFreeHeap", 0x0000FF2D, NULL, NULL, 0x0246 },
{"RtlFreeOemString", 0x0002B4C3, NULL, NULL, 0x0247 },
{"RtlFreeRangeList", 0x0005CE44, NULL, NULL, 0x0248 },
{"RtlFreeSid", 0x0001885E, NULL, NULL, 0x0249 },
{"RtlFreeThreadActivationContextStack", 0x0001392D, NULL, NULL, 0x024A },
{"RtlFreeUnicodeString", 0x00010466, NULL, NULL, 0x024B },
{"RtlFreeUserThreadStack", 0x000633FD, NULL, NULL, 0x024C },
{"RtlGUIDFromString", 0x00026CA0, NULL, NULL, 0x024D },
{"RtlGenerate8dot3Name", 0x00064860, NULL, NULL, 0x024E },
{"RtlGetAce", 0x00034EE9, NULL, NULL, 0x024F },
{"RtlGetActiveActivationContext", 0x0001C5CB, NULL, NULL, 0x0250 },
{"RtlGetCallersAddress", 0x00060A5A, NULL, NULL, 0x0251 },
{"RtlGetCompressionWorkSpaceSize", 0x00062A31, NULL, NULL, 0x0252 },
{"RtlGetControlSecurityDescriptor", 0x0002A1B5, NULL, NULL, 0x0253 },
{"RtlGetCurrentDirectory_U", 0x00014506, NULL, NULL, 0x0254 },
{"RtlGetCurrentPeb", 0x00060EE1, NULL, NULL, 0x0255 },
{"RtlGetDaclSecurityDescriptor", 0x0001379F, NULL, NULL, 0x0256 },
{"RtlGetElementGenericTable", 0x00063CD4, NULL, NULL, 0x0257 },
{"RtlGetElementGenericTableAvl", 0x000640C7, NULL, NULL, 0x0258 },
{"RtlGetFirstRange", 0x0005CE89, NULL, NULL, 0x0259 },
{"RtlGetFrame", 0x000204A1, NULL, NULL, 0x025A },
{"RtlGetFullPathName_U", 0x000143A9, NULL, NULL, 0x025B },
{"RtlGetGroupSecurityDescriptor", 0x0002B427, NULL, NULL, 0x025C },
{"RtlGetLastNtStatus", 0x00064C4D, NULL, NULL, 0x025D },
{"RtlGetLastWin32Error", 0x0000FE21, NULL, NULL, 0x025E },
{"RtlGetLengthWithoutLastFullDosOrNtPathElement", 0x00020779, NULL, NULL, 0x025F },
{"RtlGetLengthWithoutTrailingPathSeperators", 0x0002F30D, NULL, NULL, 0x0260 },
{"RtlGetLongestNtPathLength", 0x000149D9, NULL, NULL, 0x0261 },
{"RtlGetNativeSystemInformation", 0x0000D92E, NULL, NULL, 0x0262 },
{"RtlGetNextRange", 0x0005CF41, NULL, NULL, 0x0263 },
{"RtlGetNtGlobalFlags", 0x0000FF1B, NULL, NULL, 0x0264 },
{"RtlGetNtProductType", 0x00019758, NULL, NULL, 0x0265 },
{"RtlGetNtVersionNumbers", 0x0002132F, NULL, NULL, 0x0266 },
{"RtlGetOwnerSecurityDescriptor", 0x0002B3E5, NULL, NULL, 0x0267 },
{"RtlGetProcessHeaps", 0x000617D1, NULL, NULL, 0x0268 },
{"RtlGetSaclSecurityDescriptor", 0x0005DDF2, NULL, NULL, 0x0269 },
{"RtlGetSecurityDescriptorRMControl", 0x0005E04D, NULL, NULL, 0x026A },
{"RtlGetSetBootStatusData", 0x00030441, NULL, NULL, 0x026B },
{"RtlGetUnloadEventTrace", 0x000524CB, NULL, NULL, 0x026C },
{"RtlGetUserInfoHeap", 0x00013862, NULL, NULL, 0x026D },
{"RtlGetVersion", 0x0001966B, NULL, NULL, 0x026E },
{"RtlHashUnicodeString", 0x0001565D, NULL, NULL, 0x026F },
{"RtlIdentifierAuthoritySid", 0x0002A26C, NULL, NULL, 0x0270 },
{"RtlImageDirectoryEntryToData", 0x00010346, NULL, NULL, 0x0271 },
{"RtlImageNtHeader", 0x00010339, NULL, NULL, 0x0272 },
{"RtlImageRvaToSection", 0x000128D7, NULL, NULL, 0x0273 },
{"RtlImageRvaToVa", 0x00030B6A, NULL, NULL, 0x0274 },
{"RtlImpersonateSelf", 0x00029DA7, NULL, NULL, 0x0275 },
{"RtlInitAnsiString", 0x0000125D, NULL, NULL, 0x0276 },
{"RtlInitCodePageTable", 0x00022676, NULL, NULL, 0x0277 },
{"RtlInitMemoryStream", 0x00021534, NULL, NULL, 0x0278 },
{"RtlInitNlsTables", 0x00022645, NULL, NULL, 0x0279 },
{"RtlInitOutOfProcessMemoryStream", 0x000209F2, NULL, NULL, 0x027A },
{"RtlInitString", 0x00001225, NULL, NULL, 0x027B },
{"RtlInitUnicodeString", 0x00001295, NULL, NULL, 0x027C },
{"RtlInitUnicodeStringEx", 0x0000FE95, NULL, NULL, 0x027D },
{"RtlInitializeAtomPackage", 0x0002223C, NULL, NULL, 0x027E },
{"RtlInitializeBitMap", 0x00018A7C, NULL, NULL, 0x027F },
{"RtlInitializeContext", 0x0002E0D9, NULL, NULL, 0x0280 },
{"RtlInitializeCriticalSection", 0x0001161D, NULL, NULL, 0x0281 },
{"RtlInitializeCriticalSectionAndSpinCount", 0x0001151A, NULL, NULL, 0x0282 },
{"RtlInitializeGenericTable", 0x000214B1, NULL, NULL, 0x0283 },
{"RtlInitializeGenericTableAvl", 0x00030191, NULL, NULL, 0x0284 },
{"RtlInitializeHandleTable", 0x00018B9A, NULL, NULL, 0x0285 },
{"RtlInitializeRXact", 0x0002FE4A, NULL, NULL, 0x0286 },
{"RtlInitializeRangeList", 0x0005CC29, NULL, NULL, 0x0287 },
{"RtlInitializeResource", 0x0001E6FB, NULL, NULL, 0x0288 },
{"RtlInitializeSListHead", 0x00034FC3, NULL, NULL, 0x0289 },
{"RtlInitializeSid", 0x00018295, NULL, NULL, 0x028A },
{"RtlInitializeStackTraceDataBase", 0x00064ECF, NULL, NULL, 0x028B },
{"RtlInsertElementGenericTable", 0x00024A3F, NULL, NULL, 0x028C },
{"RtlInsertElementGenericTableAvl", 0x00064209, NULL, NULL, 0x028D },
{"RtlInt64ToUnicodeString", 0x00060E71, NULL, NULL, 0x028E },
{"RtlIntegerToChar", 0x0001AD08, NULL, NULL, 0x028F },
{"RtlIntegerToUnicodeString", 0x0001AE2E, NULL, NULL, 0x0290 },
{"RtlInterlockedFlushSList", 0x00064DED, NULL, NULL, 0x0291 },
{"RtlInterlockedPopEntrySList", 0x00033CB3, NULL, NULL, 0x0292 },
{"RtlInterlockedPushEntrySList", 0x00033C71, NULL, NULL, 0x0293 },
{"RtlInvertRangeList", 0x0005DB0F, NULL, NULL, 0x0294 },
{"RtlIpv4AddressToStringA", 0x000653B3, NULL, NULL, 0x0295 },
{"RtlIpv4AddressToStringExA", 0x00065401, NULL, NULL, 0x0296 },
{"RtlIpv4AddressToStringExW", 0x0002D982, NULL, NULL, 0x0297 },
{"RtlIpv4AddressToStringW", 0x0002D9FA, NULL, NULL, 0x0298 },
{"RtlIpv4StringToAddressA", 0x0002C981, NULL, NULL, 0x0299 },
{"RtlIpv4StringToAddressExA", 0x00065D5F, NULL, NULL, 0x029A },
{"RtlIpv4StringToAddressExW", 0x00036B9F, NULL, NULL, 0x029B },
{"RtlIpv4StringToAddressW", 0x00035A94, NULL, NULL, 0x029C },
{"RtlIpv6AddressToStringA", 0x000650A1, NULL, NULL, 0x029D },
{"RtlIpv6AddressToStringExA", 0x000652CD, NULL, NULL, 0x029E },
{"RtlIpv6AddressToStringExW", 0x0006570F, NULL, NULL, 0x029F },
{"RtlIpv6AddressToStringW", 0x000654A7, NULL, NULL, 0x02A0 },
{"RtlIpv6StringToAddressA", 0x00065803, NULL, NULL, 0x02A1 },
{"RtlIpv6StringToAddressExA", 0x00065B22, NULL, NULL, 0x02A2 },
{"RtlIpv6StringToAddressExW", 0x000661F6, NULL, NULL, 0x02A3 },
{"RtlIpv6StringToAddressW", 0x00065EF8, NULL, NULL, 0x02A4 },
{"RtlIsActivationContextActive", 0x000580F6, NULL, NULL, 0x02A5 },
{"RtlIsDosDeviceName_U", 0x000130A8, NULL, NULL, 0x02A6 },
{"RtlIsGenericTableEmpty", 0x0001E38C, NULL, NULL, 0x02A7 },
{"RtlIsGenericTableEmptyAvl", 0x000640AE, NULL, NULL, 0x02A8 },
{"RtlIsNameLegalDOS8Dot3", 0x000646DF, NULL, NULL, 0x02A9 },
{"RtlIsRangeAvailable", 0x0005D583, NULL, NULL, 0x02AA },
{"RtlIsTextUnicode", 0x0002906B, NULL, NULL, 0x02AB },
{"RtlIsThreadWithinLoaderCallout", 0x00052AC1, NULL, NULL, 0x02AC },
{"RtlIsValidHandle", 0x000132DD, NULL, NULL, 0x02AD },
{"RtlIsValidIndexHandle", 0x000133CE, NULL, NULL, 0x02AE },
{"RtlLargeIntegerAdd", 0x00003002, NULL, NULL, 0x02AF },
{"RtlLargeIntegerArithmeticShift", 0x000031E2, NULL, NULL, 0x02B0 },
{"RtlLargeIntegerDivide", 0x00066459, NULL, NULL, 0x02B1 },
{"RtlLargeIntegerNegate", 0x0000320E, NULL, NULL, 0x02B2 },
{"RtlLargeIntegerShiftLeft", 0x00003192, NULL, NULL, 0x02B3 },
{"RtlLargeIntegerShiftRight", 0x000031BA, NULL, NULL, 0x02B4 },
{"RtlLargeIntegerSubtract", 0x00003222, NULL, NULL, 0x02B5 },
{"RtlLargeIntegerToChar", 0x00060AA4, NULL, NULL, 0x02B6 },
{"RtlLeaveCriticalSection", 0x000010E0, NULL, NULL, 0x02B7 },
{"RtlLengthRequiredSid", 0x000136B8, NULL, NULL, 0x02B8 },
{"RtlLengthSecurityDescriptor", 0x0002B2CB, NULL, NULL, 0x02B9 },
{"RtlLengthSid", 0x0001319E, NULL, NULL, 0x02BA },
{"RtlLocalTimeToSystemTime", 0x00063BB8, NULL, NULL, 0x02BB },
{"RtlLockBootStatusData", 0x000302E3, NULL, NULL, 0x02BC },
{"RtlLockHeap", 0x0001320B, NULL, NULL, 0x02BD },
{"RtlLockMemoryStreamRegion", 0x00053700, NULL, NULL, 0x02BE },
{"RtlLogStackBackTrace", 0x000115D4, NULL, NULL, 0x02BF },
{"RtlLookupAtomInAtomTable", 0x000284AA, NULL, NULL, 0x02C0 },
{"RtlLookupElementGenericTable", 0x0002102F, NULL, NULL, 0x02C1 },
{"RtlLookupElementGenericTableAvl", 0x00064395, NULL, NULL, 0x02C2 },
{"RtlMakeSelfRelativeSD", 0x0002994F, NULL, NULL, 0x02C3 },
{"RtlMapGenericMask", 0x00029FFD, NULL, NULL, 0x02C4 },
{"RtlMapSecurityErrorToNtStatus", 0x0005E0DA, NULL, NULL, 0x02C5 },
{"RtlMergeRangeLists", 0x0005D7B6, NULL, NULL, 0x02C6 },
{"RtlMoveMemory", 0x00002C94, NULL, NULL, 0x02C7 },
{"RtlMultiAppendUnicodeStringBuffer", 0x00016915, NULL, NULL, 0x02C8 },
{"RtlMultiByteToUnicodeN", 0x0000ECBA, NULL, NULL, 0x02C9 },
{"RtlMultiByteToUnicodeSize", 0x0002939A, NULL, NULL, 0x02CA },
{"RtlNewInstanceSecurityObject", 0x00053AEC, NULL, NULL, 0x02CB },
{"RtlNewSecurityGrantedAccess", 0x00053B62, NULL, NULL, 0x02CC },
{"RtlNewSecurityObject", 0x0002E957, NULL, NULL, 0x02CD },
{"RtlNewSecurityObjectEx", 0x00032720, NULL, NULL, 0x02CE },
{"RtlNewSecurityObjectWithMultipleInheritance", 0x000538B1, NULL, NULL, 0x02CF },
{"RtlNormalizeProcessParams", 0x00022336, NULL, NULL, 0x02D0 },
{"RtlNtPathNameToDosPathName", 0x0002441C, NULL, NULL, 0x02D1 },
{"RtlNtStatusToDosError", 0x0000F62D, NULL, NULL, 0x02D2 },
{"RtlNtStatusToDosErrorNoTeb", 0x0000F679, NULL, NULL, 0x02D3 },
{"RtlNumberGenericTableElements", 0x00023B79, NULL, NULL, 0x02D4 },
{"RtlNumberGenericTableElementsAvl", 0x0006419C, NULL, NULL, 0x02D5 },
{"RtlNumberOfClearBits", 0x0005FE10, NULL, NULL, 0x02D6 },
{"RtlNumberOfSetBits", 0x0005FE60, NULL, NULL, 0x02D7 },
{"RtlOemStringToUnicodeSize", 0x0005F4C8, NULL, NULL, 0x02D8 },
{"RtlOemStringToUnicodeString", 0x00027485, NULL, NULL, 0x02D9 },
{"RtlOemToUnicodeN", 0x0002735C, NULL, NULL, 0x02DA },
{"RtlOpenCurrentUser", 0x00018AD9, NULL, NULL, 0x02DB },
{"RtlPcToFileHeader", 0x00034393, NULL, NULL, 0x02DC },
{"RtlPinAtomInAtomTable", 0x0005CB71, NULL, NULL, 0x02DD },
{"RtlPopFrame", 0x00019AE0, NULL, NULL, 0x02DE },
{"RtlPrefixString", 0x0002DC55, NULL, NULL, 0x02DF },
{"RtlPrefixUnicodeString", 0x00014408, NULL, NULL, 0x02E0 },
{"RtlProtectHeap", 0x000611B2, NULL, NULL, 0x02E1 },
{"RtlPushFrame", 0x00019B00, NULL, NULL, 0x02E2 },
{"RtlQueryAtomInAtomTable", 0x000349BD, NULL, NULL, 0x02E3 },
{"RtlQueryDepthSList", 0x00033D20, NULL, NULL, 0x02E4 },
{"RtlQueryEnvironmentVariable_U", 0x00014599, NULL, NULL, 0x02E5 },
{"RtlQueryHeapInformation", 0x0006219B, NULL, NULL, 0x02E6 },
{"RtlQueryInformationAcl", 0x0002CED5, NULL, NULL, 0x02E7 },
{"RtlQueryInformationActivationContext", 0x0000FCD2, NULL, NULL, 0x02E8 },
{"RtlQueryInformationActiveActivationContext", 0x000135B1, NULL, NULL, 0x02E9 },
{"RtlQueryInterfaceMemoryStream", 0x000205BD, NULL, NULL, 0x02EA },
{"RtlQueryProcessBackTraceInformation", 0x00054739, NULL, NULL, 0x02EB },
{"RtlQueryProcessDebugInformation", 0x00054F83, NULL, NULL, 0x02EC },
{"RtlQueryProcessHeapInformation", 0x000548E1, NULL, NULL, 0x02ED },
{"RtlQueryProcessLockInformation", 0x00054E0D, NULL, NULL, 0x02EE },
{"RtlQueryRegistryValues", 0x0002F3FE, NULL, NULL, 0x02EF },
{"RtlQuerySecurityObject", 0x000538EA, NULL, NULL, 0x02F0 },
{"RtlQueryTagHeap", 0x00061465, NULL, NULL, 0x02F1 },
{"RtlQueryTimeZoneInformation", 0x00060F71, NULL, NULL, 0x02F2 },
{"RtlQueueApcWow64Thread", 0x00058095, NULL, NULL, 0x02F3 },
{"RtlQueueWorkItem", 0x00027C58, NULL, NULL, 0x02F4 },
{"RtlRaiseException", 0x0000E528, NULL, NULL, 0x02F5 },
{"RtlRaiseStatus", 0x000666A0, NULL, NULL, 0x02F6 },
{"RtlRandom", 0x000666CF, NULL, NULL, 0x02F7 },
{"RtlRandomEx", 0x00037D38, NULL, NULL, 0x02F8 },
{"RtlReAllocateHeap", 0x00019BA0, NULL, NULL, 0x02F9 },
{"RtlReadMemoryStream", 0x000214EF, NULL, NULL, 0x02FA },
{"RtlReadOutOfProcessMemoryStream", 0x0002053F, NULL, NULL, 0x02FB },
{"RtlRealPredecessor", 0x00063C17, NULL, NULL, 0x02FC },
{"RtlRealSuccessor", 0x0001E356, NULL, NULL, 0x02FD },
{"RtlRegisterSecureMemoryCacheCallback", 0x000643B6, NULL, NULL, 0x02FE },
{"RtlRegisterWait", 0x00033233, NULL, NULL, 0x02FF },
{"RtlReleaseActivationContext", 0x00010547, NULL, NULL, 0x0300 },
{"RtlReleaseMemoryStream", 0x0002034F, NULL, NULL, 0x0301 },
{"RtlReleasePebLock", 0x00010451, NULL, NULL, 0x0302 },
{"RtlReleaseResource", 0x00029F84, NULL, NULL, 0x0303 },
{"RtlRemoteCall", 0x00064C80, NULL, NULL, 0x0304 },
{"RtlRemoveVectoredExceptionHandler", 0x00036C96, NULL, NULL, 0x0305 },
{"RtlResetRtlTranslations", 0x000224FB, NULL, NULL, 0x0306 },
{"RtlRestoreLastWin32Error", 0x0000FE30, NULL, NULL, 0x0307 },
{"RtlRevertMemoryStream", 0x000536F3, NULL, NULL, 0x0308 },
{"RtlRunDecodeUnicodeString", 0x0002D7E3, NULL, NULL, 0x0309 },
{"RtlRunEncodeUnicodeString", 0x0002D795, NULL, NULL, 0x030A },
{"RtlSecondsSince1970ToTime", 0x00063B81, NULL, NULL, 0x030B },
{"RtlSecondsSince1980ToTime", 0x00063B4A, NULL, NULL, 0x030C },
{"RtlSeekMemoryStream", 0x00053610, NULL, NULL, 0x030D },
{"RtlSelfRelativeToAbsoluteSD2", 0x0005C538, NULL, NULL, 0x030E },
{"RtlSelfRelativeToAbsoluteSD", 0x0002CFD7, NULL, NULL, 0x030F },
{"RtlSetAllBits", 0x0002C1FC, NULL, NULL, 0x0310 },
{"RtlSetAttributesSecurityDescriptor", 0x0005E1C5, NULL, NULL, 0x0311 },
{"RtlSetBits", 0x00026458, NULL, NULL, 0x0312 },
{"RtlSetControlSecurityDescriptor", 0x0002FAE0, NULL, NULL, 0x0313 },
{"RtlSetCriticalSectionSpinCount", 0x0002A067, NULL, NULL, 0x0314 },
{"RtlSetCurrentDirectory_U", 0x0001E7AA, NULL, NULL, 0x0315 },
{"RtlSetCurrentEnvironment", 0x000632F5, NULL, NULL, 0x0316 },
{"RtlSetDaclSecurityDescriptor", 0x0001867F, NULL, NULL, 0x0317 },
{"RtlSetEnvironmentVariable", 0x000277B8, NULL, NULL, 0x0318 },
{"RtlSetGroupSecurityDescriptor", 0x00018A32, NULL, NULL, 0x0319 },
{"RtlSetHeapInformation", 0x00037CE5, NULL, NULL, 0x031A },
{"RtlSetInformationAcl", 0x0005C5B7, NULL, NULL, 0x031B },
{"RtlSetIoCompletionCallback", 0x0002DD99, NULL, NULL, 0x031C },
{"RtlSetLastWin32Error", 0x0000FE30, NULL, NULL, 0x031D },
{"RtlSetLastWin32ErrorAndNtStatusFromNtStatus", 0x00064C5F, NULL, NULL, 0x031E },
{"RtlSetMemoryStreamSize", 0x00053672, NULL, NULL, 0x031F },
{"RtlSetOwnerSecurityDescriptor", 0x000189E8, NULL, NULL, 0x0320 },
{"RtlSetProcessIsCritical", 0x0002EB9C, NULL, NULL, 0x0321 },
{"RtlSetSaclSecurityDescriptor", 0x0002CF46, NULL, NULL, 0x0322 },
{"RtlSetSecurityDescriptorRMControl", 0x0005E0AF, NULL, NULL, 0x0323 },
{"RtlSetSecurityObject", 0x0002C49C, NULL, NULL, 0x0324 },
{"RtlSetSecurityObjectEx", 0x000538C1, NULL, NULL, 0x0325 },
{"RtlSetThreadIsCritical", 0x0002EBF0, NULL, NULL, 0x0326 },
{"RtlSetThreadPoolStartFunc", 0x00022299, NULL, NULL, 0x0327 },
{"RtlSetTimeZoneInformation", 0x00061099, NULL, NULL, 0x0328 },
{"RtlSetTimer", 0x000606D1, NULL, NULL, 0x0329 },
{"RtlSetUnicodeCallouts", 0x00059DC1, NULL, NULL, 0x032A },
{"RtlSetUserFlagsHeap", 0x00061315, NULL, NULL, 0x032B },
{"RtlSetUserValueHeap", 0x000193E9, NULL, NULL, 0x032C },
{"RtlSizeHeap", 0x000104DD, NULL, NULL, 0x032D },
{"RtlSplay", 0x00020ED8, NULL, NULL, 0x032E },
{"RtlStartRXact", 0x0002B15E, NULL, NULL, 0x032F },
{"RtlStatMemoryStream", 0x00020A55, NULL, NULL, 0x0330 },
{"RtlStringFromGUID", 0x00028EB6, NULL, NULL, 0x0331 },
{"RtlSubAuthorityCountSid", 0x000136E0, NULL, NULL, 0x0332 },
{"RtlSubAuthoritySid", 0x00018278, NULL, NULL, 0x0333 },
{"RtlSubtreePredecessor", 0x00024C5D, NULL, NULL, 0x0334 },
{"RtlSubtreeSuccessor", 0x00063BF4, NULL, NULL, 0x0335 },
{"RtlSystemTimeToLocalTime", 0x00035A58, NULL, NULL, 0x0336 },
{"RtlTimeFieldsToTime", 0x0001AB39, NULL, NULL, 0x0337 },
{"RtlTimeToElapsedTimeFields", 0x00063AE3, NULL, NULL, 0x0338 },
{"RtlTimeToSecondsSince1970", 0x0002B1F1, NULL, NULL, 0x0339 },
{"RtlTimeToSecondsSince1980", 0x0002A164, NULL, NULL, 0x033A },
{"RtlTimeToTimeFields", 0x00011EFD, NULL, NULL, 0x033B },
{"RtlTraceDatabaseAdd", 0x00066D4F, NULL, NULL, 0x033C },
{"RtlTraceDatabaseCreate", 0x00066982, NULL, NULL, 0x033D },
{"RtlTraceDatabaseDestroy", 0x00066A74, NULL, NULL, 0x033E },
{"RtlTraceDatabaseEnumerate", 0x000668FA, NULL, NULL, 0x033F },
{"RtlTraceDatabaseFind", 0x00066B5B, NULL, NULL, 0x0340 },
{"RtlTraceDatabaseLock", 0x00066D2F, NULL, NULL, 0x0341 },
{"RtlTraceDatabaseUnlock", 0x00066D3F, NULL, NULL, 0x0342 },
{"RtlTraceDatabaseValidate", 0x00066B11, NULL, NULL, 0x0343 },
{"RtlTryEnterCriticalSection", 0x00001118, NULL, NULL, 0x0344 },
{"RtlUnhandledExceptionFilter2", 0x00066F61, NULL, NULL, 0x0345 },
{"RtlUnhandledExceptionFilter", 0x000678E7, NULL, NULL, 0x0346 },
{"RtlUnicodeStringToAnsiSize", 0x0005F4A3, NULL, NULL, 0x0347 },
{"RtlUnicodeStringToAnsiString", 0x00012BB8, NULL, NULL, 0x0348 },
{"RtlUnicodeStringToCountedOemString", 0x0005F59E, NULL, NULL, 0x0349 },
{"RtlUnicodeStringToInteger", 0x0001AE91, NULL, NULL, 0x034A },
{"RtlUnicodeStringToOemSize", 0x0005F4A3, NULL, NULL, 0x034B },
{"RtlUnicodeStringToOemString", 0x0002720A, NULL, NULL, 0x034C },
{"RtlUnicodeToCustomCPN", 0x0005B732, NULL, NULL, 0x034D },
{"RtlUnicodeToMultiByteN", 0x00012A8D, NULL, NULL, 0x034E },
{"RtlUnicodeToMultiByteSize", 0x000131BA, NULL, NULL, 0x034F },
{"RtlUnicodeToOemN", 0x000270E8, NULL, NULL, 0x0350 },
{"RtlUniform", 0x0002EC31, NULL, NULL, 0x0351 },
{"RtlUnlockBootStatusData", 0x000303FB, NULL, NULL, 0x0352 },
{"RtlUnlockHeap", 0x00013273, NULL, NULL, 0x0353 },
{"RtlUnlockMemoryStreamRegion", 0x00053700, NULL, NULL, 0x0354 },
{"RtlUnwind", 0x0002ABC5, NULL, NULL, 0x0355 },
{"RtlUpcaseUnicodeChar", 0x000103E0, NULL, NULL, 0x0356 },
{"RtlUpcaseUnicodeString", 0x00026B83, NULL, NULL, 0x0357 },
{"RtlUpcaseUnicodeStringToAnsiString", 0x0005F4EF, NULL, NULL, 0x0358 },
{"RtlUpcaseUnicodeStringToCountedOemString", 0x0005F672, NULL, NULL, 0x0359 },
{"RtlUpcaseUnicodeStringToOemString", 0x0002C0C9, NULL, NULL, 0x035A },
{"RtlUpcaseUnicodeToCustomCPN", 0x0005B8E1, NULL, NULL, 0x035B },
{"RtlUpcaseUnicodeToMultiByteN", 0x000241DD, NULL, NULL, 0x035C },
{"RtlUpcaseUnicodeToOemN", 0x0002BDA5, NULL, NULL, 0x035D },
{"RtlUpdateTimer", 0x0002AF05, NULL, NULL, 0x035E },
{"RtlUpperChar", 0x000293C2, NULL, NULL, 0x035F },
{"RtlUpperString", 0x0005F7E9, NULL, NULL, 0x0360 },
{"RtlUsageHeap", 0x000624D8, NULL, NULL, 0x0361 },
{"RtlValidAcl", 0x000185CD, NULL, NULL, 0x0362 },
{"RtlValidRelativeSecurityDescriptor", 0x0002D229, NULL, NULL, 0x0363 },
{"RtlValidSecurityDescriptor", 0x00034E12, NULL, NULL, 0x0364 },
{"RtlValidSid", 0x00012F84, NULL, NULL, 0x0365 },
{"RtlValidateHeap", 0x00062208, NULL, NULL, 0x0366 },
{"RtlValidateProcessHeaps", 0x0006242B, NULL, NULL, 0x0367 },
{"RtlValidateUnicodeString", 0x00015E6A, NULL, NULL, 0x0368 },
{"RtlVerifyVersionInfo", 0x00034AF7, NULL, NULL, 0x0369 },
{"RtlWalkFrameChain", 0x0006072A, NULL, NULL, 0x036A },
{"RtlWalkHeap", 0x00061911, NULL, NULL, 0x036B },
{"RtlWriteMemoryStream", 0x00053603, NULL, NULL, 0x036C },
{"RtlWriteRegistryValue", 0x00030FA0, NULL, NULL, 0x036D },
{"RtlZeroHeap", 0x0005F193, NULL, NULL, 0x036E },
{"RtlZeroMemory", 0x00002C64, NULL, NULL, 0x036F },
{"RtlZombifyActivationContext", 0x000580A5, NULL, NULL, 0x0370 },
{"RtlpApplyLengthFunction", 0x000204D6, NULL, NULL, 0x0371 },
{"RtlpEnsureBufferSize", 0x0001E287, NULL, NULL, 0x0372 },
{"RtlpNotOwnerCriticalSection", 0x000537F0, NULL, NULL, 0x0373 },
{"RtlpNtCreateKey", 0x000679AB, NULL, NULL, 0x0374 },
{"RtlpNtEnumerateSubKey", 0x0002E5A1, NULL, NULL, 0x0375 },
{"RtlpNtMakeTemporaryKey", 0x00067A04, NULL, NULL, 0x0376 },
{"RtlpNtOpenKey", 0x00029867, NULL, NULL, 0x0377 },
{"RtlpNtQueryValueKey", 0x000297A6, NULL, NULL, 0x0378 },
{"RtlpNtSetValueKey", 0x000679D8, NULL, NULL, 0x0379 },
{"RtlpUnWaitCriticalSection", 0x0001B287, NULL, NULL, 0x037A },
{"RtlpWaitForCriticalSection", 0x0001B1BF, NULL, NULL, 0x037B },
{"RtlxAnsiStringToUnicodeSize", 0x0005F4C8, NULL, NULL, 0x037C },
{"RtlxOemStringToUnicodeSize", 0x0005F4C8, NULL, NULL, 0x037D },
{"RtlxUnicodeStringToAnsiSize", 0x0005F4A3, NULL, NULL, 0x037E },
{"RtlxUnicodeStringToOemSize", 0x0005F4A3, NULL, NULL, 0x037F },
{"VerSetConditionMask", 0x00034AB9, NULL, NULL, 0x0380 },
{"ZwAcceptConnectPort", 0x0000CE5E, NULL, NULL, 0x0381 },
{"ZwAccessCheck", 0x0000CE6E, NULL, NULL, 0x0382 },
{"ZwAccessCheckAndAuditAlarm", 0x0000CE7E, NULL, NULL, 0x0383 },
{"ZwAccessCheckByType", 0x0000CE8E, NULL, NULL, 0x0384 },
{"ZwAccessCheckByTypeAndAuditAlarm", 0x0000CE9E, NULL, NULL, 0x0385 },
{"ZwAccessCheckByTypeResultList", 0x0000CEAE, NULL, NULL, 0x0386 },
{"ZwAccessCheckByTypeResultListAndAuditAlarm", 0x0000CEBE, NULL, NULL, 0x0387 },
{"ZwAccessCheckByTypeResultListAndAuditAlarmByHandle", 0x0000CECE, NULL, NULL, 0x0388 },
{"ZwAddAtom", 0x0000CEDE, NULL, NULL, 0x0389 },
{"ZwAddBootEntry", 0x0000CEEE, NULL, NULL, 0x038A },
{"ZwAdjustGroupsToken", 0x0000CEFE, NULL, NULL, 0x038B },
{"ZwAdjustPrivilegesToken", 0x0000CF0E, NULL, NULL, 0x038C },
{"ZwAlertResumeThread", 0x0000CF1E, NULL, NULL, 0x038D },
{"ZwAlertThread", 0x0000CF2E, NULL, NULL, 0x038E },
{"ZwAllocateLocallyUniqueId", 0x0000CF3E, NULL, NULL, 0x038F },
{"ZwAllocateUserPhysicalPages", 0x0000CF4E, NULL, NULL, 0x0390 },
{"ZwAllocateUuids", 0x0000CF5E, NULL, NULL, 0x0391 },
{"ZwAllocateVirtualMemory", 0x0000CF6E, NULL, NULL, 0x0392 },
{"ZwAreMappedFilesTheSame", 0x0000CF7E, NULL, NULL, 0x0393 },
{"ZwAssignProcessToJobObject", 0x0000CF8E, NULL, NULL, 0x0394 },
{"ZwCallbackReturn", 0x0000CF9E, NULL, NULL, 0x0395 },
{"ZwCancelDeviceWakeupRequest", 0x0000CFAE, NULL, NULL, 0x0396 },
{"ZwCancelIoFile", 0x0000CFBE, NULL, NULL, 0x0397 },
{"ZwCancelTimer", 0x0000CFCE, NULL, NULL, 0x0398 },
{"ZwClearEvent", 0x0000CFDE, NULL, NULL, 0x0399 },
{"ZwClose", 0x0000CFEE, NULL, NULL, 0x039A },
{"ZwCloseObjectAuditAlarm", 0x0000CFFE, NULL, NULL, 0x039B },
{"ZwCompactKeys", 0x0000D00E, NULL, NULL, 0x039C },
{"ZwCompareTokens", 0x0000D01E, NULL, NULL, 0x039D },
{"ZwCompleteConnectPort", 0x0000D02E, NULL, NULL, 0x039E },
{"ZwCompressKey", 0x0000D03E, NULL, NULL, 0x039F },
{"ZwConnectPort", 0x0000D04E, NULL, NULL, 0x03A0 },
{"ZwContinue", 0x0000D05E, NULL, NULL, 0x03A1 },
{"ZwCreateDebugObject", 0x0000D06E, NULL, NULL, 0x03A2 },
{"ZwCreateDirectoryObject", 0x0000D07E, NULL, NULL, 0x03A3 },
{"ZwCreateEvent", 0x0000D08E, NULL, NULL, 0x03A4 },
{"ZwCreateEventPair", 0x0000D09E, NULL, NULL, 0x03A5 },
{"ZwCreateFile", 0x0000D0AE, NULL, NULL, 0x03A6 },
{"ZwCreateIoCompletion", 0x0000D0BE, NULL, NULL, 0x03A7 },
{"ZwCreateJobObject", 0x0000D0CE, NULL, NULL, 0x03A8 },
{"ZwCreateJobSet", 0x0000D0DE, NULL, NULL, 0x03A9 },
{"ZwCreateKey", 0x0000D0EE, NULL, NULL, 0x03AA },
{"ZwCreateKeyedEvent", 0x0000DFCE, NULL, NULL, 0x03AB },
{"ZwCreateMailslotFile", 0x0000D0FE, NULL, NULL, 0x03AC },
{"ZwCreateMutant", 0x0000D10E, NULL, NULL, 0x03AD },
{"ZwCreateNamedPipeFile", 0x0000D11E, NULL, NULL, 0x03AE },
{"ZwCreatePagingFile", 0x0000D12E, NULL, NULL, 0x03AF },
{"ZwCreatePort", 0x0000D13E, NULL, NULL, 0x03B0 },
{"ZwCreateProcess", 0x0000D14E, NULL, NULL, 0x03B1 },
{"ZwCreateProcessEx", 0x0000D15E, NULL, NULL, 0x03B2 },
{"ZwCreateProfile", 0x0000D16E, NULL, NULL, 0x03B3 },
{"ZwCreateSection", 0x0000D17E, NULL, NULL, 0x03B4 },
{"ZwCreateSemaphore", 0x0000D18E, NULL, NULL, 0x03B5 },
{"ZwCreateSymbolicLinkObject", 0x0000D19E, NULL, NULL, 0x03B6 },
{"ZwCreateThread", 0x0000D1AE, NULL, NULL, 0x03B7 },
{"ZwCreateTimer", 0x0000D1BE, NULL, NULL, 0x03B8 },
{"ZwCreateToken", 0x0000D1CE, NULL, NULL, 0x03B9 },
{"ZwCreateWaitablePort", 0x0000D1DE, NULL, NULL, 0x03BA },
{"ZwDebugActiveProcess", 0x0000D1EE, NULL, NULL, 0x03BB },
{"ZwDebugContinue", 0x0000D1FE, NULL, NULL, 0x03BC },
{"ZwDelayExecution", 0x0000D20E, NULL, NULL, 0x03BD },
{"ZwDeleteAtom", 0x0000D21E, NULL, NULL, 0x03BE },
{"ZwDeleteBootEntry", 0x0000D22E, NULL, NULL, 0x03BF },
{"ZwDeleteFile", 0x0000D23E, NULL, NULL, 0x03C0 },
{"ZwDeleteKey", 0x0000D24E, NULL, NULL, 0x03C1 },
{"ZwDeleteObjectAuditAlarm", 0x0000D25E, NULL, NULL, 0x03C2 },
{"ZwDeleteValueKey", 0x0000D26E, NULL, NULL, 0x03C3 },
{"ZwDeviceIoControlFile", 0x0000D27E, NULL, NULL, 0x03C4 },
{"ZwDisplayString", 0x0000D28E, NULL, NULL, 0x03C5 },
{"ZwDuplicateObject", 0x0000D29E, NULL, NULL, 0x03C6 },
{"ZwDuplicateToken", 0x0000D2AE, NULL, NULL, 0x03C7 },
{"ZwEnumerateBootEntries", 0x0000D2BE, NULL, NULL, 0x03C8 },
{"ZwEnumerateKey", 0x0000D2CE, NULL, NULL, 0x03C9 },
{"ZwEnumerateSystemEnvironmentValuesEx", 0x0000D2DE, NULL, NULL, 0x03CA },
{"ZwEnumerateValueKey", 0x0000D2EE, NULL, NULL, 0x03CB },
{"ZwExtendSection", 0x0000D2FE, NULL, NULL, 0x03CC },
{"ZwFilterToken", 0x0000D30E, NULL, NULL, 0x03CD },
{"ZwFindAtom", 0x0000D31E, NULL, NULL, 0x03CE },
{"ZwFlushBuffersFile", 0x0000D32E, NULL, NULL, 0x03CF },
{"ZwFlushInstructionCache", 0x0000D33E, NULL, NULL, 0x03D0 },
{"ZwFlushKey", 0x0000D34E, NULL, NULL, 0x03D1 },
{"ZwFlushVirtualMemory", 0x0000D35E, NULL, NULL, 0x03D2 },
{"ZwFlushWriteBuffer", 0x0000D36E, NULL, NULL, 0x03D3 },
{"ZwFreeUserPhysicalPages", 0x0000D37E, NULL, NULL, 0x03D4 },
{"ZwFreeVirtualMemory", 0x0000D38E, NULL, NULL, 0x03D5 },
{"ZwFsControlFile", 0x0000D39E, NULL, NULL, 0x03D6 },
{"ZwGetContextThread", 0x0000D3AE, NULL, NULL, 0x03D7 },
{"ZwGetDevicePowerState", 0x0000D3BE, NULL, NULL, 0x03D8 },
{"ZwGetPlugPlayEvent", 0x0000D3CE, NULL, NULL, 0x03D9 },
{"ZwGetWriteWatch", 0x0000D3DE, NULL, NULL, 0x03DA },
{"ZwImpersonateAnonymousToken", 0x0000D3EE, NULL, NULL, 0x03DB },
{"ZwImpersonateClientOfPort", 0x0000D3FE, NULL, NULL, 0x03DC },
{"ZwImpersonateThread", 0x0000D40E, NULL, NULL, 0x03DD },
{"ZwInitializeRegistry", 0x0000D41E, NULL, NULL, 0x03DE },
{"ZwInitiatePowerAction", 0x0000D42E, NULL, NULL, 0x03DF },
{"ZwIsProcessInJob", 0x0000D43E, NULL, NULL, 0x03E0 },
{"ZwIsSystemResumeAutomatic", 0x0000D44E, NULL, NULL, 0x03E1 },
{"ZwListenPort", 0x0000D45E, NULL, NULL, 0x03E2 },
{"ZwLoadDriver", 0x0000D46E, NULL, NULL, 0x03E3 },
{"ZwLoadKey2", 0x0000D48E, NULL, NULL, 0x03E4 },
{"ZwLoadKey", 0x0000D47E, NULL, NULL, 0x03E5 },
{"ZwLockFile", 0x0000D49E, NULL, NULL, 0x03E6 },
{"ZwLockProductActivationKeys", 0x0000D4AE, NULL, NULL, 0x03E7 },
{"ZwLockRegistryKey", 0x0000D4BE, NULL, NULL, 0x03E8 },
{"ZwLockVirtualMemory", 0x0000D4CE, NULL, NULL, 0x03E9 },
{"ZwMakePermanentObject", 0x0000D4DE, NULL, NULL, 0x03EA },
{"ZwMakeTemporaryObject", 0x0000D4EE, NULL, NULL, 0x03EB },
{"ZwMapUserPhysicalPages", 0x0000D4FE, NULL, NULL, 0x03EC },
{"ZwMapUserPhysicalPagesScatter", 0x0000D50E, NULL, NULL, 0x03ED },
{"ZwMapViewOfSection", 0x0000D51E, NULL, NULL, 0x03EE },
{"ZwModifyBootEntry", 0x0000D52E, NULL, NULL, 0x03EF },
{"ZwNotifyChangeDirectoryFile", 0x0000D53E, NULL, NULL, 0x03F0 },
{"ZwNotifyChangeKey", 0x0000D54E, NULL, NULL, 0x03F1 },
{"ZwNotifyChangeMultipleKeys", 0x0000D55E, NULL, NULL, 0x03F2 },
{"ZwOpenDirectoryObject", 0x0000D56E, NULL, NULL, 0x03F3 },
{"ZwOpenEvent", 0x0000D57E, NULL, NULL, 0x03F4 },
{"ZwOpenEventPair", 0x0000D58E, NULL, NULL, 0x03F5 },
{"ZwOpenFile", 0x0000D59E, NULL, NULL, 0x03F6 },
{"ZwOpenIoCompletion", 0x0000D5AE, NULL, NULL, 0x03F7 },
{"ZwOpenJobObject", 0x0000D5BE, NULL, NULL, 0x03F8 },
{"ZwOpenKey", 0x0000D5CE, NULL, NULL, 0x03F9 },
{"ZwOpenKeyedEvent", 0x0000DFDE, NULL, NULL, 0x03FA },
{"ZwOpenMutant", 0x0000D5DE, NULL, NULL, 0x03FB },
{"ZwOpenObjectAuditAlarm", 0x0000D5EE, NULL, NULL, 0x03FC },
{"ZwOpenProcess", 0x0000D5FE, NULL, NULL, 0x03FD },
{"ZwOpenProcessToken", 0x0000D60E, NULL, NULL, 0x03FE },
{"ZwOpenProcessTokenEx", 0x0000D61E, NULL, NULL, 0x03FF },
{"ZwOpenSection", 0x0000D62E, NULL, NULL, 0x0400 },
{"ZwOpenSemaphore", 0x0000D63E, NULL, NULL, 0x0401 },
{"ZwOpenSymbolicLinkObject", 0x0000D64E, NULL, NULL, 0x0402 },
{"ZwOpenThread", 0x0000D65E, NULL, NULL, 0x0403 },
{"ZwOpenThreadToken", 0x0000D66E, NULL, NULL, 0x0404 },
{"ZwOpenThreadTokenEx", 0x0000D67E, NULL, NULL, 0x0405 },
{"ZwOpenTimer", 0x0000D68E, NULL, NULL, 0x0406 },
{"ZwPlugPlayControl", 0x0000D69E, NULL, NULL, 0x0407 },
{"ZwPowerInformation", 0x0000D6AE, NULL, NULL, 0x0408 },
{"ZwPrivilegeCheck", 0x0000D6BE, NULL, NULL, 0x0409 },
{"ZwPrivilegeObjectAuditAlarm", 0x0000D6CE, NULL, NULL, 0x040A },
{"ZwPrivilegedServiceAuditAlarm", 0x0000D6DE, NULL, NULL, 0x040B },
{"ZwProtectVirtualMemory", 0x0000D6EE, NULL, NULL, 0x040C },
{"ZwPulseEvent", 0x0000D6FE, NULL, NULL, 0x040D },
{"ZwQueryAttributesFile", 0x0000D70E, NULL, NULL, 0x040E },
{"ZwQueryBootEntryOrder", 0x0000D71E, NULL, NULL, 0x040F },
{"ZwQueryBootOptions", 0x0000D72E, NULL, NULL, 0x0410 },
{"ZwQueryDebugFilterState", 0x0000D73E, NULL, NULL, 0x0411 },
{"ZwQueryDefaultLocale", 0x0000D74E, NULL, NULL, 0x0412 },
{"ZwQueryDefaultUILanguage", 0x0000D75E, NULL, NULL, 0x0413 },
{"ZwQueryDirectoryFile", 0x0000D76E, NULL, NULL, 0x0414 },
{"ZwQueryDirectoryObject", 0x0000D77E, NULL, NULL, 0x0415 },
{"ZwQueryEaFile", 0x0000D78E, NULL, NULL, 0x0416 },
{"ZwQueryEvent", 0x0000D79E, NULL, NULL, 0x0417 },
{"ZwQueryFullAttributesFile", 0x0000D7AE, NULL, NULL, 0x0418 },
{"ZwQueryInformationAtom", 0x0000D7BE, NULL, NULL, 0x0419 },
{"ZwQueryInformationFile", 0x0000D7CE, NULL, NULL, 0x041A },
{"ZwQueryInformationJobObject", 0x0000D7DE, NULL, NULL, 0x041B },
{"ZwQueryInformationPort", 0x0000D7EE, NULL, NULL, 0x041C },
{"ZwQueryInformationProcess", 0x0000D7FE, NULL, NULL, 0x041D },
{"ZwQueryInformationThread", 0x0000D80E, NULL, NULL, 0x041E },
{"ZwQueryInformationToken", 0x0000D81E, NULL, NULL, 0x041F },
{"ZwQueryInstallUILanguage", 0x0000D82E, NULL, NULL, 0x0420 },
{"ZwQueryIntervalProfile", 0x0000D83E, NULL, NULL, 0x0421 },
{"ZwQueryIoCompletion", 0x0000D84E, NULL, NULL, 0x0422 },
{"ZwQueryKey", 0x0000D85E, NULL, NULL, 0x0423 },
{"ZwQueryMultipleValueKey", 0x0000D86E, NULL, NULL, 0x0424 },
{"ZwQueryMutant", 0x0000D87E, NULL, NULL, 0x0425 },
{"ZwQueryObject", 0x0000D88E, NULL, NULL, 0x0426 },
{"ZwQueryOpenSubKeys", 0x0000D89E, NULL, NULL, 0x0427 },
{"ZwQueryPerformanceCounter", 0x0000D8AE, NULL, NULL, 0x0428 },
{"ZwQueryPortInformationProcess", 0x0000E00E, NULL, NULL, 0x0429 },
{"ZwQueryQuotaInformationFile", 0x0000D8BE, NULL, NULL, 0x042A },
{"ZwQuerySection", 0x0000D8CE, NULL, NULL, 0x042B },
{"ZwQuerySecurityObject", 0x0000D8DE, NULL, NULL, 0x042C },
{"ZwQuerySemaphore", 0x0000D8EE, NULL, NULL, 0x042D },
{"ZwQuerySymbolicLinkObject", 0x0000D8FE, NULL, NULL, 0x042E },
{"ZwQuerySystemEnvironmentValue", 0x0000D90E, NULL, NULL, 0x042F },
{"ZwQuerySystemEnvironmentValueEx", 0x0000D91E, NULL, NULL, 0x0430 },
{"ZwQuerySystemInformation", 0x0000D92E, NULL, NULL, 0x0431 },
{"ZwQuerySystemTime", 0x0000D93E, NULL, NULL, 0x0432 },
{"ZwQueryTimer", 0x0000D94E, NULL, NULL, 0x0433 },
{"ZwQueryTimerResolution", 0x0000D95E, NULL, NULL, 0x0434 },
{"ZwQueryValueKey", 0x0000D96E, NULL, NULL, 0x0435 },
{"ZwQueryVirtualMemory", 0x0000D97E, NULL, NULL, 0x0436 },
{"ZwQueryVolumeInformationFile", 0x0000D98E, NULL, NULL, 0x0437 },
{"ZwQueueApcThread", 0x0000D99E, NULL, NULL, 0x0438 },
{"ZwRaiseException", 0x0000D9AE, NULL, NULL, 0x0439 },
{"ZwRaiseHardError", 0x0000D9BE, NULL, NULL, 0x043A },
{"ZwReadFile", 0x0000D9CE, NULL, NULL, 0x043B },
{"ZwReadFileScatter", 0x0000D9DE, NULL, NULL, 0x043C },
{"ZwReadRequestData", 0x0000D9EE, NULL, NULL, 0x043D },
{"ZwReadVirtualMemory", 0x0000D9FE, NULL, NULL, 0x043E },
{"ZwRegisterThreadTerminatePort", 0x0000DA0E, NULL, NULL, 0x043F },
{"ZwReleaseKeyedEvent", 0x0000DFEE, NULL, NULL, 0x0440 },
{"ZwReleaseMutant", 0x0000DA1E, NULL, NULL, 0x0441 },
{"ZwReleaseSemaphore", 0x0000DA2E, NULL, NULL, 0x0442 },
{"ZwRemoveIoCompletion", 0x0000DA3E, NULL, NULL, 0x0443 },
{"ZwRemoveProcessDebug", 0x0000DA4E, NULL, NULL, 0x0444 },
{"ZwRenameKey", 0x0000DA5E, NULL, NULL, 0x0445 },
{"ZwReplaceKey", 0x0000DA6E, NULL, NULL, 0x0446 },
{"ZwReplyPort", 0x0000DA7E, NULL, NULL, 0x0447 },
{"ZwReplyWaitReceivePort", 0x0000DA8E, NULL, NULL, 0x0448 },
{"ZwReplyWaitReceivePortEx", 0x0000DA9E, NULL, NULL, 0x0449 },
{"ZwReplyWaitReplyPort", 0x0000DAAE, NULL, NULL, 0x044A },
{"ZwRequestDeviceWakeup", 0x0000DABE, NULL, NULL, 0x044B },
{"ZwRequestPort", 0x0000DACE, NULL, NULL, 0x044C },
{"ZwRequestWaitReplyPort", 0x0000DADE, NULL, NULL, 0x044D },
{"ZwRequestWakeupLatency", 0x0000DAEE, NULL, NULL, 0x044E },
{"ZwResetEvent", 0x0000DAFE, NULL, NULL, 0x044F },
{"ZwResetWriteWatch", 0x0000DB0E, NULL, NULL, 0x0450 },
{"ZwRestoreKey", 0x0000DB1E, NULL, NULL, 0x0451 },
{"ZwResumeProcess", 0x0000DB2E, NULL, NULL, 0x0452 },
{"ZwResumeThread", 0x0000DB3E, NULL, NULL, 0x0453 },
{"ZwSaveKey", 0x0000DB4E, NULL, NULL, 0x0454 },
{"ZwSaveKeyEx", 0x0000DB5E, NULL, NULL, 0x0455 },
{"ZwSaveMergedKeys", 0x0000DB6E, NULL, NULL, 0x0456 },
{"ZwSecureConnectPort", 0x0000DB7E, NULL, NULL, 0x0457 },
{"ZwSetBootEntryOrder", 0x0000DB8E, NULL, NULL, 0x0458 },
{"ZwSetBootOptions", 0x0000DB9E, NULL, NULL, 0x0459 },
{"ZwSetContextThread", 0x0000DBAE, NULL, NULL, 0x045A },
{"ZwSetDebugFilterState", 0x0000DBBE, NULL, NULL, 0x045B },
{"ZwSetDefaultHardErrorPort", 0x0000DBCE, NULL, NULL, 0x045C },
{"ZwSetDefaultLocale", 0x0000DBDE, NULL, NULL, 0x045D },
{"ZwSetDefaultUILanguage", 0x0000DBEE, NULL, NULL, 0x045E },
{"ZwSetEaFile", 0x0000DBFE, NULL, NULL, 0x045F },
{"ZwSetEvent", 0x0000DC0E, NULL, NULL, 0x0460 },
{"ZwSetEventBoostPriority", 0x0000DC1E, NULL, NULL, 0x0461 },
{"ZwSetHighEventPair", 0x0000DC2E, NULL, NULL, 0x0462 },
{"ZwSetHighWaitLowEventPair", 0x0000DC3E, NULL, NULL, 0x0463 },
{"ZwSetInformationDebugObject", 0x0000DC4E, NULL, NULL, 0x0464 },
{"ZwSetInformationFile", 0x0000DC5E, NULL, NULL, 0x0465 },
{"ZwSetInformationJobObject", 0x0000DC6E, NULL, NULL, 0x0466 },
{"ZwSetInformationKey", 0x0000DC7E, NULL, NULL, 0x0467 },
{"ZwSetInformationObject", 0x0000DC8E, NULL, NULL, 0x0468 },
{"ZwSetInformationProcess", 0x0000DC9E, NULL, NULL, 0x0469 },
{"ZwSetInformationThread", 0x0000DCAE, NULL, NULL, 0x046A },
{"ZwSetInformationToken", 0x0000DCBE, NULL, NULL, 0x046B },
{"ZwSetIntervalProfile", 0x0000DCCE, NULL, NULL, 0x046C },
{"ZwSetIoCompletion", 0x0000DCDE, NULL, NULL, 0x046D },
{"ZwSetLdtEntries", 0x0000DCEE, NULL, NULL, 0x046E },
{"ZwSetLowEventPair", 0x0000DCFE, NULL, NULL, 0x046F },
{"ZwSetLowWaitHighEventPair", 0x0000DD0E, NULL, NULL, 0x0470 },
{"ZwSetQuotaInformationFile", 0x0000DD1E, NULL, NULL, 0x0471 },
{"ZwSetSecurityObject", 0x0000DD2E, NULL, NULL, 0x0472 },
{"ZwSetSystemEnvironmentValue", 0x0000DD3E, NULL, NULL, 0x0473 },
{"ZwSetSystemEnvironmentValueEx", 0x0000DD4E, NULL, NULL, 0x0474 },
{"ZwSetSystemInformation", 0x0000DD5E, NULL, NULL, 0x0475 },
{"ZwSetSystemPowerState", 0x0000DD6E, NULL, NULL, 0x0476 },
{"ZwSetSystemTime", 0x0000DD7E, NULL, NULL, 0x0477 },
{"ZwSetThreadExecutionState", 0x0000DD8E, NULL, NULL, 0x0478 },
{"ZwSetTimer", 0x0000DD9E, NULL, NULL, 0x0479 },
{"ZwSetTimerResolution", 0x0000DDAE, NULL, NULL, 0x047A },
{"ZwSetUuidSeed", 0x0000DDBE, NULL, NULL, 0x047B },
{"ZwSetValueKey", 0x0000DDCE, NULL, NULL, 0x047C },
{"ZwSetVolumeInformationFile", 0x0000DDDE, NULL, NULL, 0x047D },
{"ZwShutdownSystem", 0x0000DDEE, NULL, NULL, 0x047E },
{"ZwSignalAndWaitForSingleObject", 0x0000DDFE, NULL, NULL, 0x047F },
{"ZwStartProfile", 0x0000DE0E, NULL, NULL, 0x0480 },
{"ZwStopProfile", 0x0000DE1E, NULL, NULL, 0x0481 },
{"ZwSuspendProcess", 0x0000DE2E, NULL, NULL, 0x0482 },
{"ZwSuspendThread", 0x0000DE3E, NULL, NULL, 0x0483 },
{"ZwSystemDebugControl", 0x0000DE4E, NULL, NULL, 0x0484 },
{"ZwTerminateJobObject", 0x0000DE5E, NULL, NULL, 0x0485 },
{"ZwTerminateProcess", 0x0000DE6E, NULL, NULL, 0x0486 },
{"ZwTerminateThread", 0x0000DE7E, NULL, NULL, 0x0487 },
{"ZwTestAlert", 0x0000DE8E, NULL, NULL, 0x0488 },
{"ZwTraceEvent", 0x0000DE9E, NULL, NULL, 0x0489 },
{"ZwTranslateFilePath", 0x0000DEAE, NULL, NULL, 0x048A },
{"ZwUnloadDriver", 0x0000DEBE, NULL, NULL, 0x048B },
{"ZwUnloadKey", 0x0000DECE, NULL, NULL, 0x048C },
{"ZwUnloadKeyEx", 0x0000DEDE, NULL, NULL, 0x048D },
{"ZwUnlockFile", 0x0000DEEE, NULL, NULL, 0x048E },
{"ZwUnlockVirtualMemory", 0x0000DEFE, NULL, NULL, 0x048F },
{"ZwUnmapViewOfSection", 0x0000DF0E, NULL, NULL, 0x0490 },
{"ZwVdmControl", 0x0000DF1E, NULL, NULL, 0x0491 },
{"ZwWaitForDebugEvent", 0x0000DF2E, NULL, NULL, 0x0492 },
{"ZwWaitForKeyedEvent", 0x0000DFFE, NULL, NULL, 0x0493 },
{"ZwWaitForMultipleObjects", 0x0000DF3E, NULL, NULL, 0x0494 },
{"ZwWaitForSingleObject", 0x0000DF4E, NULL, NULL, 0x0495 },
{"ZwWaitHighEventPair", 0x0000DF5E, NULL, NULL, 0x0496 },
{"ZwWaitLowEventPair", 0x0000DF6E, NULL, NULL, 0x0497 },
{"ZwWriteFile", 0x0000DF7E, NULL, NULL, 0x0498 },
{"ZwWriteFileGather", 0x0000DF8E, NULL, NULL, 0x0499 },
{"ZwWriteRequestData", 0x0000DF9E, NULL, NULL, 0x049A },
{"ZwWriteVirtualMemory", 0x0000DFAE, NULL, NULL, 0x049B },
{"ZwYieldExecution", 0x0000DFBE, NULL, NULL, 0x049C },
{"_CIcos", 0x0000E5E6, NULL, NULL, 0x049D },
{"_CIlog", 0x0000E6A2, NULL, NULL, 0x049E },
{"_CIpow", 0x0000E020, NULL, NULL, 0x049F },
{"_CIsin", 0x000012D1, NULL, NULL, 0x04A0 },
{"_CIsqrt", 0x0000137F, NULL, NULL, 0x04A1 },
{"__isascii", 0x0002C8D2, NULL, NULL, 0x04A2 },
{"__iscsym", 0x00071583, NULL, NULL, 0x04A3 },
{"__iscsymf", 0x0007153D, NULL, NULL, 0x04A4 },
{"__toascii", 0x0007152B, NULL, NULL, 0x04A5 },
{"_alldiv", 0x0000143B, NULL, NULL, 0x04A6 },
{"_alldvrm", 0x000014E5, NULL, NULL, 0x04A7 },
{"_allmul", 0x000015C4, NULL, NULL, 0x04A8 },
{"_alloca_probe", 0x000015F8, NULL, NULL, 0x04A9 },
{"_allrem", 0x00001635, NULL, NULL, 0x04AA },
{"_allshl", 0x000016E9, NULL, NULL, 0x04AB },
{"_allshr", 0x00001708, NULL, NULL, 0x04AC },
{"_atoi64", 0x000715C9, NULL, NULL, 0x04AD },
{"_aulldiv", 0x00001729, NULL, NULL, 0x04AE },
{"_aulldvrm", 0x00001791, NULL, NULL, 0x04AF },
{"_aullrem", 0x00001826, NULL, NULL, 0x04B0 },
{"_aullshr", 0x0000189B, NULL, NULL, 0x04B1 },
{"_chkstk", 0x000015F8, NULL, NULL, 0x04B2 },
{"_fltused", 0x0007E048, NULL, NULL, 0x04B3 },
{"_ftol", 0x000018BA, NULL, NULL, 0x04B4 },
{"_i64toa", 0x00071745, NULL, NULL, 0x04B5 },
{"_i64tow", 0x00071867, NULL, NULL, 0x04B6 },
{"_itoa", 0x0002E994, NULL, NULL, 0x04B7 },
{"_itow", 0x0002DCB1, NULL, NULL, 0x04B8 },
{"_lfind", 0x000718C1, NULL, NULL, 0x04B9 },
{"_ltoa", 0x00071686, NULL, NULL, 0x04BA },
{"_ltow", 0x0007179F, NULL, NULL, 0x04BB },
{"_memccpy", 0x000018E1, NULL, NULL, 0x04BC },
{"_memicmp", 0x000718FA, NULL, NULL, 0x04BD },
{"_snprintf", 0x0007190A, NULL, NULL, 0x04BE },
{"_snwprintf", 0x0001BBEA, NULL, NULL, 0x04BF },
{"_splitpath", 0x00071968, NULL, NULL, 0x04C0 },
{"_strcmpi", 0x00012E64, NULL, NULL, 0x04C1 },
{"_stricmp", 0x00012E64, NULL, NULL, 0x04C2 },
{"_strlwr", 0x00071AB0, NULL, NULL, 0x04C3 },
{"_strnicmp", 0x0001989D, NULL, NULL, 0x04C4 },
{"_strupr", 0x00071ADD, NULL, NULL, 0x04C5 },
{"_tolower", 0x00071B0A, NULL, NULL, 0x04C6 },
{"_toupper", 0x00071B57, NULL, NULL, 0x04C7 },
{"_ui64toa", 0x0007177D, NULL, NULL, 0x04C8 },
{"_ui64tow", 0x0007189F, NULL, NULL, 0x04C9 },
{"_ultoa", 0x000716B2, NULL, NULL, 0x04CA },
{"_ultow", 0x000717CB, NULL, NULL, 0x04CB },
{"_vsnprintf", 0x0002FB97, NULL, NULL, 0x04CC },
{"_vsnwprintf", 0x00071B69, NULL, NULL, 0x04CD },
{"_wcsicmp", 0x00013378, NULL, NULL, 0x04CE },
{"_wcslwr", 0x00024869, NULL, NULL, 0x04CF },
{"_wcsnicmp", 0x000181ED, NULL, NULL, 0x04D0 },
{"_wcsupr", 0x00071BDF, NULL, NULL, 0x04D1 },
{"_wtoi", 0x00071C15, NULL, NULL, 0x04D2 },
{"_wtoi64", 0x00071C25, NULL, NULL, 0x04D3 },
{"_wtol", 0x0003687A, NULL, NULL, 0x04D4 },
{"abs", 0x00071CC2, NULL, NULL, 0x04D5 },
{"atan", 0x00001934, NULL, NULL, 0x04D6 },
{"atoi", 0x000248A9, NULL, NULL, 0x04D7 },
{"atol", 0x000248B6, NULL, NULL, 0x04D8 },
{"bsearch", 0x000151F3, NULL, NULL, 0x04D9 },
{"ceil", 0x000019D7, NULL, NULL, 0x04DA },
{"cos", 0x0000E5FA, NULL, NULL, 0x04DB },
{"fabs", 0x00071CD7, NULL, NULL, 0x04DC },
{"floor", 0x00001B18, NULL, NULL, 0x04DD },
{"isalnum", 0x00071450, NULL, NULL, 0x04DE },
{"isalpha", 0x00071314, NULL, NULL, 0x04DF },
{"iscntrl", 0x000714F8, NULL, NULL, 0x04E0 },
{"isdigit", 0x0002C8A9, NULL, NULL, 0x04E1 },
{"isgraph", 0x000714C0, NULL, NULL, 0x04E2 },
{"islower", 0x0007137F, NULL, NULL, 0x04E3 },
{"isprint", 0x00071488, NULL, NULL, 0x04E4 },
{"ispunct", 0x0007141D, NULL, NULL, 0x04E5 },
{"isspace", 0x000713EA, NULL, NULL, 0x04E6 },
{"isupper", 0x0007134C, NULL, NULL, 0x04E7 },
{"iswalpha", 0x00071D8F, NULL, NULL, 0x04E8 },
{"iswctype", 0x000269F1, NULL, NULL, 0x04E9 },
{"iswdigit", 0x00026A95, NULL, NULL, 0x04EA },
{"iswlower", 0x00071DAA, NULL, NULL, 0x04EB },
{"iswspace", 0x00071DDD, NULL, NULL, 0x04EC },
{"iswxdigit", 0x00071DC2, NULL, NULL, 0x04ED },
{"isxdigit", 0x000713B2, NULL, NULL, 0x04EE },
{"labs", 0x00071CC2, NULL, NULL, 0x04EF },
{"log", 0x0000E69E, NULL, NULL, 0x04F0 },
{"mbstowcs", 0x0002492C, NULL, NULL, 0x04F1 },
{"memchr", 0x00001C60, NULL, NULL, 0x04F2 },
{"memcmp", 0x00001D07, NULL, NULL, 0x04F3 },
{"memcpy", 0x00001DB3, NULL, NULL, 0x04F4 },
{"memmove", 0x000020F5, NULL, NULL, 0x04F5 },
{"memset", 0x00002435, NULL, NULL, 0x04F6 },
{"pow", 0x0000E01B, NULL, NULL, 0x04F7 },
{"qsort", 0x000203D8, NULL, NULL, 0x04F8 },
{"sin", 0x000012E5, NULL, NULL, 0x04F9 },
{"sprintf", 0x00025BC4, NULL, NULL, 0x04FA },
{"sqrt", 0x00001393, NULL, NULL, 0x04FB },
{"sscanf", 0x00071DF5, NULL, NULL, 0x04FC },
{"strcat", 0x0000249D, NULL, NULL, 0x04FD },
{"strchr", 0x0000E80D, NULL, NULL, 0x04FE },
{"strcmp", 0x00002583, NULL, NULL, 0x04FF },
{"strcpy", 0x0000248D, NULL, NULL, 0x0500 },
{"strcspn", 0x00002608, NULL, NULL, 0x0501 },
{"strlen", 0x00002645, NULL, NULL, 0x0502 },
{"strncat", 0x000026C0, NULL, NULL, 0x0503 },
{"strncmp", 0x000027E5, NULL, NULL, 0x0504 },
{"strncpy", 0x0000281D, NULL, NULL, 0x0505 },
{"strpbrk", 0x0000291D, NULL, NULL, 0x0506 },
{"strrchr", 0x00002956, NULL, NULL, 0x0507 },
{"strspn", 0x0000297D, NULL, NULL, 0x0508 },
{"strstr", 0x0000E77E, NULL, NULL, 0x0509 },
{"strtol", 0x00071FEA, NULL, NULL, 0x050A },
{"strtoul", 0x00072009, NULL, NULL, 0x050B },
{"swprintf", 0x000184DB, NULL, NULL, 0x050C },
{"tan", 0x000029CE, NULL, NULL, 0x050D },
{"tolower", 0x00071B1C, NULL, NULL, 0x050E },
{"toupper", 0x00023D33, NULL, NULL, 0x050F },
{"towlower", 0x0002A846, NULL, NULL, 0x0510 },
{"towupper", 0x00072028, NULL, NULL, 0x0511 },
{"vDbgPrintEx", 0x00020324, NULL, NULL, 0x0512 },
{"vDbgPrintExWithPrefix", 0x0001EA7B, NULL, NULL, 0x0513 },
{"vsprintf", 0x0007203C, NULL, NULL, 0x0514 },
{"wcscat", 0x00018132, NULL, NULL, 0x0515 },
{"wcschr", 0x00014982, NULL, NULL, 0x0516 },
{"wcscmp", 0x00035454, NULL, NULL, 0x0517 },
{"wcscpy", 0x00012F60, NULL, NULL, 0x0518 },
{"wcscspn", 0x0003571E, NULL, NULL, 0x0519 },
{"wcslen", 0x0000FE4A, NULL, NULL, 0x051A },
{"wcsncat", 0x00018B44, NULL, NULL, 0x051B },
{"wcsncmp", 0x0001E42B, NULL, NULL, 0x051C },
{"wcsncpy", 0x0001057F, NULL, NULL, 0x051D },
{"wcspbrk", 0x0007209A, NULL, NULL, 0x051E },
{"wcsrchr", 0x00014691, NULL, NULL, 0x051F },
{"wcsspn", 0x000720E3, NULL, NULL, 0x0520 },
{"wcsstr", 0x0002382F, NULL, NULL, 0x0521 },
{"wcstol", 0x00029F23, NULL, NULL, 0x0522 },
{"wcstombs", 0x00072131, NULL, NULL, 0x0523 },
{"wcstoul", 0x00034DC1, NULL, NULL, 0x0524 },
{0,0,NULL,NULL},
};


struct emu_env_w32_dll_export shlwapi_exports[] = 
{
{"", 0x00021E03, NULL, NULL, 0x0001 },
{"", 0x0000BB12, NULL, NULL, 0x0002 },
{"", 0x00048BBE, NULL, NULL, 0x0003 },
{"", 0x0001881F, NULL, NULL, 0x0004 },
{"", 0x00048C71, NULL, NULL, 0x0005 },
{"", 0x0001535A, NULL, NULL, 0x0006 },
{"SHAllocShared", 0x0000B601, NULL, NULL, 0x0007 },
{"SHLockShared", 0x0001C37B, NULL, NULL, 0x0008 },
{"SHUnlockShared", 0x0000B54E, NULL, NULL, 0x0009 },
{"SHFreeShared", 0x0000B569, NULL, NULL, 0x000A },
{"", 0x0000B4C0, NULL, NULL, 0x000B },
{"", 0x0001850A, NULL, NULL, 0x000C },
{"", 0x00022C64, NULL, NULL, 0x000D },
{"GetAcceptLanguagesA", 0x0005DE35, NULL, NULL, 0x000E },
{"GetAcceptLanguagesW", 0x0002CB22, NULL, NULL, 0x000F },
{"SHCreateThread", 0x000173E6, NULL, NULL, 0x0010 },
{"", 0x0001BE2F, NULL, NULL, 0x0011 },
{"", 0x0001A35B, NULL, NULL, 0x0012 },
{"", 0x0000B88E, NULL, NULL, 0x0013 },
{"", 0x0000B810, NULL, NULL, 0x0014 },
{"", 0x0000B7EF, NULL, NULL, 0x0015 },
{"", 0x0001A321, NULL, NULL, 0x0016 },
{"", 0x00008572, NULL, NULL, 0x0017 },
{"", 0x00004D11, NULL, NULL, 0x0018 },
{"", 0x000227D5, NULL, NULL, 0x0019 },
{"", 0x000454F4, NULL, NULL, 0x001A },
{"", 0x00045635, NULL, NULL, 0x001B },
{"", 0x00022985, NULL, NULL, 0x001C },
{"IsCharSpaceW", 0x000158E5, NULL, NULL, 0x001D },
{"", 0x000454BD, NULL, NULL, 0x001E },
{"", 0x00045355, NULL, NULL, 0x001F },
{"", 0x00045495, NULL, NULL, 0x0020 },
{"", 0x00022696, NULL, NULL, 0x0021 },
{"", 0x00022915, NULL, NULL, 0x0022 },
{"", 0x00045775, NULL, NULL, 0x0023 },
{"", 0x0004F82F, NULL, NULL, 0x0024 },
{"", 0x00020C6E, NULL, NULL, 0x0025 },
{"", 0x0000CC1E, NULL, NULL, 0x0026 },
{"", 0x00049823, NULL, NULL, 0x0027 },
{"", 0x0001D98A, NULL, NULL, 0x0028 },
{"", 0x000067C5, NULL, NULL, 0x0029 },
{"", 0x0004BBFB, NULL, NULL, 0x002A },
{"", 0x0001A874, NULL, NULL, 0x002B },
{"", 0x00049A80, NULL, NULL, 0x002C },
{"", 0x00006A1B, NULL, NULL, 0x002D },
{"", 0x00049E27, NULL, NULL, 0x002E },
{"", 0x00049E41, NULL, NULL, 0x002F },
{"", 0x0004BDA3, NULL, NULL, 0x0030 },
{"", 0x0001712E, NULL, NULL, 0x0031 },
{"", 0x0004BE0D, NULL, NULL, 0x0032 },
{"", 0x0001A972, NULL, NULL, 0x0033 },
{"", 0x00007FBF, NULL, NULL, 0x0034 },
{"", 0x00023329, NULL, NULL, 0x0035 },
{"", 0x0004BDD8, NULL, NULL, 0x0036 },
{"", 0x0001A71E, NULL, NULL, 0x0037 },
{"", 0x0000777D, NULL, NULL, 0x0038 },
{"", 0x0004BE74, NULL, NULL, 0x0039 },
{"", 0x00049EA3, NULL, NULL, 0x003A },
{"", 0x00049EEB, NULL, NULL, 0x003B },
{"", 0x00022A65, NULL, NULL, 0x003C },
{"", 0x0004BED6, NULL, NULL, 0x003D },
{"", 0x0004BF72, NULL, NULL, 0x003E },
{"", 0x000233D4, NULL, NULL, 0x003F },
{"", 0x00049FD9, NULL, NULL, 0x0040 },
{"", 0x00022EB8, NULL, NULL, 0x0041 },
{"", 0x0001AAE6, NULL, NULL, 0x0042 },
{"", 0x0001AB5A, NULL, NULL, 0x0043 },
{"", 0x0004C470, NULL, NULL, 0x0044 },
{"", 0x0001A521, NULL, NULL, 0x0045 },
{"", 0x0004A13B, NULL, NULL, 0x0046 },
{"", 0x00020BD5, NULL, NULL, 0x0047 },
{"", 0x0004C5FE, NULL, NULL, 0x0048 },
{"", 0x0001DD2F, NULL, NULL, 0x0049 },
{"", 0x0004F856, NULL, NULL, 0x004A },
{"", 0x00007D5E, NULL, NULL, 0x004B },
{"", 0x0001AA6E, NULL, NULL, 0x004C },
{"", 0x0001CB99, NULL, NULL, 0x004D },
{"", 0x0004D2A1, NULL, NULL, 0x004E },
{"", 0x00020CC7, NULL, NULL, 0x004F },
{"", 0x0001A5E1, NULL, NULL, 0x0050 },
{"", 0x0001869B, NULL, NULL, 0x0051 },
{"", 0x0004C67D, NULL, NULL, 0x0052 },
{"", 0x0001A5A6, NULL, NULL, 0x0053 },
{"", 0x000104FF, NULL, NULL, 0x0054 },
{"", 0x0004CB77, NULL, NULL, 0x0055 },
{"", 0x0004CC19, NULL, NULL, 0x0056 },
{"", 0x00020C86, NULL, NULL, 0x0057 },
{"", 0x0004CAFB, NULL, NULL, 0x0058 },
{"", 0x0004CCF9, NULL, NULL, 0x0059 },
{"", 0x0004CDAA, NULL, NULL, 0x005A },
{"", 0x0004CE28, NULL, NULL, 0x005B },
{"", 0x00023390, NULL, NULL, 0x005C },
{"", 0x000232FC, NULL, NULL, 0x005D },
{"", 0x00007795, NULL, NULL, 0x005E },
{"", 0x00020D15, NULL, NULL, 0x005F },
{"", 0x00020CF7, NULL, NULL, 0x0060 },
{"", 0x000186D9, NULL, NULL, 0x0061 },
{"", 0x0004D404, NULL, NULL, 0x0062 },
{"", 0x0004A211, NULL, NULL, 0x0063 },
{"", 0x0002CC9B, NULL, NULL, 0x0064 },
{"", 0x0004A22B, NULL, NULL, 0x0065 },
{"", 0x0001A93F, NULL, NULL, 0x0066 },
{"", 0x0004A24C, NULL, NULL, 0x0067 },
{"", 0x00010540, NULL, NULL, 0x0068 },
{"", 0x000089BC, NULL, NULL, 0x0069 },
{"", 0x0004D23B, NULL, NULL, 0x006A },
{"", 0x00007744, NULL, NULL, 0x006B },
{"", 0x0004D62A, NULL, NULL, 0x006C },
{"", 0x0004D74D, NULL, NULL, 0x006D },
{"", 0x00023361, NULL, NULL, 0x006E },
{"", 0x0004D6CD, NULL, NULL, 0x006F },
{"", 0x0004D7C5, NULL, NULL, 0x0070 },
{"", 0x0004D84E, NULL, NULL, 0x0071 },
{"", 0x0004D8D1, NULL, NULL, 0x0072 },
{"", 0x0004D9B0, NULL, NULL, 0x0073 },
{"", 0x00007155, NULL, NULL, 0x0074 },
{"", 0x000225BF, NULL, NULL, 0x0075 },
{"", 0x00020CDF, NULL, NULL, 0x0076 },
{"", 0x0004DA0B, NULL, NULL, 0x0077 },
{"", 0x000094D9, NULL, NULL, 0x0078 },
{"", 0x0001F509, NULL, NULL, 0x0079 },
{"", 0x000109D6, NULL, NULL, 0x007A },
{"", 0x00010773, NULL, NULL, 0x007B },
{"", 0x0002C55C, NULL, NULL, 0x007C },
{"", 0x00004102, NULL, NULL, 0x007D },
{"", 0x000108A8, NULL, NULL, 0x007E },
{"", 0x0004DA79, NULL, NULL, 0x007F },
{"", 0x0000426E, NULL, NULL, 0x0080 },
{"", 0x0004DB5E, NULL, NULL, 0x0081 },
{"", 0x0000769E, NULL, NULL, 0x0082 },
{"", 0x0001A791, NULL, NULL, 0x0083 },
{"", 0x00024269, NULL, NULL, 0x0084 },
{"", 0x00011A56, NULL, NULL, 0x0085 },
{"", 0x00020DAF, NULL, NULL, 0x0086 },
{"", 0x0004F891, NULL, NULL, 0x0087 },
{"", 0x00007765, NULL, NULL, 0x0088 },
{"", 0x0004E2F9, NULL, NULL, 0x0089 },
{"", 0x0004F8CA, NULL, NULL, 0x008A },
{"", 0x0004E687, NULL, NULL, 0x008B },
{"", 0x00020C19, NULL, NULL, 0x008C },
{"", 0x0001A8F7, NULL, NULL, 0x008D },
{"", 0x0001BDBC, NULL, NULL, 0x008E },
{"", 0x0004E35B, NULL, NULL, 0x008F },
{"", 0x0004E991, NULL, NULL, 0x0090 },
{"", 0x0002C5A3, NULL, NULL, 0x0091 },
{"", 0x0004B561, NULL, NULL, 0x0092 },
{"", 0x00020DF0, NULL, NULL, 0x0093 },
{"", 0x0004E3D5, NULL, NULL, 0x0094 },
{"", 0x0004E440, NULL, NULL, 0x0095 },
{"", 0x0004B57B, NULL, NULL, 0x0096 },
{"", 0x00014CD7, NULL, NULL, 0x0097 },
{"", 0x0000C699, NULL, NULL, 0x0098 },
{"", 0x0000BBD8, NULL, NULL, 0x0099 },
{"", 0x0001A990, NULL, NULL, 0x009A },
{"StrCmpCA", 0x00022E8E, NULL, NULL, 0x009B },
{"StrCmpCW", 0x00006929, NULL, NULL, 0x009C },
{"StrCmpICA", 0x00007000, NULL, NULL, 0x009D },
{"StrCmpICW", 0x00006FB8, NULL, NULL, 0x009E },
{"", 0x0004D5DF, NULL, NULL, 0x009F },
{"", 0x00060C9E, NULL, NULL, 0x00A0 },
{"", 0x000607A1, NULL, NULL, 0x00A1 },
{"", 0x0001B487, NULL, NULL, 0x00A2 },
{"", 0x00016015, NULL, NULL, 0x00A3 },
{"", 0x000090F9, NULL, NULL, 0x00A4 },
{"", 0x000194F1, NULL, NULL, 0x00A5 },
{"", 0x00017BA9, NULL, NULL, 0x00A6 },
{"", 0x0002CD11, NULL, NULL, 0x00A7 },
{"", 0x00023526, NULL, NULL, 0x00A8 },
{"", 0x0000833A, NULL, NULL, 0x00A9 },
{"", 0x00047CA6, NULL, NULL, 0x00AA },
{"", 0x00015CB5, NULL, NULL, 0x00AB },
{"", 0x00015D23, NULL, NULL, 0x00AC },
{"", 0x0001BC83, NULL, NULL, 0x00AD },
{"", 0x00007C31, NULL, NULL, 0x00AE },
{"", 0x000099FA, NULL, NULL, 0x00AF },
{"", 0x000083A0, NULL, NULL, 0x00B0 },
{"", 0x0005721F, NULL, NULL, 0x00B1 },
{"", 0x00012700, NULL, NULL, 0x00B2 },
{"", 0x0005726A, NULL, NULL, 0x00B3 },
{"", 0x000572BD, NULL, NULL, 0x00B4 },
{"", 0x000572FA, NULL, NULL, 0x00B5 },
{"", 0x0005731D, NULL, NULL, 0x00B6 },
{"", 0x0005737D, NULL, NULL, 0x00B7 },
{"", 0x0000C276, NULL, NULL, 0x00B8 },
{"", 0x000579B5, NULL, NULL, 0x00B9 },
{"", 0x00057C64, NULL, NULL, 0x00BA },
{"", 0x00016AF9, NULL, NULL, 0x00BB },
{"", 0x00057CDE, NULL, NULL, 0x00BC },
{"", 0x000235CD, NULL, NULL, 0x00BD },
{"", 0x00057D2A, NULL, NULL, 0x00BE },
{"", 0x0005792B, NULL, NULL, 0x00BF },
{"", 0x0001C9AB, NULL, NULL, 0x00C0 },
{"", 0x0000C23E, NULL, NULL, 0x00C1 },
{"", 0x0001AEF0, NULL, NULL, 0x00C2 },
{"", 0x00057DA1, NULL, NULL, 0x00C3 },
{"", 0x0006782E, NULL, NULL, 0x00C4 },
{"", 0x0001CFE1, NULL, NULL, 0x00C5 },
{"", 0x00057E2F, NULL, NULL, 0x00C6 },
{"", 0x00007042, NULL, NULL, 0x00C7 },
{"", 0x000571CD, NULL, NULL, 0x00C8 },
{"", 0x00018EFE, NULL, NULL, 0x00C9 },
{"", 0x00018F27, NULL, NULL, 0x00CA },
{"", 0x00057E66, NULL, NULL, 0x00CB },
{"", 0x000076EE, NULL, NULL, 0x00CC },
{"", 0x00042049, NULL, NULL, 0x00CD },
{"", 0x00042073, NULL, NULL, 0x00CE },
{"", 0x00057ED0, NULL, NULL, 0x00CF },
{"", 0x00017603, NULL, NULL, 0x00D0 },
{"", 0x00041402, NULL, NULL, 0x00D1 },
{"", 0x00018A4E, NULL, NULL, 0x00D2 },
{"", 0x00018A1A, NULL, NULL, 0x00D3 },
{"", 0x0000C321, NULL, NULL, 0x00D4 },
{"", 0x00017D69, NULL, NULL, 0x00D5 },
{"", 0x00017EC7, NULL, NULL, 0x00D6 },
{"", 0x00006958, NULL, NULL, 0x00D7 },
{"", 0x00006976, NULL, NULL, 0x00D8 },
{"", 0x0000414F, NULL, NULL, 0x00D9 },
{"", 0x0000416D, NULL, NULL, 0x00DA },
{"", 0x00004086, NULL, NULL, 0x00DB },
{"", 0x00057FC4, NULL, NULL, 0x00DC },
{"", 0x00058076, NULL, NULL, 0x00DD },
{"", 0x00005060, NULL, NULL, 0x00DE },
{"", 0x00006AD9, NULL, NULL, 0x00DF },
{"", 0x00063285, NULL, NULL, 0x00E0 },
{"", 0x00017245, NULL, NULL, 0x00E1 },
{"", 0x000559EB, NULL, NULL, 0x00E2 },
{"", 0x000559C8, NULL, NULL, 0x00E3 },
{"", 0x00055973, NULL, NULL, 0x00E4 },
{"", 0x0005594E, NULL, NULL, 0x00E5 },
{"", 0x000558E7, NULL, NULL, 0x00E6 },
{"", 0x0001410B, NULL, NULL, 0x00E7 },
{"", 0x00055871, NULL, NULL, 0x00E8 },
{"", 0x00014138, NULL, NULL, 0x00E9 },
{"", 0x00055AA9, NULL, NULL, 0x00EA },
{"", 0x00055A40, NULL, NULL, 0x00EB },
{"", 0x00008A00, NULL, NULL, 0x00EC },
{"", 0x0001A6E8, NULL, NULL, 0x00ED },
{"", 0x000573B6, NULL, NULL, 0x00EE },
{"", 0x0001A568, NULL, NULL, 0x00EF },
{"", 0x000077AD, NULL, NULL, 0x00F0 },
{"", 0x0000503E, NULL, NULL, 0x00F1 },
{"", 0x0004302D, NULL, NULL, 0x00F2 },
{"", 0x00043A0B, NULL, NULL, 0x00F3 },
{"", 0x00043A2F, NULL, NULL, 0x00F4 },
{"", 0x00043B0B, NULL, NULL, 0x00F5 },
{"", 0x00043CE7, NULL, NULL, 0x00F6 },
{"", 0x000441E7, NULL, NULL, 0x00F7 },
{"", 0x000442BD, NULL, NULL, 0x00F8 },
{"", 0x00044376, NULL, NULL, 0x00F9 },
{"", 0x00042DDE, NULL, NULL, 0x00FA },
{"", 0x00044032, NULL, NULL, 0x00FB },
{"", 0x00044013, NULL, NULL, 0x00FC },
{"", 0x00043A95, NULL, NULL, 0x00FD },
{"", 0x00043AA5, NULL, NULL, 0x00FE },
{"", 0x00042E33, NULL, NULL, 0x00FF },
{"", 0x00018C74, NULL, NULL, 0x0100 },
{"", 0x000580AA, NULL, NULL, 0x0101 },
{"", 0x00065484, NULL, NULL, 0x0102 },
{"", 0x0006524A, NULL, NULL, 0x0103 },
{"", 0x000095AF, NULL, NULL, 0x0104 },
{"", 0x00061170, NULL, NULL, 0x0105 },
{"", 0x0006117B, NULL, NULL, 0x0106 },
{"", 0x0006118C, NULL, NULL, 0x0107 },
{"", 0x0006119D, NULL, NULL, 0x0108 },
{"", 0x000611AE, NULL, NULL, 0x0109 },
{"", 0x00006D07, NULL, NULL, 0x010A },
{"", 0x00008978, NULL, NULL, 0x010B },
{"", 0x00008379, NULL, NULL, 0x010C },
{"", 0x00007253, NULL, NULL, 0x010D },
{"", 0x00007214, NULL, NULL, 0x010E },
{"", 0x0000C0E9, NULL, NULL, 0x010F },
{"", 0x00061B1E, NULL, NULL, 0x0110 },
{"", 0x00062122, NULL, NULL, 0x0111 },
{"", 0x00058285, NULL, NULL, 0x0112 },
{"", 0x000582A3, NULL, NULL, 0x0113 },
{"", 0x00023427, NULL, NULL, 0x0114 },
{"", 0x00058451, NULL, NULL, 0x0115 },
{"", 0x0001965B, NULL, NULL, 0x0116 },
{"", 0x0005945D, NULL, NULL, 0x0117 },
{"", 0x00042299, NULL, NULL, 0x0118 },
{"", 0x00015F44, NULL, NULL, 0x0119 },
{"", 0x0002262E, NULL, NULL, 0x011A },
{"", 0x00015FD2, NULL, NULL, 0x011B },
{"", 0x00015F14, NULL, NULL, 0x011C },
{"", 0x00022A30, NULL, NULL, 0x011D },
{"", 0x00022D9E, NULL, NULL, 0x011E },
{"", 0x000229F1, NULL, NULL, 0x011F },
{"", 0x0001BA51, NULL, NULL, 0x0120 },
{"", 0x00022E39, NULL, NULL, 0x0121 },
{"", 0x00046327, NULL, NULL, 0x0122 },
{"", 0x00057B4A, NULL, NULL, 0x0123 },
{"", 0x00057ACB, NULL, NULL, 0x0124 },
{"", 0x00061B30, NULL, NULL, 0x0125 },
{"", 0x0000B41B, NULL, NULL, 0x0126 },
{"", 0x00059C04, NULL, NULL, 0x0127 },
{"", 0x000598ED, NULL, NULL, 0x0128 },
{"", 0x0005995B, NULL, NULL, 0x0129 },
{"", 0x00019858, NULL, NULL, 0x012A },
{"", 0x0001F76C, NULL, NULL, 0x012B },
{"", 0x00018C12, NULL, NULL, 0x012C },
{"", 0x0004E5D0, NULL, NULL, 0x012D },
{"", 0x0004B682, NULL, NULL, 0x012E },
{"", 0x0004B810, NULL, NULL, 0x012F },
{"", 0x0004E793, NULL, NULL, 0x0130 },
{"", 0x00019B2E, NULL, NULL, 0x0131 },
{"", 0x00006BA2, NULL, NULL, 0x0132 },
{"", 0x0001BA00, NULL, NULL, 0x0133 },
{"", 0x000231F0, NULL, NULL, 0x0134 },
{"", 0x0001A625, NULL, NULL, 0x0135 },
{"", 0x0001E3A4, NULL, NULL, 0x0136 },
{"", 0x0001E3F4, NULL, NULL, 0x0137 },
{"", 0x0000B1D9, NULL, NULL, 0x0138 },
{"", 0x0004E7F5, NULL, NULL, 0x0139 },
{"", 0x0002C5E9, NULL, NULL, 0x013A },
{"", 0x0004E8E9, NULL, NULL, 0x013B },
{"", 0x0001F4A3, NULL, NULL, 0x013C },
{"", 0x0001F459, NULL, NULL, 0x013D },
{"", 0x0004EA69, NULL, NULL, 0x013E },
{"", 0x0004C00C, NULL, NULL, 0x013F },
{"", 0x0005DE8F, NULL, NULL, 0x0140 },
{"", 0x0005DEC4, NULL, NULL, 0x0141 },
{"", 0x0005DE45, NULL, NULL, 0x0142 },
{"", 0x0005DE6A, NULL, NULL, 0x0143 },
{"", 0x0005E00E, NULL, NULL, 0x0144 },
{"", 0x0005E077, NULL, NULL, 0x0145 },
{"", 0x0005E0E3, NULL, NULL, 0x0146 },
{"", 0x0005E153, NULL, NULL, 0x0147 },
{"", 0x0005DEFC, NULL, NULL, 0x0148 },
{"", 0x0005DF91, NULL, NULL, 0x0149 },
{"", 0x0005E33D, NULL, NULL, 0x014A },
{"", 0x0005E3AF, NULL, NULL, 0x014B },
{"", 0x00049809, NULL, NULL, 0x014C },
{"", 0x0004C783, NULL, NULL, 0x014D },
{"", 0x00023090, NULL, NULL, 0x014E },
{"", 0x00017D9D, NULL, NULL, 0x014F },
{"", 0x0004C843, NULL, NULL, 0x0150 },
{"", 0x0004C91B, NULL, NULL, 0x0151 },
{"", 0x0004CA03, NULL, NULL, 0x0152 },
{"", 0x0001CDCF, NULL, NULL, 0x0153 },
{"", 0x0004CA6B, NULL, NULL, 0x0154 },
{"", 0x0004A1AA, NULL, NULL, 0x0155 },
{"", 0x0000895D, NULL, NULL, 0x0156 },
{"", 0x00042120, NULL, NULL, 0x0157 },
{"", 0x0000AA7C, NULL, NULL, 0x0158 },
{"", 0x0004617E, NULL, NULL, 0x0159 },
{"", 0x00006818, NULL, NULL, 0x015A },
{"", 0x0001C4B5, NULL, NULL, 0x015B },
{"", 0x00013499, NULL, NULL, 0x015C },
{"", 0x00046B0A, NULL, NULL, 0x015D },
{"", 0x00013336, NULL, NULL, 0x015E },
{"", 0x00013381, NULL, NULL, 0x015F },
{"", 0x000133D2, NULL, NULL, 0x0160 },
{"", 0x000520B1, NULL, NULL, 0x0161 },
{"", 0x0001E45F, NULL, NULL, 0x0162 },
{"", 0x00056FE1, NULL, NULL, 0x0163 },
{"AssocCreate", 0x00009E79, NULL, NULL, 0x0164 },
{"", 0x0004EB89, NULL, NULL, 0x0165 },
{"", 0x0004EB07, NULL, NULL, 0x0166 },
{"", 0x0004D942, NULL, NULL, 0x0167 },
{"", 0x0004DBF4, NULL, NULL, 0x0168 },
{"", 0x00024225, NULL, NULL, 0x0169 },
{"", 0x00010A1D, NULL, NULL, 0x016A },
{"", 0x0005939D, NULL, NULL, 0x016B },
{"", 0x00046891, NULL, NULL, 0x016C },
{"", 0x000073C4, NULL, NULL, 0x016D },
{"", 0x00021330, NULL, NULL, 0x016E },
{"", 0x0004EC76, NULL, NULL, 0x016F },
{"", 0x0004ED21, NULL, NULL, 0x0170 },
{"", 0x0004EDCC, NULL, NULL, 0x0171 },
{"", 0x0004EF98, NULL, NULL, 0x0172 },
{"", 0x0004B927, NULL, NULL, 0x0173 },
{"", 0x0004F007, NULL, NULL, 0x0174 },
{"", 0x0004F077, NULL, NULL, 0x0175 },
{"", 0x00058BE1, NULL, NULL, 0x0176 },
{"", 0x00058B77, NULL, NULL, 0x0177 },
{"", 0x00011AB6, NULL, NULL, 0x0178 },
{"", 0x0005A328, NULL, NULL, 0x0179 },
{"", 0x0001E8C3, NULL, NULL, 0x017A },
{"", 0x0004C995, NULL, NULL, 0x017B },
{"", 0x0004A155, NULL, NULL, 0x017C },
{"", 0x00050A1C, NULL, NULL, 0x017D },
{"", 0x00055CC9, NULL, NULL, 0x017E },
{"", 0x00055DC8, NULL, NULL, 0x017F },
{"", 0x00057C39, NULL, NULL, 0x0180 },
{"", 0x00056D3E, NULL, NULL, 0x0181 },
{"", 0x00056DB2, NULL, NULL, 0x0182 },
{"", 0x00056E0D, NULL, NULL, 0x0183 },
{"", 0x0005DD0B, NULL, NULL, 0x0184 },
{"", 0x0004F9E8, NULL, NULL, 0x0185 },
{"", 0x0004E4B3, NULL, NULL, 0x0186 },
{"", 0x0004E517, NULL, NULL, 0x0187 },
{"", 0x0005AC51, NULL, NULL, 0x0188 },
{"", 0x00049E5B, NULL, NULL, 0x0189 },
{"", 0x0001BDE3, NULL, NULL, 0x018A },
{"", 0x0005ADD6, NULL, NULL, 0x018B },
{"", 0x0005AD69, NULL, NULL, 0x018C },
{"", 0x0005AED2, NULL, NULL, 0x018D },
{"", 0x0005AE33, NULL, NULL, 0x018E },
{"", 0x00044487, NULL, NULL, 0x018F },
{"", 0x0000670F, NULL, NULL, 0x0190 },
{"", 0x0004F4CB, NULL, NULL, 0x0191 },
{"", 0x0004F3A2, NULL, NULL, 0x0192 },
{"", 0x0004FBC2, NULL, NULL, 0x0193 },
{"", 0x000128EC, NULL, NULL, 0x0194 },
{"", 0x0005B1EB, NULL, NULL, 0x0195 },
{"", 0x0005B053, NULL, NULL, 0x0196 },
{"", 0x000506B3, NULL, NULL, 0x0197 },
{"", 0x00050490, NULL, NULL, 0x0198 },
{"", 0x00050C47, NULL, NULL, 0x0199 },
{"", 0x00050E80, NULL, NULL, 0x019A },
{"", 0x00050EF6, NULL, NULL, 0x019B },
{"", 0x00046663, NULL, NULL, 0x019C },
{"", 0x00010435, NULL, NULL, 0x019D },
{"", 0x00058D6B, NULL, NULL, 0x019E },
{"", 0x00058DB9, NULL, NULL, 0x019F },
{"", 0x00058E07, NULL, NULL, 0x01A0 },
{"", 0x00058E4A, NULL, NULL, 0x01A1 },
{"", 0x000236D7, NULL, NULL, 0x01A2 },
{"", 0x0004F1DA, NULL, NULL, 0x01A3 },
{"", 0x00058E8E, NULL, NULL, 0x01A4 },
{"", 0x00058E9B, NULL, NULL, 0x01A5 },
{"", 0x000050EE, NULL, NULL, 0x01A6 },
{"", 0x000050A6, NULL, NULL, 0x01A7 },
{"", 0x000632AB, NULL, NULL, 0x01A8 },
{"", 0x0004A54D, NULL, NULL, 0x01A9 },
{"", 0x0004A596, NULL, NULL, 0x01AA },
{"", 0x0004AF0A, NULL, NULL, 0x01AB },
{"", 0x0004AF9D, NULL, NULL, 0x01AC },
{"", 0x0005A376, NULL, NULL, 0x01AD },
{"", 0x0001E9E5, NULL, NULL, 0x01AE },
{"", 0x000236F0, NULL, NULL, 0x01AF },
{"", 0x00058EC9, NULL, NULL, 0x01B0 },
{"", 0x00017C6C, NULL, NULL, 0x01B1 },
{"", 0x00017CAE, NULL, NULL, 0x01B2 },
{"", 0x0004BA54, NULL, NULL, 0x01B3 },
{"", 0x00021CA7, NULL, NULL, 0x01B4 },
{"", 0x000048E4, NULL, NULL, 0x01B5 },
{"", 0x0005335B, NULL, NULL, 0x01B6 },
{"", 0x0000BF98, NULL, NULL, 0x01B7 },
{"", 0x0005B28B, NULL, NULL, 0x01B8 },
{"", 0x00059FCA, NULL, NULL, 0x01B9 },
{"", 0x0004CEBB, NULL, NULL, 0x01BA },
{"", 0x0005834C, NULL, NULL, 0x01BB },
{"", 0x000582C1, NULL, NULL, 0x01BC },
{"", 0x000480EB, NULL, NULL, 0x01BD },
{"", 0x00007EE6, NULL, NULL, 0x01BE },
{"", 0x00047485, NULL, NULL, 0x01BF },
{"", 0x00012962, NULL, NULL, 0x01C0 },
{"", 0x00048BF4, NULL, NULL, 0x01C1 },
{"", 0x00051A9F, NULL, NULL, 0x01C2 },
{"", 0x00048051, NULL, NULL, 0x01C3 },
{"", 0x00051406, NULL, NULL, 0x01C4 },
{"", 0x00048030, NULL, NULL, 0x01C5 },
{"", 0x000513E5, NULL, NULL, 0x01C6 },
{"", 0x00047AE5, NULL, NULL, 0x01C7 },
{"", 0x00007B26, NULL, NULL, 0x01C8 },
{"", 0x000142FD, NULL, NULL, 0x01C9 },
{"", 0x0004F5BB, NULL, NULL, 0x01CA },
{"", 0x0004F9CA, NULL, NULL, 0x01CB },
{"", 0x00006DDA, NULL, NULL, 0x01CC },
{"", 0x000068B4, NULL, NULL, 0x01CD },
{"", 0x0005F129, NULL, NULL, 0x01CE },
{"", 0x0004F8F5, NULL, NULL, 0x01CF },
{"", 0x00006D8F, NULL, NULL, 0x01D0 },
{"", 0x0004937C, NULL, NULL, 0x01D1 },
{"", 0x00051D21, NULL, NULL, 0x01D2 },
{"", 0x000426EB, NULL, NULL, 0x01D3 },
{"", 0x00042611, NULL, NULL, 0x01D4 },
{"", 0x000424D5, NULL, NULL, 0x01D5 },
{"", 0x00058F0C, NULL, NULL, 0x01D6 },
{"", 0x00019A23, NULL, NULL, 0x01D7 },
{"", 0x00014286, NULL, NULL, 0x01D8 },
{"", 0x0000B1A7, NULL, NULL, 0x01D9 },
{"", 0x0001982E, NULL, NULL, 0x01DA },
{"", 0x00005EA9, NULL, NULL, 0x01DB },
{"", 0x0000881D, NULL, NULL, 0x01DC },
{"", 0x000631A9, NULL, NULL, 0x01DD },
{"", 0x00056F52, NULL, NULL, 0x01DE },
{"", 0x0001944A, NULL, NULL, 0x01DF },
{"", 0x00023C79, NULL, NULL, 0x01E0 },
{"", 0x00056F9B, NULL, NULL, 0x01E1 },
{"", 0x00064AD4, NULL, NULL, 0x01E2 },
{"", 0x00064B78, NULL, NULL, 0x01E3 },
{"", 0x0001B9D0, NULL, NULL, 0x01E4 },
{"", 0x0006020B, NULL, NULL, 0x01E5 },
{"", 0x0000C2A7, NULL, NULL, 0x01E6 },
{"SHLoadIndirectString", 0x0000BEBE, NULL, NULL, 0x01E7 },
{"", 0x00058F66, NULL, NULL, 0x01E8 },
{"", 0x0004F114, NULL, NULL, 0x01E9 },
{"", 0x0004F177, NULL, NULL, 0x01EA },
{"", 0x0000A771, NULL, NULL, 0x01EB },
{"", 0x00013778, NULL, NULL, 0x01EC },
{"", 0x0001B539, NULL, NULL, 0x01ED },
{"", 0x0001B96F, NULL, NULL, 0x01EE },
{"", 0x0001B831, NULL, NULL, 0x01EF },
{"", 0x000183AC, NULL, NULL, 0x01F0 },
{"", 0x000628A4, NULL, NULL, 0x01F1 },
{"", 0x000628E2, NULL, NULL, 0x01F2 },
{"", 0x00062966, NULL, NULL, 0x01F3 },
{"AssocGetPerceivedType", 0x000110E3, NULL, NULL, 0x01F4 },
{"AssocIsDangerous", 0x00013CD3, NULL, NULL, 0x01F5 },
{"AssocQueryKeyA", 0x0005009D, NULL, NULL, 0x01F6 },
{"AssocQueryKeyW", 0x0000A5BE, NULL, NULL, 0x01F7 },
{"AssocQueryStringA", 0x0004FE4D, NULL, NULL, 0x01F8 },
{"", 0x00016B99, NULL, NULL, 0x01F9 },
{"", 0x000629A9, NULL, NULL, 0x01FA },
{"", 0x00017544, NULL, NULL, 0x01FB },
{"", 0x000170CA, NULL, NULL, 0x01FC },
{"", 0x000194A9, NULL, NULL, 0x01FD },
{"", 0x0000B5A2, NULL, NULL, 0x01FE },
{"", 0x00012D75, NULL, NULL, 0x01FF },
{"", 0x000178CF, NULL, NULL, 0x0200 },
{"", 0x00057342, NULL, NULL, 0x0201 },
{"", 0x0001BA7C, NULL, NULL, 0x0202 },
{"SHGetViewStatePropertyBag", 0x0001B6AE, NULL, NULL, 0x0203 },
{"", 0x0000A1B7, NULL, NULL, 0x0204 },
{"", 0x0001AF32, NULL, NULL, 0x0205 },
{"", 0x000590CD, NULL, NULL, 0x0206 },
{"", 0x0000BE23, NULL, NULL, 0x0207 },
{"", 0x00016B4D, NULL, NULL, 0x0208 },
{"", 0x000182D8, NULL, NULL, 0x0209 },
{"", 0x00062EAB, NULL, NULL, 0x020A },
{"", 0x00062A0A, NULL, NULL, 0x020B },
{"", 0x00062FF2, NULL, NULL, 0x020C },
{"", 0x0001828A, NULL, NULL, 0x020D },
{"", 0x00062FAC, NULL, NULL, 0x020E },
{"", 0x0006281B, NULL, NULL, 0x020F },
{"", 0x00062864, NULL, NULL, 0x0210 },
{"", 0x000183AC, NULL, NULL, 0x0211 },
{"", 0x000628A4, NULL, NULL, 0x0212 },
{"", 0x00017FD9, NULL, NULL, 0x0213 },
{"", 0x00062B2C, NULL, NULL, 0x0214 },
{"", 0x00018082, NULL, NULL, 0x0215 },
{"", 0x00062918, NULL, NULL, 0x0216 },
{"", 0x00062B6E, NULL, NULL, 0x0217 },
{"", 0x0001B269, NULL, NULL, 0x0218 },
{"", 0x00059134, NULL, NULL, 0x0219 },
{"", 0x00023267, NULL, NULL, 0x021A },
{"", 0x0005710D, NULL, NULL, 0x021B },
{"", 0x00059429, NULL, NULL, 0x021C },
{"", 0x00058485, NULL, NULL, 0x021D },
{"", 0x0001A91E, NULL, NULL, 0x021E },
{"", 0x0004B8BB, NULL, NULL, 0x021F },
{"", 0x0000A009, NULL, NULL, 0x0220 },
{"", 0x00058650, NULL, NULL, 0x0221 },
{"", 0x0005933F, NULL, NULL, 0x0222 },
{"DelayLoadFailureHook", 0x00066BED, NULL, NULL, 0x0223 },
{"", 0x0001C4F6, NULL, NULL, 0x0224 },
{"", 0x00009445, NULL, NULL, 0x0225 },
{"", 0x00055FD2, NULL, NULL, 0x0226 },
{"", 0x00007BD4, NULL, NULL, 0x0227 },
{"", 0x0001307B, NULL, NULL, 0x0228 },
{"", 0x0006483E, NULL, NULL, 0x0229 },
{"", 0x0006460A, NULL, NULL, 0x022A },
{"", 0x00064860, NULL, NULL, 0x022B },
{"", 0x00064816, NULL, NULL, 0x022C },
{"", 0x000645E5, NULL, NULL, 0x022D },
{"", 0x0002CCB9, NULL, NULL, 0x022E },
{"", 0x000532C5, NULL, NULL, 0x022F },
{"", 0x00013ED3, NULL, NULL, 0x0230 },
{"", 0x000056E9, NULL, NULL, 0x0231 },
{"", 0x000591B8, NULL, NULL, 0x0232 },
{"", 0x00004E4B, NULL, NULL, 0x0233 },
{"", 0x00022AC9, NULL, NULL, 0x0234 },
{"", 0x000622BC, NULL, NULL, 0x0235 },
{"AssocQueryStringByKeyA", 0x0004FF88, NULL, NULL, 0x0236 },
{"AssocQueryStringByKeyW", 0x0000B130, NULL, NULL, 0x0237 },
{"AssocQueryStringW", 0x0001A7CE, NULL, NULL, 0x0238 },
{"ChrCmpIA", 0x0002C465, NULL, NULL, 0x0239 },
{"ChrCmpIW", 0x00007E1A, NULL, NULL, 0x023A },
{"ColorAdjustLuma", 0x000412B4, NULL, NULL, 0x023B },
{"ColorHLSToRGB", 0x00018BC2, NULL, NULL, 0x023C },
{"ColorRGBToHLS", 0x00018B17, NULL, NULL, 0x023D },
{"DllGetVersion", 0x00065B45, NULL, NULL, 0x023E },
{"GetMenuPosFromID", 0x000172F9, NULL, NULL, 0x023F },
{"HashData", 0x00023872, NULL, NULL, 0x0240 },
{"IntlStrEqWorkerA", 0x000448BD, NULL, NULL, 0x0241 },
{"IntlStrEqWorkerW", 0x0000761D, NULL, NULL, 0x0242 },
{"IsCharSpaceA", 0x000460AD, NULL, NULL, 0x0243 },
{"PathAddBackslashA", 0x0001058D, NULL, NULL, 0x0244 },
{"PathAddBackslashW", 0x00006E9D, NULL, NULL, 0x0245 },
{"PathAddExtensionA", 0x00048F33, NULL, NULL, 0x0246 },
{"PathAddExtensionW", 0x0001532B, NULL, NULL, 0x0247 },
{"PathAppendA", 0x0001913C, NULL, NULL, 0x0248 },
{"PathAppendW", 0x00007ADD, NULL, NULL, 0x0249 },
{"PathBuildRootA", 0x00007444, NULL, NULL, 0x024A },
{"PathBuildRootW", 0x0000404E, NULL, NULL, 0x024B },
{"PathCanonicalizeA", 0x0001902B, NULL, NULL, 0x024C },
{"PathCanonicalizeW", 0x00007891, NULL, NULL, 0x024D },
{"PathCombineA", 0x00019180, NULL, NULL, 0x024E },
{"PathCombineW", 0x000079D9, NULL, NULL, 0x024F },
{"PathCommonPrefixA", 0x000471D7, NULL, NULL, 0x0250 },
{"PathCommonPrefixW", 0x0000753A, NULL, NULL, 0x0251 },
{"PathCompactPathA", 0x0004843D, NULL, NULL, 0x0252 },
{"PathCompactPathExA", 0x00049129, NULL, NULL, 0x0253 },
{"PathCompactPathExW", 0x00051B22, NULL, NULL, 0x0254 },
{"PathCompactPathW", 0x00051565, NULL, NULL, 0x0255 },
{"PathCreateFromUrlA", 0x00022FA5, NULL, NULL, 0x0256 },
{"PathCreateFromUrlW", 0x0001D9D7, NULL, NULL, 0x0257 },
{"PathFileExistsA", 0x0004707F, NULL, NULL, 0x0258 },
{"PathFileExistsW", 0x00007D99, NULL, NULL, 0x0259 },
{"PathFindExtensionA", 0x0001F5EE, NULL, NULL, 0x025A },
{"PathFindExtensionW", 0x00006869, NULL, NULL, 0x025B },
{"PathFindFileNameA", 0x0000C1AC, NULL, NULL, 0x025C },
{"PathFindFileNameW", 0x00007087, NULL, NULL, 0x025D },
{"PathFindNextComponentA", 0x00047750, NULL, NULL, 0x025E },
{"PathFindNextComponentW", 0x0001BFCD, NULL, NULL, 0x025F },
{"PathFindOnPathA", 0x00048F18, NULL, NULL, 0x0260 },
{"PathFindOnPathW", 0x0001871F, NULL, NULL, 0x0261 },
{"PathFindSuffixArrayA", 0x000470EB, NULL, NULL, 0x0262 },
{"PathFindSuffixArrayW", 0x0005100D, NULL, NULL, 0x0263 },
{"PathGetArgsA", 0x00047002, NULL, NULL, 0x0264 },
{"PathGetArgsW", 0x00014211, NULL, NULL, 0x0265 },
{"PathGetCharTypeA", 0x00047A7C, NULL, NULL, 0x0266 },
{"PathGetCharTypeW", 0x0001C2DA, NULL, NULL, 0x0267 },
{"PathGetDriveNumberA", 0x00047434, NULL, NULL, 0x0268 },
{"PathGetDriveNumberW", 0x00006BEA, NULL, NULL, 0x0269 },
{"PathIsContentTypeA", 0x000479FC, NULL, NULL, 0x026A },
{"PathIsContentTypeW", 0x000230D1, NULL, NULL, 0x026B },
{"PathIsDirectoryA", 0x000475A8, NULL, NULL, 0x026C },
{"PathIsDirectoryEmptyA", 0x00048374, NULL, NULL, 0x026D },
{"PathIsDirectoryEmptyW", 0x0005149A, NULL, NULL, 0x026E },
{"PathIsDirectoryW", 0x0001AE99, NULL, NULL, 0x026F },
{"PathIsFileSpecA", 0x000473BA, NULL, NULL, 0x0270 },
{"PathIsFileSpecW", 0x0001299E, NULL, NULL, 0x0271 },
{"PathIsLFNFileSpecA", 0x00047CC9, NULL, NULL, 0x0272 },
{"PathIsLFNFileSpecW", 0x000512CA, NULL, NULL, 0x0273 },
{"PathIsNetworkPathA", 0x0004830F, NULL, NULL, 0x0274 },
{"PathIsNetworkPathW", 0x00007DD3, NULL, NULL, 0x0275 },
{"PathIsPrefixA", 0x000472DC, NULL, NULL, 0x0276 },
{"PathIsPrefixW", 0x0001434C, NULL, NULL, 0x0277 },
{"PathIsRelativeA", 0x000192A1, NULL, NULL, 0x0278 },
{"PathIsRelativeW", 0x000067E2, NULL, NULL, 0x0279 },
{"PathIsRootA", 0x00047529, NULL, NULL, 0x027A },
{"PathIsRootW", 0x00007476, NULL, NULL, 0x027B },
{"PathIsSameRootA", 0x0004797D, NULL, NULL, 0x027C },
{"PathIsSameRootW", 0x0005114F, NULL, NULL, 0x027D },
{"PathIsSystemFolderA", 0x0001C76E, NULL, NULL, 0x027E },
{"PathIsSystemFolderW", 0x00051290, NULL, NULL, 0x027F },
{"PathIsUNCA", 0x00018F75, NULL, NULL, 0x0280 },
{"PathIsUNCServerA", 0x00023629, NULL, NULL, 0x0281 },
{"PathIsUNCServerShareA", 0x000473ED, NULL, NULL, 0x0282 },
{"PathIsUNCServerShareW", 0x00007F99, NULL, NULL, 0x0283 },
{"PathIsUNCServerW", 0x00007F73, NULL, NULL, 0x0284 },
{"PathIsUNCW", 0x00006E7F, NULL, NULL, 0x0285 },
{"PathIsURLA", 0x000479C5, NULL, NULL, 0x0286 },
{"PathIsURLW", 0x0000BBA1, NULL, NULL, 0x0287 },
{"PathMakePrettyA", 0x0004808D, NULL, NULL, 0x0288 },
{"PathMakePrettyW", 0x000211BC, NULL, NULL, 0x0289 },
{"PathMakeSystemFolderA", 0x00048842, NULL, NULL, 0x028A },
{"PathMakeSystemFolderW", 0x00004ABF, NULL, NULL, 0x028B },
{"PathMatchSpecA", 0x000478C8, NULL, NULL, 0x028C },
{"PathMatchSpecW", 0x00012866, NULL, NULL, 0x028D },
{"PathParseIconLocationA", 0x000487CC, NULL, NULL, 0x028E },
{"PathParseIconLocationW", 0x0000B0AD, NULL, NULL, 0x028F },
{"PathQuoteSpacesA", 0x000476FC, NULL, NULL, 0x0290 },
{"PathQuoteSpacesW", 0x00051097, NULL, NULL, 0x0291 },
{"PathRelativePathToA", 0x00048FBA, NULL, NULL, 0x0292 },
{"PathRelativePathToW", 0x0001C015, NULL, NULL, 0x0293 },
{"PathRemoveArgsA", 0x00047046, NULL, NULL, 0x0294 },
{"PathRemoveArgsW", 0x0001424B, NULL, NULL, 0x0295 },
{"PathRemoveBackslashA", 0x00048285, NULL, NULL, 0x0296 },
{"PathRemoveBackslashW", 0x000074CF, NULL, NULL, 0x0297 },
{"PathRemoveBlanksA", 0x00048228, NULL, NULL, 0x0298 },
{"PathRemoveBlanksW", 0x0000B02C, NULL, NULL, 0x0299 },
{"PathRemoveExtensionA", 0x0004718E, NULL, NULL, 0x029A },
{"PathRemoveExtensionW", 0x00006903, NULL, NULL, 0x029B },
{"PathRemoveFileSpecA", 0x0004733C, NULL, NULL, 0x029C },
{"PathRemoveFileSpecW", 0x00007C66, NULL, NULL, 0x029D },
{"PathRenameExtensionA", 0x000481D2, NULL, NULL, 0x029E },
{"PathRenameExtensionW", 0x00051442, NULL, NULL, 0x029F },
{"PathSearchAndQualifyA", 0x000474AC, NULL, NULL, 0x02A0 },
{"PathSearchAndQualifyW", 0x0001F633, NULL, NULL, 0x02A1 },
{"PathSetDlgItemPathA", 0x000486F5, NULL, NULL, 0x02A2 },
{"PathSetDlgItemPathW", 0x00051819, NULL, NULL, 0x02A3 },
{"PathSkipRootA", 0x00047918, NULL, NULL, 0x02A4 },
{"PathSkipRootW", 0x000510F2, NULL, NULL, 0x02A5 },
{"PathStripPathA", 0x00048347, NULL, NULL, 0x02A6 },
{"PathStripPathW", 0x0001AB2D, NULL, NULL, 0x02A7 },
{"PathStripToRootA", 0x000482DD, NULL, NULL, 0x02A8 },
{"PathStripToRootW", 0x00008405, NULL, NULL, 0x02A9 },
{"PathUnExpandEnvStringsA", 0x000494A7, NULL, NULL, 0x02AA },
{"PathUnExpandEnvStringsW", 0x00051E99, NULL, NULL, 0x02AB },
{"PathUndecorateA", 0x00047D28, NULL, NULL, 0x02AC },
{"PathUndecorateW", 0x0002CF45, NULL, NULL, 0x02AD },
{"PathUnmakeSystemFolderA", 0x00047C6B, NULL, NULL, 0x02AE },
{"PathUnmakeSystemFolderW", 0x00051256, NULL, NULL, 0x02AF },
{"PathUnquoteSpacesA", 0x000476BE, NULL, NULL, 0x02B0 },
{"PathUnquoteSpacesW", 0x0000AFCF, NULL, NULL, 0x02B1 },
{"SHAutoComplete", 0x000213A7, NULL, NULL, 0x02B2 },
{"SHCopyKeyA", 0x00041624, NULL, NULL, 0x02B3 },
{"SHCopyKeyW", 0x0004188A, NULL, NULL, 0x02B4 },
{"SHCreateShellPalette", 0x00011980, NULL, NULL, 0x02B5 },
{"SHCreateStreamOnFileA", 0x00060256, NULL, NULL, 0x02B6 },
{"SHCreateStreamOnFileEx", 0x0001A1E6, NULL, NULL, 0x02B7 },
{"SHCreateStreamOnFileW", 0x0000B8A9, NULL, NULL, 0x02B8 },
{"SHCreateStreamWrapper", 0x0006326C, NULL, NULL, 0x02B9 },
{"SHCreateThreadRef", 0x00017D00, NULL, NULL, 0x02BA },
{"SHDeleteEmptyKeyA", 0x00041905, NULL, NULL, 0x02BB },
{"SHDeleteEmptyKeyW", 0x00041915, NULL, NULL, 0x02BC },
{"SHDeleteKeyA", 0x00018551, NULL, NULL, 0x02BD },
{"SHDeleteKeyW", 0x00016FD4, NULL, NULL, 0x02BE },
{"SHDeleteOrphanKeyA", 0x00041905, NULL, NULL, 0x02BF },
{"SHDeleteOrphanKeyW", 0x00041915, NULL, NULL, 0x02C0 },
{"SHDeleteValueA", 0x000415E1, NULL, NULL, 0x02C1 },
{"SHDeleteValueW", 0x0001C435, NULL, NULL, 0x02C2 },
{"SHEnumKeyExA", 0x00041979, NULL, NULL, 0x02C3 },
{"SHEnumKeyExW", 0x00015138, NULL, NULL, 0x02C4 },
{"SHEnumValueA", 0x0004199F, NULL, NULL, 0x02C5 },
{"SHEnumValueW", 0x000212B9, NULL, NULL, 0x02C6 },
{"SHGetInverseCMAP", 0x000242A4, NULL, NULL, 0x02C7 },
{"SHGetThreadRef", 0x000126D4, NULL, NULL, 0x02C8 },
{"SHGetValueA", 0x00010103, NULL, NULL, 0x02C9 },
{"SHGetValueW", 0x00004597, NULL, NULL, 0x02CA },
{"SHIsLowMemoryMachine", 0x00056F09, NULL, NULL, 0x02CB },
{"SHOpenRegStream2A", 0x0001B0C4, NULL, NULL, 0x02CC },
{"SHOpenRegStream2W", 0x000124FA, NULL, NULL, 0x02CD },
{"SHOpenRegStreamA", 0x0001BC5C, NULL, NULL, 0x02CE },
{"SHOpenRegStreamW", 0x000623E9, NULL, NULL, 0x02CF },
{"SHQueryInfoKeyA", 0x000419CA, NULL, NULL, 0x02D0 },
{"SHQueryInfoKeyW", 0x0001073C, NULL, NULL, 0x02D1 },
{"SHQueryValueExA", 0x0001022B, NULL, NULL, 0x02D2 },
{"SHQueryValueExW", 0x00006F3E, NULL, NULL, 0x02D3 },
{"SHRegCloseUSKey", 0x00008AE8, NULL, NULL, 0x02D4 },
{"SHRegCreateUSKeyA", 0x0001772F, NULL, NULL, 0x02D5 },
{"SHRegCreateUSKeyW", 0x000176C7, NULL, NULL, 0x02D6 },
{"SHRegDeleteEmptyUSKeyA", 0x00041BD3, NULL, NULL, 0x02D7 },
{"SHRegDeleteEmptyUSKeyW", 0x00041C7A, NULL, NULL, 0x02D8 },
{"SHRegDeleteUSValueA", 0x00041AC7, NULL, NULL, 0x02D9 },
{"SHRegDeleteUSValueW", 0x00041B70, NULL, NULL, 0x02DA },
{"SHRegDuplicateHKey", 0x0000A54F, NULL, NULL, 0x02DB },
{"SHRegEnumUSKeyA", 0x00041CDD, NULL, NULL, 0x02DC },
{"SHRegEnumUSKeyW", 0x000150A1, NULL, NULL, 0x02DD },
{"SHRegEnumUSValueA", 0x00041D67, NULL, NULL, 0x02DE },
{"SHRegEnumUSValueW", 0x00041E07, NULL, NULL, 0x02DF },
{"SHRegGetBoolUSValueA", 0x000211F8, NULL, NULL, 0x02E0 },
{"SHRegGetBoolUSValueW", 0x00008FA4, NULL, NULL, 0x02E1 },
{"SHRegGetPathA", 0x00042304, NULL, NULL, 0x02E2 },
{"SHRegGetPathW", 0x00042331, NULL, NULL, 0x02E3 },
{"SHRegGetUSValueA", 0x0001A892, NULL, NULL, 0x02E4 },
{"SHRegGetUSValueW", 0x00008D02, NULL, NULL, 0x02E5 },
{"SHRegGetValueA", 0x0001006A, NULL, NULL, 0x02E6 },
{"SHRegGetValueW", 0x0000432F, NULL, NULL, 0x02E7 },
{"SHRegOpenUSKeyA", 0x00008B59, NULL, NULL, 0x02E8 },
{"SHRegOpenUSKeyW", 0x00008C9A, NULL, NULL, 0x02E9 },
{"SHRegQueryInfoUSKeyA", 0x00041EA7, NULL, NULL, 0x02EA },
{"SHRegQueryInfoUSKeyW", 0x0001068D, NULL, NULL, 0x02EB },
{"SHRegQueryUSValueA", 0x000151CE, NULL, NULL, 0x02EC },
{"SHRegQueryUSValueW", 0x00008E85, NULL, NULL, 0x02ED },
{"SHRegSetPathA", 0x00041FBE, NULL, NULL, 0x02EE },
{"SHRegSetPathW", 0x00041F30, NULL, NULL, 0x02EF },
{"SHRegSetUSValueA", 0x0004274F, NULL, NULL, 0x02F0 },
{"SHRegSetUSValueW", 0x00018ACB, NULL, NULL, 0x02F1 },
{"SHRegWriteUSValueA", 0x0004209D, NULL, NULL, 0x02F2 },
{"SHRegWriteUSValueW", 0x00014FBD, NULL, NULL, 0x02F3 },
{"SHRegisterValidateTemplate", 0x0005615D, NULL, NULL, 0x02F4 },
{"SHReleaseThreadRef", 0x00056EA8, NULL, NULL, 0x02F5 },
{"SHSetThreadRef", 0x00017CC6, NULL, NULL, 0x02F6 },
{"SHSetValueA", 0x000168DB, NULL, NULL, 0x02F7 },
{"SHSetValueW", 0x0000976F, NULL, NULL, 0x02F8 },
{"SHSkipJunction", 0x0001EBF0, NULL, NULL, 0x02F9 },
{"SHStrDupA", 0x00044BA0, NULL, NULL, 0x02FA },
{"SHStrDupW", 0x00006C73, NULL, NULL, 0x02FB },
{"StrCSpnA", 0x00044724, NULL, NULL, 0x02FC },
{"StrCSpnIA", 0x0004476E, NULL, NULL, 0x02FD },
{"StrCSpnIW", 0x00044CD7, NULL, NULL, 0x02FE },
{"StrCSpnW", 0x000173A3, NULL, NULL, 0x02FF },
{"StrCatBuffA", 0x000232BC, NULL, NULL, 0x0300 },
{"StrCatBuffW", 0x00006B60, NULL, NULL, 0x0301 },
{"StrCatChainW", 0x00044BFC, NULL, NULL, 0x0302 },
{"StrCatW", 0x000104C6, NULL, NULL, 0x0303 },
{"StrChrA", 0x0001AA12, NULL, NULL, 0x0304 },
{"StrChrIA", 0x0002C4AD, NULL, NULL, 0x0305 },
{"StrChrIW", 0x00007E50, NULL, NULL, 0x0306 },
{"StrChrNIW", 0x00044C4B, NULL, NULL, 0x0307 },
{"StrChrNW", 0x000444CC, NULL, NULL, 0x0308 },
{"StrChrW", 0x000066CD, NULL, NULL, 0x0309 },
{"StrCmpIW", 0x00006A9E, NULL, NULL, 0x030A },
{"StrCmpLogicalW", 0x000084A5, NULL, NULL, 0x030B },
{"StrCmpNA", 0x00020F99, NULL, NULL, 0x030C },
{"StrCmpNIA", 0x000107E6, NULL, NULL, 0x030D },
{"StrCmpNIW", 0x00006F94, NULL, NULL, 0x030E },
{"StrCmpNW", 0x00006DF8, NULL, NULL, 0x030F },
{"StrCmpW", 0x00007136, NULL, NULL, 0x0310 },
{"StrCpyNW", 0x00006763, NULL, NULL, 0x0311 },
{"StrCpyW", 0x0000683A, NULL, NULL, 0x0312 },
{"StrDupA", 0x0002CEF4, NULL, NULL, 0x0313 },
{"StrDupW", 0x00006782, NULL, NULL, 0x0314 },
{"StrFormatByteSize64A", 0x00044F9F, NULL, NULL, 0x0315 },
{"StrFormatByteSizeA", 0x00044FE5, NULL, NULL, 0x0316 },
{"StrFormatByteSizeW", 0x0001C9F2, NULL, NULL, 0x0317 },
{"StrFormatKBSizeA", 0x00044961, NULL, NULL, 0x0318 },
{"StrFormatKBSizeW", 0x0001E6D1, NULL, NULL, 0x0319 },
{"StrFromTimeIntervalA", 0x00045280, NULL, NULL, 0x031A },
{"StrFromTimeIntervalW", 0x000452EB, NULL, NULL, 0x031B },
{"StrIsIntlEqualA", 0x000448BD, NULL, NULL, 0x031C },
{"StrIsIntlEqualW", 0x0000761D, NULL, NULL, 0x031D },
{"StrNCatA", 0x0001C913, NULL, NULL, 0x031E },
{"StrNCatW", 0x0002CD85, NULL, NULL, 0x031F },
{"StrPBrkA", 0x00044564, NULL, NULL, 0x0320 },
{"StrPBrkW", 0x0001F699, NULL, NULL, 0x0321 },
{"StrRChrA", 0x00010340, NULL, NULL, 0x0322 },
{"StrRChrIA", 0x000444FF, NULL, NULL, 0x0323 },
{"StrRChrIW", 0x00044C8F, NULL, NULL, 0x0324 },
{"StrRChrW", 0x0000B06E, NULL, NULL, 0x0325 },
{"StrRStrIA", 0x000447B8, NULL, NULL, 0x0326 },
{"StrRStrIW", 0x0001389D, NULL, NULL, 0x0327 },
{"StrRetToBSTR", 0x00044A69, NULL, NULL, 0x0328 },
{"StrRetToBufA", 0x00044B21, NULL, NULL, 0x0329 },
{"StrRetToBufW", 0x00006D3F, NULL, NULL, 0x032A },
{"StrRetToStrA", 0x00045041, NULL, NULL, 0x032B },
{"StrRetToStrW", 0x00012653, NULL, NULL, 0x032C },
{"StrSpnA", 0x00044660, NULL, NULL, 0x032D },
{"StrSpnW", 0x000446CA, NULL, NULL, 0x032E },
{"StrStrA", 0x00014F26, NULL, NULL, 0x032F },
{"StrStrIA", 0x0002C4FE, NULL, NULL, 0x0330 },
{"StrStrIW", 0x00007E8C, NULL, NULL, 0x0331 },
{"StrStrNIW", 0x00044D1D, NULL, NULL, 0x0332 },
{"StrStrNW", 0x0004484C, NULL, NULL, 0x0333 },
{"StrStrW", 0x00006E1C, NULL, NULL, 0x0334 },
{"StrToInt64ExA", 0x000445B4, NULL, NULL, 0x0335 },
{"StrToInt64ExW", 0x0001BB70, NULL, NULL, 0x0336 },
{"StrToIntA", 0x00016A75, NULL, NULL, 0x0337 },
{"StrToIntExA", 0x00044633, NULL, NULL, 0x0338 },
{"StrToIntExW", 0x0001BB43, NULL, NULL, 0x0339 },
{"StrToIntW", 0x0000AF84, NULL, NULL, 0x033A },
{"StrTrimA", 0x000449B0, NULL, NULL, 0x033B },
{"StrTrimW", 0x00012F27, NULL, NULL, 0x033C },
{"UrlApplySchemeA", 0x0005FAEF, NULL, NULL, 0x033D },
{"UrlApplySchemeW", 0x0005FBCA, NULL, NULL, 0x033E },
{"UrlCanonicalizeA", 0x00016865, NULL, NULL, 0x033F },
{"UrlCanonicalizeW", 0x0001E091, NULL, NULL, 0x0340 },
{"UrlCombineA", 0x000166B0, NULL, NULL, 0x0341 },
{"UrlCombineW", 0x0001E199, NULL, NULL, 0x0342 },
{"UrlCompareA", 0x0005EDAD, NULL, NULL, 0x0343 },
{"UrlCompareW", 0x000239FD, NULL, NULL, 0x0344 },
{"UrlCreateFromPathA", 0x0005FA02, NULL, NULL, 0x0345 },
{"UrlCreateFromPathW", 0x0001D8FA, NULL, NULL, 0x0346 },
{"UrlEscapeA", 0x0005F77D, NULL, NULL, 0x0347 },
{"UrlEscapeW", 0x00021A6A, NULL, NULL, 0x0348 },
{"UrlGetLocationA", 0x00021EF2, NULL, NULL, 0x0349 },
{"UrlGetLocationW", 0x000225D7, NULL, NULL, 0x034A },
{"UrlGetPartA", 0x0005F86A, NULL, NULL, 0x034B },
{"UrlGetPartW", 0x0000CCBB, NULL, NULL, 0x034C },
{"UrlHashA", 0x0005EEC2, NULL, NULL, 0x034D },
{"UrlHashW", 0x0005EEFD, NULL, NULL, 0x034E },
{"UrlIsA", 0x0005FF49, NULL, NULL, 0x034F },
{"UrlIsNoHistoryA", 0x00060026, NULL, NULL, 0x0350 },
{"UrlIsNoHistoryW", 0x0001D9B2, NULL, NULL, 0x0351 },
{"UrlIsOpaqueA", 0x0006000E, NULL, NULL, 0x0352 },
{"UrlIsOpaqueW", 0x00023242, NULL, NULL, 0x0353 },
{"UrlIsW", 0x0000BCBC, NULL, NULL, 0x0354 },
{"UrlUnescapeA", 0x0005F970, NULL, NULL, 0x0355 },
{"UrlUnescapeW", 0x0001DF4C, NULL, NULL, 0x0356 },
{"wnsprintfA", 0x0000828C, NULL, NULL, 0x0357 },
{"wnsprintfW", 0x000093F6, NULL, NULL, 0x0358 },
{"wvnsprintfA", 0x00008012, NULL, NULL, 0x0359 },
{"wvnsprintfW", 0x00009201, NULL, NULL, 0x035A },
{0,0,NULL,NULL},
};


struct emu_env_w32_dll_export advapi32_exports[] = 
{
{"I_ScGetCurrentGroupStateW", 0x00066924, NULL, NULL, 0x0001 },
{"A_SHAFinal", 0x0002B22D, NULL, NULL, 0x0002 },
{"A_SHAInit", 0x0002B17D, NULL, NULL, 0x0003 },
{"A_SHAUpdate", 0x0002B1D1, NULL, NULL, 0x0004 },
{"AbortSystemShutdownA", 0x00064EB8, NULL, NULL, 0x0005 },
{"AbortSystemShutdownW", 0x0002D45B, NULL, NULL, 0x0006 },
{"AccessCheck", 0x000073A0, NULL, NULL, 0x0007 },
{"AccessCheckAndAuditAlarmA", 0x0003CE49, NULL, NULL, 0x0008 },
{"AccessCheckAndAuditAlarmW", 0x0002BC6C, NULL, NULL, 0x0009 },
{"AccessCheckByType", 0x0000F1C9, NULL, NULL, 0x000A },
{"AccessCheckByTypeAndAuditAlarmA", 0x0003CF2F, NULL, NULL, 0x000B },
{"AccessCheckByTypeAndAuditAlarmW", 0x0003CC37, NULL, NULL, 0x000C },
{"AccessCheckByTypeResultList", 0x0003CB61, NULL, NULL, 0x000D },
{"AccessCheckByTypeResultListAndAuditAlarmA", 0x0003D024, NULL, NULL, 0x000E },
{"AccessCheckByTypeResultListAndAuditAlarmByHandleA", 0x0003D119, NULL, NULL, 0x000F },
{"AccessCheckByTypeResultListAndAuditAlarmByHandleW", 0x0003CD94, NULL, NULL, 0x0010 },
{"AccessCheckByTypeResultListAndAuditAlarmW", 0x0003CCE2, NULL, NULL, 0x0011 },
{"AddAccessAllowedAce", 0x00007D31, NULL, NULL, 0x0012 },
{"AddAccessAllowedAceEx", 0x00012ED8, NULL, NULL, 0x0013 },
{"AddAccessAllowedObjectAce", 0x0003D40C, NULL, NULL, 0x0014 },
{"AddAccessDeniedAce", 0x0002814F, NULL, NULL, 0x0015 },
{"AddAccessDeniedAceEx", 0x0003D33F, NULL, NULL, 0x0016 },
{"AddAccessDeniedObjectAce", 0x0003D45A, NULL, NULL, 0x0017 },
{"AddAce", 0x00027EA3, NULL, NULL, 0x0018 },
{"AddAuditAccessAce", 0x0003D387, NULL, NULL, 0x0019 },
{"AddAuditAccessAceEx", 0x0003D3BE, NULL, NULL, 0x001A },
{"AddAuditAccessObjectAce", 0x0003D4A8, NULL, NULL, 0x001B },
{"AddUsersToEncryptedFile", 0x00043583, NULL, NULL, 0x001C },
{"AdjustTokenGroups", 0x0003CC00, NULL, NULL, 0x001D },
{"AdjustTokenPrivileges", 0x0000F00C, NULL, NULL, 0x001E },
{"AllocateAndInitializeSid", 0x00007CC9, NULL, NULL, 0x001F },
{"AllocateLocallyUniqueId", 0x0000748C, NULL, NULL, 0x0020 },
{"AreAllAccessesGranted", 0x0002BD7B, NULL, NULL, 0x0021 },
{"AreAnyAccessesGranted", 0x0002D27D, NULL, NULL, 0x0022 },
{"BackupEventLogA", 0x0003C8E0, NULL, NULL, 0x0023 },
{"BackupEventLogW", 0x0003C384, NULL, NULL, 0x0024 },
{"BuildExplicitAccessWithNameA", 0x00052374, NULL, NULL, 0x0025 },
{"BuildExplicitAccessWithNameW", 0x00052374, NULL, NULL, 0x0026 },
{"BuildImpersonateExplicitAccessWithNameA", 0x000523A4, NULL, NULL, 0x0027 },
{"BuildImpersonateExplicitAccessWithNameW", 0x000523A4, NULL, NULL, 0x0028 },
{"BuildImpersonateTrusteeA", 0x000524FE, NULL, NULL, 0x0029 },
{"BuildImpersonateTrusteeW", 0x000524FE, NULL, NULL, 0x002A },
{"BuildSecurityDescriptorA", 0x00051EE0, NULL, NULL, 0x002B },
{"BuildSecurityDescriptorW", 0x00051CA5, NULL, NULL, 0x002C },
{"BuildTrusteeWithNameA", 0x000524D6, NULL, NULL, 0x002D },
{"BuildTrusteeWithNameW", 0x000524D6, NULL, NULL, 0x002E },
{"BuildTrusteeWithObjectsAndNameA", 0x000525DA, NULL, NULL, 0x002F },
{"BuildTrusteeWithObjectsAndNameW", 0x000525DA, NULL, NULL, 0x0030 },
{"BuildTrusteeWithObjectsAndSidA", 0x0005253F, NULL, NULL, 0x0031 },
{"BuildTrusteeWithObjectsAndSidW", 0x0005253F, NULL, NULL, 0x0032 },
{"BuildTrusteeWithSidA", 0x0005251B, NULL, NULL, 0x0033 },
{"BuildTrusteeWithSidW", 0x0005251B, NULL, NULL, 0x0034 },
{"CancelOverlappedAccess", 0x00053709, NULL, NULL, 0x0035 },
{"ChangeServiceConfig2A", 0x00067101, NULL, NULL, 0x0036 },
{"ChangeServiceConfig2W", 0x00067189, NULL, NULL, 0x0037 },
{"ChangeServiceConfigA", 0x00066E69, NULL, NULL, 0x0038 },
{"ChangeServiceConfigW", 0x00067001, NULL, NULL, 0x0039 },
{"CheckTokenMembership", 0x00007FCA, NULL, NULL, 0x003A },
{"ClearEventLogA", 0x0003C877, NULL, NULL, 0x003B },
{"ClearEventLogW", 0x0003C265, NULL, NULL, 0x003C },
{"CloseCodeAuthzLevel", 0x0000AF98, NULL, NULL, 0x003D },
{"CloseEncryptedFileRaw", 0x0004349C, NULL, NULL, 0x003E },
{"CloseEventLog", 0x000254BD, NULL, NULL, 0x003F },
{"CloseServiceHandle", 0x00016CE5, NULL, NULL, 0x0040 },
{"CloseTrace", 0x00056DD0, NULL, NULL, 0x0041 },
{"CommandLineFromMsiDescriptor", 0x0002BE16, NULL, NULL, 0x0042 },
{"ComputeAccessTokenFromCodeAuthzLevel", 0x0000AB3D, NULL, NULL, 0x0043 },
{"ControlService", 0x00024A09, NULL, NULL, 0x0044 },
{"ControlTraceA", 0x0005A029, NULL, NULL, 0x0045 },
{"ControlTraceW", 0x0002CCED, NULL, NULL, 0x0046 },
{"ConvertAccessToSecurityDescriptorA", 0x00052E01, NULL, NULL, 0x0047 },
{"ConvertAccessToSecurityDescriptorW", 0x00052DC5, NULL, NULL, 0x0048 },
{"ConvertSDToStringSDRootDomainA", 0x00044B5A, NULL, NULL, 0x0049 },
{"ConvertSDToStringSDRootDomainW", 0x00044976, NULL, NULL, 0x004A },
{"ConvertSecurityDescriptorToAccessA", 0x000530DF, NULL, NULL, 0x004B },
{"ConvertSecurityDescriptorToAccessNamedA", 0x000530DF, NULL, NULL, 0x004C },
{"ConvertSecurityDescriptorToAccessNamedW", 0x000530BA, NULL, NULL, 0x004D },
{"ConvertSecurityDescriptorToAccessW", 0x000530BA, NULL, NULL, 0x004E },
{"ConvertSecurityDescriptorToStringSecurityDescriptorA", 0x00044DCC, NULL, NULL, 0x004F },
{"ConvertSecurityDescriptorToStringSecurityDescriptorW", 0x00044A45, NULL, NULL, 0x0050 },
{"ConvertSidToStringSidA", 0x0002C18D, NULL, NULL, 0x0051 },
{"ConvertSidToStringSidW", 0x0000F10F, NULL, NULL, 0x0052 },
{"ConvertStringSDToSDDomainA", 0x00044C38, NULL, NULL, 0x0053 },
{"ConvertStringSDToSDDomainW", 0x000449CE, NULL, NULL, 0x0054 },
{"ConvertStringSDToSDRootDomainA", 0x00044ADC, NULL, NULL, 0x0055 },
{"ConvertStringSDToSDRootDomainW", 0x00044923, NULL, NULL, 0x0056 },
{"ConvertStringSecurityDescriptorToSecurityDescriptorA", 0x00044D51, NULL, NULL, 0x0057 },
{"ConvertStringSecurityDescriptorToSecurityDescriptorW", 0x00012F06, NULL, NULL, 0x0058 },
{"ConvertStringSidToSidA", 0x00044CDC, NULL, NULL, 0x0059 },
{"ConvertStringSidToSidW", 0x00024457, NULL, NULL, 0x005A },
{"ConvertToAutoInheritPrivateObjectSecurity", 0x0003D5A8, NULL, NULL, 0x005B },
{"CopySid", 0x0000F0E7, NULL, NULL, 0x005C },
{"CreateCodeAuthzLevel", 0x0004E9C5, NULL, NULL, 0x005D },
{"CreatePrivateObjectSecurity", 0x0003D571, NULL, NULL, 0x005E },
{"CreatePrivateObjectSecurityEx", 0x00014F2E, NULL, NULL, 0x005F },
{"CreatePrivateObjectSecurityWithMultipleInheritance", 0x0003D5DE, NULL, NULL, 0x0060 },
{"CreateProcessAsUserA", 0x00040CE8, NULL, NULL, 0x0061 },
{"CreateProcessAsUserSecure", 0x00040ADD, NULL, NULL, 0x0062 },
{"CreateProcessAsUserW", 0x0001A8A9, NULL, NULL, 0x0063 },
{"CreateProcessWithLogonW", 0x00045FFD, NULL, NULL, 0x0064 },
{"CreateRestrictedToken", 0x0003DC8C, NULL, NULL, 0x0065 },
{"CreateServiceA", 0x00067211, NULL, NULL, 0x0066 },
{"CreateServiceW", 0x000673A9, NULL, NULL, 0x0067 },
{"CreateTraceInstanceId", 0x0005ADCB, NULL, NULL, 0x0068 },
{"CreateWellKnownSid", 0x0002519D, NULL, NULL, 0x0069 },
{"CredDeleteA", 0x00048509, NULL, NULL, 0x006A },
{"CredDeleteW", 0x000485B1, NULL, NULL, 0x006B },
{"CredEnumerateA", 0x00047FA9, NULL, NULL, 0x006C },
{"CredEnumerateW", 0x00048099, NULL, NULL, 0x006D },
{"CredFree", 0x0001DF8D, NULL, NULL, 0x006E },
{"CredGetSessionTypes", 0x000489A9, NULL, NULL, 0x006F },
{"CredGetTargetInfoA", 0x00048809, NULL, NULL, 0x0070 },
{"CredGetTargetInfoW", 0x000488D9, NULL, NULL, 0x0071 },
{"CredIsMarshaledCredentialA", 0x00048F80, NULL, NULL, 0x0072 },
{"CredIsMarshaledCredentialW", 0x00048E9E, NULL, NULL, 0x0073 },
{"CredMarshalCredentialA", 0x00048ECC, NULL, NULL, 0x0074 },
{"CredMarshalCredentialW", 0x00048DC6, NULL, NULL, 0x0075 },
{"CredProfileLoaded", 0x0001E0F5, NULL, NULL, 0x0076 },
{"CredReadA", 0x00047DF9, NULL, NULL, 0x0077 },
{"CredReadDomainCredentialsA", 0x00048329, NULL, NULL, 0x0078 },
{"CredReadDomainCredentialsW", 0x00048419, NULL, NULL, 0x0079 },
{"CredReadW", 0x00047ED1, NULL, NULL, 0x007A },
{"CredRenameA", 0x00048659, NULL, NULL, 0x007B },
{"CredRenameW", 0x00048731, NULL, NULL, 0x007C },
{"CredUnmarshalCredentialA", 0x00048F17, NULL, NULL, 0x007D },
{"CredUnmarshalCredentialW", 0x00026EDE, NULL, NULL, 0x007E },
{"CredWriteA", 0x00047CB9, NULL, NULL, 0x007F },
{"CredWriteDomainCredentialsA", 0x00048189, NULL, NULL, 0x0080 },
{"CredWriteDomainCredentialsW", 0x00048259, NULL, NULL, 0x0081 },
{"CredWriteW", 0x00047D59, NULL, NULL, 0x0082 },
{"CredpConvertCredential", 0x0004782D, NULL, NULL, 0x0083 },
{"CredpConvertTargetInfo", 0x000478D1, NULL, NULL, 0x0084 },
{"CredpDecodeCredential", 0x00047360, NULL, NULL, 0x0085 },
{"CredpEncodeCredential", 0x000472F8, NULL, NULL, 0x0086 },
{"CryptAcquireContextA", 0x0001793D, NULL, NULL, 0x0087 },
{"CryptAcquireContextW", 0x00017F99, NULL, NULL, 0x0088 },
{"CryptContextAddRef", 0x00041070, NULL, NULL, 0x0089 },
{"CryptCreateHash", 0x00019C71, NULL, NULL, 0x008A },
{"CryptDecrypt", 0x0001A129, NULL, NULL, 0x008B },
{"CryptDeriveKey", 0x00019FFD, NULL, NULL, 0x008C },
{"CryptDestroyHash", 0x00019BCC, NULL, NULL, 0x008D },
{"CryptDestroyKey", 0x00019EBC, NULL, NULL, 0x008E },
{"CryptDuplicateHash", 0x00041CF9, NULL, NULL, 0x008F },
{"CryptDuplicateKey", 0x00041939, NULL, NULL, 0x0090 },
{"CryptEncrypt", 0x0001E360, NULL, NULL, 0x0091 },
{"CryptEnumProviderTypesA", 0x00041201, NULL, NULL, 0x0092 },
{"CryptEnumProviderTypesW", 0x000429A1, NULL, NULL, 0x0093 },
{"CryptEnumProvidersA", 0x00041461, NULL, NULL, 0x0094 },
{"CryptEnumProvidersW", 0x00042B09, NULL, NULL, 0x0095 },
{"CryptExportKey", 0x00041BF9, NULL, NULL, 0x0096 },
{"CryptGenKey", 0x00041849, NULL, NULL, 0x0097 },
{"CryptGenRandom", 0x0002B3F4, NULL, NULL, 0x0098 },
{"CryptGetDefaultProviderA", 0x000426E1, NULL, NULL, 0x0099 },
{"CryptGetDefaultProviderW", 0x00042D89, NULL, NULL, 0x009A },
{"CryptGetHashParam", 0x00019DB4, NULL, NULL, 0x009B },
{"CryptGetKeyParam", 0x00021298, NULL, NULL, 0x009C },
{"CryptGetProvParam", 0x00021339, NULL, NULL, 0x009D },
{"CryptGetUserKey", 0x00041B21, NULL, NULL, 0x009E },
{"CryptHashData", 0x00019A9E, NULL, NULL, 0x009F },
{"CryptHashSessionKey", 0x00041E21, NULL, NULL, 0x00A0 },
{"CryptImportKey", 0x0001A1F1, NULL, NULL, 0x00A1 },
{"CryptReleaseContext", 0x00017EEE, NULL, NULL, 0x00A2 },
{"CryptSetHashParam", 0x00042091, NULL, NULL, 0x00A3 },
{"CryptSetKeyParam", 0x00041A51, NULL, NULL, 0x00A4 },
{"CryptSetProvParam", 0x000410F1, NULL, NULL, 0x00A5 },
{"CryptSetProviderA", 0x00042161, NULL, NULL, 0x00A6 },
{"CryptSetProviderExA", 0x00042329, NULL, NULL, 0x00A7 },
{"CryptSetProviderExW", 0x00042CF1, NULL, NULL, 0x00A8 },
{"CryptSetProviderW", 0x00042C61, NULL, NULL, 0x00A9 },
{"CryptSignHashA", 0x00041FE1, NULL, NULL, 0x00AA },
{"CryptSignHashW", 0x00041FD1, NULL, NULL, 0x00AB },
{"CryptVerifySignatureA", 0x0002C841, NULL, NULL, 0x00AC },
{"CryptVerifySignatureW", 0x00023522, NULL, NULL, 0x00AD },
{"DecryptFileA", 0x00043741, NULL, NULL, 0x00AE },
{"DecryptFileW", 0x000433CF, NULL, NULL, 0x00AF },
{"DeleteAce", 0x0002D29A, NULL, NULL, 0x00B0 },
{"DeleteService", 0x000674B1, NULL, NULL, 0x00B1 },
{"DeregisterEventSource", 0x000279D3, NULL, NULL, 0x00B2 },
{"DestroyPrivateObjectSecurity", 0x00014F0C, NULL, NULL, 0x00B3 },
{"DuplicateEncryptionInfoFile", 0x000435EA, NULL, NULL, 0x00B4 },
{"DuplicateToken", 0x00008211, NULL, NULL, 0x00B5 },
{"DuplicateTokenEx", 0x0000819E, NULL, NULL, 0x00B6 },
{"ElfBackupEventLogFileA", 0x00068AE1, NULL, NULL, 0x00B7 },
{"ElfBackupEventLogFileW", 0x00068899, NULL, NULL, 0x00B8 },
{"ElfChangeNotify", 0x00068726, NULL, NULL, 0x00B9 },
{"ElfClearEventLogFileA", 0x00068A79, NULL, NULL, 0x00BA },
{"ElfClearEventLogFileW", 0x00068831, NULL, NULL, 0x00BB },
{"ElfCloseEventLog", 0x000254DE, NULL, NULL, 0x00BC },
{"ElfDeregisterEventSource", 0x000279F4, NULL, NULL, 0x00BD },
{"ElfFlushEventLog", 0x00068B81, NULL, NULL, 0x00BE },
{"ElfNumberOfRecords", 0x00025DAF, NULL, NULL, 0x00BF },
{"ElfOldestRecord", 0x00025E44, NULL, NULL, 0x00C0 },
{"ElfOpenBackupEventLogA", 0x000689E1, NULL, NULL, 0x00C1 },
{"ElfOpenBackupEventLogW", 0x00068799, NULL, NULL, 0x00C2 },
{"ElfOpenEventLogA", 0x00025EF7, NULL, NULL, 0x00C3 },
{"ElfOpenEventLogW", 0x000210CF, NULL, NULL, 0x00C4 },
{"ElfReadEventLogA", 0x00025CD7, NULL, NULL, 0x00C5 },
{"ElfReadEventLogW", 0x00068939, NULL, NULL, 0x00C6 },
{"ElfRegisterEventSourceA", 0x00027BA7, NULL, NULL, 0x00C7 },
{"ElfRegisterEventSourceW", 0x00028083, NULL, NULL, 0x00C8 },
{"ElfReportEventA", 0x00027DD5, NULL, NULL, 0x00C9 },
{"ElfReportEventW", 0x000237A5, NULL, NULL, 0x00CA },
{"EnableTrace", 0x0005A5D5, NULL, NULL, 0x00CB },
{"EncryptFileA", 0x000436AC, NULL, NULL, 0x00CC },
{"EncryptFileW", 0x00043390, NULL, NULL, 0x00CD },
{"EncryptedFileKeyInfo", 0x00043651, NULL, NULL, 0x00CE },
{"EncryptionDisable", 0x00043625, NULL, NULL, 0x00CF },
{"EnumDependentServicesA", 0x00067529, NULL, NULL, 0x00D0 },
{"EnumDependentServicesW", 0x000675E1, NULL, NULL, 0x00D1 },
{"EnumServiceGroupW", 0x00066A89, NULL, NULL, 0x00D2 },
{"EnumServicesStatusA", 0x00026B47, NULL, NULL, 0x00D3 },
{"EnumServicesStatusExA", 0x00066C2F, NULL, NULL, 0x00D4 },
{"EnumServicesStatusExW", 0x000669B8, NULL, NULL, 0x00D5 },
{"EnumServicesStatusW", 0x00067D61, NULL, NULL, 0x00D6 },
{"EnumerateTraceGuids", 0x0005AE81, NULL, NULL, 0x00D7 },
{"EqualDomainSid", 0x0003DF09, NULL, NULL, 0x00D8 },
{"EqualPrefixSid", 0x0003D2E9, NULL, NULL, 0x00D9 },
{"EqualSid", 0x0000F07A, NULL, NULL, 0x00DA },
{"FileEncryptionStatusA", 0x000437D9, NULL, NULL, 0x00DB },
{"FileEncryptionStatusW", 0x00043412, NULL, NULL, 0x00DC },
{"FindFirstFreeAce", 0x0003D4FC, NULL, NULL, 0x00DD },
{"FlushTraceA", 0x0005B0BB, NULL, NULL, 0x00DE },
{"FlushTraceW", 0x0005B0DC, NULL, NULL, 0x00DF },
{"FreeEncryptedFileKeyInfo", 0x0004368C, NULL, NULL, 0x00E0 },
{"FreeEncryptionCertificateHashList", 0x000434ED, NULL, NULL, 0x00E1 },
{"FreeInheritedFromArray", 0x000524B2, NULL, NULL, 0x00E2 },
{"FreeSid", 0x00007CB8, NULL, NULL, 0x00E3 },
{"GetAccessPermissionsForObjectA", 0x00053869, NULL, NULL, 0x00E4 },
{"GetAccessPermissionsForObjectW", 0x00053781, NULL, NULL, 0x00E5 },
{"GetAce", 0x00014C33, NULL, NULL, 0x00E6 },
{"GetAclInformation", 0x00027E78, NULL, NULL, 0x00E7 },
{"GetAuditedPermissionsFromAclA", 0x00051C5F, NULL, NULL, 0x00E8 },
{"GetAuditedPermissionsFromAclW", 0x00051C0E, NULL, NULL, 0x00E9 },
{"GetCurrentHwProfileA", 0x0003CA61, NULL, NULL, 0x00EA },
{"GetCurrentHwProfileW", 0x00020A75, NULL, NULL, 0x00EB },
{"GetEffectiveRightsFromAclA", 0x00051B97, NULL, NULL, 0x00EC },
{"GetEffectiveRightsFromAclW", 0x00051B37, NULL, NULL, 0x00ED },
{"GetEventLogInformation", 0x00020FE8, NULL, NULL, 0x00EE },
{"GetExplicitEntriesFromAclA", 0x00051C01, NULL, NULL, 0x00EF },
{"GetExplicitEntriesFromAclW", 0x00051BE3, NULL, NULL, 0x00F0 },
{"GetFileSecurityA", 0x0003D723, NULL, NULL, 0x00F1 },
{"GetFileSecurityW", 0x0002C003, NULL, NULL, 0x00F2 },
{"GetInformationCodeAuthzLevelW", 0x0001FCF0, NULL, NULL, 0x00F3 },
{"GetInformationCodeAuthzPolicyW", 0x000299DD, NULL, NULL, 0x00F4 },
{"GetInheritanceSourceA", 0x000524A7, NULL, NULL, 0x00F5 },
{"GetInheritanceSourceW", 0x0005246C, NULL, NULL, 0x00F6 },
{"GetKernelObjectSecurity", 0x00014F65, NULL, NULL, 0x00F7 },
{"GetLengthSid", 0x00007D5C, NULL, NULL, 0x00F8 },
{"GetLocalManagedApplicationData", 0x0004D48B, NULL, NULL, 0x00F9 },
{"GetLocalManagedApplications", 0x0004D25A, NULL, NULL, 0x00FA },
{"GetManagedApplicationCategories", 0x0004D767, NULL, NULL, 0x00FB },
{"GetManagedApplications", 0x0004D6AF, NULL, NULL, 0x00FC },
{"GetMultipleTrusteeA", 0x00052698, NULL, NULL, 0x00FD },
{"GetMultipleTrusteeOperationA", 0x0005267C, NULL, NULL, 0x00FE },
{"GetMultipleTrusteeOperationW", 0x0005267C, NULL, NULL, 0x00FF },
{"GetMultipleTrusteeW", 0x00052698, NULL, NULL, 0x0100 },
{"GetNamedSecurityInfoA", 0x000518E4, NULL, NULL, 0x0101 },
{"GetNamedSecurityInfoExA", 0x00052881, NULL, NULL, 0x0102 },
{"GetNamedSecurityInfoExW", 0x000526B3, NULL, NULL, 0x0103 },
{"GetNamedSecurityInfoW", 0x00014FE6, NULL, NULL, 0x0104 },
{"GetNumberOfEventLogRecords", 0x00025D8B, NULL, NULL, 0x0105 },
{"GetOldestEventLogRecord", 0x00025E20, NULL, NULL, 0x0106 },
{"GetOverlappedAccessResults", 0x000535F1, NULL, NULL, 0x0107 },
{"GetPrivateObjectSecurity", 0x0003D689, NULL, NULL, 0x0108 },
{"GetSecurityDescriptorControl", 0x00014BB9, NULL, NULL, 0x0109 },
{"GetSecurityDescriptorDacl", 0x000073E7, NULL, NULL, 0x010A },
{"GetSecurityDescriptorGroup", 0x00014B87, NULL, NULL, 0x010B },
{"GetSecurityDescriptorLength", 0x000074BB, NULL, NULL, 0x010C },
{"GetSecurityDescriptorOwner", 0x00014B55, NULL, NULL, 0x010D },
{"GetSecurityDescriptorRMControl", 0x0003DDE0, NULL, NULL, 0x010E },
{"GetSecurityDescriptorSacl", 0x0003D52C, NULL, NULL, 0x010F },
{"GetSecurityInfo", 0x00024E48, NULL, NULL, 0x0110 },
{"GetSecurityInfoExA", 0x00052C32, NULL, NULL, 0x0111 },
{"GetSecurityInfoExW", 0x00052A2F, NULL, NULL, 0x0112 },
{"GetServiceDisplayNameA", 0x00067699, NULL, NULL, 0x0113 },
{"GetServiceDisplayNameW", 0x00067739, NULL, NULL, 0x0114 },
{"GetServiceKeyNameA", 0x000677D9, NULL, NULL, 0x0115 },
{"GetServiceKeyNameW", 0x00067879, NULL, NULL, 0x0116 },
{"GetSidIdentifierAuthority", 0x0000F23B, NULL, NULL, 0x0117 },
{"GetSidLengthRequired", 0x00015569, NULL, NULL, 0x0118 },
{"GetSidSubAuthority", 0x00015550, NULL, NULL, 0x0119 },
{"GetSidSubAuthorityCount", 0x00015582, NULL, NULL, 0x011A },
{"GetTokenInformation", 0x00007305, NULL, NULL, 0x011B },
{"GetTraceEnableFlags", 0x0005AD86, NULL, NULL, 0x011C },
{"GetTraceEnableLevel", 0x0005AD41, NULL, NULL, 0x011D },
{"GetTraceLoggerHandle", 0x0005AC89, NULL, NULL, 0x011E },
{"GetTrusteeFormA", 0x0005265F, NULL, NULL, 0x011F },
{"GetTrusteeFormW", 0x0005265F, NULL, NULL, 0x0120 },
{"GetTrusteeNameA", 0x0005262F, NULL, NULL, 0x0121 },
{"GetTrusteeNameW", 0x0005262F, NULL, NULL, 0x0122 },
{"GetTrusteeTypeA", 0x00052643, NULL, NULL, 0x0123 },
{"GetTrusteeTypeW", 0x00052643, NULL, NULL, 0x0124 },
{"GetUserNameA", 0x000154C4, NULL, NULL, 0x0125 },
{"GetUserNameW", 0x0001496D, NULL, NULL, 0x0126 },
{"GetWindowsAccountDomainSid", 0x0003DE21, NULL, NULL, 0x0127 },
{"I_ScIsSecurityProcess", 0x000211E8, NULL, NULL, 0x0128 },
{"I_ScPnPGetServiceName", 0x00026EA0, NULL, NULL, 0x0129 },
{"I_ScSendTSMessage", 0x00024F2B, NULL, NULL, 0x012A },
{"I_ScSetServiceBitsA", 0x00066B69, NULL, NULL, 0x012B },
{"I_ScSetServiceBitsW", 0x0001E429, NULL, NULL, 0x012C },
{"IdentifyCodeAuthzLevelW", 0x00009EC8, NULL, NULL, 0x012D },
{"ImpersonateAnonymousToken", 0x00014C5B, NULL, NULL, 0x012E },
{"ImpersonateLoggedOnUser", 0x0000DA49, NULL, NULL, 0x012F },
{"ImpersonateNamedPipeClient", 0x00007426, NULL, NULL, 0x0130 },
{"ImpersonateSelf", 0x00014EE0, NULL, NULL, 0x0131 },
{"InitializeAcl", 0x00007D09, NULL, NULL, 0x0132 },
{"InitializeSecurityDescriptor", 0x000079C6, NULL, NULL, 0x0133 },
{"InitializeSid", 0x0001568B, NULL, NULL, 0x0134 },
{"InitiateSystemShutdownA", 0x00064D7F, NULL, NULL, 0x0135 },
{"InitiateSystemShutdownExA", 0x00064E1A, NULL, NULL, 0x0136 },
{"InitiateSystemShutdownExW", 0x00064CE5, NULL, NULL, 0x0137 },
{"InitiateSystemShutdownW", 0x00064C51, NULL, NULL, 0x0138 },
{"InstallApplication", 0x0004D7B7, NULL, NULL, 0x0139 },
{"IsTextUnicode", 0x0002BD35, NULL, NULL, 0x013A },
{"IsTokenRestricted", 0x000148C9, NULL, NULL, 0x013B },
{"IsTokenUntrusted", 0x0004EC9E, NULL, NULL, 0x013C },
{"IsValidAcl", 0x00027F17, NULL, NULL, 0x013D },
{"IsValidSecurityDescriptor", 0x00014C11, NULL, NULL, 0x013E },
{"IsValidSid", 0x0000F219, NULL, NULL, 0x013F },
{"IsWellKnownSid", 0x000278AB, NULL, NULL, 0x0140 },
{"LockServiceDatabase", 0x00067919, NULL, NULL, 0x0141 },
{"LogonUserA", 0x0004100E, NULL, NULL, 0x0142 },
{"LogonUserExA", 0x0004103B, NULL, NULL, 0x0143 },
{"LogonUserExExW", 0x0004012A, NULL, NULL, 0x0144 },
{"LogonUserExW", 0x000245A3, NULL, NULL, 0x0145 },
{"LogonUserW", 0x000400FD, NULL, NULL, 0x0146 },
{"LookupAccountNameA", 0x0003D78F, NULL, NULL, 0x0147 },
{"LookupAccountNameW", 0x00015B59, NULL, NULL, 0x0148 },
{"LookupAccountSidA", 0x0003D8EC, NULL, NULL, 0x0149 },
{"LookupAccountSidW", 0x00015707, NULL, NULL, 0x014A },
{"LookupPrivilegeDisplayNameA", 0x0003E46C, NULL, NULL, 0x014B },
{"LookupPrivilegeDisplayNameW", 0x0003DB6F, NULL, NULL, 0x014C },
{"LookupPrivilegeNameA", 0x0003E34E, NULL, NULL, 0x014D },
{"LookupPrivilegeNameW", 0x0003DA6B, NULL, NULL, 0x014E },
{"LookupPrivilegeValueA", 0x0002C238, NULL, NULL, 0x014F },
{"LookupPrivilegeValueW", 0x0002B8DF, NULL, NULL, 0x0150 },
{"LookupSecurityDescriptorPartsA", 0x00052180, NULL, NULL, 0x0151 },
{"LookupSecurityDescriptorPartsW", 0x00051FD1, NULL, NULL, 0x0152 },
{"LsaAddAccountRights", 0x0004ABF1, NULL, NULL, 0x0153 },
{"LsaAddPrivilegesToAccount", 0x0004BB09, NULL, NULL, 0x0154 },
{"LsaClearAuditLog", 0x0004B069, NULL, NULL, 0x0155 },
{"LsaClose", 0x00011EF4, NULL, NULL, 0x0156 },
{"LsaCreateAccount", 0x0004B431, NULL, NULL, 0x0157 },
{"LsaCreateSecret", 0x0004B991, NULL, NULL, 0x0158 },
{"LsaCreateTrustedDomain", 0x0004B539, NULL, NULL, 0x0159 },
{"LsaCreateTrustedDomainEx", 0x0004A1B1, NULL, NULL, 0x015A },
{"LsaDelete", 0x0004B201, NULL, NULL, 0x015B },
{"LsaDeleteTrustedDomain", 0x00049965, NULL, NULL, 0x015C },
{"LsaEnumerateAccountRights", 0x000160AF, NULL, NULL, 0x015D },
{"LsaEnumerateAccounts", 0x0004B4A1, NULL, NULL, 0x015E },
{"LsaEnumerateAccountsWithUserRight", 0x0004AB39, NULL, NULL, 0x015F },
{"LsaEnumeratePrivileges", 0x0004B8F9, NULL, NULL, 0x0160 },
{"LsaEnumeratePrivilegesOfAccount", 0x0004BA99, NULL, NULL, 0x0161 },
{"LsaEnumerateTrustedDomains", 0x0004B855, NULL, NULL, 0x0162 },
{"LsaEnumerateTrustedDomainsEx", 0x0004A10D, NULL, NULL, 0x0163 },
{"LsaFreeMemory", 0x00012DDE, NULL, NULL, 0x0164 },
{"LsaGetQuotasForAccount", 0x0004BBE9, NULL, NULL, 0x0165 },
{"LsaGetRemoteUserName", 0x0004C155, NULL, NULL, 0x0166 },
{"LsaGetSystemAccessAccount", 0x0004BCC9, NULL, NULL, 0x0167 },
{"LsaGetUserName", 0x0001E2D2, NULL, NULL, 0x0168 },
{"LsaICLookupNames", 0x00015D38, NULL, NULL, 0x0169 },
{"LsaICLookupNamesWithCreds", 0x0004C271, NULL, NULL, 0x016A },
{"LsaICLookupSids", 0x000159C5, NULL, NULL, 0x016B },
{"LsaICLookupSidsWithCreds", 0x0004C401, NULL, NULL, 0x016C },
{"LsaLookupNames2", 0x00015CEE, NULL, NULL, 0x016D },
{"LsaLookupNames", 0x0004C5E9, NULL, NULL, 0x016E },
{"LsaLookupPrivilegeDisplayName", 0x0004B159, NULL, NULL, 0x016F },
{"LsaLookupPrivilegeName", 0x0004B0D1, NULL, NULL, 0x0170 },
{"LsaLookupPrivilegeValue", 0x0002B97D, NULL, NULL, 0x0171 },
{"LsaLookupSids", 0x000158BB, NULL, NULL, 0x0172 },
{"LsaNtStatusToWinError", 0x0001E01B, NULL, NULL, 0x0173 },
{"LsaOpenAccount", 0x0004BA29, NULL, NULL, 0x0174 },
{"LsaOpenPolicy", 0x00011E27, NULL, NULL, 0x0175 },
{"LsaOpenPolicySce", 0x0004AEA0, NULL, NULL, 0x0176 },
{"LsaOpenSecret", 0x0004BDB9, NULL, NULL, 0x0177 },
{"LsaOpenTrustedDomain", 0x0004B5B1, NULL, NULL, 0x0178 },
{"LsaOpenTrustedDomainByName", 0x0004A3C1, NULL, NULL, 0x0179 },
{"LsaQueryDomainInformationPolicy", 0x0004A2C5, NULL, NULL, 0x017A },
{"LsaQueryForestTrustInformation", 0x0004A431, NULL, NULL, 0x017B },
{"LsaQueryInfoTrustedDomain", 0x0004B621, NULL, NULL, 0x017C },
{"LsaQueryInformationPolicy", 0x00012E07, NULL, NULL, 0x017D },
{"LsaQuerySecret", 0x0004BF8D, NULL, NULL, 0x017E },
{"LsaQuerySecurityObject", 0x0004B2CD, NULL, NULL, 0x017F },
{"LsaQueryTrustedDomainInfo", 0x00049528, NULL, NULL, 0x0180 },
{"LsaQueryTrustedDomainInfoByName", 0x00049CE7, NULL, NULL, 0x0181 },
{"LsaRemoveAccountRights", 0x0004AC91, NULL, NULL, 0x0182 },
{"LsaRemovePrivilegesFromAccount", 0x0004BB79, NULL, NULL, 0x0183 },
{"LsaRetrievePrivateData", 0x0001DE9E, NULL, NULL, 0x0184 },
{"LsaSetDomainInformationPolicy", 0x0004A341, NULL, NULL, 0x0185 },
{"LsaSetForestTrustInformation", 0x0004A4A1, NULL, NULL, 0x0186 },
{"LsaSetInformationPolicy", 0x0004AFA9, NULL, NULL, 0x0187 },
{"LsaSetInformationTrustedDomain", 0x0004B6C1, NULL, NULL, 0x0188 },
{"LsaSetQuotasForAccount", 0x0004BC59, NULL, NULL, 0x0189 },
{"LsaSetSecret", 0x0004BE29, NULL, NULL, 0x018A },
{"LsaSetSecurityObject", 0x0004B359, NULL, NULL, 0x018B },
{"LsaSetSystemAccessAccount", 0x0004BD41, NULL, NULL, 0x018C },
{"LsaSetTrustedDomainInfoByName", 0x00049F92, NULL, NULL, 0x018D },
{"LsaSetTrustedDomainInformation", 0x00049795, NULL, NULL, 0x018E },
{"LsaStorePrivateData", 0x0002D03F, NULL, NULL, 0x018F },
{"MD4Final", 0x0000879F, NULL, NULL, 0x0190 },
{"MD4Init", 0x0000876B, NULL, NULL, 0x0191 },
{"MD4Update", 0x00008D04, NULL, NULL, 0x0192 },
{"MD5Final", 0x000170B2, NULL, NULL, 0x0193 },
{"MD5Init", 0x00017078, NULL, NULL, 0x0194 },
{"MD5Update", 0x00017152, NULL, NULL, 0x0195 },
{"MSChapSrvChangePassword2", 0x000457E7, NULL, NULL, 0x0196 },
{"MSChapSrvChangePassword", 0x00045603, NULL, NULL, 0x0197 },
{"MakeAbsoluteSD2", 0x0003DDB5, NULL, NULL, 0x0198 },
{"MakeAbsoluteSD", 0x00027ED1, NULL, NULL, 0x0199 },
{"MakeSelfRelativeSD", 0x0000745E, NULL, NULL, 0x019A },
{"MapGenericMask", 0x0001484B, NULL, NULL, 0x019B },
{"NotifyBootConfigStatus", 0x00020F79, NULL, NULL, 0x019C },
{"NotifyChangeEventLog", 0x0003C23B, NULL, NULL, 0x019D },
{"ObjectCloseAuditAlarmA", 0x0003E21C, NULL, NULL, 0x019E },
{"ObjectCloseAuditAlarmW", 0x00014813, NULL, NULL, 0x019F },
{"ObjectDeleteAuditAlarmA", 0x0003E270, NULL, NULL, 0x01A0 },
{"ObjectDeleteAuditAlarmW", 0x0003D258, NULL, NULL, 0x01A1 },
{"ObjectOpenAuditAlarmA", 0x0003E0D6, NULL, NULL, 0x01A2 },
{"ObjectOpenAuditAlarmW", 0x0001485C, NULL, NULL, 0x01A3 },
{"ObjectPrivilegeAuditAlarmA", 0x0003E1BF, NULL, NULL, 0x01A4 },
{"ObjectPrivilegeAuditAlarmW", 0x0003D211, NULL, NULL, 0x01A5 },
{"OpenBackupEventLogA", 0x0003C949, NULL, NULL, 0x01A6 },
{"OpenBackupEventLogW", 0x0003C490, NULL, NULL, 0x01A7 },
{"OpenEncryptedFileRawA", 0x00043874, NULL, NULL, 0x01A8 },
{"OpenEncryptedFileRawW", 0x0004343E, NULL, NULL, 0x01A9 },
{"OpenEventLogA", 0x00025EB0, NULL, NULL, 0x01AA },
{"OpenEventLogW", 0x00021088, NULL, NULL, 0x01AB },
{"OpenProcessToken", 0x0000798B, NULL, NULL, 0x01AC },
{"OpenSCManagerA", 0x000269AE, NULL, NULL, 0x01AD },
{"OpenSCManagerW", 0x00016F55, NULL, NULL, 0x01AE },
{"OpenServiceA", 0x00024C66, NULL, NULL, 0x01AF },
{"OpenServiceW", 0x00016FFD, NULL, NULL, 0x01B0 },
{"OpenThreadToken", 0x000072CC, NULL, NULL, 0x01B1 },
{"OpenTraceA", 0x0005853A, NULL, NULL, 0x01B2 },
{"OpenTraceW", 0x00058651, NULL, NULL, 0x01B3 },
{"PrivilegeCheck", 0x0002BAB4, NULL, NULL, 0x01B4 },
{"PrivilegedServiceAuditAlarmA", 0x0003E2C4, NULL, NULL, 0x01B5 },
{"PrivilegedServiceAuditAlarmW", 0x0003D296, NULL, NULL, 0x01B6 },
{"ProcessIdleTasks", 0x00046F19, NULL, NULL, 0x01B7 },
{"ProcessTrace", 0x00058E84, NULL, NULL, 0x01B8 },
{"QueryAllTracesA", 0x0005AB39, NULL, NULL, 0x01B9 },
{"QueryAllTracesW", 0x0002CBF1, NULL, NULL, 0x01BA },
{"QueryRecoveryAgentsOnEncryptedFile", 0x0004350D, NULL, NULL, 0x01BB },
{"QueryServiceConfig2A", 0x00067999, NULL, NULL, 0x01BC },
{"QueryServiceConfig2W", 0x00067AB1, NULL, NULL, 0x01BD },
{"QueryServiceConfigA", 0x00021596, NULL, NULL, 0x01BE },
{"QueryServiceConfigW", 0x00026F92, NULL, NULL, 0x01BF },
{"QueryServiceLockStatusA", 0x00067BC9, NULL, NULL, 0x01C0 },
{"QueryServiceLockStatusW", 0x00067C59, NULL, NULL, 0x01C1 },
{"QueryServiceObjectSecurity", 0x00066D01, NULL, NULL, 0x01C2 },
{"QueryServiceStatus", 0x00016D50, NULL, NULL, 0x01C3 },
{"QueryServiceStatusEx", 0x0002120A, NULL, NULL, 0x01C4 },
{"QueryTraceA", 0x0005AFF5, NULL, NULL, 0x01C5 },
{"QueryTraceW", 0x0005B016, NULL, NULL, 0x01C6 },
{"QueryUsersOnEncryptedFile", 0x000434B2, NULL, NULL, 0x01C7 },
{"QueryWindows31FilesMigration", 0x00021B21, NULL, NULL, 0x01C8 },
{"ReadEncryptedFileRaw", 0x00043470, NULL, NULL, 0x01C9 },
{"ReadEventLogA", 0x00025C9C, NULL, NULL, 0x01CA },
{"ReadEventLogW", 0x0003C823, NULL, NULL, 0x01CB },
{"RegCloseKey", 0x00006C27, NULL, NULL, 0x01CC },
{"RegConnectRegistryA", 0x0006512A, NULL, NULL, 0x01CD },
{"RegConnectRegistryW", 0x0002817A, NULL, NULL, 0x01CE },
{"RegCreateKeyA", 0x0002BCF3, NULL, NULL, 0x01CF },
{"RegCreateKeyExA", 0x0000E9F4, NULL, NULL, 0x01D0 },
{"RegCreateKeyExW", 0x0000776C, NULL, NULL, 0x01D1 },
{"RegCreateKeyW", 0x0002BA55, NULL, NULL, 0x01D2 },
{"RegDeleteKeyA", 0x000142A0, NULL, NULL, 0x01D3 },
{"RegDeleteKeyW", 0x0001559B, NULL, NULL, 0x01D4 },
{"RegDeleteValueA", 0x0000ECE5, NULL, NULL, 0x01D5 },
{"RegDeleteValueW", 0x0000EDF1, NULL, NULL, 0x01D6 },
{"RegDisablePredefinedCache", 0x0002837B, NULL, NULL, 0x01D7 },
{"RegDisablePredefinedCacheEx", 0x00064F7D, NULL, NULL, 0x01D8 },
{"RegEnumKeyA", 0x000153B8, NULL, NULL, 0x01D9 },
{"RegEnumKeyExA", 0x000151B6, NULL, NULL, 0x01DA },
{"RegEnumKeyExW", 0x00007BD9, NULL, NULL, 0x01DB },
{"RegEnumKeyW", 0x0000D5E4, NULL, NULL, 0x01DC },
{"RegEnumValueA", 0x00029BBF, NULL, NULL, 0x01DD },
{"RegEnumValueW", 0x00007EED, NULL, NULL, 0x01DE },
{"RegFlushKey", 0x00024CE0, NULL, NULL, 0x01DF },
{"RegGetKeySecurity", 0x00023918, NULL, NULL, 0x01E0 },
{"RegLoadKeyA", 0x00065183, NULL, NULL, 0x01E1 },
{"RegLoadKeyW", 0x00020D86, NULL, NULL, 0x01E2 },
{"RegNotifyChangeKeyValue", 0x0000D8FE, NULL, NULL, 0x01E3 },
{"RegOpenCurrentUser", 0x0000811B, NULL, NULL, 0x01E4 },
{"RegOpenKeyA", 0x0000EFC8, NULL, NULL, 0x01E5 },
{"RegOpenKeyExA", 0x00007852, NULL, NULL, 0x01E6 },
{"RegOpenKeyExW", 0x00006AAF, NULL, NULL, 0x01E7 },
{"RegOpenKeyW", 0x00007946, NULL, NULL, 0x01E8 },
{"RegOpenUserClassesRoot", 0x0002B461, NULL, NULL, 0x01E9 },
{"RegOverridePredefKey", 0x00064F14, NULL, NULL, 0x01EA },
{"RegQueryInfoKeyA", 0x00014332, NULL, NULL, 0x01EB },
{"RegQueryInfoKeyW", 0x000149CE, NULL, NULL, 0x01EC },
{"RegQueryMultipleValuesA", 0x0006568F, NULL, NULL, 0x01ED },
{"RegQueryMultipleValuesW", 0x000659F1, NULL, NULL, 0x01EE },
{"RegQueryValueA", 0x0002BB8D, NULL, NULL, 0x01EF },
{"RegQueryValueExA", 0x00007ABB, NULL, NULL, 0x01F0 },
{"RegQueryValueExW", 0x00006FFF, NULL, NULL, 0x01F1 },
{"RegQueryValueW", 0x0000D87A, NULL, NULL, 0x01F2 },
{"RegReplaceKeyA", 0x000653F7, NULL, NULL, 0x01F3 },
{"RegReplaceKeyW", 0x000655C0, NULL, NULL, 0x01F4 },
{"RegRestoreKeyA", 0x00065C4D, NULL, NULL, 0x01F5 },
{"RegRestoreKeyW", 0x00065CFE, NULL, NULL, 0x01F6 },
{"RegSaveKeyA", 0x00065D92, NULL, NULL, 0x01F7 },
{"RegSaveKeyExA", 0x00065F51, NULL, NULL, 0x01F8 },
{"RegSaveKeyExW", 0x00066046, NULL, NULL, 0x01F9 },
{"RegSaveKeyW", 0x00065E84, NULL, NULL, 0x01FA },
{"RegSetKeySecurity", 0x00023AFD, NULL, NULL, 0x01FB },
{"RegSetValueA", 0x0002C79E, NULL, NULL, 0x01FC },
{"RegSetValueExA", 0x0000EAE7, NULL, NULL, 0x01FD },
{"RegSetValueExW", 0x0000D767, NULL, NULL, 0x01FE },
{"RegSetValueW", 0x00066116, NULL, NULL, 0x01FF },
{"RegUnLoadKeyA", 0x000652C5, NULL, NULL, 0x0200 },
{"RegUnLoadKeyW", 0x00065366, NULL, NULL, 0x0201 },
{"RegisterEventSourceA", 0x00027B60, NULL, NULL, 0x0202 },
{"RegisterEventSourceW", 0x0002803C, NULL, NULL, 0x0203 },
{"RegisterIdleTask", 0x000208D2, NULL, NULL, 0x0204 },
{"RegisterServiceCtrlHandlerA", 0x00024EC6, NULL, NULL, 0x0205 },
{"RegisterServiceCtrlHandlerExA", 0x0001FEAB, NULL, NULL, 0x0206 },
{"RegisterServiceCtrlHandlerExW", 0x00023E49, NULL, NULL, 0x0207 },
{"RegisterServiceCtrlHandlerW", 0x00023E77, NULL, NULL, 0x0208 },
{"RegisterTraceGuidsA", 0x000295A1, NULL, NULL, 0x0209 },
{"RegisterTraceGuidsW", 0x00029289, NULL, NULL, 0x020A },
{"RemoveTraceCallback", 0x00056331, NULL, NULL, 0x020B },
{"RemoveUsersFromEncryptedFile", 0x00043548, NULL, NULL, 0x020C },
{"ReportEventA", 0x00027CB2, NULL, NULL, 0x020D },
{"ReportEventW", 0x00023681, NULL, NULL, 0x020E },
{"RevertToSelf", 0x00007338, NULL, NULL, 0x020F },
{"SaferCloseLevel", 0x0000AF98, NULL, NULL, 0x0210 },
{"SaferComputeTokenFromLevel", 0x0000AB3D, NULL, NULL, 0x0211 },
{"SaferCreateLevel", 0x0004E9C5, NULL, NULL, 0x0212 },
{"SaferGetLevelInformation", 0x0001FCF0, NULL, NULL, 0x0213 },
{"SaferGetPolicyInformation", 0x000299DD, NULL, NULL, 0x0214 },
{"SaferIdentifyLevel", 0x00009EC8, NULL, NULL, 0x0215 },
{"SaferRecordEventLogEntry", 0x0004F78D, NULL, NULL, 0x0216 },
{"SaferSetLevelInformation", 0x0005054D, NULL, NULL, 0x0217 },
{"SaferSetPolicyInformation", 0x0004F3E0, NULL, NULL, 0x0218 },
{"SaferiChangeRegistryScope", 0x00050985, NULL, NULL, 0x0219 },
{"SaferiCompareTokenLevels", 0x000268C3, NULL, NULL, 0x021A },
{"SaferiIsExecutableFileType", 0x000298AB, NULL, NULL, 0x021B },
{"SaferiPopulateDefaultsInRegistry", 0x0001EF84, NULL, NULL, 0x021C },
{"SaferiRecordEventLogEntry", 0x0004F78D, NULL, NULL, 0x021D },
{"SaferiReplaceProcessThreadTokens", 0x000405AA, NULL, NULL, 0x021E },
{"SaferiSearchMatchingHashRules", 0x0002C8B1, NULL, NULL, 0x021F },
{"SetAclInformation", 0x0003D30E, NULL, NULL, 0x0220 },
{"SetEntriesInAccessListA", 0x000532D4, NULL, NULL, 0x0221 },
{"SetEntriesInAccessListW", 0x0005329B, NULL, NULL, 0x0222 },
{"SetEntriesInAclA", 0x00051979, NULL, NULL, 0x0223 },
{"SetEntriesInAclW", 0x00014EC2, NULL, NULL, 0x0224 },
{"SetEntriesInAuditListA", 0x00053334, NULL, NULL, 0x0225 },
{"SetEntriesInAuditListW", 0x0005330D, NULL, NULL, 0x0226 },
{"SetFileSecurityA", 0x0003D6BD, NULL, NULL, 0x0227 },
{"SetFileSecurityW", 0x0001A3E1, NULL, NULL, 0x0228 },
{"SetInformationCodeAuthzLevelW", 0x0005054D, NULL, NULL, 0x0229 },
{"SetInformationCodeAuthzPolicyW", 0x0004F3E0, NULL, NULL, 0x022A },
{"SetKernelObjectSecurity", 0x00014E9A, NULL, NULL, 0x022B },
{"SetNamedSecurityInfoA", 0x00051930, NULL, NULL, 0x022C },
{"SetNamedSecurityInfoExA", 0x00053B99, NULL, NULL, 0x022D },
{"SetNamedSecurityInfoExW", 0x0005399E, NULL, NULL, 0x022E },
{"SetNamedSecurityInfoW", 0x00020CF5, NULL, NULL, 0x022F },
{"SetPrivateObjectSecurity", 0x0003D61E, NULL, NULL, 0x0230 },
{"SetPrivateObjectSecurityEx", 0x0003D652, NULL, NULL, 0x0231 },
{"SetSecurityDescriptorControl", 0x0001E531, NULL, NULL, 0x0232 },
{"SetSecurityDescriptorDacl", 0x000079EB, NULL, NULL, 0x0233 },
{"SetSecurityDescriptorGroup", 0x00014B2D, NULL, NULL, 0x0234 },
{"SetSecurityDescriptorOwner", 0x00014B05, NULL, NULL, 0x0235 },
{"SetSecurityDescriptorRMControl", 0x0003DE05, NULL, NULL, 0x0236 },
{"SetSecurityDescriptorSacl", 0x00024E8E, NULL, NULL, 0x0237 },
{"SetSecurityInfo", 0x00024DF2, NULL, NULL, 0x0238 },
{"SetSecurityInfoExA", 0x00054059, NULL, NULL, 0x0239 },
{"SetSecurityInfoExW", 0x00053E51, NULL, NULL, 0x023A },
{"SetServiceBits", 0x00066BF9, NULL, NULL, 0x023B },
{"SetServiceObjectSecurity", 0x00066D81, NULL, NULL, 0x023C },
{"SetServiceStatus", 0x00023251, NULL, NULL, 0x023D },
{"SetThreadToken", 0x0000F193, NULL, NULL, 0x023E },
{"SetTokenInformation", 0x0003CBCF, NULL, NULL, 0x023F },
{"SetTraceCallback", 0x000561B4, NULL, NULL, 0x0240 },
{"SetUserFileEncryptionKey", 0x000435BE, NULL, NULL, 0x0241 },
{"StartServiceA", 0x0001FB58, NULL, NULL, 0x0242 },
{"StartServiceCtrlDispatcherA", 0x00067F09, NULL, NULL, 0x0243 },
{"StartServiceCtrlDispatcherW", 0x0002359D, NULL, NULL, 0x0244 },
{"StartServiceW", 0x00023E94, NULL, NULL, 0x0245 },
{"StartTraceA", 0x000594FB, NULL, NULL, 0x0246 },
{"StartTraceW", 0x00059A61, NULL, NULL, 0x0247 },
{"StopTraceA", 0x0005B037, NULL, NULL, 0x0248 },
{"StopTraceW", 0x0005B058, NULL, NULL, 0x0249 },
{"SynchronizeWindows31FilesAndWindowsNTRegistry", 0x0003EEB9, NULL, NULL, 0x024A },
{"SystemFunction001", 0x0001D7BA, NULL, NULL, 0x024B },
{"SystemFunction002", 0x0001CF65, NULL, NULL, 0x024C },
{"SystemFunction003", 0x00025416, NULL, NULL, 0x024D },
{"SystemFunction004", 0x0001D917, NULL, NULL, 0x024E },
{"SystemFunction005", 0x0001DC9F, NULL, NULL, 0x024F },
{"SystemFunction006", 0x00025387, NULL, NULL, 0x0250 },
{"SystemFunction007", 0x000252AE, NULL, NULL, 0x0251 },
{"SystemFunction008", 0x0002554D, NULL, NULL, 0x0252 },
{"SystemFunction009", 0x00025540, NULL, NULL, 0x0253 },
{"SystemFunction010", 0x000255FC, NULL, NULL, 0x0254 },
{"SystemFunction011", 0x000255EF, NULL, NULL, 0x0255 },
{"SystemFunction012", 0x00047091, NULL, NULL, 0x0256 },
{"SystemFunction013", 0x000470CB, NULL, NULL, 0x0257 },
{"SystemFunction014", 0x00047105, NULL, NULL, 0x0258 },
{"SystemFunction015", 0x00047112, NULL, NULL, 0x0259 },
{"SystemFunction016", 0x0004711F, NULL, NULL, 0x025A },
{"SystemFunction017", 0x00047155, NULL, NULL, 0x025B },
{"SystemFunction018", 0x0004718B, NULL, NULL, 0x025C },
{"SystemFunction019", 0x00047198, NULL, NULL, 0x025D },
{"SystemFunction020", 0x00047105, NULL, NULL, 0x025E },
{"SystemFunction021", 0x00047112, NULL, NULL, 0x025F },
{"SystemFunction022", 0x00047105, NULL, NULL, 0x0260 },
{"SystemFunction023", 0x00047112, NULL, NULL, 0x0261 },
{"SystemFunction024", 0x000471A5, NULL, NULL, 0x0262 },
{"SystemFunction025", 0x00024BD4, NULL, NULL, 0x0263 },
{"SystemFunction026", 0x000471FD, NULL, NULL, 0x0264 },
{"SystemFunction027", 0x00024BC7, NULL, NULL, 0x0265 },
{"SystemFunction028", 0x0001DD8D, NULL, NULL, 0x0266 },
{"SystemFunction029", 0x0001DB2C, NULL, NULL, 0x0267 },
{"SystemFunction030", 0x00024BA5, NULL, NULL, 0x0268 },
{"SystemFunction031", 0x00024BA5, NULL, NULL, 0x0269 },
{"SystemFunction032", 0x0004720A, NULL, NULL, 0x026A },
{"SystemFunction033", 0x0004720A, NULL, NULL, 0x026B },
{"SystemFunction034", 0x0001DDC6, NULL, NULL, 0x026C },
{"SystemFunction035", 0x00018185, NULL, NULL, 0x026D },
{"SystemFunction036", 0x000082A2, NULL, NULL, 0x026E },
{"SystemFunction040", 0x00027014, NULL, NULL, 0x026F },
{"SystemFunction041", 0x0001E4D2, NULL, NULL, 0x0270 },
{"TraceEvent", 0x0005A901, NULL, NULL, 0x0271 },
{"TraceEventInstance", 0x0005AA01, NULL, NULL, 0x0272 },
{"TraceMessage", 0x0005B355, NULL, NULL, 0x0273 },
{"TraceMessageVa", 0x0005B3E9, NULL, NULL, 0x0274 },
{"TreeResetNamedSecurityInfoA", 0x00052461, NULL, NULL, 0x0275 },
{"TreeResetNamedSecurityInfoW", 0x000523DF, NULL, NULL, 0x0276 },
{"TrusteeAccessToObjectA", 0x00053439, NULL, NULL, 0x0277 },
{"TrusteeAccessToObjectW", 0x0005335B, NULL, NULL, 0x0278 },
{"UninstallApplication", 0x0004D20C, NULL, NULL, 0x0279 },
{"UnlockServiceDatabase", 0x00067CE9, NULL, NULL, 0x027A },
{"UnregisterIdleTask", 0x00046FA9, NULL, NULL, 0x027B },
{"UnregisterTraceGuids", 0x000256DD, NULL, NULL, 0x027C },
{"UpdateTraceA", 0x0005B079, NULL, NULL, 0x027D },
{"UpdateTraceW", 0x0005B09A, NULL, NULL, 0x027E },
{"WdmWmiServiceMain", 0x0005B4DA, NULL, NULL, 0x027F },
{"WmiCloseBlock", 0x0001FE04, NULL, NULL, 0x0280 },
{"WmiCloseTraceWithCursor", 0x00057871, NULL, NULL, 0x0281 },
{"WmiConvertTimestamp", 0x000578BE, NULL, NULL, 0x0282 },
{"WmiDevInstToInstanceNameA", 0x0005C681, NULL, NULL, 0x0283 },
{"WmiDevInstToInstanceNameW", 0x0005C73D, NULL, NULL, 0x0284 },
{"WmiEnumerateGuids", 0x0005C4C9, NULL, NULL, 0x0285 },
{"WmiExecuteMethodA", 0x0005CA62, NULL, NULL, 0x0286 },
{"WmiExecuteMethodW", 0x0005BFB5, NULL, NULL, 0x0287 },
{"WmiFileHandleToInstanceNameA", 0x0005CAD6, NULL, NULL, 0x0288 },
{"WmiFileHandleToInstanceNameW", 0x0005C2F5, NULL, NULL, 0x0289 },
{"WmiFreeBuffer", 0x000283E3, NULL, NULL, 0x028A },
{"WmiGetFirstTraceOffset", 0x00056E4A, NULL, NULL, 0x028B },
{"WmiGetNextEvent", 0x000578E0, NULL, NULL, 0x028C },
{"WmiGetTraceHeader", 0x00056FB2, NULL, NULL, 0x028D },
{"WmiMofEnumerateResourcesA", 0x0005CCFC, NULL, NULL, 0x028E },
{"WmiMofEnumerateResourcesW", 0x0001EC89, NULL, NULL, 0x028F },
{"WmiNotificationRegistrationA", 0x0005C2CD, NULL, NULL, 0x0290 },
{"WmiNotificationRegistrationW", 0x00028CAC, NULL, NULL, 0x0291 },
{"WmiOpenBlock", 0x00028E63, NULL, NULL, 0x0292 },
{"WmiOpenTraceWithCursor", 0x000589F8, NULL, NULL, 0x0293 },
{"WmiParseTraceEvent", 0x00058818, NULL, NULL, 0x0294 },
{"WmiQueryAllDataA", 0x0005C8A8, NULL, NULL, 0x0295 },
{"WmiQueryAllDataMultipleA", 0x0005C8D0, NULL, NULL, 0x0296 },
{"WmiQueryAllDataMultipleW", 0x0005B55D, NULL, NULL, 0x0297 },
{"WmiQueryAllDataW", 0x0001502C, NULL, NULL, 0x0298 },
{"WmiQueryGuidInformation", 0x0005C7D5, NULL, NULL, 0x0299 },
{"WmiQuerySingleInstanceA", 0x0005C910, NULL, NULL, 0x029A },
{"WmiQuerySingleInstanceMultipleA", 0x0005BB4D, NULL, NULL, 0x029B },
{"WmiQuerySingleInstanceMultipleW", 0x0005B985, NULL, NULL, 0x029C },
{"WmiQuerySingleInstanceW", 0x0005B705, NULL, NULL, 0x029D },
{"WmiReceiveNotificationsA", 0x0005C881, NULL, NULL, 0x029E },
{"WmiReceiveNotificationsW", 0x0001FEEA, NULL, NULL, 0x029F },
{"WmiSetSingleInstanceA", 0x0005C997, NULL, NULL, 0x02A0 },
{"WmiSetSingleInstanceW", 0x0005BC77, NULL, NULL, 0x02A1 },
{"WmiSetSingleItemA", 0x0005C9FB, NULL, NULL, 0x02A2 },
{"WmiSetSingleItemW", 0x0005BE15, NULL, NULL, 0x02A3 },
{"Wow64Win32ApiEntry", 0x00068423, NULL, NULL, 0x02A4 },
{"WriteEncryptedFileRaw", 0x00043486, NULL, NULL, 0x02A5 },
{0,0,NULL,NULL},
};

struct emu_env_w32_dll_export shdocvw_exports[] = 
{
{"", 0x000442F5, NULL, NULL, 0x0065 },
{"", 0x00044331, NULL, NULL, 0x0066 },
{"", 0x0004436D, NULL, NULL, 0x0067 },
{"", 0x00043F9F, NULL, NULL, 0x0068 },
{"", 0x000443A9, NULL, NULL, 0x0069 },
{"AddUrlToFavorites", 0x00044715, NULL, NULL, 0x006A },
{"DllCanUnloadNow", 0x0002200A, NULL, NULL, 0x006B },
{"DllGetClassObject", 0x0001531D, NULL, NULL, 0x006C },
{"DllGetVersion", 0x000CEE32, NULL, NULL, 0x006D },
{"", 0x0001E4F8, NULL, NULL, 0x006E },
{"", 0x000BA588, NULL, NULL, 0x006F },
{"DllInstall", 0x00056EB8, NULL, NULL, 0x0070 },
{"DllRegisterServer", 0x00056E67, NULL, NULL, 0x0071 },
{"DllRegisterWindowClasses", 0x00097C49, NULL, NULL, 0x0072 },
{"", 0x000B7F51, NULL, NULL, 0x0073 },
{"", 0x000A3D2C, NULL, NULL, 0x0074 },
{"", 0x000A3D06, NULL, NULL, 0x0075 },
{"", 0x000A3C96, NULL, NULL, 0x0076 },
{"", 0x000A3CBA, NULL, NULL, 0x0077 },
{"", 0x000A3CE0, NULL, NULL, 0x0078 },
{"", 0x000A3BC3, NULL, NULL, 0x0079 },
{"", 0x000A3BCD, NULL, NULL, 0x007A },
{"", 0x000A3BE8, NULL, NULL, 0x007B },
{"DllUnregisterServer", 0x00056EA6, NULL, NULL, 0x007C },
{"", 0x0001DF24, NULL, NULL, 0x007D },
{"DoAddToFavDlg", 0x00044580, NULL, NULL, 0x007E },
{"DoAddToFavDlgW", 0x000445CF, NULL, NULL, 0x007F },
{"DoFileDownload", 0x000443E5, NULL, NULL, 0x0080 },
{"DoFileDownloadEx", 0x00044434, NULL, NULL, 0x0081 },
{"", 0x0001DF31, NULL, NULL, 0x0082 },
{"", 0x000A9361, NULL, NULL, 0x0083 },
{"DoOrganizeFavDlg", 0x00044620, NULL, NULL, 0x0084 },
{"DoOrganizeFavDlgW", 0x00044672, NULL, NULL, 0x0085 },
{"DoPrivacyDlg", 0x00044767, NULL, NULL, 0x0086 },
{"", 0x000B5ED4, NULL, NULL, 0x0087 },
{"", 0x0002230A, NULL, NULL, 0x0088 },
{"", 0x00022328, NULL, NULL, 0x0089 },
{"", 0x000B6E85, NULL, NULL, 0x008A },
{"", 0x000B6829, NULL, NULL, 0x008B },
{"", 0x000B97BF, NULL, NULL, 0x008C },
{"", 0x000448BD, NULL, NULL, 0x008D },
{"", 0x00044902, NULL, NULL, 0x008E },
{"", 0x000B6F02, NULL, NULL, 0x008F },
{"HlinkFindFrame", 0x0004452F, NULL, NULL, 0x0090 },
{"", 0x000A2D7F, NULL, NULL, 0x0091 },
{"", 0x00015BAA, NULL, NULL, 0x0092 },
{"", 0x0001BC12, NULL, NULL, 0x0093 },
{"", 0x00019525, NULL, NULL, 0x0094 },
{"", 0x0001A57E, NULL, NULL, 0x0095 },
{"", 0x00044941, NULL, NULL, 0x0096 },
{"", 0x00044980, NULL, NULL, 0x0097 },
{"", 0x000449BF, NULL, NULL, 0x0098 },
{"", 0x0001590C, NULL, NULL, 0x0099 },
{"HlinkFrameNavigate", 0x00044486, NULL, NULL, 0x009A },
{"HlinkFrameNavigateNHL", 0x000444D8, NULL, NULL, 0x009B },
{"IEWriteErrorLog", 0x000446C3, NULL, NULL, 0x009C },
{"ImportPrivacySettings", 0x0004480E, NULL, NULL, 0x009D },
{"", 0x000449FE, NULL, NULL, 0x009E },
{"", 0x00044A3D, NULL, NULL, 0x009F },
{"", 0x00044A7C, NULL, NULL, 0x00A0 },
{"", 0x000269B7, NULL, NULL, 0x00A1 },
{"", 0x00044ABB, NULL, NULL, 0x00A2 },
{"SHAddSubscribeFavorite", 0x00044AFA, NULL, NULL, 0x00A3 },
{"", 0x00044B39, NULL, NULL, 0x00A4 },
{"", 0x00044B78, NULL, NULL, 0x00A5 },
{"OpenURL", 0x000442AD, NULL, NULL, 0x00A6 },
{"", 0x00044BB7, NULL, NULL, 0x00A7 },
{"SHGetIDispatchForFolder", 0x000BAA6A, NULL, NULL, 0x00A8 },
{"", 0x000B95DD, NULL, NULL, 0x00A9 },
{"", 0x000230E7, NULL, NULL, 0x00AA },
{"", 0x000224DC, NULL, NULL, 0x00AB },
{"", 0x00025EA6, NULL, NULL, 0x00AC },
{"", 0x000B6385, NULL, NULL, 0x00AD },
{"", 0x00027667, NULL, NULL, 0x00AE },
{"", 0x0006FA88, NULL, NULL, 0x00AF },
{"", 0x0006F0B8, NULL, NULL, 0x00B0 },
{"", 0x000BA7D0, NULL, NULL, 0x00B1 },
{"", 0x000BA880, NULL, NULL, 0x00B2 },
{"", 0x000BA538, NULL, NULL, 0x00B3 },
{"", 0x000BA81D, NULL, NULL, 0x00B4 },
{"", 0x000BA5BE, NULL, NULL, 0x00B5 },
{"SetQueryNetSessionCount", 0x00044863, NULL, NULL, 0x00B6 },
{"", 0x000B647B, NULL, NULL, 0x00B7 },
{"SetShellOfflineState", 0x000B98F7, NULL, NULL, 0x00B8 },
{"", 0x0007958A, NULL, NULL, 0x00B9 },
{"SoftwareUpdateMessageBox", 0x000447B6, NULL, NULL, 0x00BA },
{"", 0x00057B30, NULL, NULL, 0x00BB },
{"", 0x0005C81E, NULL, NULL, 0x00BC },
{"", 0x00019525, NULL, NULL, 0x00BD },
{"", 0x000A3BD7, NULL, NULL, 0x00BE },
{"", 0x000B625D, NULL, NULL, 0x00BF },
{"", 0x0001FE5C, NULL, NULL, 0x00C0 },
{"URLQualifyA", 0x00044216, NULL, NULL, 0x00C1 },
{"", 0x0007632D, NULL, NULL, 0x00C2 },
{"", 0x0001D401, NULL, NULL, 0x00C3 },
{"", 0x000707E7, NULL, NULL, 0x00C4 },
{"", 0x000719AD, NULL, NULL, 0x00C5 },
{"", 0x000226D0, NULL, NULL, 0x00C6 },
{"URLQualifyW", 0x00044261, NULL, NULL, 0x00C7 },
{"", 0x000B7749, NULL, NULL, 0x00C8 },
{"", 0x000B70C6, NULL, NULL, 0x00CB },
{"", 0x000B6FE7, NULL, NULL, 0x00CC },
{"", 0x000B7CE9, NULL, NULL, 0x00D0 },
{"", 0x000B7E74, NULL, NULL, 0x00D1 },
{"", 0x00032ED9, NULL, NULL, 0x00D2 },
{"", 0x0007CC71, NULL, NULL, 0x00D3 },
{"", 0x000B82AD, NULL, NULL, 0x00D4 },
{"", 0x000A93C7, NULL, NULL, 0x00D5 },
{"", 0x000A940B, NULL, NULL, 0x00D6 },
{"", 0x000A950F, NULL, NULL, 0x00D7 },
{"", 0x000A94B4, NULL, NULL, 0x00D8 },
{"", 0x000A956A, NULL, NULL, 0x00D9 },
{"", 0x00022382, NULL, NULL, 0x00DA },
{"", 0x00022640, NULL, NULL, 0x00DB },
{"", 0x000A30D8, NULL, NULL, 0x00DD },
{"", 0x0002217B, NULL, NULL, 0x00DE },
{"", 0x00044BFC, NULL, NULL, 0x00DF },
{"", 0x00044C3B, NULL, NULL, 0x00E0 },
{"", 0x000B95BC, NULL, NULL, 0x00E1 },
{"", 0x000B88BF, NULL, NULL, 0x00E2 },
{"", 0x0001EEC7, NULL, NULL, 0x00E3 },
{"", 0x00064056, NULL, NULL, 0x00E4 },
{"", 0x000643C9, NULL, NULL, 0x00E5 },
{"", 0x0007A009, NULL, NULL, 0x00E6 },
{"", 0x00067FB9, NULL, NULL, 0x00E7 },
{"", 0x00067F1B, NULL, NULL, 0x00E8 },
{"", 0x00067F48, NULL, NULL, 0x00E9 },
{"", 0x000251E3, NULL, NULL, 0x00EA },
{0,0,NULL,NULL,0},
};

struct emu_env_w32_dll_export psapi_exports[] = 
{
{"EmptyWorkingSet", 0x00002239, NULL, NULL, 0x0001 },
{"EnumDeviceDrivers", 0x0000163B, NULL, NULL, 0x0002 },
{"EnumPageFilesA", 0x00004150, NULL, NULL, 0x0003 },
{"EnumPageFilesW", 0x00003FE1, NULL, NULL, 0x0004 },
{"EnumProcessModules", 0x00001EF4, NULL, NULL, 0x0005 },
{"EnumProcesses", 0x00003A76, NULL, NULL, 0x0006 },
{"GetDeviceDriverBaseNameA", 0x0000147A, NULL, NULL, 0x0007 },
{"GetDeviceDriverBaseNameW", 0x00001D9C, NULL, NULL, 0x0008 },
{"GetDeviceDriverFileNameA", 0x00001CC5, NULL, NULL, 0x0009 },
{"GetDeviceDriverFileNameW", 0x00001D40, NULL, NULL, 0x000A },
{"GetMappedFileNameA", 0x00001E90, NULL, NULL, 0x000B },
{"GetMappedFileNameW", 0x00001DF8, NULL, NULL, 0x000C },
{"GetModuleBaseNameA", 0x00002132, NULL, NULL, 0x000D },
{"GetModuleBaseNameW", 0x000020B5, NULL, NULL, 0x000E },
{"GetModuleFileNameExA", 0x0000204D, NULL, NULL, 0x000F },
{"GetModuleFileNameExW", 0x0000176A, NULL, NULL, 0x0010 },
{"GetModuleInformation", 0x0000219A, NULL, NULL, 0x0011 },
{"GetPerformanceInfo", 0x00003E41, NULL, NULL, 0x0012 },
{"GetProcessImageFileNameA", 0x00003DBD, NULL, NULL, 0x0013 },
{"GetProcessImageFileNameW", 0x00003D2F, NULL, NULL, 0x0014 },
{"GetProcessMemoryInfo", 0x00003BBD, NULL, NULL, 0x0015 },
{"GetWsChanges", 0x00003CF5, NULL, NULL, 0x0016 },
{"InitializeProcessForWsWatch", 0x00003CB1, NULL, NULL, 0x0017 },
{"QueryWorkingSet", 0x000022A4, NULL, NULL, 0x0018 },
{0,0,NULL},
};

struct emu_env_w32_dll_export iphlpapi_exports[] = {
{"AddIPAddress", 0x0000C5BA, NULL, NULL, 0x0001 },
{"AllocateAndGetArpEntTableFromStack", 0x00005C9C, NULL, NULL, 0x0002 },
{"AllocateAndGetIfTableFromStack", 0x00006FB4, NULL, NULL, 0x0003 },
{"AllocateAndGetIpAddrTableFromStack", 0x00006383, NULL, NULL, 0x0004 },
{"AllocateAndGetIpForwardTableFromStack", 0x000070AA, NULL, NULL, 0x0005 },
{"AllocateAndGetIpNetTableFromStack", 0x0000EAA6, NULL, NULL, 0x0006 },
{"AllocateAndGetTcpExTable2FromStack", 0x0000EF91, NULL, NULL, 0x0007 },
{"AllocateAndGetTcpExTableFromStack", 0x0000F010, NULL, NULL, 0x0008 },
{"AllocateAndGetTcpTableFromStack", 0x0000E9AF, NULL, NULL, 0x0009 },
{"AllocateAndGetUdpExTable2FromStack", 0x0000F2E8, NULL, NULL, 0x000A },
{"AllocateAndGetUdpExTableFromStack", 0x0000F36A, NULL, NULL, 0x000B },
{"AllocateAndGetUdpTableFromStack", 0x0000EA2C, NULL, NULL, 0x000C },
{"CancelIPChangeNotify", 0x0000CA95, NULL, NULL, 0x000D },
{"CreateIpForwardEntry", 0x00009F55, NULL, NULL, 0x000E },
{"CreateIpNetEntry", 0x0000A0CF, NULL, NULL, 0x000F },
{"CreateProxyArpEntry", 0x0000A440, NULL, NULL, 0x0010 },
{"DeleteIPAddress", 0x0000C6E0, NULL, NULL, 0x0011 },
{"DeleteIpForwardEntry", 0x0000A011, NULL, NULL, 0x0012 },
{"DeleteIpNetEntry", 0x0000A195, NULL, NULL, 0x0013 },
{"DeleteProxyArpEntry", 0x0000A520, NULL, NULL, 0x0014 },
{"DisableMediaSense", 0x0000CBD4, NULL, NULL, 0x0015 },
{"EnableRouter", 0x0000CAD9, NULL, NULL, 0x0016 },
{"FlushIpNetTable", 0x0000A1EE, NULL, NULL, 0x0017 },
{"FlushIpNetTableFromStack", 0x0000E598, NULL, NULL, 0x0018 },
{"GetAdapterIndex", 0x0000C4E5, NULL, NULL, 0x0019 },
{"GetAdapterOrderMap", 0x000028CF, NULL, NULL, 0x001A },
{"GetAdaptersAddresses", 0x00003E54, NULL, NULL, 0x001B },
{"GetAdaptersInfo", 0x00006051, NULL, NULL, 0x001C },
{"GetBestInterface", 0x0000A2AA, NULL, NULL, 0x001D },
{"GetBestInterfaceEx", 0x0000A35B, NULL, NULL, 0x001E },
{"GetBestInterfaceFromStack", 0x0000E8A0, NULL, NULL, 0x001F },
{"GetBestRoute", 0x0000A3EF, NULL, NULL, 0x0020 },
{"GetBestRouteFromStack", 0x0000DB87, NULL, NULL, 0x0021 },
{"GetExtendedTcpTable", 0x0000ACB7, NULL, NULL, 0x0022 },
{"GetExtendedUdpTable", 0x0000B12B, NULL, NULL, 0x0023 },
{"GetFriendlyIfIndex", 0x0000964C, NULL, NULL, 0x0024 },
{"GetIcmpStatistics", 0x00009C2A, NULL, NULL, 0x0025 },
{"GetIcmpStatisticsEx", 0x00009C6E, NULL, NULL, 0x0026 },
{"GetIcmpStatsFromStack", 0x0000E221, NULL, NULL, 0x0027 },
{"GetIcmpStatsFromStackEx", 0x0000E16B, NULL, NULL, 0x0028 },
{"GetIfEntry", 0x000063EF, NULL, NULL, 0x0029 },
{"GetIfEntryFromStack", 0x00003B08, NULL, NULL, 0x002A },
{"GetIfTable", 0x00005143, NULL, NULL, 0x002B },
{"GetIfTableFromStack", 0x0000505D, NULL, NULL, 0x002C },
{"GetIgmpList", 0x0000C392, NULL, NULL, 0x002D },
{"GetInterfaceInfo", 0x00002841, NULL, NULL, 0x002E },
{"GetIpAddrTable", 0x00003B9C, NULL, NULL, 0x002F },
{"GetIpAddrTableFromStack", 0x00003A6E, NULL, NULL, 0x0030 },
{"GetIpErrorString", 0x0000B50D, NULL, NULL, 0x0031 },
{"GetIpForwardTable", 0x0000AAC7, NULL, NULL, 0x0032 },
{"GetIpForwardTableFromStack", 0x00007131, NULL, NULL, 0x0033 },
{"GetIpNetTable", 0x00009962, NULL, NULL, 0x0034 },
{"GetIpNetTableFromStack", 0x0000DEE7, NULL, NULL, 0x0035 },
{"GetIpStatistics", 0x00009B93, NULL, NULL, 0x0036 },
{"GetIpStatisticsEx", 0x00009ACD, NULL, NULL, 0x0037 },
{"GetIpStatsFromStack", 0x00002734, NULL, NULL, 0x0038 },
{"GetIpStatsFromStackEx", 0x0000E045, NULL, NULL, 0x0039 },
{"GetNetworkParams", 0x0000CCCF, NULL, NULL, 0x003A },
{"GetNumberOfInterfaces", 0x0000526E, NULL, NULL, 0x003B },
{"GetOwnerModuleFromTcp6Entry", 0x0000B04B, NULL, NULL, 0x003C },
{"GetOwnerModuleFromTcpEntry", 0x0000B000, NULL, NULL, 0x003D },
{"GetOwnerModuleFromUdp6Entry", 0x0000B47E, NULL, NULL, 0x003E },
{"GetOwnerModuleFromUdpEntry", 0x0000B433, NULL, NULL, 0x003F },
{"GetPerAdapterInfo", 0x00006769, NULL, NULL, 0x0040 },
{"GetRTTAndHopCount", 0x0000C829, NULL, NULL, 0x0041 },
{"GetTcpExTable2FromStack", 0x0000EBD7, NULL, NULL, 0x0042 },
{"GetTcpStatistics", 0x00009D78, NULL, NULL, 0x0043 },
{"GetTcpStatisticsEx", 0x00009D14, NULL, NULL, 0x0044 },
{"GetTcpStatsFromStack", 0x0000E435, NULL, NULL, 0x0045 },
{"GetTcpStatsFromStackEx", 0x0000E39E, NULL, NULL, 0x0046 },
{"GetTcpTable", 0x0000AC1D, NULL, NULL, 0x0047 },
{"GetTcpTableFromStack", 0x0000DD16, NULL, NULL, 0x0048 },
{"GetUdpExTable2FromStack", 0x0000F08D, NULL, NULL, 0x0049 },
{"GetUdpStatistics", 0x00009E64, NULL, NULL, 0x004A },
{"GetUdpStatisticsEx", 0x00009E00, NULL, NULL, 0x004B },
{"GetUdpStatsFromStack", 0x0000E32B, NULL, NULL, 0x004C },
{"GetUdpStatsFromStackEx", 0x0000E294, NULL, NULL, 0x004D },
{"GetUdpTable", 0x0000B096, NULL, NULL, 0x004E },
{"GetUdpTableFromStack", 0x0000DE44, NULL, NULL, 0x004F },
{"GetUniDirectionalAdapterInfo", 0x00002D18, NULL, NULL, 0x0050 },
{"Icmp6CreateFile", 0x0000B65D, NULL, NULL, 0x0051 },
{"Icmp6ParseReplies", 0x0000B946, NULL, NULL, 0x0052 },
{"Icmp6SendEcho2", 0x0000B98D, NULL, NULL, 0x0053 },
{"IcmpCloseHandle", 0x00004D33, NULL, NULL, 0x0054 },
{"IcmpCreateFile", 0x00004D5E, NULL, NULL, 0x0055 },
{"IcmpParseReplies", 0x00004CD6, NULL, NULL, 0x0056 },
{"IcmpSendEcho2", 0x0000B73C, NULL, NULL, 0x0057 },
{"IcmpSendEcho", 0x00004B79, NULL, NULL, 0x0058 },
{"InternalCreateIpForwardEntry", 0x0000C131, NULL, NULL, 0x0059 },
{"InternalCreateIpNetEntry", 0x0000C28B, NULL, NULL, 0x005A },
{"InternalDeleteIpForwardEntry", 0x0000C1D3, NULL, NULL, 0x005B },
{"InternalDeleteIpNetEntry", 0x0000C317, NULL, NULL, 0x005C },
{"InternalGetIfTable", 0x0000BD99, NULL, NULL, 0x005D },
{"InternalGetIpAddrTable", 0x0000BE86, NULL, NULL, 0x005E },
{"InternalGetIpForwardTable", 0x0000BFEA, NULL, NULL, 0x005F },
{"InternalGetIpNetTable", 0x0000BF37, NULL, NULL, 0x0060 },
{"InternalGetTcpTable", 0x0000C0A4, NULL, NULL, 0x0061 },
{"InternalGetUdpTable", 0x0000C0C6, NULL, NULL, 0x0062 },
{"InternalSetIfEntry", 0x0000C0E8, NULL, NULL, 0x0063 },
{"InternalSetIpForwardEntry", 0x0000C182, NULL, NULL, 0x0064 },
{"InternalSetIpNetEntry", 0x0000C2D1, NULL, NULL, 0x0065 },
{"InternalSetIpStats", 0x0000C247, NULL, NULL, 0x0066 },
{"InternalSetTcpEntry", 0x0000C378, NULL, NULL, 0x0067 },
{"IpReleaseAddress", 0x0000CD27, NULL, NULL, 0x0068 },
{"IpRenewAddress", 0x0000CDB9, NULL, NULL, 0x0069 },
{"IsLocalAddress", 0x0000C992, NULL, NULL, 0x006A },
{"NTPTimeToNTFileTime", 0x00010CED, NULL, NULL, 0x006B },
{"NTTimeToNTPTime", 0x00010C15, NULL, NULL, 0x006C },
{"NhGetGuidFromInterfaceName", 0x0000D558, NULL, NULL, 0x006D },
{"NhGetInterfaceNameFromDeviceGuid", 0x00006A73, NULL, NULL, 0x006E },
{"NhGetInterfaceNameFromGuid", 0x0000D4F0, NULL, NULL, 0x006F },
{"NhpAllocateAndGetInterfaceInfoFromStack", 0x00006AE8, NULL, NULL, 0x0070 },
{"NhpGetInterfaceIndexFromStack", 0x0000DC6A, NULL, NULL, 0x0071 },
{"NotifyAddrChange", 0x00006300, NULL, NULL, 0x0072 },
{"NotifyRouteChange", 0x0000CEAE, NULL, NULL, 0x0073 },
{"NotifyRouteChangeEx", 0x0000C9FB, NULL, NULL, 0x0074 },
{"_PfAddFiltersToInterface@24", 0x0000F4F7, NULL, NULL, 0x0075 },
{"_PfAddGlobalFilterToInterface@8", 0x0000F5D2, NULL, NULL, 0x0076 },
{"_PfBindInterfaceToIPAddress@12", 0x0000F751, NULL, NULL, 0x0077 },
{"_PfBindInterfaceToIndex@16", 0x0000F692, NULL, NULL, 0x0078 },
{"_PfCreateInterface@24", 0x0000F4CD, NULL, NULL, 0x0079 },
{"_PfDeleteInterface@4", 0x0000F4E2, NULL, NULL, 0x007A },
{"_PfDeleteLog@0", 0x0000F8E2, NULL, NULL, 0x007B },
{"_PfGetInterfaceStatistics@16", 0x0000F89B, NULL, NULL, 0x007C },
{"_PfMakeLog@4", 0x0000F871, NULL, NULL, 0x007D },
{"_PfRebindFilters@8", 0x0000F7E9, NULL, NULL, 0x007E },
{"_PfRemoveFilterHandles@12", 0x0000F58E, NULL, NULL, 0x007F },
{"_PfRemoveFiltersFromInterface@20", 0x0000F544, NULL, NULL, 0x0080 },
{"_PfRemoveGlobalFilterFromInterface@8", 0x0000F613, NULL, NULL, 0x0081 },
{"_PfSetLogBuffer@28", 0x0000F886, NULL, NULL, 0x0082 },
{"_PfTestPacket@20", 0x0000F8F1, NULL, NULL, 0x0083 },
{"_PfUnBindInterface@4", 0x0000F654, NULL, NULL, 0x0084 },
{"RestoreMediaSense", 0x0000CC62, NULL, NULL, 0x0085 },
{"SendARP", 0x0000CE49, NULL, NULL, 0x0086 },
{"SetAdapterIpAddress", 0x00011F56, NULL, NULL, 0x0087 },
{"SetBlockRoutes", 0x0000C40F, NULL, NULL, 0x0088 },
{"SetIfEntry", 0x00009EEC, NULL, NULL, 0x0089 },
{"SetIfEntryToStack", 0x0000E918, NULL, NULL, 0x008A },
{"SetIpForwardEntry", 0x00009FB3, NULL, NULL, 0x008B },
{"SetIpForwardEntryToStack", 0x0000EB5C, NULL, NULL, 0x008C },
{"SetIpMultihopRouteEntryToStack", 0x0000E834, NULL, NULL, 0x008D },
{"SetIpNetEntry", 0x0000A13C, NULL, NULL, 0x008E },
{"SetIpNetEntryToStack", 0x0000E4A8, NULL, NULL, 0x008F },
{"SetIpRouteEntryToStack", 0x0000E7AE, NULL, NULL, 0x0090 },
{"SetIpStatistics", 0x0000A076, NULL, NULL, 0x0091 },
{"SetIpStatsToStack", 0x0000E0DC, NULL, NULL, 0x0092 },
{"SetIpTTL", 0x0000B4C9, NULL, NULL, 0x0093 },
{"SetProxyArpEntryToStack", 0x0000E5E4, NULL, NULL, 0x0094 },
{"SetRouteWithRef", 0x0000C48F, NULL, NULL, 0x0095 },
{"SetTcpEntry", 0x0000A252, NULL, NULL, 0x0096 },
{"SetTcpEntryToStack", 0x0000DDC1, NULL, NULL, 0x0097 },
{"UnenableRouter", 0x0000CB67, NULL, NULL, 0x0098 },
{"do_echo_rep", 0x0000BC18, NULL, NULL, 0x0099 },
{"do_echo_req", 0x0000BB48, NULL, NULL, 0x009A },
{"register_icmp", 0x0000BB2D, NULL, NULL, 0x009B },
{0,0,NULL}
};

struct emu_env_w32_dll_export imagehlp_exports[] =
{
	{"RemoveRelocations", 0x0000EE90, NULL, NULL, 0x0001 },
	{"BindImage", 0x000074E9, NULL, NULL, 0x0002 },
	{"BindImageEx", 0x000070D1, NULL, NULL, 0x0003 },
	{"CheckSumMappedFile", 0x00007509, NULL, NULL, 0x0004 },
	{"EnumerateLoadedModules64", 0x0000BD50, NULL, NULL, 0x0005 },
	{"EnumerateLoadedModules", 0x0000BD67, NULL, NULL, 0x0006 },
	{"FindDebugInfoFile", 0x0000BD7E, NULL, NULL, 0x0007 },
	{"FindDebugInfoFileEx", 0x0000BD95, NULL, NULL, 0x0008 },
	{"FindExecutableImage", 0x0000BDAC, NULL, NULL, 0x0009 },
	{"FindExecutableImageEx", 0x0000BDC6, NULL, NULL, 0x000A },
	{"FindFileInPath", 0x0000BDE0, NULL, NULL, 0x000B },
	{"FindFileInSearchPath", 0x0000BDFA, NULL, NULL, 0x000C },
	{"GetImageConfigInformation", 0x00007EEB, NULL, NULL, 0x000D },
	{"GetImageUnusedHeaderBytes", 0x000061F0, NULL, NULL, 0x000E },
	{"GetTimestampForLoadedLibrary", 0x00005C59, NULL, NULL, 0x000F },
	{"ImageAddCertificate", 0x0000B749, NULL, NULL, 0x0010 },
	{"ImageDirectoryEntryToData", 0x000041C9, NULL, NULL, 0x0011 },
	{"ImageDirectoryEntryToDataEx", 0x000041EA, NULL, NULL, 0x0012 },
	{"ImageEnumerateCertificates", 0x0000BA11, NULL, NULL, 0x0013 },
	{"ImageGetCertificateData", 0x00004321, NULL, NULL, 0x0014 },
	{"ImageGetCertificateHeader", 0x0000BB61, NULL, NULL, 0x0015 },
	{"ImageGetDigestStream", 0x0000B2AA, NULL, NULL, 0x0016 },
	{"ImageLoad", 0x000083B6, NULL, NULL, 0x0017 },
	{"ImageNtHeader", 0x000079AD, NULL, NULL, 0x0018 },
	{"ImageRemoveCertificate", 0x0000B909, NULL, NULL, 0x0019 },
	{"ImageRvaToSection", 0x00007B11, NULL, NULL, 0x001A },
	{"ImageRvaToVa", 0x00007B54, NULL, NULL, 0x001B },
	{"ImageUnload", 0x000081BE, NULL, NULL, 0x001C },
	{"ImagehlpApiVersion", 0x0000BE14, NULL, NULL, 0x001D },
	{"ImagehlpApiVersionEx", 0x0000BE2E, NULL, NULL, 0x001E },
	{"MakeSureDirectoryPathExists", 0x0000BE48, NULL, NULL, 0x001F },
	{"MapAndLoad", 0x0000822A, NULL, NULL, 0x0020 },
	{"MapDebugInformation", 0x0000BE62, NULL, NULL, 0x0021 },
	{"MapFileAndCheckSumA", 0x000075E1, NULL, NULL, 0x0022 },
	{"MapFileAndCheckSumW", 0x000076C8, NULL, NULL, 0x0023 },
	{"ReBaseImage64", 0x00008A41, NULL, NULL, 0x0024 },
	{"ReBaseImage", 0x00008E93, NULL, NULL, 0x0025 },
	{"RemovePrivateCvSymbolic", 0x0000A69C, NULL, NULL, 0x0026 },
	{"RemovePrivateCvSymbolicEx", 0x0000A2C9, NULL, NULL, 0x0027 },
	{"SearchTreeForFile", 0x0000BE7C, NULL, NULL, 0x0028 },
	{"SetImageConfigInformation", 0x00007F2B, NULL, NULL, 0x0029 },
	{"SplitSymbols", 0x00008EF2, NULL, NULL, 0x002A },
	{"StackWalk64", 0x0000BE96, NULL, NULL, 0x002B },
	{"StackWalk", 0x0000BEB0, NULL, NULL, 0x002C },
	{"SymCleanup", 0x0000BECA, NULL, NULL, 0x002D },
	{"SymEnumSourceFiles", 0x0000BEE4, NULL, NULL, 0x002E },
	{"SymEnumSym", 0x0000BEFE, NULL, NULL, 0x002F },
	{"SymEnumSymbols", 0x0000BF18, NULL, NULL, 0x0030 },
	{"SymEnumTypes", 0x0000BF32, NULL, NULL, 0x0031 },
	{"SymEnumerateModules64", 0x0000BF4C, NULL, NULL, 0x0032 },
	{"SymEnumerateModules", 0x0000BF66, NULL, NULL, 0x0033 },
	{"SymEnumerateSymbols64", 0x0000BF80, NULL, NULL, 0x0034 },
	{"SymEnumerateSymbols", 0x0000BF9A, NULL, NULL, 0x0035 },
	{"SymEnumerateSymbolsW64", 0x0000BFB4, NULL, NULL, 0x0036 },
	{"SymEnumerateSymbolsW", 0x0000BFCE, NULL, NULL, 0x0037 },
	{"SymFindFileInPath", 0x0000BFE8, NULL, NULL, 0x0038 },
	{"SymFromAddr", 0x0000C002, NULL, NULL, 0x0039 },
	{"SymFromName", 0x0000C01C, NULL, NULL, 0x003A },
	{"SymFunctionTableAccess64", 0x0000C036, NULL, NULL, 0x003B },
	{"SymFunctionTableAccess", 0x0000C050, NULL, NULL, 0x003C },
	{"SymGetLineFromAddr64", 0x0000C06A, NULL, NULL, 0x003D },
	{"SymGetLineFromAddr", 0x0000C084, NULL, NULL, 0x003E },
	{"SymGetLineFromName64", 0x0000C09E, NULL, NULL, 0x003F },
	{"SymGetLineFromName", 0x0000C0B8, NULL, NULL, 0x0040 },
	{"SymGetLineNext64", 0x0000C0D2, NULL, NULL, 0x0041 },
	{"SymGetLineNext", 0x0000C0EC, NULL, NULL, 0x0042 },
	{"SymGetLinePrev64", 0x0000C106, NULL, NULL, 0x0043 },
	{"SymGetLinePrev", 0x0000C120, NULL, NULL, 0x0044 },
	{"SymGetModuleBase64", 0x0000C13A, NULL, NULL, 0x0045 },
	{"SymGetModuleBase", 0x0000C154, NULL, NULL, 0x0046 },
	{"SymGetModuleInfo64", 0x0000C16E, NULL, NULL, 0x0047 },
	{"SymGetModuleInfo", 0x0000C188, NULL, NULL, 0x0048 },
	{"SymGetModuleInfoW64", 0x0000C1A2, NULL, NULL, 0x0049 },
	{"SymGetModuleInfoW", 0x0000C1BC, NULL, NULL, 0x004A },
	{"SymGetOptions", 0x0000C1D6, NULL, NULL, 0x004B },
	{"SymGetSearchPath", 0x0000C1F0, NULL, NULL, 0x004C },
	{"SymGetSymFromAddr64", 0x0000C20A, NULL, NULL, 0x004D },
	{"SymGetSymFromAddr", 0x0000C224, NULL, NULL, 0x004E },
	{"SymGetSymFromName64", 0x0000C23E, NULL, NULL, 0x004F },
	{"SymGetSymFromName", 0x0000C258, NULL, NULL, 0x0050 },
	{"SymGetSymNext64", 0x0000C272, NULL, NULL, 0x0051 },
	{"SymGetSymNext", 0x0000C28C, NULL, NULL, 0x0052 },
	{"SymGetSymPrev64", 0x0000C2A6, NULL, NULL, 0x0053 },
	{"SymGetSymPrev", 0x0000C2C0, NULL, NULL, 0x0054 },
	{"SymGetTypeFromName", 0x0000C2DA, NULL, NULL, 0x0055 },
	{"SymGetTypeInfo", 0x0000C2F4, NULL, NULL, 0x0056 },
	{"SymInitialize", 0x0000C30E, NULL, NULL, 0x0057 },
	{"SymLoadModule64", 0x0000C328, NULL, NULL, 0x0058 },
	{"SymLoadModule", 0x0000C342, NULL, NULL, 0x0059 },
	{"SymMatchFileName", 0x0000C35C, NULL, NULL, 0x005A },
	{"SymMatchString", 0x0000C376, NULL, NULL, 0x005B },
	{"SymRegisterCallback64", 0x0000C390, NULL, NULL, 0x005C },
	{"SymRegisterCallback", 0x0000C3AA, NULL, NULL, 0x005D },
	{"SymRegisterFunctionEntryCallback64", 0x0000C3C4, NULL, NULL, 0x005E },
	{"SymRegisterFunctionEntryCallback", 0x0000C3DE, NULL, NULL, 0x005F },
	{"SymSetContext", 0x0000C3F8, NULL, NULL, 0x0060 },
	{"SymSetOptions", 0x0000C412, NULL, NULL, 0x0061 },
	{"SymSetSearchPath", 0x0000C42C, NULL, NULL, 0x0062 },
	{"SymUnDName64", 0x0000C446, NULL, NULL, 0x0063 },
	{"SymUnDName", 0x0000C460, NULL, NULL, 0x0064 },
	{"SymUnloadModule64", 0x0000C47A, NULL, NULL, 0x0065 },
	{"SymUnloadModule", 0x0000C494, NULL, NULL, 0x0066 },
	{"TouchFileTimes", 0x0000767E, NULL, NULL, 0x0067 },
	{"UnDecorateSymbolName", 0x00005B05, NULL, NULL, 0x0068 },
	{"UnMapAndLoad", 0x00008193, NULL, NULL, 0x0069 },
	{"UnmapDebugInformation", 0x0000C4AE, NULL, NULL, 0x006A },
	{"UpdateDebugInfoFile", 0x0000A679, NULL, NULL, 0x006B },
	{"UpdateDebugInfoFileEx", 0x0000A1AA, NULL, NULL, 0x006C },
	{0,0,NULL},
};

struct emu_env_w32_dll_export winhttp_exports[] =
{
	{"DllCanUnloadNow", 0x00035B02, NULL, NULL, 0x0001 },
	{"DllGetClassObject", 0x0003876E, NULL, NULL, 0x0002 },
	{"DllRegisterServer", 0x00007F49, NULL, NULL, 0x0003 },
	{"DllUnregisterServer", 0x00007F75, NULL, NULL, 0x0004 },
	{"WinHttpAddRequestHeaders", 0x0002365D, NULL, NULL, 0x0005 },
	{"WinHttpCheckPlatform", 0x0000857E, NULL, NULL, 0x0006 },
	{"WinHttpCloseHandle", 0x0000B2E8, NULL, NULL, 0x0007 },
	{"WinHttpConnect", 0x000099A5, NULL, NULL, 0x0008 },
	{"WinHttpCrackUrl", 0x000088B6, NULL, NULL, 0x0009 },
	{"WinHttpCreateUrl", 0x00008DCA, NULL, NULL, 0x000A },
	{"WinHttpDetectAutoProxyConfigUrl", 0x0000C108, NULL, NULL, 0x000B },
	{"WinHttpGetDefaultProxyConfiguration", 0x00008604, NULL, NULL, 0x000C },
	{"WinHttpGetIEProxyConfigForCurrentUser", 0x0000879E, NULL, NULL, 0x000D },
	{"WinHttpGetProxyForUrl", 0x0000D395, NULL, NULL, 0x000E },
	{"WinHttpOpen", 0x0000963E, NULL, NULL, 0x000F },
	{"WinHttpOpenRequest", 0x00023D2C, NULL, NULL, 0x0010 },
	{"WinHttpQueryAuthSchemes", 0x0000D65B, NULL, NULL, 0x0011 },
	{"WinHttpQueryDataAvailable", 0x0000B944, NULL, NULL, 0x0012 },
	{"WinHttpQueryHeaders", 0x00024A13, NULL, NULL, 0x0013 },
	{"WinHttpQueryOption", 0x0000ED07, NULL, NULL, 0x0014 },
	{"WinHttpReadData", 0x0000B6DF, NULL, NULL, 0x0015 },
	{"WinHttpReceiveResponse", 0x000105F1, NULL, NULL, 0x0016 },
	{"WinHttpSendRequest", 0x00010343, NULL, NULL, 0x0017 },
	{"WinHttpSetCredentials", 0x0000DB05, NULL, NULL, 0x0018 },
	{"WinHttpSetDefaultProxyConfiguration", 0x000086D6, NULL, NULL, 0x0019 },
	{"WinHttpSetOption", 0x0000FBD9, NULL, NULL, 0x001A },
	{"WinHttpSetStatusCallback", 0x00009AB0, NULL, NULL, 0x001B },
	{"WinHttpSetTimeouts", 0x0000F1C2, NULL, NULL, 0x001C },
	{"WinHttpTimeFromSystemTime", 0x000253AD, NULL, NULL, 0x001D },
	{"WinHttpTimeToSystemTime", 0x0002552F, NULL, NULL, 0x001E },
	{"WinHttpWriteData", 0x0000AE1F, NULL, NULL, 0x001F },
	{0,0,NULL},
};